/* $Id: tstIEMAImplDataFpuOther-Amd.cpp $ */
/** @file
 * IEM Assembly Instruction Helper Testcase Data Amd - r150746 on AMD Ryzen Threadripper 3990X 64-Core Processor.
 */

/*
 * Copyright (C) 2022-2023 Oracle and/or its affiliates.
 *
 * This file is part of VirtualBox base platform packages, as
 * available from https://www.virtualbox.org.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, in version 3 of the
 * License.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <https://www.gnu.org/licenses>.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 */

#include "tstIEMAImpl.h"

FPU_UNARY_R80_TEST_T const g_aTests_f2xm1_r80_amd[] =
{
    { 0x0000, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/0/u */
    { 0x007f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/0/c */
    { 0x0100, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/1/u */
    { 0x017f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/1/c */
    { 0x0200, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/2/u */
    { 0x027f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/2/c */
    { 0x0300, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/3/u */
    { 0x037f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/0/3/c */
    { 0x0400, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/0/u */
    { 0x047f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/0/c */
    { 0x0500, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/1/u */
    { 0x057f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/1/c */
    { 0x0600, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/2/u */
    { 0x067f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/2/c */
    { 0x0700, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/3/u */
    { 0x077f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/1/3/c */
    { 0x0800, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/0/u */
    { 0x087f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/0/c */
    { 0x0900, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/1/u */
    { 0x097f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/1/c */
    { 0x0a00, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/2/u */
    { 0x0a7f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/2/c */
    { 0x0b00, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/3/u */
    { 0x0b7f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/2/3/c */
    { 0x0c00, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/0/u */
    { 0x0c7f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/0/c */
    { 0x0d00, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/1/u */
    { 0x0d7f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/1/c */
    { 0x0e00, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/2/u */
    { 0x0e7f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/2/c */
    { 0x0f00, 0xf64e, 0xfca0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/3/u */
    { 0x0f7f, 0xf64e, 0x7c20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,31398) }, /* #0/3/3/c */
    { 0x0000, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/0/u */
    { 0x007f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/0/c */
    { 0x0100, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/1/u */
    { 0x017f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/1/c */
    { 0x0200, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/2/u */
    { 0x027f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/2/c */
    { 0x0300, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/3/u */
    { 0x037f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/0/3/c */
    { 0x0400, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/0/u */
    { 0x047f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/0/c */
    { 0x0500, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/1/u */
    { 0x057f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/1/c */
    { 0x0600, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/2/u */
    { 0x067f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/2/c */
    { 0x0700, 0x187c, 0xbaa0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/3/u */
    { 0x077f, 0x187c, 0x3a20, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773181,596) }, /* #1/1/3/c */
    { 0x0800, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/0/u */
    { 0x087f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/0/c */
    { 0x0900, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/1/u */
    { 0x097f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/1/c */
    { 0x0a00, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/2/u */
    { 0x0a7f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/2/c */
    { 0x0b00, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/3/u */
    { 0x0b7f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/2/3/c */
    { 0x0c00, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/0/u */
    { 0x0c7f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/0/c */
    { 0x0d00, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/1/u */
    { 0x0d7f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/1/c */
    { 0x0e00, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/2/u */
    { 0x0e7f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/2/c */
    { 0x0f00, 0x187c, 0xb8a0, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/3/u */
    { 0x0f7f, 0x187c, 0x3820, RTFLOAT80U_INIT_C(1,0xbdcdf277dec97b8b,596), RTFLOAT80U_INIT_C(1,0x838ffc2018773180,596) }, /* #1/3/3/c */
    { 0x0000, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/0/0/u */
    { 0x007f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/0/c */
    { 0x0100, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/0/1/u */
    { 0x017f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/1/c */
    { 0x0200, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/0/2/u */
    { 0x027f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/2/c */
    { 0x0300, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/0/3/u */
    { 0x037f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/3/c */
    { 0x0400, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/1/0/u */
    { 0x047f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/0/c */
    { 0x0500, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/1/1/u */
    { 0x057f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/1/c */
    { 0x0600, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/1/2/u */
    { 0x067f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/2/c */
    { 0x0700, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/1/3/u */
    { 0x077f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/3/c */
    { 0x0800, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/2/0/u */
    { 0x087f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/0/c */
    { 0x0900, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/2/1/u */
    { 0x097f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/1/c */
    { 0x0a00, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/2/2/u */
    { 0x0a7f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/2/c */
    { 0x0b00, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/2/3/u */
    { 0x0b7f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/3/c */
    { 0x0c00, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/3/0/u */
    { 0x0c7f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/0/c */
    { 0x0d00, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/3/1/u */
    { 0x0d7f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/1/c */
    { 0x0e00, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/3/2/u */
    { 0x0e7f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/2/c */
    { 0x0f00, 0x7328, 0xf981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #2/3/3/u */
    { 0x0f7f, 0x7328, 0x7901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/3/c */
    { 0x0000, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/0/u */
    { 0x007f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/0/c */
    { 0x0100, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/1/u */
    { 0x017f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/1/c */
    { 0x0200, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/2/u */
    { 0x027f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/2/c */
    { 0x0300, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/3/u */
    { 0x037f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/0/3/c */
    { 0x0400, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/0/u */
    { 0x047f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/0/c */
    { 0x0500, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/1/u */
    { 0x057f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/1/c */
    { 0x0600, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/2/u */
    { 0x067f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/2/c */
    { 0x0700, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/3/u */
    { 0x077f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/1/3/c */
    { 0x0800, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/0/u */
    { 0x087f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/0/c */
    { 0x0900, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/1/u */
    { 0x097f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/1/c */
    { 0x0a00, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/2/u */
    { 0x0a7f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/2/c */
    { 0x0b00, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/3/u */
    { 0x0b7f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/2/3/c */
    { 0x0c00, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/0/u */
    { 0x0c7f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/0/c */
    { 0x0d00, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/1/u */
    { 0x0d7f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/1/c */
    { 0x0e00, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/2/u */
    { 0x0e7f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/2/c */
    { 0x0f00, 0x2b8c, 0xb9a0, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/3/u */
    { 0x0f7f, 0x2b8c, 0x3920, RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929), RTFLOAT80U_INIT_C(1,0x96437475af2c5e8d,22929) }, /* #3/3/3/c */
    { 0x0000, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/0/0/u */
    { 0x007f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/0/c */
    { 0x0100, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/0/1/u */
    { 0x017f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/1/c */
    { 0x0200, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/0/2/u */
    { 0x027f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/2/c */
    { 0x0300, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/0/3/u */
    { 0x037f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/3/c */
    { 0x0400, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/1/0/u */
    { 0x047f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/0/c */
    { 0x0500, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/1/1/u */
    { 0x057f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/1/c */
    { 0x0600, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/1/2/u */
    { 0x067f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/2/c */
    { 0x0700, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/1/3/u */
    { 0x077f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/3/c */
    { 0x0800, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/2/0/u */
    { 0x087f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/0/c */
    { 0x0900, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/2/1/u */
    { 0x097f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/1/c */
    { 0x0a00, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/2/2/u */
    { 0x0a7f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/2/c */
    { 0x0b00, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/2/3/u */
    { 0x0b7f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/3/c */
    { 0x0c00, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/3/0/u */
    { 0x0c7f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/0/c */
    { 0x0d00, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/3/1/u */
    { 0x0d7f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/1/c */
    { 0x0e00, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/3/2/u */
    { 0x0e7f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/2/c */
    { 0x0f00, 0x1ac9, 0xb881, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372) }, /* #4/3/3/u */
    { 0x0f7f, 0x1ac9, 0x3801, RTFLOAT80U_INIT_C(0,0x6f7ffd7c52db1dc7,4372), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/3/c */
    { 0x0000, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/0/0/u */
    { 0x007f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/0/0/c */
    { 0x0100, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/0/1/u */
    { 0x017f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/0/1/c */
    { 0x0200, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/0/2/u */
    { 0x027f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/0/2/c */
    { 0x0300, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/0/3/u */
    { 0x037f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/0/3/c */
    { 0x0400, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/1/0/u */
    { 0x047f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/1/0/c */
    { 0x0500, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/1/1/u */
    { 0x057f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/1/1/c */
    { 0x0600, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/1/2/u */
    { 0x067f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/1/2/c */
    { 0x0700, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/1/3/u */
    { 0x077f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/1/3/c */
    { 0x0800, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/2/0/u */
    { 0x087f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/2/0/c */
    { 0x0900, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/2/1/u */
    { 0x097f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/2/1/c */
    { 0x0a00, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/2/2/u */
    { 0x0a7f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/2/2/c */
    { 0x0b00, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/2/3/u */
    { 0x0b7f, 0x0bb1, 0x3b32, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece3,0) }, /* #5/2/3/c */
    { 0x0c00, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/3/0/u */
    { 0x0c7f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/3/0/c */
    { 0x0d00, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/3/1/u */
    { 0x0d7f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/3/1/c */
    { 0x0e00, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/3/2/u */
    { 0x0e7f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/3/2/c */
    { 0x0f00, 0x0bb1, 0xb982, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0) }, /* #5/3/3/u */
    { 0x0f7f, 0x0bb1, 0x3932, RTFLOAT80U_INIT_C(0,0x8000e65731cf1aab,0), RTFLOAT80U_INIT_C(0,0x58b9aba4dabcece2,0) }, /* #5/3/3/c */
    { 0x0000, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/0/0/u */
    { 0x007f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/0/0/c */
    { 0x0100, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/0/1/u */
    { 0x017f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/0/1/c */
    { 0x0200, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/0/2/u */
    { 0x027f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/0/2/c */
    { 0x0300, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/0/3/u */
    { 0x037f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/0/3/c */
    { 0x0400, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/1/0/u */
    { 0x047f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/1/0/c */
    { 0x0500, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/1/1/u */
    { 0x057f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/1/1/c */
    { 0x0600, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/1/2/u */
    { 0x067f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/1/2/c */
    { 0x0700, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/1/3/u */
    { 0x077f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/1/3/c */
    { 0x0800, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/2/0/u */
    { 0x087f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/2/0/c */
    { 0x0900, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/2/1/u */
    { 0x097f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/2/1/c */
    { 0x0a00, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/2/2/u */
    { 0x0a7f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/2/2/c */
    { 0x0b00, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/2/3/u */
    { 0x0b7f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/2/3/c */
    { 0x0c00, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/3/0/u */
    { 0x0c7f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/3/0/c */
    { 0x0d00, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/3/1/u */
    { 0x0d7f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/3/1/c */
    { 0x0e00, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/3/2/u */
    { 0x0e7f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/3/2/c */
    { 0x0f00, 0xb336, 0xb981, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767) }, /* #6/3/3/u */
    { 0x0f7f, 0xb336, 0x3901, RTFLOAT80U_INIT_C(0,0x87dc4e2d743d59f2,32767), RTFLOAT80U_INIT_C(0,0xc7dc4e2d743d59f2,32767) }, /* #6/3/3/c */
    { 0x0000, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/0/0/u */
    { 0x007f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/0/0/c */
    { 0x0100, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/0/1/u */
    { 0x017f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/0/1/c */
    { 0x0200, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/0/2/u */
    { 0x027f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/0/2/c */
    { 0x0300, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/0/3/u */
    { 0x037f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/0/3/c */
    { 0x0400, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/1/0/u */
    { 0x047f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/1/0/c */
    { 0x0500, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/1/1/u */
    { 0x057f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/1/1/c */
    { 0x0600, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/1/2/u */
    { 0x067f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/1/2/c */
    { 0x0700, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/1/3/u */
    { 0x077f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/1/3/c */
    { 0x0800, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/2/0/u */
    { 0x087f, 0xe506, 0x7f32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c2,0) }, /* #7/2/0/c */
    { 0x0900, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/2/1/u */
    { 0x097f, 0xe506, 0x7f32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c2,0) }, /* #7/2/1/c */
    { 0x0a00, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/2/2/u */
    { 0x0a7f, 0xe506, 0x7f32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c2,0) }, /* #7/2/2/c */
    { 0x0b00, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/2/3/u */
    { 0x0b7f, 0xe506, 0x7f32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c2,0) }, /* #7/2/3/c */
    { 0x0c00, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/3/0/u */
    { 0x0c7f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/3/0/c */
    { 0x0d00, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/3/1/u */
    { 0x0d7f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/3/1/c */
    { 0x0e00, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/3/2/u */
    { 0x0e7f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/3/2/c */
    { 0x0f00, 0xe506, 0xfd82, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x6dc,0) }, /* #7/3/3/u */
    { 0x0f7f, 0xe506, 0x7d32, RTFLOAT80U_INIT_C(0,0x6dc,0), RTFLOAT80U_INIT_C(0,0x4c1,0) }, /* #7/3/3/c */
    { 0x0000, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/0/0/u */
    { 0x007f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/0/c */
    { 0x0100, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/0/1/u */
    { 0x017f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/1/c */
    { 0x0200, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/0/2/u */
    { 0x027f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/2/c */
    { 0x0300, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/0/3/u */
    { 0x037f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/3/c */
    { 0x0400, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/1/0/u */
    { 0x047f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/0/c */
    { 0x0500, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/1/1/u */
    { 0x057f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/1/c */
    { 0x0600, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/1/2/u */
    { 0x067f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/2/c */
    { 0x0700, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/1/3/u */
    { 0x077f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/3/c */
    { 0x0800, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/2/0/u */
    { 0x087f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/0/c */
    { 0x0900, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/2/1/u */
    { 0x097f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/1/c */
    { 0x0a00, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/2/2/u */
    { 0x0a7f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/2/c */
    { 0x0b00, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/2/3/u */
    { 0x0b7f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/3/c */
    { 0x0c00, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/3/0/u */
    { 0x0c7f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/0/c */
    { 0x0d00, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/3/1/u */
    { 0x0d7f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/1/c */
    { 0x0e00, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/3/2/u */
    { 0x0e7f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/2/c */
    { 0x0f00, 0x6680, 0xfc81, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767) }, /* #8/3/3/u */
    { 0x0f7f, 0x6680, 0x7c01, RTFLOAT80U_INIT_C(0,0x7b80a62eb4a5f522,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/3/c */
    { 0x0000, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/0/0/u */
    { 0x007f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/0/c */
    { 0x0100, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/0/1/u */
    { 0x017f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/1/c */
    { 0x0200, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/0/2/u */
    { 0x027f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/2/c */
    { 0x0300, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/0/3/u */
    { 0x037f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/3/c */
    { 0x0400, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/1/0/u */
    { 0x047f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/0/c */
    { 0x0500, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/1/1/u */
    { 0x057f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/1/c */
    { 0x0600, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/1/2/u */
    { 0x067f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/2/c */
    { 0x0700, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/1/3/u */
    { 0x077f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/3/c */
    { 0x0800, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/2/0/u */
    { 0x087f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/0/c */
    { 0x0900, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/2/1/u */
    { 0x097f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/1/c */
    { 0x0a00, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/2/2/u */
    { 0x0a7f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/2/c */
    { 0x0b00, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/2/3/u */
    { 0x0b7f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/3/c */
    { 0x0c00, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/3/0/u */
    { 0x0c7f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/0/c */
    { 0x0d00, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/3/1/u */
    { 0x0d7f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/1/c */
    { 0x0e00, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/3/2/u */
    { 0x0e7f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/2/c */
    { 0x0f00, 0x8f50, 0xbd81, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051) }, /* #9/3/3/u */
    { 0x0f7f, 0x8f50, 0x3d01, RTFLOAT80U_INIT_C(0,0x1223c16af6b995f3,8051), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/3/c */
    { 0x0000, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/0/0/u */
    { 0x007f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/0/0/c */
    { 0x0100, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/0/1/u */
    { 0x017f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/0/1/c */
    { 0x0200, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/0/2/u */
    { 0x027f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/0/2/c */
    { 0x0300, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/0/3/u */
    { 0x037f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/0/3/c */
    { 0x0400, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/1/0/u */
    { 0x047f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/1/0/c */
    { 0x0500, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/1/1/u */
    { 0x057f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/1/1/c */
    { 0x0600, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/1/2/u */
    { 0x067f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/1/2/c */
    { 0x0700, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/1/3/u */
    { 0x077f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/1/3/c */
    { 0x0800, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/2/0/u */
    { 0x087f, 0xaabf, 0x3a32, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d034,0) }, /* #10/2/0/c */
    { 0x0900, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/2/1/u */
    { 0x097f, 0xaabf, 0x3a32, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d034,0) }, /* #10/2/1/c */
    { 0x0a00, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/2/2/u */
    { 0x0a7f, 0xaabf, 0x3a32, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d034,0) }, /* #10/2/2/c */
    { 0x0b00, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/2/3/u */
    { 0x0b7f, 0xaabf, 0x3a32, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d034,0) }, /* #10/2/3/c */
    { 0x0c00, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/3/0/u */
    { 0x0c7f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/3/0/c */
    { 0x0d00, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/3/1/u */
    { 0x0d7f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/3/1/c */
    { 0x0e00, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/3/2/u */
    { 0x0e7f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/3/2/c */
    { 0x0f00, 0xaabf, 0xb882, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x86305,0) }, /* #10/3/3/u */
    { 0x0f7f, 0xaabf, 0x3832, RTFLOAT80U_INIT_C(0,0x86305,0), RTFLOAT80U_INIT_C(0,0x5d033,0) }, /* #10/3/3/c */
    { 0x0000, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/0/u */
    { 0x007f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/0/c */
    { 0x0100, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/1/u */
    { 0x017f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/1/c */
    { 0x0200, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/2/u */
    { 0x027f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/2/c */
    { 0x0300, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/3/u */
    { 0x037f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/0/3/c */
    { 0x0400, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/0/u */
    { 0x047f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/0/c */
    { 0x0500, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/1/u */
    { 0x057f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/1/c */
    { 0x0600, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/2/u */
    { 0x067f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/2/c */
    { 0x0700, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/3/u */
    { 0x077f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/1/3/c */
    { 0x0800, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/0/u */
    { 0x087f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/0/c */
    { 0x0900, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/1/u */
    { 0x097f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/1/c */
    { 0x0a00, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/2/u */
    { 0x0a7f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/2/c */
    { 0x0b00, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/3/u */
    { 0x0b7f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/2/3/c */
    { 0x0c00, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/0/u */
    { 0x0c7f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/0/c */
    { 0x0d00, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/1/u */
    { 0x0d7f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/1/c */
    { 0x0e00, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/2/u */
    { 0x0e7f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/2/c */
    { 0x0f00, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/3/u */
    { 0x0f7f, 0xa1dc, 0x3900, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #11/3/3/c */
    { 0x0000, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/0/u */
    { 0x007f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/0/c */
    { 0x0100, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/1/u */
    { 0x017f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/1/c */
    { 0x0200, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/2/u */
    { 0x027f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/2/c */
    { 0x0300, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/3/u */
    { 0x037f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/0/3/c */
    { 0x0400, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/0/u */
    { 0x047f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/0/c */
    { 0x0500, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/1/u */
    { 0x057f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/1/c */
    { 0x0600, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/2/u */
    { 0x067f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/2/c */
    { 0x0700, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/3/u */
    { 0x077f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/1/3/c */
    { 0x0800, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/0/u */
    { 0x087f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/0/c */
    { 0x0900, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/1/u */
    { 0x097f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/1/c */
    { 0x0a00, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/2/u */
    { 0x0a7f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/2/c */
    { 0x0b00, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/3/u */
    { 0x0b7f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/2/3/c */
    { 0x0c00, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/0/u */
    { 0x0c7f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/0/c */
    { 0x0d00, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/1/u */
    { 0x0d7f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/1/c */
    { 0x0e00, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/2/u */
    { 0x0e7f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/2/c */
    { 0x0f00, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/3/u */
    { 0x0f7f, 0x2be6, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #12/3/3/c */
    { 0x0000, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/0/u */
    { 0x007f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/0/c */
    { 0x0100, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/1/u */
    { 0x017f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/1/c */
    { 0x0200, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/2/u */
    { 0x027f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/2/c */
    { 0x0300, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/3/u */
    { 0x037f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/0/3/c */
    { 0x0400, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/0/u */
    { 0x047f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/0/c */
    { 0x0500, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/1/u */
    { 0x057f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/1/c */
    { 0x0600, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/2/u */
    { 0x067f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/2/c */
    { 0x0700, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/3/u */
    { 0x077f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/1/3/c */
    { 0x0800, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/0/u */
    { 0x087f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/0/c */
    { 0x0900, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/1/u */
    { 0x097f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/1/c */
    { 0x0a00, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/2/u */
    { 0x0a7f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/2/c */
    { 0x0b00, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/3/u */
    { 0x0b7f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/2/3/c */
    { 0x0c00, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/0/u */
    { 0x0c7f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/0/c */
    { 0x0d00, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/1/u */
    { 0x0d7f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/1/c */
    { 0x0e00, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/2/u */
    { 0x0e7f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/2/c */
    { 0x0f00, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/3/u */
    { 0x0f7f, 0xd2ef, 0x7800, RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767), RTFLOAT80U_INIT_C(0,0xc00017904a6adec4,32767) }, /* #13/3/3/c */
    { 0x0000, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/0/0/u */
    { 0x007f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/0/0/c */
    { 0x0100, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/0/1/u */
    { 0x017f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/0/1/c */
    { 0x0200, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/0/2/u */
    { 0x027f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/0/2/c */
    { 0x0300, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/0/3/u */
    { 0x037f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/0/3/c */
    { 0x0400, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/1/0/u */
    { 0x047f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/1/0/c */
    { 0x0500, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/1/1/u */
    { 0x057f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/1/1/c */
    { 0x0600, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/1/2/u */
    { 0x067f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/1/2/c */
    { 0x0700, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/1/3/u */
    { 0x077f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/1/3/c */
    { 0x0800, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/2/0/u */
    { 0x087f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/2/0/c */
    { 0x0900, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/2/1/u */
    { 0x097f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/2/1/c */
    { 0x0a00, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/2/2/u */
    { 0x0a7f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/2/2/c */
    { 0x0b00, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/2/3/u */
    { 0x0b7f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/2/3/c */
    { 0x0c00, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/3/0/u */
    { 0x0c7f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/3/0/c */
    { 0x0d00, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/3/1/u */
    { 0x0d7f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/3/1/c */
    { 0x0e00, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/3/2/u */
    { 0x0e7f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/3/2/c */
    { 0x0f00, 0xa139, 0xb981, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599) }, /* #14/3/3/u */
    { 0x0f7f, 0xa139, 0x3901, RTFLOAT80U_INIT_C(0,0x47029e15c5a0e8,19599), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #14/3/3/c */
    { 0x0000, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/0/u */
    { 0x007f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/0/c */
    { 0x0100, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/1/u */
    { 0x017f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/1/c */
    { 0x0200, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/2/u */
    { 0x027f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/2/c */
    { 0x0300, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/3/u */
    { 0x037f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/0/3/c */
    { 0x0400, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/0/u */
    { 0x047f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/0/c */
    { 0x0500, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/1/u */
    { 0x057f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/1/c */
    { 0x0600, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/2/u */
    { 0x067f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/2/c */
    { 0x0700, 0xef0b, 0xffa0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/3/u */
    { 0x077f, 0xef0b, 0x7f20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e025,13347) }, /* #15/1/3/c */
    { 0x0800, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/0/u */
    { 0x087f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/0/c */
    { 0x0900, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/1/u */
    { 0x097f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/1/c */
    { 0x0a00, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/2/u */
    { 0x0a7f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/2/c */
    { 0x0b00, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/3/u */
    { 0x0b7f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/2/3/c */
    { 0x0c00, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/0/u */
    { 0x0c7f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/0/c */
    { 0x0d00, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/1/u */
    { 0x0d7f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/1/c */
    { 0x0e00, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/2/u */
    { 0x0e7f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/2/c */
    { 0x0f00, 0xef0b, 0xfda0, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/3/u */
    { 0x0f7f, 0xef0b, 0x7d20, RTFLOAT80U_INIT_C(1,0xbad29e3c2259e13d,13347), RTFLOAT80U_INIT_C(1,0x817ee2afd112e024,13347) }, /* #15/3/3/c */
    { 0x0000, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/0/u */
    { 0x007f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/0/c */
    { 0x0100, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/1/u */
    { 0x017f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/1/c */
    { 0x0200, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/2/u */
    { 0x027f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/2/c */
    { 0x0300, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/3/u */
    { 0x037f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/0/3/c */
    { 0x0400, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/0/u */
    { 0x047f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/0/c */
    { 0x0500, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/1/u */
    { 0x057f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/1/c */
    { 0x0600, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/2/u */
    { 0x067f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/2/c */
    { 0x0700, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/3/u */
    { 0x077f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/1/3/c */
    { 0x0800, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/0/u */
    { 0x087f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/0/c */
    { 0x0900, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/1/u */
    { 0x097f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/1/c */
    { 0x0a00, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/2/u */
    { 0x0a7f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/2/c */
    { 0x0b00, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/3/u */
    { 0x0b7f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/2/3/c */
    { 0x0c00, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/0/u */
    { 0x0c7f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/0/c */
    { 0x0d00, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/1/u */
    { 0x0d7f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/1/c */
    { 0x0e00, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/2/u */
    { 0x0e7f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/2/c */
    { 0x0f00, 0xb923, 0xb9a0, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/3/u */
    { 0x0f7f, 0xb923, 0x3920, RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597), RTFLOAT80U_INIT_C(1,0xaf975d4be8fcd73e,32597) }, /* #16/3/3/c */
    { 0x0000, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/0/0/u */
    { 0x007f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/0/c */
    { 0x0100, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/0/1/u */
    { 0x017f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/1/c */
    { 0x0200, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/0/2/u */
    { 0x027f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/2/c */
    { 0x0300, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/0/3/u */
    { 0x037f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/3/c */
    { 0x0400, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/1/0/u */
    { 0x047f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/0/c */
    { 0x0500, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/1/1/u */
    { 0x057f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/1/c */
    { 0x0600, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/1/2/u */
    { 0x067f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/2/c */
    { 0x0700, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/1/3/u */
    { 0x077f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/3/c */
    { 0x0800, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/2/0/u */
    { 0x087f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/0/c */
    { 0x0900, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/2/1/u */
    { 0x097f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/1/c */
    { 0x0a00, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/2/2/u */
    { 0x0a7f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/2/c */
    { 0x0b00, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/2/3/u */
    { 0x0b7f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/3/c */
    { 0x0c00, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/3/0/u */
    { 0x0c7f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/0/c */
    { 0x0d00, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/3/1/u */
    { 0x0d7f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/1/c */
    { 0x0e00, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/3/2/u */
    { 0x0e7f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/2/c */
    { 0x0f00, 0xefd3, 0xfd81, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405) }, /* #17/3/3/u */
    { 0x0f7f, 0xefd3, 0x7d01, RTFLOAT80U_INIT_C(0,0x1e06971ff43e2d2,31405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/3/c */
    { 0x0000, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/0/0/u */
    { 0x007f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/0/0/c */
    { 0x0100, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/0/1/u */
    { 0x017f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/0/1/c */
    { 0x0200, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/0/2/u */
    { 0x027f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/0/2/c */
    { 0x0300, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/0/3/u */
    { 0x037f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/0/3/c */
    { 0x0400, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/1/0/u */
    { 0x047f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/1/0/c */
    { 0x0500, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/1/1/u */
    { 0x057f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/1/1/c */
    { 0x0600, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/1/2/u */
    { 0x067f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/1/2/c */
    { 0x0700, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/1/3/u */
    { 0x077f, 0xf044, 0x7a32, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa21,0) }, /* #18/1/3/c */
    { 0x0800, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/2/0/u */
    { 0x087f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/2/0/c */
    { 0x0900, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/2/1/u */
    { 0x097f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/2/1/c */
    { 0x0a00, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/2/2/u */
    { 0x0a7f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/2/2/c */
    { 0x0b00, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/2/3/u */
    { 0x0b7f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/2/3/c */
    { 0x0c00, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/3/0/u */
    { 0x0c7f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/3/0/c */
    { 0x0d00, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/3/1/u */
    { 0x0d7f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/3/1/c */
    { 0x0e00, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/3/2/u */
    { 0x0e7f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/3/2/c */
    { 0x0f00, 0xf044, 0xf882, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0) }, /* #18/3/3/u */
    { 0x0f7f, 0xf044, 0x7832, RTFLOAT80U_INIT_C(1,0x45213f2552f644ff,0), RTFLOAT80U_INIT_C(1,0x2feacbefd563aa20,0) }, /* #18/3/3/c */
    { 0x0000, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/0/u */
    { 0x007f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/0/c */
    { 0x0100, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/1/u */
    { 0x017f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/1/c */
    { 0x0200, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/2/u */
    { 0x027f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/2/c */
    { 0x0300, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/3/u */
    { 0x037f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/0/3/c */
    { 0x0400, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/0/u */
    { 0x047f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/0/c */
    { 0x0500, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/1/u */
    { 0x057f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/1/c */
    { 0x0600, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/2/u */
    { 0x067f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/2/c */
    { 0x0700, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/3/u */
    { 0x077f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/1/3/c */
    { 0x0800, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/0/u */
    { 0x087f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/0/c */
    { 0x0900, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/1/u */
    { 0x097f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/1/c */
    { 0x0a00, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/2/u */
    { 0x0a7f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/2/c */
    { 0x0b00, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/3/u */
    { 0x0b7f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/2/3/c */
    { 0x0c00, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/0/u */
    { 0x0c7f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/0/c */
    { 0x0d00, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/1/u */
    { 0x0d7f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/1/c */
    { 0x0e00, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/2/u */
    { 0x0e7f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/2/c */
    { 0x0f00, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/3/u */
    { 0x0f7f, 0x0fc1, 0x3d00, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #19/3/3/c */
    { 0x0000, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/0/u */
    { 0x007f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/0/c */
    { 0x0100, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/1/u */
    { 0x017f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/1/c */
    { 0x0200, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/2/u */
    { 0x027f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/2/c */
    { 0x0300, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/3/u */
    { 0x037f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/0/3/c */
    { 0x0400, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/0/u */
    { 0x047f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/0/c */
    { 0x0500, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/1/u */
    { 0x057f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/1/c */
    { 0x0600, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/2/u */
    { 0x067f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/2/c */
    { 0x0700, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/3/u */
    { 0x077f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/1/3/c */
    { 0x0800, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/0/u */
    { 0x087f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/0/c */
    { 0x0900, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/1/u */
    { 0x097f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/1/c */
    { 0x0a00, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/2/u */
    { 0x0a7f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/2/c */
    { 0x0b00, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/3/u */
    { 0x0b7f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/2/3/c */
    { 0x0c00, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/0/u */
    { 0x0c7f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/0/c */
    { 0x0d00, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/1/u */
    { 0x0d7f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/1/c */
    { 0x0e00, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/2/u */
    { 0x0e7f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/2/c */
    { 0x0f00, 0xb26a, 0xb8a0, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/3/u */
    { 0x0f7f, 0xb26a, 0x3820, RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339), RTFLOAT80U_INIT_C(1,0xc2aae0a3a5ec6444,28339) }, /* #20/3/3/c */
    { 0x0000, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/0/u */
    { 0x007f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/0/c */
    { 0x0100, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/1/u */
    { 0x017f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/1/c */
    { 0x0200, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/2/u */
    { 0x027f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/2/c */
    { 0x0300, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/3/u */
    { 0x037f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/0/3/c */
    { 0x0400, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/0/u */
    { 0x047f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/0/c */
    { 0x0500, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/1/u */
    { 0x057f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/1/c */
    { 0x0600, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/2/u */
    { 0x067f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/2/c */
    { 0x0700, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/3/u */
    { 0x077f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/1/3/c */
    { 0x0800, 0x64e5, 0xfea0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/0/u */
    { 0x087f, 0x64e5, 0x7e20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/0/c */
    { 0x0900, 0x64e5, 0xfea0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/1/u */
    { 0x097f, 0x64e5, 0x7e20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/1/c */
    { 0x0a00, 0x64e5, 0xfea0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/2/u */
    { 0x0a7f, 0x64e5, 0x7e20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/2/c */
    { 0x0b00, 0x64e5, 0xfea0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/3/u */
    { 0x0b7f, 0x64e5, 0x7e20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308dba,5045) }, /* #21/2/3/c */
    { 0x0c00, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/0/u */
    { 0x0c7f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/0/c */
    { 0x0d00, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/1/u */
    { 0x0d7f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/1/c */
    { 0x0e00, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/2/u */
    { 0x0e7f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/2/c */
    { 0x0f00, 0x64e5, 0xfca0, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/3/u */
    { 0x0f7f, 0x64e5, 0x7c20, RTFLOAT80U_INIT_C(0,0xb131d30d4df96859,5046), RTFLOAT80U_INIT_C(0,0xf5a4d76662308db9,5045) }, /* #21/3/3/c */
    { 0x0000, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/0/0/u */
    { 0x007f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/0/c */
    { 0x0100, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/0/1/u */
    { 0x017f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/1/c */
    { 0x0200, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/0/2/u */
    { 0x027f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/2/c */
    { 0x0300, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/0/3/u */
    { 0x037f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/3/c */
    { 0x0400, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/1/0/u */
    { 0x047f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/0/c */
    { 0x0500, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/1/1/u */
    { 0x057f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/1/c */
    { 0x0600, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/1/2/u */
    { 0x067f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/2/c */
    { 0x0700, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/1/3/u */
    { 0x077f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/3/c */
    { 0x0800, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/2/0/u */
    { 0x087f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/0/c */
    { 0x0900, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/2/1/u */
    { 0x097f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/1/c */
    { 0x0a00, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/2/2/u */
    { 0x0a7f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/2/c */
    { 0x0b00, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/2/3/u */
    { 0x0b7f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/3/c */
    { 0x0c00, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/3/0/u */
    { 0x0c7f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/0/c */
    { 0x0d00, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/3/1/u */
    { 0x0d7f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/1/c */
    { 0x0e00, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/3/2/u */
    { 0x0e7f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/2/c */
    { 0x0f00, 0xc9b8, 0xf981, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0x11,16821) }, /* #22/3/3/u */
    { 0x0f7f, 0xc9b8, 0x7901, RTFLOAT80U_INIT_C(1,0x11,16821), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/3/c */
    { 0x0000, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/0/0/u */
    { 0x007f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/0/0/c */
    { 0x0100, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/0/1/u */
    { 0x017f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/0/1/c */
    { 0x0200, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/0/2/u */
    { 0x027f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/0/2/c */
    { 0x0300, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/0/3/u */
    { 0x037f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/0/3/c */
    { 0x0400, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/1/0/u */
    { 0x047f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/1/0/c */
    { 0x0500, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/1/1/u */
    { 0x057f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/1/1/c */
    { 0x0600, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/1/2/u */
    { 0x067f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/1/2/c */
    { 0x0700, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/1/3/u */
    { 0x077f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/1/3/c */
    { 0x0800, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/2/0/u */
    { 0x087f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/2/0/c */
    { 0x0900, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/2/1/u */
    { 0x097f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/2/1/c */
    { 0x0a00, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/2/2/u */
    { 0x0a7f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/2/2/c */
    { 0x0b00, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/2/3/u */
    { 0x0b7f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/2/3/c */
    { 0x0c00, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/3/0/u */
    { 0x0c7f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/3/0/c */
    { 0x0d00, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/3/1/u */
    { 0x0d7f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/3/1/c */
    { 0x0e00, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/3/2/u */
    { 0x0e7f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/3/2/c */
    { 0x0f00, 0x3191, 0xb981, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767) }, /* #23/3/3/u */
    { 0x0f7f, 0x3191, 0x3901, RTFLOAT80U_INIT_C(1,0x800000005eb05d37,32767), RTFLOAT80U_INIT_C(1,0xc00000005eb05d37,32767) }, /* #23/3/3/c */
    { 0x0000, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/0/u */
    { 0x007f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/0/c */
    { 0x0100, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/1/u */
    { 0x017f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/1/c */
    { 0x0200, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/2/u */
    { 0x027f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/2/c */
    { 0x0300, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/3/u */
    { 0x037f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/0/3/c */
    { 0x0400, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/0/u */
    { 0x047f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/0/c */
    { 0x0500, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/1/u */
    { 0x057f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/1/c */
    { 0x0600, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/2/u */
    { 0x067f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/2/c */
    { 0x0700, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/3/u */
    { 0x077f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/1/3/c */
    { 0x0800, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/0/u */
    { 0x087f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/0/c */
    { 0x0900, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/1/u */
    { 0x097f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/1/c */
    { 0x0a00, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/2/u */
    { 0x0a7f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/2/c */
    { 0x0b00, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/3/u */
    { 0x0b7f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/2/3/c */
    { 0x0c00, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/0/u */
    { 0x0c7f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/0/c */
    { 0x0d00, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/1/u */
    { 0x0d7f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/1/c */
    { 0x0e00, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/2/u */
    { 0x0e7f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/2/c */
    { 0x0f00, 0x2f33, 0xbda0, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/3/u */
    { 0x0f7f, 0x2f33, 0x3d20, RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873), RTFLOAT80U_INIT_C(1,0xe32be2142c1243f6,16873) }, /* #24/3/3/c */
    { 0x0000, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/0/u */
    { 0x007f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/0/c */
    { 0x0100, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/1/u */
    { 0x017f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/1/c */
    { 0x0200, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/2/u */
    { 0x027f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/2/c */
    { 0x0300, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/3/u */
    { 0x037f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/0/3/c */
    { 0x0400, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/0/u */
    { 0x047f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/0/c */
    { 0x0500, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/1/u */
    { 0x057f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/1/c */
    { 0x0600, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/2/u */
    { 0x067f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/2/c */
    { 0x0700, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/3/u */
    { 0x077f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/1/3/c */
    { 0x0800, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/0/u */
    { 0x087f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/0/c */
    { 0x0900, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/1/u */
    { 0x097f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/1/c */
    { 0x0a00, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/2/u */
    { 0x0a7f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/2/c */
    { 0x0b00, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/3/u */
    { 0x0b7f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/2/3/c */
    { 0x0c00, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/0/u */
    { 0x0c7f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/0/c */
    { 0x0d00, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/1/u */
    { 0x0d7f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/1/c */
    { 0x0e00, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/2/u */
    { 0x0e7f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/2/c */
    { 0x0f00, 0x6a30, 0xf8a0, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/3/u */
    { 0x0f7f, 0x6a30, 0x7820, RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694), RTFLOAT80U_INIT_C(1,0xeafc90a4058eef3d,29694) }, /* #25/3/3/c */
    { 0x0000, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/0/u */
    { 0x007f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/0/c */
    { 0x0100, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/1/u */
    { 0x017f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/1/c */
    { 0x0200, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/2/u */
    { 0x027f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/2/c */
    { 0x0300, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/3/u */
    { 0x037f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/0/3/c */
    { 0x0400, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/0/u */
    { 0x047f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/0/c */
    { 0x0500, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/1/u */
    { 0x057f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/1/c */
    { 0x0600, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/2/u */
    { 0x067f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/2/c */
    { 0x0700, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/3/u */
    { 0x077f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/1/3/c */
    { 0x0800, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/0/u */
    { 0x087f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/0/c */
    { 0x0900, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/1/u */
    { 0x097f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/1/c */
    { 0x0a00, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/2/u */
    { 0x0a7f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/2/c */
    { 0x0b00, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/3/u */
    { 0x0b7f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/2/3/c */
    { 0x0c00, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/0/u */
    { 0x0c7f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/0/c */
    { 0x0d00, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/1/u */
    { 0x0d7f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/1/c */
    { 0x0e00, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/2/u */
    { 0x0e7f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/2/c */
    { 0x0f00, 0xd3b2, 0xf9a0, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/3/u */
    { 0x0f7f, 0xd3b2, 0x7920, RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651), RTFLOAT80U_INIT_C(0,0xcd917e6a53c1a278,26651) }, /* #26/3/3/c */
    { 0x0000, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/0/u */
    { 0x007f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/0/c */
    { 0x0100, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/1/u */
    { 0x017f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/1/c */
    { 0x0200, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/2/u */
    { 0x027f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/2/c */
    { 0x0300, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/3/u */
    { 0x037f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/0/3/c */
    { 0x0400, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/0/u */
    { 0x047f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/0/c */
    { 0x0500, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/1/u */
    { 0x057f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/1/c */
    { 0x0600, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/2/u */
    { 0x067f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/2/c */
    { 0x0700, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/3/u */
    { 0x077f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/1/3/c */
    { 0x0800, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/0/u */
    { 0x087f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/0/c */
    { 0x0900, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/1/u */
    { 0x097f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/1/c */
    { 0x0a00, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/2/u */
    { 0x0a7f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/2/c */
    { 0x0b00, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/3/u */
    { 0x0b7f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/2/3/c */
    { 0x0c00, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/0/u */
    { 0x0c7f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/0/c */
    { 0x0d00, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/1/u */
    { 0x0d7f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/1/c */
    { 0x0e00, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/2/u */
    { 0x0e7f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/2/c */
    { 0x0f00, 0x5447, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/3/u */
    { 0x0f7f, 0x5447, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112), RTFLOAT80U_INIT_C(1,0xd0c5947a86c48822,24112) }, /* #27/3/3/c */
    { 0x0000, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/0/u */
    { 0x007f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/0/c */
    { 0x0100, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/1/u */
    { 0x017f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/1/c */
    { 0x0200, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/2/u */
    { 0x027f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/2/c */
    { 0x0300, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/3/u */
    { 0x037f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/0/3/c */
    { 0x0400, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/0/u */
    { 0x047f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/0/c */
    { 0x0500, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/1/u */
    { 0x057f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/1/c */
    { 0x0600, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/2/u */
    { 0x067f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/2/c */
    { 0x0700, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/3/u */
    { 0x077f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/1/3/c */
    { 0x0800, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/0/u */
    { 0x087f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/0/c */
    { 0x0900, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/1/u */
    { 0x097f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/1/c */
    { 0x0a00, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/2/u */
    { 0x0a7f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/2/c */
    { 0x0b00, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/3/u */
    { 0x0b7f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/2/3/c */
    { 0x0c00, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/0/u */
    { 0x0c7f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/0/c */
    { 0x0d00, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/1/u */
    { 0x0d7f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/1/c */
    { 0x0e00, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/2/u */
    { 0x0e7f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/2/c */
    { 0x0f00, 0xbe72, 0xbca0, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/3/u */
    { 0x0f7f, 0xbe72, 0x3c20, RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757), RTFLOAT80U_INIT_C(1,0xb15401b89dc21683,28757) }, /* #28/3/3/c */
    { 0x0000, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/0/0/u */
    { 0x007f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/0/c */
    { 0x0100, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/0/1/u */
    { 0x017f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/1/c */
    { 0x0200, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/0/2/u */
    { 0x027f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/2/c */
    { 0x0300, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/0/3/u */
    { 0x037f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/3/c */
    { 0x0400, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/1/0/u */
    { 0x047f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/0/c */
    { 0x0500, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/1/1/u */
    { 0x057f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/1/c */
    { 0x0600, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/1/2/u */
    { 0x067f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/2/c */
    { 0x0700, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/1/3/u */
    { 0x077f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/3/c */
    { 0x0800, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/2/0/u */
    { 0x087f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/0/c */
    { 0x0900, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/2/1/u */
    { 0x097f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/1/c */
    { 0x0a00, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/2/2/u */
    { 0x0a7f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/2/c */
    { 0x0b00, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/2/3/u */
    { 0x0b7f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/3/c */
    { 0x0c00, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/3/0/u */
    { 0x0c7f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/0/c */
    { 0x0d00, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/3/1/u */
    { 0x0d7f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/1/c */
    { 0x0e00, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/3/2/u */
    { 0x0e7f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/2/c */
    { 0x0f00, 0xb33b, 0xb981, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057) }, /* #29/3/3/u */
    { 0x0f7f, 0xb33b, 0x3901, RTFLOAT80U_INIT_C(1,0x8350c606863313a,6057), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/3/c */
    { 0x0000, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/0/u */
    { 0x007f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/0/c */
    { 0x0100, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/1/u */
    { 0x017f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/1/c */
    { 0x0200, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/2/u */
    { 0x027f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/2/c */
    { 0x0300, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/3/u */
    { 0x037f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/0/3/c */
    { 0x0400, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/0/u */
    { 0x047f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/0/c */
    { 0x0500, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/1/u */
    { 0x057f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/1/c */
    { 0x0600, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/2/u */
    { 0x067f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/2/c */
    { 0x0700, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/3/u */
    { 0x077f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/1/3/c */
    { 0x0800, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/0/u */
    { 0x087f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/0/c */
    { 0x0900, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/1/u */
    { 0x097f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/1/c */
    { 0x0a00, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/2/u */
    { 0x0a7f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/2/c */
    { 0x0b00, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/3/u */
    { 0x0b7f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/2/3/c */
    { 0x0c00, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/0/u */
    { 0x0c7f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/0/c */
    { 0x0d00, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/1/u */
    { 0x0d7f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/1/c */
    { 0x0e00, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/2/u */
    { 0x0e7f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/2/c */
    { 0x0f00, 0x10c6, 0xb8a0, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/3/u */
    { 0x0f7f, 0x10c6, 0x3820, RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539), RTFLOAT80U_INIT_C(0,0xf00ae39c9ba12327,20539) }, /* #30/3/3/c */
    { 0x0000, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/0/u */
    { 0x007f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/0/c */
    { 0x0100, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/1/u */
    { 0x017f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/1/c */
    { 0x0200, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/2/u */
    { 0x027f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/2/c */
    { 0x0300, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/3/u */
    { 0x037f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/0/3/c */
    { 0x0400, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/0/u */
    { 0x047f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/0/c */
    { 0x0500, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/1/u */
    { 0x057f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/1/c */
    { 0x0600, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/2/u */
    { 0x067f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/2/c */
    { 0x0700, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/3/u */
    { 0x077f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/1/3/c */
    { 0x0800, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/0/u */
    { 0x087f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/0/c */
    { 0x0900, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/1/u */
    { 0x097f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/1/c */
    { 0x0a00, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/2/u */
    { 0x0a7f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/2/c */
    { 0x0b00, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/3/u */
    { 0x0b7f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/2/3/c */
    { 0x0c00, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/0/u */
    { 0x0c7f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/0/c */
    { 0x0d00, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/1/u */
    { 0x0d7f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/1/c */
    { 0x0e00, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/2/u */
    { 0x0e7f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/2/c */
    { 0x0f00, 0x973f, 0xbda0, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/3/u */
    { 0x0f7f, 0x973f, 0x3d20, RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633), RTFLOAT80U_INIT_C(1,0x8c850baeeac966ef,29633) }, /* #31/3/3/c */
    { 0x0000, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/0/0/u */
    { 0x007f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/0/c */
    { 0x0100, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/0/1/u */
    { 0x017f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/1/c */
    { 0x0200, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/0/2/u */
    { 0x027f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/2/c */
    { 0x0300, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/0/3/u */
    { 0x037f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/3/c */
    { 0x0400, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/1/0/u */
    { 0x047f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/0/c */
    { 0x0500, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/1/1/u */
    { 0x057f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/1/c */
    { 0x0600, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/1/2/u */
    { 0x067f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/2/c */
    { 0x0700, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/1/3/u */
    { 0x077f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/3/c */
    { 0x0800, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/2/0/u */
    { 0x087f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/0/c */
    { 0x0900, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/2/1/u */
    { 0x097f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/1/c */
    { 0x0a00, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/2/2/u */
    { 0x0a7f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/2/c */
    { 0x0b00, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/2/3/u */
    { 0x0b7f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/3/c */
    { 0x0c00, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/3/0/u */
    { 0x0c7f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/0/c */
    { 0x0d00, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/3/1/u */
    { 0x0d7f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/1/c */
    { 0x0e00, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/3/2/u */
    { 0x0e7f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/2/c */
    { 0x0f00, 0xf93b, 0xf981, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147) }, /* #32/3/3/u */
    { 0x0f7f, 0xf93b, 0x7901, RTFLOAT80U_INIT_C(1,0x72b87f8453fbb733,28147), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/3/c */
    { 0x0000, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/0/u */
    { 0x007f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/0/c */
    { 0x0100, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/1/u */
    { 0x017f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/1/c */
    { 0x0200, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/2/u */
    { 0x027f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/2/c */
    { 0x0300, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/3/u */
    { 0x037f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/0/3/c */
    { 0x0400, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/0/u */
    { 0x047f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/0/c */
    { 0x0500, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/1/u */
    { 0x057f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/1/c */
    { 0x0600, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/2/u */
    { 0x067f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/2/c */
    { 0x0700, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/3/u */
    { 0x077f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/1/3/c */
    { 0x0800, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/0/u */
    { 0x087f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/0/c */
    { 0x0900, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/1/u */
    { 0x097f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/1/c */
    { 0x0a00, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/2/u */
    { 0x0a7f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/2/c */
    { 0x0b00, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/3/u */
    { 0x0b7f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/2/3/c */
    { 0x0c00, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/0/u */
    { 0x0c7f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/0/c */
    { 0x0d00, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/1/u */
    { 0x0d7f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/1/c */
    { 0x0e00, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/2/u */
    { 0x0e7f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/2/c */
    { 0x0f00, 0xf7aa, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/3/u */
    { 0x0f7f, 0xf7aa, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030), RTFLOAT80U_INIT_C(0,0xbd6070955a3aafdf,26030) }, /* #33/3/3/c */
    { 0x0000, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/0/u */
    { 0x007f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/0/c */
    { 0x0100, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/1/u */
    { 0x017f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/1/c */
    { 0x0200, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/2/u */
    { 0x027f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/2/c */
    { 0x0300, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/3/u */
    { 0x037f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/0/3/c */
    { 0x0400, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/0/u */
    { 0x047f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/0/c */
    { 0x0500, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/1/u */
    { 0x057f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/1/c */
    { 0x0600, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/2/u */
    { 0x067f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/2/c */
    { 0x0700, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/3/u */
    { 0x077f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/1/3/c */
    { 0x0800, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/0/u */
    { 0x087f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/0/c */
    { 0x0900, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/1/u */
    { 0x097f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/1/c */
    { 0x0a00, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/2/u */
    { 0x0a7f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/2/c */
    { 0x0b00, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/3/u */
    { 0x0b7f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/2/3/c */
    { 0x0c00, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/0/u */
    { 0x0c7f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/0/c */
    { 0x0d00, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/1/u */
    { 0x0d7f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/1/c */
    { 0x0e00, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/2/u */
    { 0x0e7f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/2/c */
    { 0x0f00, 0x114f, 0xb9a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/3/u */
    { 0x0f7f, 0x114f, 0x3920, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #34/3/3/c */
    { 0x0000, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/0/u */
    { 0x007f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/0/c */
    { 0x0100, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/1/u */
    { 0x017f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/1/c */
    { 0x0200, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/2/u */
    { 0x027f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/2/c */
    { 0x0300, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/3/u */
    { 0x037f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/0/3/c */
    { 0x0400, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/0/u */
    { 0x047f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/0/c */
    { 0x0500, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/1/u */
    { 0x057f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/1/c */
    { 0x0600, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/2/u */
    { 0x067f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/2/c */
    { 0x0700, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/3/u */
    { 0x077f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/1/3/c */
    { 0x0800, 0xaf52, 0xbfa0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/0/u */
    { 0x087f, 0xaf52, 0x3f20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/0/c */
    { 0x0900, 0xaf52, 0xbfa0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/1/u */
    { 0x097f, 0xaf52, 0x3f20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/1/c */
    { 0x0a00, 0xaf52, 0xbfa0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/2/u */
    { 0x0a7f, 0xaf52, 0x3f20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/2/c */
    { 0x0b00, 0xaf52, 0xbfa0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/3/u */
    { 0x0b7f, 0xaf52, 0x3f20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f83,4317) }, /* #35/2/3/c */
    { 0x0c00, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/0/u */
    { 0x0c7f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/0/c */
    { 0x0d00, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/1/u */
    { 0x0d7f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/1/c */
    { 0x0e00, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/2/u */
    { 0x0e7f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/2/c */
    { 0x0f00, 0xaf52, 0xbda0, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/3/u */
    { 0x0f7f, 0xaf52, 0x3d20, RTFLOAT80U_INIT_C(0,0xe3c989aecd7599e1,4317), RTFLOAT80U_INIT_C(0,0x9de3dd44c9687f82,4317) }, /* #35/3/3/c */
    { 0x0000, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/0/u */
    { 0x007f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/0/c */
    { 0x0100, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/1/u */
    { 0x017f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/1/c */
    { 0x0200, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/2/u */
    { 0x027f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/2/c */
    { 0x0300, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/3/u */
    { 0x037f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/0/3/c */
    { 0x0400, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/0/u */
    { 0x047f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/0/c */
    { 0x0500, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/1/u */
    { 0x057f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/1/c */
    { 0x0600, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/2/u */
    { 0x067f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/2/c */
    { 0x0700, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/3/u */
    { 0x077f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/1/3/c */
    { 0x0800, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/0/u */
    { 0x087f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/0/c */
    { 0x0900, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/1/u */
    { 0x097f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/1/c */
    { 0x0a00, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/2/u */
    { 0x0a7f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/2/c */
    { 0x0b00, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/3/u */
    { 0x0b7f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/2/3/c */
    { 0x0c00, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/0/u */
    { 0x0c7f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/0/c */
    { 0x0d00, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/1/u */
    { 0x0d7f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/1/c */
    { 0x0e00, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/2/u */
    { 0x0e7f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/2/c */
    { 0x0f00, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/3/u */
    { 0x0f7f, 0x5ac2, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #36/3/3/c */
    { 0x0000, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/0/u */
    { 0x007f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/0/c */
    { 0x0100, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/1/u */
    { 0x017f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/1/c */
    { 0x0200, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/2/u */
    { 0x027f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/2/c */
    { 0x0300, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/3/u */
    { 0x037f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/0/3/c */
    { 0x0400, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/0/u */
    { 0x047f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/0/c */
    { 0x0500, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/1/u */
    { 0x057f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/1/c */
    { 0x0600, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/2/u */
    { 0x067f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/2/c */
    { 0x0700, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/3/u */
    { 0x077f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/1/3/c */
    { 0x0800, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/0/u */
    { 0x087f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/0/c */
    { 0x0900, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/1/u */
    { 0x097f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/1/c */
    { 0x0a00, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/2/u */
    { 0x0a7f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/2/c */
    { 0x0b00, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/3/u */
    { 0x0b7f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/2/3/c */
    { 0x0c00, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/0/u */
    { 0x0c7f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/0/c */
    { 0x0d00, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/1/u */
    { 0x0d7f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/1/c */
    { 0x0e00, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/2/u */
    { 0x0e7f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/2/c */
    { 0x0f00, 0x6f8e, 0xfda0, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/3/u */
    { 0x0f7f, 0x6f8e, 0x7d20, RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385), RTFLOAT80U_INIT_C(0,0xbd0e25df5a168752,29385) }, /* #37/3/3/c */
    { 0x0000, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/0/0/u */
    { 0x007f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/0/0/c */
    { 0x0100, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/0/1/u */
    { 0x017f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/0/1/c */
    { 0x0200, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/0/2/u */
    { 0x027f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/0/2/c */
    { 0x0300, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/0/3/u */
    { 0x037f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/0/3/c */
    { 0x0400, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/1/0/u */
    { 0x047f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/1/0/c */
    { 0x0500, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/1/1/u */
    { 0x057f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/1/1/c */
    { 0x0600, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/1/2/u */
    { 0x067f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/1/2/c */
    { 0x0700, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/1/3/u */
    { 0x077f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/1/3/c */
    { 0x0800, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/2/0/u */
    { 0x087f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/2/0/c */
    { 0x0900, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/2/1/u */
    { 0x097f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/2/1/c */
    { 0x0a00, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/2/2/u */
    { 0x0a7f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/2/2/c */
    { 0x0b00, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/2/3/u */
    { 0x0b7f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/2/3/c */
    { 0x0c00, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/3/0/u */
    { 0x0c7f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/3/0/c */
    { 0x0d00, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/3/1/u */
    { 0x0d7f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/3/1/c */
    { 0x0e00, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/3/2/u */
    { 0x0e7f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/3/2/c */
    { 0x0f00, 0x4376, 0xf981, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767) }, /* #38/3/3/u */
    { 0x0f7f, 0x4376, 0x7901, RTFLOAT80U_INIT_C(1,0x53e5d986ba77df4f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #38/3/3/c */
    { 0x0000, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/0/0/u */
    { 0x007f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/0/c */
    { 0x0100, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/0/1/u */
    { 0x017f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/1/c */
    { 0x0200, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/0/2/u */
    { 0x027f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/2/c */
    { 0x0300, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/0/3/u */
    { 0x037f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/3/c */
    { 0x0400, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/1/0/u */
    { 0x047f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/0/c */
    { 0x0500, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/1/1/u */
    { 0x057f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/1/c */
    { 0x0600, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/1/2/u */
    { 0x067f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/2/c */
    { 0x0700, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/1/3/u */
    { 0x077f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/3/c */
    { 0x0800, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/2/0/u */
    { 0x087f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/0/c */
    { 0x0900, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/2/1/u */
    { 0x097f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/1/c */
    { 0x0a00, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/2/2/u */
    { 0x0a7f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/2/c */
    { 0x0b00, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/2/3/u */
    { 0x0b7f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/3/c */
    { 0x0c00, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/3/0/u */
    { 0x0c7f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/0/c */
    { 0x0d00, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/3/1/u */
    { 0x0d7f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/1/c */
    { 0x0e00, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/3/2/u */
    { 0x0e7f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/2/c */
    { 0x0f00, 0xb4b2, 0xbc81, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113) }, /* #39/3/3/u */
    { 0x0f7f, 0xb4b2, 0x3c01, RTFLOAT80U_INIT_C(1,0x4c4d650e6e77161f,113), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/3/c */
    { 0x0000, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/0/0/u */
    { 0x007f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/0/c */
    { 0x0100, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/0/1/u */
    { 0x017f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/1/c */
    { 0x0200, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/0/2/u */
    { 0x027f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/2/c */
    { 0x0300, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/0/3/u */
    { 0x037f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/3/c */
    { 0x0400, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/1/0/u */
    { 0x047f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/0/c */
    { 0x0500, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/1/1/u */
    { 0x057f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/1/c */
    { 0x0600, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/1/2/u */
    { 0x067f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/2/c */
    { 0x0700, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/1/3/u */
    { 0x077f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/3/c */
    { 0x0800, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/2/0/u */
    { 0x087f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/0/c */
    { 0x0900, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/2/1/u */
    { 0x097f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/1/c */
    { 0x0a00, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/2/2/u */
    { 0x0a7f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/2/c */
    { 0x0b00, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/2/3/u */
    { 0x0b7f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/3/c */
    { 0x0c00, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/3/0/u */
    { 0x0c7f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/0/c */
    { 0x0d00, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/3/1/u */
    { 0x0d7f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/1/c */
    { 0x0e00, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/3/2/u */
    { 0x0e7f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/2/c */
    { 0x0f00, 0x1cf7, 0xbc81, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767) }, /* #40/3/3/u */
    { 0x0f7f, 0x1cf7, 0x3c01, RTFLOAT80U_INIT_C(1,0x6d8a75b228c6380f,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/3/c */
    { 0x0000, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/0/u */
    { 0x007f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/0/c */
    { 0x0100, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/1/u */
    { 0x017f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/1/c */
    { 0x0200, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/2/u */
    { 0x027f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/2/c */
    { 0x0300, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/3/u */
    { 0x037f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/0/3/c */
    { 0x0400, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/0/u */
    { 0x047f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/0/c */
    { 0x0500, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/1/u */
    { 0x057f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/1/c */
    { 0x0600, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/2/u */
    { 0x067f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/2/c */
    { 0x0700, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/3/u */
    { 0x077f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/1/3/c */
    { 0x0800, 0xe921, 0xfba0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/0/u */
    { 0x087f, 0xe921, 0x7b20, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/0/c */
    { 0x0900, 0xe921, 0xfba0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/1/u */
    { 0x097f, 0xe921, 0x7b20, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/1/c */
    { 0x0a00, 0xe921, 0xfba0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/2/u */
    { 0x0a7f, 0xe921, 0x7b20, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/2/c */
    { 0x0b00, 0xe921, 0xfba0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/3/u */
    { 0x0b7f, 0xe921, 0x7b20, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c29a,4595) }, /* #41/2/3/c */
    { 0x0c00, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/0/u */
    { 0x0c7f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/0/c */
    { 0x0d00, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/1/u */
    { 0x0d7f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/1/c */
    { 0x0e00, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/2/u */
    { 0x0e7f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/2/c */
    { 0x0f00, 0xe921, 0xf9a0, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/3/u */
    { 0x0f7f, 0xe921, 0x7920, RTFLOAT80U_INIT_C(0,0xf7bd495b8e8dae87,4595), RTFLOAT80U_INIT_C(0,0xabb84934cc98c299,4595) }, /* #41/3/3/c */
    { 0x0000, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/0/u */
    { 0x007f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/0/c */
    { 0x0100, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/1/u */
    { 0x017f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/1/c */
    { 0x0200, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/2/u */
    { 0x027f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/2/c */
    { 0x0300, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/3/u */
    { 0x037f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/0/3/c */
    { 0x0400, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/0/u */
    { 0x047f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/0/c */
    { 0x0500, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/1/u */
    { 0x057f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/1/c */
    { 0x0600, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/2/u */
    { 0x067f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/2/c */
    { 0x0700, 0xe2f7, 0xfaa0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/3/u */
    { 0x077f, 0xe2f7, 0x7a20, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1ea,10704) }, /* #42/1/3/c */
    { 0x0800, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/0/u */
    { 0x087f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/0/c */
    { 0x0900, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/1/u */
    { 0x097f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/1/c */
    { 0x0a00, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/2/u */
    { 0x0a7f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/2/c */
    { 0x0b00, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/3/u */
    { 0x0b7f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/2/3/c */
    { 0x0c00, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/0/u */
    { 0x0c7f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/0/c */
    { 0x0d00, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/1/u */
    { 0x0d7f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/1/c */
    { 0x0e00, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/2/u */
    { 0x0e7f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/2/c */
    { 0x0f00, 0xe2f7, 0xf8a0, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/3/u */
    { 0x0f7f, 0xe2f7, 0x7820, RTFLOAT80U_INIT_C(1,0xb4af3148b1ac828d,10705), RTFLOAT80U_INIT_C(1,0xfa7b5003b785e1e9,10704) }, /* #42/3/3/c */
    { 0x0000, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/0/u */
    { 0x007f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/0/c */
    { 0x0100, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/1/u */
    { 0x017f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/1/c */
    { 0x0200, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/2/u */
    { 0x027f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/2/c */
    { 0x0300, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/3/u */
    { 0x037f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/0/3/c */
    { 0x0400, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/0/u */
    { 0x047f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/0/c */
    { 0x0500, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/1/u */
    { 0x057f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/1/c */
    { 0x0600, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/2/u */
    { 0x067f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/2/c */
    { 0x0700, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/3/u */
    { 0x077f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/1/3/c */
    { 0x0800, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/0/u */
    { 0x087f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/0/c */
    { 0x0900, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/1/u */
    { 0x097f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/1/c */
    { 0x0a00, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/2/u */
    { 0x0a7f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/2/c */
    { 0x0b00, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/3/u */
    { 0x0b7f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/2/3/c */
    { 0x0c00, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/0/u */
    { 0x0c7f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/0/c */
    { 0x0d00, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/1/u */
    { 0x0d7f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/1/c */
    { 0x0e00, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/2/u */
    { 0x0e7f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/2/c */
    { 0x0f00, 0x56dc, 0xfca0, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/3/u */
    { 0x0f7f, 0x56dc, 0x7c20, RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486), RTFLOAT80U_INIT_C(1,0xba1262ae0a23e318,19486) }, /* #43/3/3/c */
    { 0x0000, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/0/u */
    { 0x007f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/0/c */
    { 0x0100, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/1/u */
    { 0x017f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/1/c */
    { 0x0200, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/2/u */
    { 0x027f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/2/c */
    { 0x0300, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/3/u */
    { 0x037f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/0/3/c */
    { 0x0400, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/0/u */
    { 0x047f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/0/c */
    { 0x0500, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/1/u */
    { 0x057f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/1/c */
    { 0x0600, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/2/u */
    { 0x067f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/2/c */
    { 0x0700, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/3/u */
    { 0x077f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/1/3/c */
    { 0x0800, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/0/u */
    { 0x087f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/0/c */
    { 0x0900, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/1/u */
    { 0x097f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/1/c */
    { 0x0a00, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/2/u */
    { 0x0a7f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/2/c */
    { 0x0b00, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/3/u */
    { 0x0b7f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/2/3/c */
    { 0x0c00, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/0/u */
    { 0x0c7f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/0/c */
    { 0x0d00, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/1/u */
    { 0x0d7f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/1/c */
    { 0x0e00, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/2/u */
    { 0x0e7f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/2/c */
    { 0x0f00, 0xe9bd, 0xf9a0, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/3/u */
    { 0x0f7f, 0xe9bd, 0x7920, RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770), RTFLOAT80U_INIT_C(1,0xb933d3087e37acd4,28770) }, /* #44/3/3/c */
    { 0x0000, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/0/0/u */
    { 0x007f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/0/0/c */
    { 0x0100, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/0/1/u */
    { 0x017f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/0/1/c */
    { 0x0200, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/0/2/u */
    { 0x027f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/0/2/c */
    { 0x0300, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/0/3/u */
    { 0x037f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/0/3/c */
    { 0x0400, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/1/0/u */
    { 0x047f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/1/0/c */
    { 0x0500, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/1/1/u */
    { 0x057f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/1/1/c */
    { 0x0600, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/1/2/u */
    { 0x067f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/1/2/c */
    { 0x0700, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/1/3/u */
    { 0x077f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/1/3/c */
    { 0x0800, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/2/0/u */
    { 0x087f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/2/0/c */
    { 0x0900, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/2/1/u */
    { 0x097f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/2/1/c */
    { 0x0a00, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/2/2/u */
    { 0x0a7f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/2/2/c */
    { 0x0b00, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/2/3/u */
    { 0x0b7f, 0x1613, 0x3e32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd84,0) }, /* #45/2/3/c */
    { 0x0c00, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/3/0/u */
    { 0x0c7f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/3/0/c */
    { 0x0d00, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/3/1/u */
    { 0x0d7f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/3/1/c */
    { 0x0e00, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/3/2/u */
    { 0x0e7f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/3/2/c */
    { 0x0f00, 0x1613, 0xbc82, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x80000000000000fb,0) }, /* #45/3/3/u */
    { 0x0f7f, 0x1613, 0x3c32, RTFLOAT80U_INIT_C(0,0x80000000000000fb,0), RTFLOAT80U_INIT_C(0,0x58b90bfbe8e7bd83,0) }, /* #45/3/3/c */
    { 0x0000, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/0/u */
    { 0x007f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/0/c */
    { 0x0100, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/1/u */
    { 0x017f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/1/c */
    { 0x0200, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/2/u */
    { 0x027f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/2/c */
    { 0x0300, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/3/u */
    { 0x037f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/0/3/c */
    { 0x0400, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/0/u */
    { 0x047f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/0/c */
    { 0x0500, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/1/u */
    { 0x057f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/1/c */
    { 0x0600, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/2/u */
    { 0x067f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/2/c */
    { 0x0700, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/3/u */
    { 0x077f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/1/3/c */
    { 0x0800, 0xb106, 0xbba0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/0/u */
    { 0x087f, 0xb106, 0x3b20, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/0/c */
    { 0x0900, 0xb106, 0xbba0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/1/u */
    { 0x097f, 0xb106, 0x3b20, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/1/c */
    { 0x0a00, 0xb106, 0xbba0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/2/u */
    { 0x0a7f, 0xb106, 0x3b20, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/2/c */
    { 0x0b00, 0xb106, 0xbba0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/3/u */
    { 0x0b7f, 0xb106, 0x3b20, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f6,1113) }, /* #46/2/3/c */
    { 0x0c00, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/0/u */
    { 0x0c7f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/0/c */
    { 0x0d00, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/1/u */
    { 0x0d7f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/1/c */
    { 0x0e00, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/2/u */
    { 0x0e7f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/2/c */
    { 0x0f00, 0xb106, 0xb9a0, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/3/u */
    { 0x0f7f, 0xb106, 0x3920, RTFLOAT80U_INIT_C(0,0xaa7f4dcd553d48ef,1114), RTFLOAT80U_INIT_C(0,0xec5c02e433d9e9f5,1113) }, /* #46/3/3/c */
    { 0x0000, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/0/u */
    { 0x007f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/0/c */
    { 0x0100, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/1/u */
    { 0x017f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/1/c */
    { 0x0200, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/2/u */
    { 0x027f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/2/c */
    { 0x0300, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/3/u */
    { 0x037f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/0/3/c */
    { 0x0400, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/0/u */
    { 0x047f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/0/c */
    { 0x0500, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/1/u */
    { 0x057f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/1/c */
    { 0x0600, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/2/u */
    { 0x067f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/2/c */
    { 0x0700, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/3/u */
    { 0x077f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/1/3/c */
    { 0x0800, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/0/u */
    { 0x087f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/0/c */
    { 0x0900, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/1/u */
    { 0x097f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/1/c */
    { 0x0a00, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/2/u */
    { 0x0a7f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/2/c */
    { 0x0b00, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/3/u */
    { 0x0b7f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/2/3/c */
    { 0x0c00, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/0/u */
    { 0x0c7f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/0/c */
    { 0x0d00, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/1/u */
    { 0x0d7f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/1/c */
    { 0x0e00, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/2/u */
    { 0x0e7f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/2/c */
    { 0x0f00, 0x6bae, 0xf9a0, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/3/u */
    { 0x0f7f, 0x6bae, 0x7920, RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295), RTFLOAT80U_INIT_C(1,0xf1d4e72ba63d0bd9,29295) }, /* #47/3/3/c */
    { 0x0000, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/0/0/u */
    { 0x007f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/0/c */
    { 0x0100, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/0/1/u */
    { 0x017f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/1/c */
    { 0x0200, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/0/2/u */
    { 0x027f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/2/c */
    { 0x0300, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/0/3/u */
    { 0x037f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/3/c */
    { 0x0400, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/1/0/u */
    { 0x047f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/0/c */
    { 0x0500, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/1/1/u */
    { 0x057f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/1/c */
    { 0x0600, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/1/2/u */
    { 0x067f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/2/c */
    { 0x0700, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/1/3/u */
    { 0x077f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/3/c */
    { 0x0800, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/2/0/u */
    { 0x087f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/0/c */
    { 0x0900, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/2/1/u */
    { 0x097f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/1/c */
    { 0x0a00, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/2/2/u */
    { 0x0a7f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/2/c */
    { 0x0b00, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/2/3/u */
    { 0x0b7f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/3/c */
    { 0x0c00, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/3/0/u */
    { 0x0c7f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/0/c */
    { 0x0d00, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/3/1/u */
    { 0x0d7f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/1/c */
    { 0x0e00, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/3/2/u */
    { 0x0e7f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/2/c */
    { 0x0f00, 0x6252, 0xf881, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767) }, /* #48/3/3/u */
    { 0x0f7f, 0x6252, 0x7801, RTFLOAT80U_INIT_C(1,0x400000005e1da4ee,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/3/c */
    { 0x0000, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/0/0/u */
    { 0x007f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/0/0/c */
    { 0x0100, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/0/1/u */
    { 0x017f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/0/1/c */
    { 0x0200, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/0/2/u */
    { 0x027f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/0/2/c */
    { 0x0300, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/0/3/u */
    { 0x037f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/0/3/c */
    { 0x0400, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/1/0/u */
    { 0x047f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/1/0/c */
    { 0x0500, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/1/1/u */
    { 0x057f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/1/1/c */
    { 0x0600, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/1/2/u */
    { 0x067f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/1/2/c */
    { 0x0700, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/1/3/u */
    { 0x077f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/1/3/c */
    { 0x0800, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/2/0/u */
    { 0x087f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/2/0/c */
    { 0x0900, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/2/1/u */
    { 0x097f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/2/1/c */
    { 0x0a00, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/2/2/u */
    { 0x0a7f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/2/2/c */
    { 0x0b00, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/2/3/u */
    { 0x0b7f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/2/3/c */
    { 0x0c00, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/3/0/u */
    { 0x0c7f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/3/0/c */
    { 0x0d00, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/3/1/u */
    { 0x0d7f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/3/1/c */
    { 0x0e00, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/3/2/u */
    { 0x0e7f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/3/2/c */
    { 0x0f00, 0x3e08, 0xbc81, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767) }, /* #49/3/3/u */
    { 0x0f7f, 0x3e08, 0x3c01, RTFLOAT80U_INIT_C(0,0x8002ff2c3115de98,32767), RTFLOAT80U_INIT_C(0,0xc002ff2c3115de98,32767) }, /* #49/3/3/c */
    { 0x0000, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/0/0/u */
    { 0x007f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/0/c */
    { 0x0100, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/0/1/u */
    { 0x017f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/1/c */
    { 0x0200, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/0/2/u */
    { 0x027f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/2/c */
    { 0x0300, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/0/3/u */
    { 0x037f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/3/c */
    { 0x0400, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/1/0/u */
    { 0x047f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/0/c */
    { 0x0500, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/1/1/u */
    { 0x057f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/1/c */
    { 0x0600, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/1/2/u */
    { 0x067f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/2/c */
    { 0x0700, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/1/3/u */
    { 0x077f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/3/c */
    { 0x0800, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/2/0/u */
    { 0x087f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/0/c */
    { 0x0900, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/2/1/u */
    { 0x097f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/1/c */
    { 0x0a00, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/2/2/u */
    { 0x0a7f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/2/c */
    { 0x0b00, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/2/3/u */
    { 0x0b7f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/3/c */
    { 0x0c00, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/3/0/u */
    { 0x0c7f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/0/c */
    { 0x0d00, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/3/1/u */
    { 0x0d7f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/1/c */
    { 0x0e00, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/3/2/u */
    { 0x0e7f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/2/c */
    { 0x0f00, 0x243b, 0xbc81, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941) }, /* #50/3/3/u */
    { 0x0f7f, 0x243b, 0x3c01, RTFLOAT80U_INIT_C(1,0x515516926d0999df,29941), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/3/c */
    { 0x0000, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/0/u */
    { 0x007f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/0/c */
    { 0x0100, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/1/u */
    { 0x017f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/1/c */
    { 0x0200, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/2/u */
    { 0x027f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/2/c */
    { 0x0300, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/3/u */
    { 0x037f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/0/3/c */
    { 0x0400, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/0/u */
    { 0x047f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/0/c */
    { 0x0500, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/1/u */
    { 0x057f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/1/c */
    { 0x0600, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/2/u */
    { 0x067f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/2/c */
    { 0x0700, 0x64a6, 0xfea0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/3/u */
    { 0x077f, 0x64a6, 0x7e20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb74,3157) }, /* #51/1/3/c */
    { 0x0800, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/0/u */
    { 0x087f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/0/c */
    { 0x0900, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/1/u */
    { 0x097f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/1/c */
    { 0x0a00, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/2/u */
    { 0x0a7f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/2/c */
    { 0x0b00, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/3/u */
    { 0x0b7f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/2/3/c */
    { 0x0c00, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/0/u */
    { 0x0c7f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/0/c */
    { 0x0d00, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/1/u */
    { 0x0d7f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/1/c */
    { 0x0e00, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/2/u */
    { 0x0e7f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/2/c */
    { 0x0f00, 0x64a6, 0xfca0, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/3/u */
    { 0x0f7f, 0x64a6, 0x7c20, RTFLOAT80U_INIT_C(1,0xd0ecee01259e9f4e,3157), RTFLOAT80U_INIT_C(1,0x90d0eda050bbeb73,3157) }, /* #51/3/3/c */
    { 0x0000, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/0/u */
    { 0x007f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/0/c */
    { 0x0100, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/1/u */
    { 0x017f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/1/c */
    { 0x0200, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/2/u */
    { 0x027f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/2/c */
    { 0x0300, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/3/u */
    { 0x037f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/0/3/c */
    { 0x0400, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/0/u */
    { 0x047f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/0/c */
    { 0x0500, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/1/u */
    { 0x057f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/1/c */
    { 0x0600, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/2/u */
    { 0x067f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/2/c */
    { 0x0700, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/3/u */
    { 0x077f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/1/3/c */
    { 0x0800, 0x8fb4, 0xbfa0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/0/u */
    { 0x087f, 0x8fb4, 0x3f20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/0/c */
    { 0x0900, 0x8fb4, 0xbfa0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/1/u */
    { 0x097f, 0x8fb4, 0x3f20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/1/c */
    { 0x0a00, 0x8fb4, 0xbfa0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/2/u */
    { 0x0a7f, 0x8fb4, 0x3f20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/2/c */
    { 0x0b00, 0x8fb4, 0xbfa0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/3/u */
    { 0x0b7f, 0x8fb4, 0x3f20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474b,13859) }, /* #52/2/3/c */
    { 0x0c00, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/0/u */
    { 0x0c7f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/0/c */
    { 0x0d00, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/1/u */
    { 0x0d7f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/1/c */
    { 0x0e00, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/2/u */
    { 0x0e7f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/2/c */
    { 0x0f00, 0x8fb4, 0xbda0, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/3/u */
    { 0x0f7f, 0x8fb4, 0x3d20, RTFLOAT80U_INIT_C(0,0xaf8186e1d1a904e9,13860), RTFLOAT80U_INIT_C(0,0xf34d8cbd76e7474a,13859) }, /* #52/3/3/c */
    { 0x0000, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/0/u */
    { 0x007f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/0/c */
    { 0x0100, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/1/u */
    { 0x017f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/1/c */
    { 0x0200, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/2/u */
    { 0x027f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/2/c */
    { 0x0300, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/3/u */
    { 0x037f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/0/3/c */
    { 0x0400, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/0/u */
    { 0x047f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/0/c */
    { 0x0500, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/1/u */
    { 0x057f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/1/c */
    { 0x0600, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/2/u */
    { 0x067f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/2/c */
    { 0x0700, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/3/u */
    { 0x077f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/1/3/c */
    { 0x0800, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/0/u */
    { 0x087f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/0/c */
    { 0x0900, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/1/u */
    { 0x097f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/1/c */
    { 0x0a00, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/2/u */
    { 0x0a7f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/2/c */
    { 0x0b00, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/3/u */
    { 0x0b7f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/2/3/c */
    { 0x0c00, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/0/u */
    { 0x0c7f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/0/c */
    { 0x0d00, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/1/u */
    { 0x0d7f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/1/c */
    { 0x0e00, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/2/u */
    { 0x0e7f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/2/c */
    { 0x0f00, 0xa61f, 0xbca0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/3/u */
    { 0x0f7f, 0xa61f, 0x3c20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #53/3/3/c */
    { 0x0000, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/0/0/u */
    { 0x007f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/0/0/c */
    { 0x0100, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/0/1/u */
    { 0x017f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/0/1/c */
    { 0x0200, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/0/2/u */
    { 0x027f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/0/2/c */
    { 0x0300, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/0/3/u */
    { 0x037f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/0/3/c */
    { 0x0400, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/1/0/u */
    { 0x047f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/1/0/c */
    { 0x0500, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/1/1/u */
    { 0x057f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/1/1/c */
    { 0x0600, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/1/2/u */
    { 0x067f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/1/2/c */
    { 0x0700, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/1/3/u */
    { 0x077f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/1/3/c */
    { 0x0800, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/2/0/u */
    { 0x087f, 0x6abd, 0x7a32, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d8,0) }, /* #54/2/0/c */
    { 0x0900, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/2/1/u */
    { 0x097f, 0x6abd, 0x7a32, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d8,0) }, /* #54/2/1/c */
    { 0x0a00, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/2/2/u */
    { 0x0a7f, 0x6abd, 0x7a32, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d8,0) }, /* #54/2/2/c */
    { 0x0b00, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/2/3/u */
    { 0x0b7f, 0x6abd, 0x7a32, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d8,0) }, /* #54/2/3/c */
    { 0x0c00, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/3/0/u */
    { 0x0c7f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/3/0/c */
    { 0x0d00, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/3/1/u */
    { 0x0d7f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/3/1/c */
    { 0x0e00, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/3/2/u */
    { 0x0e7f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/3/2/c */
    { 0x0f00, 0x6abd, 0xf882, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0) }, /* #54/3/3/u */
    { 0x0f7f, 0x6abd, 0x7832, RTFLOAT80U_INIT_C(0,0x8678863bc91476a2,0), RTFLOAT80U_INIT_C(0,0x5d3543121d34f4d7,0) }, /* #54/3/3/c */
    { 0x0000, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/0/0/u */
    { 0x007f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/0/c */
    { 0x0100, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/0/1/u */
    { 0x017f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/1/c */
    { 0x0200, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/0/2/u */
    { 0x027f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/2/c */
    { 0x0300, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/0/3/u */
    { 0x037f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/3/c */
    { 0x0400, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/1/0/u */
    { 0x047f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/0/c */
    { 0x0500, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/1/1/u */
    { 0x057f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/1/c */
    { 0x0600, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/1/2/u */
    { 0x067f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/2/c */
    { 0x0700, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/1/3/u */
    { 0x077f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/3/c */
    { 0x0800, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/2/0/u */
    { 0x087f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/0/c */
    { 0x0900, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/2/1/u */
    { 0x097f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/1/c */
    { 0x0a00, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/2/2/u */
    { 0x0a7f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/2/c */
    { 0x0b00, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/2/3/u */
    { 0x0b7f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/3/c */
    { 0x0c00, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/3/0/u */
    { 0x0c7f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/0/c */
    { 0x0d00, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/3/1/u */
    { 0x0d7f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/1/c */
    { 0x0e00, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/3/2/u */
    { 0x0e7f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/2/c */
    { 0x0f00, 0x54ac, 0xfc81, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114) }, /* #55/3/3/u */
    { 0x0f7f, 0x54ac, 0x7c01, RTFLOAT80U_INIT_C(0,0x448f640c90b2b518,30114), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/3/c */
    { 0x0000, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/0/u */
    { 0x007f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/0/c */
    { 0x0100, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/1/u */
    { 0x017f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/1/c */
    { 0x0200, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/2/u */
    { 0x027f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/2/c */
    { 0x0300, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/3/u */
    { 0x037f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/0/3/c */
    { 0x0400, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/0/u */
    { 0x047f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/0/c */
    { 0x0500, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/1/u */
    { 0x057f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/1/c */
    { 0x0600, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/2/u */
    { 0x067f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/2/c */
    { 0x0700, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/3/u */
    { 0x077f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/1/3/c */
    { 0x0800, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/0/u */
    { 0x087f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/0/c */
    { 0x0900, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/1/u */
    { 0x097f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/1/c */
    { 0x0a00, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/2/u */
    { 0x0a7f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/2/c */
    { 0x0b00, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/3/u */
    { 0x0b7f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/2/3/c */
    { 0x0c00, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/0/u */
    { 0x0c7f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/0/c */
    { 0x0d00, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/1/u */
    { 0x0d7f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/1/c */
    { 0x0e00, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/2/u */
    { 0x0e7f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/2/c */
    { 0x0f00, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/3/u */
    { 0x0f7f, 0x3981, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #56/3/3/c */
    { 0x0000, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/0/u */
    { 0x007f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/0/c */
    { 0x0100, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/1/u */
    { 0x017f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/1/c */
    { 0x0200, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/2/u */
    { 0x027f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/2/c */
    { 0x0300, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/3/u */
    { 0x037f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/0/3/c */
    { 0x0400, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/0/u */
    { 0x047f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/0/c */
    { 0x0500, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/1/u */
    { 0x057f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/1/c */
    { 0x0600, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/2/u */
    { 0x067f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/2/c */
    { 0x0700, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/3/u */
    { 0x077f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/1/3/c */
    { 0x0800, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/0/u */
    { 0x087f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/0/c */
    { 0x0900, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/1/u */
    { 0x097f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/1/c */
    { 0x0a00, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/2/u */
    { 0x0a7f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/2/c */
    { 0x0b00, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/3/u */
    { 0x0b7f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/2/3/c */
    { 0x0c00, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/0/u */
    { 0x0c7f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/0/c */
    { 0x0d00, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/1/u */
    { 0x0d7f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/1/c */
    { 0x0e00, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/2/u */
    { 0x0e7f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/2/c */
    { 0x0f00, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/3/u */
    { 0x0f7f, 0x2772, 0x3d00, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,16383) }, /* #57/3/3/c */
    { 0x0000, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/0/u */
    { 0x007f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/0/c */
    { 0x0100, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/1/u */
    { 0x017f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/1/c */
    { 0x0200, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/2/u */
    { 0x027f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/2/c */
    { 0x0300, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/3/u */
    { 0x037f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/0/3/c */
    { 0x0400, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/0/u */
    { 0x047f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/0/c */
    { 0x0500, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/1/u */
    { 0x057f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/1/c */
    { 0x0600, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/2/u */
    { 0x067f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/2/c */
    { 0x0700, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/3/u */
    { 0x077f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/1/3/c */
    { 0x0800, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/0/u */
    { 0x087f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/0/c */
    { 0x0900, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/1/u */
    { 0x097f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/1/c */
    { 0x0a00, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/2/u */
    { 0x0a7f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/2/c */
    { 0x0b00, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/3/u */
    { 0x0b7f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/2/3/c */
    { 0x0c00, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/0/u */
    { 0x0c7f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/0/c */
    { 0x0d00, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/1/u */
    { 0x0d7f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/1/c */
    { 0x0e00, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/2/u */
    { 0x0e7f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/2/c */
    { 0x0f00, 0x2efc, 0xbca0, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/3/u */
    { 0x0f7f, 0x2efc, 0x3c20, RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400), RTFLOAT80U_INIT_C(0,0xa8fc23ad71c5ad6a,18400) }, /* #58/3/3/c */
    { 0x0000, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/0/0/u */
    { 0x007f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/0/c */
    { 0x0100, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/0/1/u */
    { 0x017f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/1/c */
    { 0x0200, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/0/2/u */
    { 0x027f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/2/c */
    { 0x0300, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/0/3/u */
    { 0x037f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/3/c */
    { 0x0400, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/1/0/u */
    { 0x047f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/0/c */
    { 0x0500, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/1/1/u */
    { 0x057f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/1/c */
    { 0x0600, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/1/2/u */
    { 0x067f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/2/c */
    { 0x0700, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/1/3/u */
    { 0x077f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/3/c */
    { 0x0800, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/2/0/u */
    { 0x087f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/0/c */
    { 0x0900, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/2/1/u */
    { 0x097f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/1/c */
    { 0x0a00, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/2/2/u */
    { 0x0a7f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/2/c */
    { 0x0b00, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/2/3/u */
    { 0x0b7f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/3/c */
    { 0x0c00, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/3/0/u */
    { 0x0c7f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/0/c */
    { 0x0d00, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/3/1/u */
    { 0x0d7f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/1/c */
    { 0x0e00, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/3/2/u */
    { 0x0e7f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/2/c */
    { 0x0f00, 0x5ca2, 0xfc81, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767) }, /* #59/3/3/u */
    { 0x0f7f, 0x5ca2, 0x7c01, RTFLOAT80U_INIT_C(1,0x400019922b56adf6,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/3/c */
    { 0x0000, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/0/u */
    { 0x007f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/0/c */
    { 0x0100, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/1/u */
    { 0x017f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/1/c */
    { 0x0200, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/2/u */
    { 0x027f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/2/c */
    { 0x0300, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/3/u */
    { 0x037f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/0/3/c */
    { 0x0400, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/0/u */
    { 0x047f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/0/c */
    { 0x0500, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/1/u */
    { 0x057f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/1/c */
    { 0x0600, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/2/u */
    { 0x067f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/2/c */
    { 0x0700, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/3/u */
    { 0x077f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/1/3/c */
    { 0x0800, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/0/u */
    { 0x087f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/0/c */
    { 0x0900, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/1/u */
    { 0x097f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/1/c */
    { 0x0a00, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/2/u */
    { 0x0a7f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/2/c */
    { 0x0b00, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/3/u */
    { 0x0b7f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/2/3/c */
    { 0x0c00, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/0/u */
    { 0x0c7f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/0/c */
    { 0x0d00, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/1/u */
    { 0x0d7f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/1/c */
    { 0x0e00, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/2/u */
    { 0x0e7f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/2/c */
    { 0x0f00, 0xc02b, 0xf8a0, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/3/u */
    { 0x0f7f, 0xc02b, 0x7820, RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249), RTFLOAT80U_INIT_C(0,0xab2a2e6a0879a892,18249) }, /* #60/3/3/c */
    { 0x0000, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/0/u */
    { 0x007f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/0/c */
    { 0x0100, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/1/u */
    { 0x017f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/1/c */
    { 0x0200, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/2/u */
    { 0x027f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/2/c */
    { 0x0300, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/3/u */
    { 0x037f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/0/3/c */
    { 0x0400, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/0/u */
    { 0x047f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/0/c */
    { 0x0500, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/1/u */
    { 0x057f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/1/c */
    { 0x0600, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/2/u */
    { 0x067f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/2/c */
    { 0x0700, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/3/u */
    { 0x077f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/1/3/c */
    { 0x0800, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/0/u */
    { 0x087f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/0/c */
    { 0x0900, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/1/u */
    { 0x097f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/1/c */
    { 0x0a00, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/2/u */
    { 0x0a7f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/2/c */
    { 0x0b00, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/3/u */
    { 0x0b7f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/2/3/c */
    { 0x0c00, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/0/u */
    { 0x0c7f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/0/c */
    { 0x0d00, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/1/u */
    { 0x0d7f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/1/c */
    { 0x0e00, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/2/u */
    { 0x0e7f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/2/c */
    { 0x0f00, 0x2487, 0xbca0, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/3/u */
    { 0x0f7f, 0x2487, 0x3c20, RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334), RTFLOAT80U_INIT_C(1,0xdc6a10b8f3e28484,20334) }, /* #61/3/3/c */
    { 0x0000, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/0/0/u */
    { 0x007f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/0/0/c */
    { 0x0100, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/0/1/u */
    { 0x017f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/0/1/c */
    { 0x0200, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/0/2/u */
    { 0x027f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/0/2/c */
    { 0x0300, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/0/3/u */
    { 0x037f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/0/3/c */
    { 0x0400, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/1/0/u */
    { 0x047f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/1/0/c */
    { 0x0500, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/1/1/u */
    { 0x057f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/1/1/c */
    { 0x0600, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/1/2/u */
    { 0x067f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/1/2/c */
    { 0x0700, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/1/3/u */
    { 0x077f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/1/3/c */
    { 0x0800, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/2/0/u */
    { 0x087f, 0xede4, 0x7f32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ac,0) }, /* #62/2/0/c */
    { 0x0900, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/2/1/u */
    { 0x097f, 0xede4, 0x7f32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ac,0) }, /* #62/2/1/c */
    { 0x0a00, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/2/2/u */
    { 0x0a7f, 0xede4, 0x7f32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ac,0) }, /* #62/2/2/c */
    { 0x0b00, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/2/3/u */
    { 0x0b7f, 0xede4, 0x7f32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ac,0) }, /* #62/2/3/c */
    { 0x0c00, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/3/0/u */
    { 0x0c7f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/3/0/c */
    { 0x0d00, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/3/1/u */
    { 0x0d7f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/3/1/c */
    { 0x0e00, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/3/2/u */
    { 0x0e7f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/3/2/c */
    { 0x0f00, 0xede4, 0xfd82, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0) }, /* #62/3/3/u */
    { 0x0f7f, 0xede4, 0x7d32, RTFLOAT80U_INIT_C(0,0x1da5e6560444436a,0), RTFLOAT80U_INIT_C(0,0x148ceae8a65088ab,0) }, /* #62/3/3/c */
    { 0x0000, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/0/0/u */
    { 0x007f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/0/c */
    { 0x0100, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/0/1/u */
    { 0x017f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/1/c */
    { 0x0200, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/0/2/u */
    { 0x027f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/2/c */
    { 0x0300, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/0/3/u */
    { 0x037f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/3/c */
    { 0x0400, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/1/0/u */
    { 0x047f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/0/c */
    { 0x0500, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/1/1/u */
    { 0x057f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/1/c */
    { 0x0600, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/1/2/u */
    { 0x067f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/2/c */
    { 0x0700, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/1/3/u */
    { 0x077f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/3/c */
    { 0x0800, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/2/0/u */
    { 0x087f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/0/c */
    { 0x0900, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/2/1/u */
    { 0x097f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/1/c */
    { 0x0a00, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/2/2/u */
    { 0x0a7f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/2/c */
    { 0x0b00, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/2/3/u */
    { 0x0b7f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/3/c */
    { 0x0c00, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/3/0/u */
    { 0x0c7f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/0/c */
    { 0x0d00, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/3/1/u */
    { 0x0d7f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/1/c */
    { 0x0e00, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/3/2/u */
    { 0x0e7f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/2/c */
    { 0x0f00, 0x9118, 0xb981, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767) }, /* #63/3/3/u */
    { 0x0f7f, 0x9118, 0x3901, RTFLOAT80U_INIT_C(0,0x400013b4473b590a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/3/c */
    { 0x0000, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/0/0/u */
    { 0x007f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/0/c */
    { 0x0100, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/0/1/u */
    { 0x017f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/1/c */
    { 0x0200, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/0/2/u */
    { 0x027f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/2/c */
    { 0x0300, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/0/3/u */
    { 0x037f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/3/c */
    { 0x0400, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/1/0/u */
    { 0x047f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/0/c */
    { 0x0500, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/1/1/u */
    { 0x057f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/1/c */
    { 0x0600, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/1/2/u */
    { 0x067f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/2/c */
    { 0x0700, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/1/3/u */
    { 0x077f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/3/c */
    { 0x0800, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/2/0/u */
    { 0x087f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/0/c */
    { 0x0900, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/2/1/u */
    { 0x097f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/1/c */
    { 0x0a00, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/2/2/u */
    { 0x0a7f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/2/c */
    { 0x0b00, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/2/3/u */
    { 0x0b7f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/3/c */
    { 0x0c00, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/3/0/u */
    { 0x0c7f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/0/c */
    { 0x0d00, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/3/1/u */
    { 0x0d7f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/1/c */
    { 0x0e00, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/3/2/u */
    { 0x0e7f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/2/c */
    { 0x0f00, 0xcc99, 0xfc81, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487) }, /* #64/3/3/u */
    { 0x0f7f, 0xcc99, 0x7c01, RTFLOAT80U_INIT_C(0,0x2ccf49c071ff403,20487), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/3/c */
    { 0x0000, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/0/0/u */
    { 0x007f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/0/0/c */
    { 0x0100, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/0/1/u */
    { 0x017f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/0/1/c */
    { 0x0200, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/0/2/u */
    { 0x027f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/0/2/c */
    { 0x0300, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/0/3/u */
    { 0x037f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/0/3/c */
    { 0x0400, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/1/0/u */
    { 0x047f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/1/0/c */
    { 0x0500, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/1/1/u */
    { 0x057f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/1/1/c */
    { 0x0600, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/1/2/u */
    { 0x067f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/1/2/c */
    { 0x0700, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/1/3/u */
    { 0x077f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/1/3/c */
    { 0x0800, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/2/0/u */
    { 0x087f, 0x272d, 0x3f32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf71,0) }, /* #65/2/0/c */
    { 0x0900, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/2/1/u */
    { 0x097f, 0x272d, 0x3f32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf71,0) }, /* #65/2/1/c */
    { 0x0a00, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/2/2/u */
    { 0x0a7f, 0x272d, 0x3f32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf71,0) }, /* #65/2/2/c */
    { 0x0b00, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/2/3/u */
    { 0x0b7f, 0x272d, 0x3f32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf71,0) }, /* #65/2/3/c */
    { 0x0c00, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/3/0/u */
    { 0x0c7f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/3/0/c */
    { 0x0d00, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/3/1/u */
    { 0x0d7f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/3/1/c */
    { 0x0e00, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/3/2/u */
    { 0x0e7f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/3/2/c */
    { 0x0f00, 0x272d, 0xbd82, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0x12b45,0) }, /* #65/3/3/u */
    { 0x0f7f, 0x272d, 0x3d32, RTFLOAT80U_INIT_C(0,0x12b45,0), RTFLOAT80U_INIT_C(0,0xcf70,0) }, /* #65/3/3/c */
    { 0x0000, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/0/0/u */
    { 0x007f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/0/0/c */
    { 0x0100, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/0/1/u */
    { 0x017f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/0/1/c */
    { 0x0200, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/0/2/u */
    { 0x027f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/0/2/c */
    { 0x0300, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/0/3/u */
    { 0x037f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/0/3/c */
    { 0x0400, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/1/0/u */
    { 0x047f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/1/0/c */
    { 0x0500, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/1/1/u */
    { 0x057f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/1/1/c */
    { 0x0600, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/1/2/u */
    { 0x067f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/1/2/c */
    { 0x0700, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/1/3/u */
    { 0x077f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/1/3/c */
    { 0x0800, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/2/0/u */
    { 0x087f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/2/0/c */
    { 0x0900, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/2/1/u */
    { 0x097f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/2/1/c */
    { 0x0a00, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/2/2/u */
    { 0x0a7f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/2/2/c */
    { 0x0b00, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/2/3/u */
    { 0x0b7f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/2/3/c */
    { 0x0c00, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/3/0/u */
    { 0x0c7f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/3/0/c */
    { 0x0d00, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/3/1/u */
    { 0x0d7f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/3/1/c */
    { 0x0e00, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/3/2/u */
    { 0x0e7f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/3/2/c */
    { 0x0f00, 0xbc66, 0xbc81, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767) }, /* #66/3/3/u */
    { 0x0f7f, 0xbc66, 0x3c01, RTFLOAT80U_INIT_C(0,0x80001b4897ed2be8,32767), RTFLOAT80U_INIT_C(0,0xc0001b4897ed2be8,32767) }, /* #66/3/3/c */
    { 0x0000, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/0/0/u */
    { 0x007f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/0/c */
    { 0x0100, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/0/1/u */
    { 0x017f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/1/c */
    { 0x0200, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/0/2/u */
    { 0x027f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/2/c */
    { 0x0300, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/0/3/u */
    { 0x037f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/3/c */
    { 0x0400, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/1/0/u */
    { 0x047f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/0/c */
    { 0x0500, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/1/1/u */
    { 0x057f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/1/c */
    { 0x0600, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/1/2/u */
    { 0x067f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/2/c */
    { 0x0700, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/1/3/u */
    { 0x077f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/3/c */
    { 0x0800, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/2/0/u */
    { 0x087f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/0/c */
    { 0x0900, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/2/1/u */
    { 0x097f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/1/c */
    { 0x0a00, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/2/2/u */
    { 0x0a7f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/2/c */
    { 0x0b00, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/2/3/u */
    { 0x0b7f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/3/c */
    { 0x0c00, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/3/0/u */
    { 0x0c7f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/0/c */
    { 0x0d00, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/3/1/u */
    { 0x0d7f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/1/c */
    { 0x0e00, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/3/2/u */
    { 0x0e7f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/2/c */
    { 0x0f00, 0xea93, 0xf881, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211) }, /* #67/3/3/u */
    { 0x0f7f, 0xea93, 0x7801, RTFLOAT80U_INIT_C(1,0x43cb7fd2891601ba,22211), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/3/c */
    { 0x0000, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/0/u */
    { 0x007f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/0/c */
    { 0x0100, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/1/u */
    { 0x017f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/1/c */
    { 0x0200, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/2/u */
    { 0x027f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/2/c */
    { 0x0300, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/3/u */
    { 0x037f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/0/3/c */
    { 0x0400, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/0/u */
    { 0x047f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/0/c */
    { 0x0500, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/1/u */
    { 0x057f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/1/c */
    { 0x0600, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/2/u */
    { 0x067f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/2/c */
    { 0x0700, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/3/u */
    { 0x077f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/1/3/c */
    { 0x0800, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/0/u */
    { 0x087f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/0/c */
    { 0x0900, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/1/u */
    { 0x097f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/1/c */
    { 0x0a00, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/2/u */
    { 0x0a7f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/2/c */
    { 0x0b00, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/3/u */
    { 0x0b7f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/2/3/c */
    { 0x0c00, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/0/u */
    { 0x0c7f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/0/c */
    { 0x0d00, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/1/u */
    { 0x0d7f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/1/c */
    { 0x0e00, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/2/u */
    { 0x0e7f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/2/c */
    { 0x0f00, 0xca02, 0xf8a0, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/3/u */
    { 0x0f7f, 0xca02, 0x7820, RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681), RTFLOAT80U_INIT_C(1,0x8798d570090677a4,20681) }, /* #68/3/3/c */
    { 0x0000, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/0/0/u */
    { 0x007f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/0/c */
    { 0x0100, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/0/1/u */
    { 0x017f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/1/c */
    { 0x0200, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/0/2/u */
    { 0x027f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/2/c */
    { 0x0300, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/0/3/u */
    { 0x037f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/3/c */
    { 0x0400, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/1/0/u */
    { 0x047f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/0/c */
    { 0x0500, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/1/1/u */
    { 0x057f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/1/c */
    { 0x0600, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/1/2/u */
    { 0x067f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/2/c */
    { 0x0700, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/1/3/u */
    { 0x077f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/3/c */
    { 0x0800, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/2/0/u */
    { 0x087f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/0/c */
    { 0x0900, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/2/1/u */
    { 0x097f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/1/c */
    { 0x0a00, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/2/2/u */
    { 0x0a7f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/2/c */
    { 0x0b00, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/2/3/u */
    { 0x0b7f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/3/c */
    { 0x0c00, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/3/0/u */
    { 0x0c7f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/0/c */
    { 0x0d00, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/3/1/u */
    { 0x0d7f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/1/c */
    { 0x0e00, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/3/2/u */
    { 0x0e7f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/2/c */
    { 0x0f00, 0xc757, 0xfd81, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839) }, /* #69/3/3/u */
    { 0x0f7f, 0xc757, 0x7d01, RTFLOAT80U_INIT_C(0,0x257563ba1cc4736a,31839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/3/c */
    { 0x0000, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/0/0/u */
    { 0x007f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/0/0/c */
    { 0x0100, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/0/1/u */
    { 0x017f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/0/1/c */
    { 0x0200, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/0/2/u */
    { 0x027f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/0/2/c */
    { 0x0300, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/0/3/u */
    { 0x037f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/0/3/c */
    { 0x0400, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/1/0/u */
    { 0x047f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/1/0/c */
    { 0x0500, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/1/1/u */
    { 0x057f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/1/1/c */
    { 0x0600, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/1/2/u */
    { 0x067f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/1/2/c */
    { 0x0700, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/1/3/u */
    { 0x077f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/1/3/c */
    { 0x0800, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/2/0/u */
    { 0x087f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/2/0/c */
    { 0x0900, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/2/1/u */
    { 0x097f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/2/1/c */
    { 0x0a00, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/2/2/u */
    { 0x0a7f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/2/2/c */
    { 0x0b00, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/2/3/u */
    { 0x0b7f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/2/3/c */
    { 0x0c00, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/3/0/u */
    { 0x0c7f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/3/0/c */
    { 0x0d00, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/3/1/u */
    { 0x0d7f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/3/1/c */
    { 0x0e00, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/3/2/u */
    { 0x0e7f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/3/2/c */
    { 0x0f00, 0x7fbe, 0xfd81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #70/3/3/u */
    { 0x0f7f, 0x7fbe, 0x7d01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #70/3/3/c */
    { 0x0000, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/0/u */
    { 0x007f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/0/c */
    { 0x0100, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/1/u */
    { 0x017f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/1/c */
    { 0x0200, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/2/u */
    { 0x027f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/2/c */
    { 0x0300, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/3/u */
    { 0x037f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/0/3/c */
    { 0x0400, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/0/u */
    { 0x047f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/0/c */
    { 0x0500, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/1/u */
    { 0x057f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/1/c */
    { 0x0600, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/2/u */
    { 0x067f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/2/c */
    { 0x0700, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/3/u */
    { 0x077f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/1/3/c */
    { 0x0800, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/0/u */
    { 0x087f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/0/c */
    { 0x0900, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/1/u */
    { 0x097f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/1/c */
    { 0x0a00, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/2/u */
    { 0x0a7f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/2/c */
    { 0x0b00, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/3/u */
    { 0x0b7f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/2/3/c */
    { 0x0c00, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/0/u */
    { 0x0c7f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/0/c */
    { 0x0d00, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/1/u */
    { 0x0d7f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/1/c */
    { 0x0e00, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/2/u */
    { 0x0e7f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/2/c */
    { 0x0f00, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/3/u */
    { 0x0f7f, 0x65f5, 0x7d00, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #71/3/3/c */
    { 0x0000, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/0/0/u */
    { 0x007f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/0/0/c */
    { 0x0100, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/0/1/u */
    { 0x017f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/0/1/c */
    { 0x0200, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/0/2/u */
    { 0x027f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/0/2/c */
    { 0x0300, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/0/3/u */
    { 0x037f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/0/3/c */
    { 0x0400, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/1/0/u */
    { 0x047f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/1/0/c */
    { 0x0500, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/1/1/u */
    { 0x057f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/1/1/c */
    { 0x0600, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/1/2/u */
    { 0x067f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/1/2/c */
    { 0x0700, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/1/3/u */
    { 0x077f, 0x3bf5, 0x3b32, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487b,0) }, /* #72/1/3/c */
    { 0x0800, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/2/0/u */
    { 0x087f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/2/0/c */
    { 0x0900, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/2/1/u */
    { 0x097f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/2/1/c */
    { 0x0a00, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/2/2/u */
    { 0x0a7f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/2/2/c */
    { 0x0b00, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/2/3/u */
    { 0x0b7f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/2/3/c */
    { 0x0c00, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/3/0/u */
    { 0x0c7f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/3/0/c */
    { 0x0d00, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/3/1/u */
    { 0x0d7f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/3/1/c */
    { 0x0e00, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/3/2/u */
    { 0x0e7f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/3/2/c */
    { 0x0f00, 0x3bf5, 0xb982, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0) }, /* #72/3/3/u */
    { 0x0f7f, 0x3bf5, 0x3932, RTFLOAT80U_INIT_C(1,0x105e7f13f6fdcc09,0), RTFLOAT80U_INIT_C(1,0xb58a179baab487a,0) }, /* #72/3/3/c */
    { 0x0000, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/0/u */
    { 0x007f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/0/c */
    { 0x0100, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/1/u */
    { 0x017f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/1/c */
    { 0x0200, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/2/u */
    { 0x027f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/2/c */
    { 0x0300, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/3/u */
    { 0x037f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/0/3/c */
    { 0x0400, 0x5aa1, 0xfaa0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/0/u */
    { 0x047f, 0x5aa1, 0x7a20, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/0/c */
    { 0x0500, 0x5aa1, 0xfaa0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/1/u */
    { 0x057f, 0x5aa1, 0x7a20, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/1/c */
    { 0x0600, 0x5aa1, 0xfaa0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/2/u */
    { 0x067f, 0x5aa1, 0x7a20, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/2/c */
    { 0x0700, 0x5aa1, 0xfaa0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/3/u */
    { 0x077f, 0x5aa1, 0x7a20, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5b,11614) }, /* #73/1/3/c */
    { 0x0800, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/0/u */
    { 0x087f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/0/c */
    { 0x0900, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/1/u */
    { 0x097f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/1/c */
    { 0x0a00, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/2/u */
    { 0x0a7f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/2/c */
    { 0x0b00, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/3/u */
    { 0x0b7f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/2/3/c */
    { 0x0c00, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/0/u */
    { 0x0c7f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/0/c */
    { 0x0d00, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/1/u */
    { 0x0d7f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/1/c */
    { 0x0e00, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/2/u */
    { 0x0e7f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/2/c */
    { 0x0f00, 0x5aa1, 0xf8a0, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/3/u */
    { 0x0f7f, 0x5aa1, 0x7820, RTFLOAT80U_INIT_C(1,0xe2146e702647878d,11614), RTFLOAT80U_INIT_C(1,0x9cb4e29f69550a5a,11614) }, /* #73/3/3/c */
    { 0x0000, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/0/0/u */
    { 0x007f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/0/c */
    { 0x0100, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/0/1/u */
    { 0x017f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/1/c */
    { 0x0200, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/0/2/u */
    { 0x027f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/2/c */
    { 0x0300, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/0/3/u */
    { 0x037f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/3/c */
    { 0x0400, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/1/0/u */
    { 0x047f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/0/c */
    { 0x0500, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/1/1/u */
    { 0x057f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/1/c */
    { 0x0600, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/1/2/u */
    { 0x067f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/2/c */
    { 0x0700, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/1/3/u */
    { 0x077f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/3/c */
    { 0x0800, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/2/0/u */
    { 0x087f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/0/c */
    { 0x0900, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/2/1/u */
    { 0x097f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/1/c */
    { 0x0a00, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/2/2/u */
    { 0x0a7f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/2/c */
    { 0x0b00, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/2/3/u */
    { 0x0b7f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/3/c */
    { 0x0c00, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/3/0/u */
    { 0x0c7f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/0/c */
    { 0x0d00, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/3/1/u */
    { 0x0d7f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/1/c */
    { 0x0e00, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/3/2/u */
    { 0x0e7f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/2/c */
    { 0x0f00, 0xa3d5, 0xb981, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767) }, /* #74/3/3/u */
    { 0x0f7f, 0xa3d5, 0x3901, RTFLOAT80U_INIT_C(1,0x4000000190db020a,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/3/c */
    { 0x0000, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/0/0/u */
    { 0x007f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/0/0/c */
    { 0x0100, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/0/1/u */
    { 0x017f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/0/1/c */
    { 0x0200, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/0/2/u */
    { 0x027f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/0/2/c */
    { 0x0300, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/0/3/u */
    { 0x037f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/0/3/c */
    { 0x0400, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/1/0/u */
    { 0x047f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/1/0/c */
    { 0x0500, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/1/1/u */
    { 0x057f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/1/1/c */
    { 0x0600, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/1/2/u */
    { 0x067f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/1/2/c */
    { 0x0700, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/1/3/u */
    { 0x077f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/1/3/c */
    { 0x0800, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/2/0/u */
    { 0x087f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/2/0/c */
    { 0x0900, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/2/1/u */
    { 0x097f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/2/1/c */
    { 0x0a00, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/2/2/u */
    { 0x0a7f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/2/2/c */
    { 0x0b00, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/2/3/u */
    { 0x0b7f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/2/3/c */
    { 0x0c00, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/3/0/u */
    { 0x0c7f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/3/0/c */
    { 0x0d00, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/3/1/u */
    { 0x0d7f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/3/1/c */
    { 0x0e00, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/3/2/u */
    { 0x0e7f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/3/2/c */
    { 0x0f00, 0xa1f3, 0xb981, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451) }, /* #75/3/3/u */
    { 0x0f7f, 0xa1f3, 0x3901, RTFLOAT80U_INIT_C(1,0x2bdca627b0f13536,451), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #75/3/3/c */
    { 0x0000, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/0/0/u */
    { 0x007f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/0/c */
    { 0x0100, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/0/1/u */
    { 0x017f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/1/c */
    { 0x0200, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/0/2/u */
    { 0x027f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/2/c */
    { 0x0300, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/0/3/u */
    { 0x037f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/3/c */
    { 0x0400, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/1/0/u */
    { 0x047f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/0/c */
    { 0x0500, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/1/1/u */
    { 0x057f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/1/c */
    { 0x0600, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/1/2/u */
    { 0x067f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/2/c */
    { 0x0700, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/1/3/u */
    { 0x077f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/3/c */
    { 0x0800, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/2/0/u */
    { 0x087f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/0/c */
    { 0x0900, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/2/1/u */
    { 0x097f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/1/c */
    { 0x0a00, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/2/2/u */
    { 0x0a7f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/2/c */
    { 0x0b00, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/2/3/u */
    { 0x0b7f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/3/c */
    { 0x0c00, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/3/0/u */
    { 0x0c7f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/0/c */
    { 0x0d00, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/3/1/u */
    { 0x0d7f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/1/c */
    { 0x0e00, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/3/2/u */
    { 0x0e7f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/2/c */
    { 0x0f00, 0xee88, 0xfc81, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #76/3/3/u */
    { 0x0f7f, 0xee88, 0x7c01, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/3/c */
    { 0x0000, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/0/u */
    { 0x007f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/0/c */
    { 0x0100, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/1/u */
    { 0x017f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/1/c */
    { 0x0200, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/2/u */
    { 0x027f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/2/c */
    { 0x0300, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/3/u */
    { 0x037f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/0/3/c */
    { 0x0400, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/0/u */
    { 0x047f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/0/c */
    { 0x0500, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/1/u */
    { 0x057f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/1/c */
    { 0x0600, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/2/u */
    { 0x067f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/2/c */
    { 0x0700, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/3/u */
    { 0x077f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/1/3/c */
    { 0x0800, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/0/u */
    { 0x087f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/0/c */
    { 0x0900, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/1/u */
    { 0x097f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/1/c */
    { 0x0a00, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/2/u */
    { 0x0a7f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/2/c */
    { 0x0b00, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/3/u */
    { 0x0b7f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/2/3/c */
    { 0x0c00, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/0/u */
    { 0x0c7f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/0/c */
    { 0x0d00, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/1/u */
    { 0x0d7f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/1/c */
    { 0x0e00, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/2/u */
    { 0x0e7f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/2/c */
    { 0x0f00, 0xe2c0, 0xf8a0, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/3/u */
    { 0x0f7f, 0xe2c0, 0x7820, RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118), RTFLOAT80U_INIT_C(1,0xc81ec53775615145,17118) }, /* #77/3/3/c */
    { 0x0000, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/0/u */
    { 0x007f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/0/c */
    { 0x0100, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/1/u */
    { 0x017f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/1/c */
    { 0x0200, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/2/u */
    { 0x027f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/2/c */
    { 0x0300, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/3/u */
    { 0x037f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/0/3/c */
    { 0x0400, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/0/u */
    { 0x047f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/0/c */
    { 0x0500, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/1/u */
    { 0x057f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/1/c */
    { 0x0600, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/2/u */
    { 0x067f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/2/c */
    { 0x0700, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/3/u */
    { 0x077f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/1/3/c */
    { 0x0800, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/0/u */
    { 0x087f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/0/c */
    { 0x0900, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/1/u */
    { 0x097f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/1/c */
    { 0x0a00, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/2/u */
    { 0x0a7f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/2/c */
    { 0x0b00, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/3/u */
    { 0x0b7f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/2/3/c */
    { 0x0c00, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/0/u */
    { 0x0c7f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/0/c */
    { 0x0d00, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/1/u */
    { 0x0d7f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/1/c */
    { 0x0e00, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/2/u */
    { 0x0e7f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/2/c */
    { 0x0f00, 0x436b, 0xf9a0, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/3/u */
    { 0x0f7f, 0x436b, 0x7920, RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697), RTFLOAT80U_INIT_C(0,0xd2d27b56208dd2e0,21697) }, /* #78/3/3/c */
    { 0x0000, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/0/u */
    { 0x007f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/0/c */
    { 0x0100, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/1/u */
    { 0x017f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/1/c */
    { 0x0200, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/2/u */
    { 0x027f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/2/c */
    { 0x0300, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/3/u */
    { 0x037f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/0/3/c */
    { 0x0400, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/0/u */
    { 0x047f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/0/c */
    { 0x0500, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/1/u */
    { 0x057f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/1/c */
    { 0x0600, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/2/u */
    { 0x067f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/2/c */
    { 0x0700, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/3/u */
    { 0x077f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/1/3/c */
    { 0x0800, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/0/u */
    { 0x087f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/0/c */
    { 0x0900, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/1/u */
    { 0x097f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/1/c */
    { 0x0a00, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/2/u */
    { 0x0a7f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/2/c */
    { 0x0b00, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/3/u */
    { 0x0b7f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/2/3/c */
    { 0x0c00, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/0/u */
    { 0x0c7f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/0/c */
    { 0x0d00, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/1/u */
    { 0x0d7f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/1/c */
    { 0x0e00, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/2/u */
    { 0x0e7f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/2/c */
    { 0x0f00, 0x3dd8, 0xbda0, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/3/u */
    { 0x0f7f, 0x3dd8, 0x3d20, RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586), RTFLOAT80U_INIT_C(0,0x819aa434828a3cc1,29586) }, /* #79/3/3/c */
    { 0x0000, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/0/u */
    { 0x007f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/0/c */
    { 0x0100, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/1/u */
    { 0x017f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/1/c */
    { 0x0200, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/2/u */
    { 0x027f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/2/c */
    { 0x0300, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/3/u */
    { 0x037f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/0/3/c */
    { 0x0400, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/0/u */
    { 0x047f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/0/c */
    { 0x0500, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/1/u */
    { 0x057f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/1/c */
    { 0x0600, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/2/u */
    { 0x067f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/2/c */
    { 0x0700, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/3/u */
    { 0x077f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/1/3/c */
    { 0x0800, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/0/u */
    { 0x087f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/0/c */
    { 0x0900, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/1/u */
    { 0x097f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/1/c */
    { 0x0a00, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/2/u */
    { 0x0a7f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/2/c */
    { 0x0b00, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/3/u */
    { 0x0b7f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/2/3/c */
    { 0x0c00, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/0/u */
    { 0x0c7f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/0/c */
    { 0x0d00, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/1/u */
    { 0x0d7f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/1/c */
    { 0x0e00, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/2/u */
    { 0x0e7f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/2/c */
    { 0x0f00, 0x08a3, 0xb8a0, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/3/u */
    { 0x0f7f, 0x08a3, 0x3820, RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955), RTFLOAT80U_INIT_C(0,0x8839e7ed7cd030e4,31955) }, /* #80/3/3/c */
    { 0x0000, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/0/u */
    { 0x007f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/0/c */
    { 0x0100, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/1/u */
    { 0x017f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/1/c */
    { 0x0200, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/2/u */
    { 0x027f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/2/c */
    { 0x0300, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/3/u */
    { 0x037f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/0/3/c */
    { 0x0400, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/0/u */
    { 0x047f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/0/c */
    { 0x0500, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/1/u */
    { 0x057f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/1/c */
    { 0x0600, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/2/u */
    { 0x067f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/2/c */
    { 0x0700, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/3/u */
    { 0x077f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/1/3/c */
    { 0x0800, 0xd65f, 0xfea0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/0/u */
    { 0x087f, 0xd65f, 0x7e20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/0/c */
    { 0x0900, 0xd65f, 0xfea0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/1/u */
    { 0x097f, 0xd65f, 0x7e20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/1/c */
    { 0x0a00, 0xd65f, 0xfea0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/2/u */
    { 0x0a7f, 0xd65f, 0x7e20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/2/c */
    { 0x0b00, 0xd65f, 0xfea0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/3/u */
    { 0x0b7f, 0xd65f, 0x7e20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6e,14407) }, /* #81/2/3/c */
    { 0x0c00, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/0/u */
    { 0x0c7f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/0/c */
    { 0x0d00, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/1/u */
    { 0x0d7f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/1/c */
    { 0x0e00, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/2/u */
    { 0x0e7f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/2/c */
    { 0x0f00, 0xd65f, 0xfca0, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/3/u */
    { 0x0f7f, 0xd65f, 0x7c20, RTFLOAT80U_INIT_C(0,0x9a181eaa2ef12685,14408), RTFLOAT80U_INIT_C(0,0xd59eb4bd511e2e6d,14407) }, /* #81/3/3/c */
    { 0x0000, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/0/u */
    { 0x007f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/0/c */
    { 0x0100, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/1/u */
    { 0x017f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/1/c */
    { 0x0200, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/2/u */
    { 0x027f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/2/c */
    { 0x0300, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/3/u */
    { 0x037f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/0/3/c */
    { 0x0400, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/0/u */
    { 0x047f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/0/c */
    { 0x0500, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/1/u */
    { 0x057f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/1/c */
    { 0x0600, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/2/u */
    { 0x067f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/2/c */
    { 0x0700, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/3/u */
    { 0x077f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/1/3/c */
    { 0x0800, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/0/u */
    { 0x087f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/0/c */
    { 0x0900, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/1/u */
    { 0x097f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/1/c */
    { 0x0a00, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/2/u */
    { 0x0a7f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/2/c */
    { 0x0b00, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/3/u */
    { 0x0b7f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/2/3/c */
    { 0x0c00, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/0/u */
    { 0x0c7f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/0/c */
    { 0x0d00, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/1/u */
    { 0x0d7f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/1/c */
    { 0x0e00, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/2/u */
    { 0x0e7f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/2/c */
    { 0x0f00, 0xbd6b, 0xbda0, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/3/u */
    { 0x0f7f, 0xbd6b, 0x3d20, RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399), RTFLOAT80U_INIT_C(0,0xc2a76540d29c0b43,28399) }, /* #82/3/3/c */
    { 0x0000, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/0/u */
    { 0x007f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/0/c */
    { 0x0100, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/1/u */
    { 0x017f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/1/c */
    { 0x0200, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/2/u */
    { 0x027f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/2/c */
    { 0x0300, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/3/u */
    { 0x037f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/0/3/c */
    { 0x0400, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/0/u */
    { 0x047f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/0/c */
    { 0x0500, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/1/u */
    { 0x057f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/1/c */
    { 0x0600, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/2/u */
    { 0x067f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/2/c */
    { 0x0700, 0x7d19, 0xffa0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/3/u */
    { 0x077f, 0x7d19, 0x7f20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462654,11178) }, /* #83/1/3/c */
    { 0x0800, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/0/u */
    { 0x087f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/0/c */
    { 0x0900, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/1/u */
    { 0x097f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/1/c */
    { 0x0a00, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/2/u */
    { 0x0a7f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/2/c */
    { 0x0b00, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/3/u */
    { 0x0b7f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/2/3/c */
    { 0x0c00, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/0/u */
    { 0x0c7f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/0/c */
    { 0x0d00, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/1/u */
    { 0x0d7f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/1/c */
    { 0x0e00, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/2/u */
    { 0x0e7f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/2/c */
    { 0x0f00, 0x7d19, 0xfda0, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/3/u */
    { 0x0f7f, 0x7d19, 0x7d20, RTFLOAT80U_INIT_C(1,0x8d17c9ec4724fbee,11179), RTFLOAT80U_INIT_C(1,0xc398a8d402462653,11178) }, /* #83/3/3/c */
    { 0x0000, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/0/0/u */
    { 0x007f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/0/0/c */
    { 0x0100, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/0/1/u */
    { 0x017f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/0/1/c */
    { 0x0200, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/0/2/u */
    { 0x027f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/0/2/c */
    { 0x0300, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/0/3/u */
    { 0x037f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/0/3/c */
    { 0x0400, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/1/0/u */
    { 0x047f, 0x50a0, 0x7a32, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b7,0) }, /* #84/1/0/c */
    { 0x0500, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/1/1/u */
    { 0x057f, 0x50a0, 0x7a32, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b7,0) }, /* #84/1/1/c */
    { 0x0600, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/1/2/u */
    { 0x067f, 0x50a0, 0x7a32, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b7,0) }, /* #84/1/2/c */
    { 0x0700, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/1/3/u */
    { 0x077f, 0x50a0, 0x7a32, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b7,0) }, /* #84/1/3/c */
    { 0x0800, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/2/0/u */
    { 0x087f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/2/0/c */
    { 0x0900, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/2/1/u */
    { 0x097f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/2/1/c */
    { 0x0a00, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/2/2/u */
    { 0x0a7f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/2/2/c */
    { 0x0b00, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/2/3/u */
    { 0x0b7f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/2/3/c */
    { 0x0c00, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/3/0/u */
    { 0x0c7f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/3/0/c */
    { 0x0d00, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/3/1/u */
    { 0x0d7f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/3/1/c */
    { 0x0e00, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/3/2/u */
    { 0x0e7f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/3/2/c */
    { 0x0f00, 0x50a0, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x80000000000095dd,0) }, /* #84/3/3/u */
    { 0x0f7f, 0x50a0, 0x7832, RTFLOAT80U_INIT_C(1,0x80000000000095dd,0), RTFLOAT80U_INIT_C(1,0x58b90bfbe8e824b6,0) }, /* #84/3/3/c */
    { 0x0000, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/0/u */
    { 0x007f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/0/c */
    { 0x0100, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/1/u */
    { 0x017f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/1/c */
    { 0x0200, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/2/u */
    { 0x027f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/2/c */
    { 0x0300, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/3/u */
    { 0x037f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/0/3/c */
    { 0x0400, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/0/u */
    { 0x047f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/0/c */
    { 0x0500, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/1/u */
    { 0x057f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/1/c */
    { 0x0600, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/2/u */
    { 0x067f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/2/c */
    { 0x0700, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/3/u */
    { 0x077f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/1/3/c */
    { 0x0800, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/0/u */
    { 0x087f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/0/c */
    { 0x0900, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/1/u */
    { 0x097f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/1/c */
    { 0x0a00, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/2/u */
    { 0x0a7f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/2/c */
    { 0x0b00, 0x3d3f, 0xbfa0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/3/u */
    { 0x0b7f, 0x3d3f, 0x3f20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b5,1847) }, /* #85/2/3/c */
    { 0x0c00, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/0/u */
    { 0x0c7f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/0/c */
    { 0x0d00, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/1/u */
    { 0x0d7f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/1/c */
    { 0x0e00, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/2/u */
    { 0x0e7f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/2/c */
    { 0x0f00, 0x3d3f, 0xbda0, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/3/u */
    { 0x0f7f, 0x3d3f, 0x3d20, RTFLOAT80U_INIT_C(0,0xd95654b1f1516f1e,1847), RTFLOAT80U_INIT_C(0,0x96a58d59e51e17b4,1847) }, /* #85/3/3/c */
    { 0x0000, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/0/u */
    { 0x007f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/0/c */
    { 0x0100, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/1/u */
    { 0x017f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/1/c */
    { 0x0200, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/2/u */
    { 0x027f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/2/c */
    { 0x0300, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/3/u */
    { 0x037f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/0/3/c */
    { 0x0400, 0xe68e, 0xfea0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/0/u */
    { 0x047f, 0xe68e, 0x7e20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/0/c */
    { 0x0500, 0xe68e, 0xfea0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/1/u */
    { 0x057f, 0xe68e, 0x7e20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/1/c */
    { 0x0600, 0xe68e, 0xfea0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/2/u */
    { 0x067f, 0xe68e, 0x7e20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/2/c */
    { 0x0700, 0xe68e, 0xfea0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/3/u */
    { 0x077f, 0xe68e, 0x7e20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a04340,6129) }, /* #86/1/3/c */
    { 0x0800, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/0/u */
    { 0x087f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/0/c */
    { 0x0900, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/1/u */
    { 0x097f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/1/c */
    { 0x0a00, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/2/u */
    { 0x0a7f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/2/c */
    { 0x0b00, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/3/u */
    { 0x0b7f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/2/3/c */
    { 0x0c00, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/0/u */
    { 0x0c7f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/0/c */
    { 0x0d00, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/1/u */
    { 0x0d7f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/1/c */
    { 0x0e00, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/2/u */
    { 0x0e7f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/2/c */
    { 0x0f00, 0xe68e, 0xfca0, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/3/u */
    { 0x0f7f, 0xe68e, 0x7c20, RTFLOAT80U_INIT_C(1,0x9277c8f6ad432229,6130), RTFLOAT80U_INIT_C(1,0xcb0c320130a0433f,6129) }, /* #86/3/3/c */
    { 0x0000, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/0/u */
    { 0x007f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/0/c */
    { 0x0100, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/1/u */
    { 0x017f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/1/c */
    { 0x0200, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/2/u */
    { 0x027f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/2/c */
    { 0x0300, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/3/u */
    { 0x037f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/0/3/c */
    { 0x0400, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/0/u */
    { 0x047f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/0/c */
    { 0x0500, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/1/u */
    { 0x057f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/1/c */
    { 0x0600, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/2/u */
    { 0x067f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/2/c */
    { 0x0700, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/3/u */
    { 0x077f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/1/3/c */
    { 0x0800, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/0/u */
    { 0x087f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/0/c */
    { 0x0900, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/1/u */
    { 0x097f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/1/c */
    { 0x0a00, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/2/u */
    { 0x0a7f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/2/c */
    { 0x0b00, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/3/u */
    { 0x0b7f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/2/3/c */
    { 0x0c00, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/0/u */
    { 0x0c7f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/0/c */
    { 0x0d00, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/1/u */
    { 0x0d7f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/1/c */
    { 0x0e00, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/2/u */
    { 0x0e7f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/2/c */
    { 0x0f00, 0x50eb, 0xf8a0, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/3/u */
    { 0x0f7f, 0x50eb, 0x7820, RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229), RTFLOAT80U_INIT_C(0,0x9085ad54da68b603,28229) }, /* #87/3/3/c */
    { 0x0000, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/0/u */
    { 0x007f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/0/c */
    { 0x0100, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/1/u */
    { 0x017f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/1/c */
    { 0x0200, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/2/u */
    { 0x027f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/2/c */
    { 0x0300, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/3/u */
    { 0x037f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/0/3/c */
    { 0x0400, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/0/u */
    { 0x047f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/0/c */
    { 0x0500, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/1/u */
    { 0x057f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/1/c */
    { 0x0600, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/2/u */
    { 0x067f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/2/c */
    { 0x0700, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/3/u */
    { 0x077f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/1/3/c */
    { 0x0800, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/0/u */
    { 0x087f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/0/c */
    { 0x0900, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/1/u */
    { 0x097f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/1/c */
    { 0x0a00, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/2/u */
    { 0x0a7f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/2/c */
    { 0x0b00, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/3/u */
    { 0x0b7f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/2/3/c */
    { 0x0c00, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/0/u */
    { 0x0c7f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/0/c */
    { 0x0d00, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/1/u */
    { 0x0d7f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/1/c */
    { 0x0e00, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/2/u */
    { 0x0e7f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/2/c */
    { 0x0f00, 0xe53c, 0xfda0, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/3/u */
    { 0x0f7f, 0xe53c, 0x7d20, RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160), RTFLOAT80U_INIT_C(1,0xc19f120cb8aa7f98,21160) }, /* #88/3/3/c */
    { 0x0000, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/0/0/u */
    { 0x007f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/0/c */
    { 0x0100, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/0/1/u */
    { 0x017f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/1/c */
    { 0x0200, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/0/2/u */
    { 0x027f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/2/c */
    { 0x0300, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/0/3/u */
    { 0x037f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/3/c */
    { 0x0400, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/1/0/u */
    { 0x047f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/0/c */
    { 0x0500, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/1/1/u */
    { 0x057f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/1/c */
    { 0x0600, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/1/2/u */
    { 0x067f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/2/c */
    { 0x0700, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/1/3/u */
    { 0x077f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/3/c */
    { 0x0800, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/2/0/u */
    { 0x087f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/0/c */
    { 0x0900, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/2/1/u */
    { 0x097f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/1/c */
    { 0x0a00, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/2/2/u */
    { 0x0a7f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/2/c */
    { 0x0b00, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/2/3/u */
    { 0x0b7f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/3/c */
    { 0x0c00, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/3/0/u */
    { 0x0c7f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/0/c */
    { 0x0d00, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/3/1/u */
    { 0x0d7f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/1/c */
    { 0x0e00, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/3/2/u */
    { 0x0e7f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/2/c */
    { 0x0f00, 0x9440, 0xbc81, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878) }, /* #89/3/3/u */
    { 0x0f7f, 0x9440, 0x3c01, RTFLOAT80U_INIT_C(0,0x3647338c6dd6e0e6,26878), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/3/c */
    { 0x0000, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/0/0/u */
    { 0x007f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/0/c */
    { 0x0100, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/0/1/u */
    { 0x017f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/1/c */
    { 0x0200, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/0/2/u */
    { 0x027f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/2/c */
    { 0x0300, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/0/3/u */
    { 0x037f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/3/c */
    { 0x0400, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/1/0/u */
    { 0x047f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/0/c */
    { 0x0500, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/1/1/u */
    { 0x057f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/1/c */
    { 0x0600, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/1/2/u */
    { 0x067f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/2/c */
    { 0x0700, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/1/3/u */
    { 0x077f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/3/c */
    { 0x0800, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/2/0/u */
    { 0x087f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/0/c */
    { 0x0900, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/2/1/u */
    { 0x097f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/1/c */
    { 0x0a00, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/2/2/u */
    { 0x0a7f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/2/c */
    { 0x0b00, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/2/3/u */
    { 0x0b7f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/3/c */
    { 0x0c00, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/3/0/u */
    { 0x0c7f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/0/c */
    { 0x0d00, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/3/1/u */
    { 0x0d7f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/1/c */
    { 0x0e00, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/3/2/u */
    { 0x0e7f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/2/c */
    { 0x0f00, 0x723c, 0xf881, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767) }, /* #90/3/3/u */
    { 0x0f7f, 0x723c, 0x7801, RTFLOAT80U_INIT_C(1,0x68b3662742d1054e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/3/c */
    { 0x0000, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/0/u */
    { 0x007f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/0/c */
    { 0x0100, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/1/u */
    { 0x017f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/1/c */
    { 0x0200, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/2/u */
    { 0x027f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/2/c */
    { 0x0300, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/3/u */
    { 0x037f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/0/3/c */
    { 0x0400, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/0/u */
    { 0x047f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/0/c */
    { 0x0500, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/1/u */
    { 0x057f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/1/c */
    { 0x0600, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/2/u */
    { 0x067f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/2/c */
    { 0x0700, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/3/u */
    { 0x077f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/1/3/c */
    { 0x0800, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/0/u */
    { 0x087f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/0/c */
    { 0x0900, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/1/u */
    { 0x097f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/1/c */
    { 0x0a00, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/2/u */
    { 0x0a7f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/2/c */
    { 0x0b00, 0x45ec, 0xffa0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/3/u */
    { 0x0b7f, 0x45ec, 0x7f20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df6,31) }, /* #91/2/3/c */
    { 0x0c00, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/0/u */
    { 0x0c7f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/0/c */
    { 0x0d00, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/1/u */
    { 0x0d7f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/1/c */
    { 0x0e00, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/2/u */
    { 0x0e7f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/2/c */
    { 0x0f00, 0x45ec, 0xfda0, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/3/u */
    { 0x0f7f, 0x45ec, 0x7d20, RTFLOAT80U_INIT_C(0,0xc2f870caa845de19,31), RTFLOAT80U_INIT_C(0,0x8724aadf68391df5,31) }, /* #91/3/3/c */
    { 0x0000, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/0/0/u */
    { 0x007f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/0/c */
    { 0x0100, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/0/1/u */
    { 0x017f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/1/c */
    { 0x0200, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/0/2/u */
    { 0x027f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/2/c */
    { 0x0300, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/0/3/u */
    { 0x037f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/3/c */
    { 0x0400, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/1/0/u */
    { 0x047f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/0/c */
    { 0x0500, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/1/1/u */
    { 0x057f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/1/c */
    { 0x0600, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/1/2/u */
    { 0x067f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/2/c */
    { 0x0700, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/1/3/u */
    { 0x077f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/3/c */
    { 0x0800, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/2/0/u */
    { 0x087f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/0/c */
    { 0x0900, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/2/1/u */
    { 0x097f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/1/c */
    { 0x0a00, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/2/2/u */
    { 0x0a7f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/2/c */
    { 0x0b00, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/2/3/u */
    { 0x0b7f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/3/c */
    { 0x0c00, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/3/0/u */
    { 0x0c7f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/0/c */
    { 0x0d00, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/3/1/u */
    { 0x0d7f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/1/c */
    { 0x0e00, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/3/2/u */
    { 0x0e7f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/2/c */
    { 0x0f00, 0xde2e, 0xfc81, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767) }, /* #92/3/3/u */
    { 0x0f7f, 0xde2e, 0x7c01, RTFLOAT80U_INIT_C(1,0x6d8a10997d21ab9d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/3/c */
    { 0x0000, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/0/0/u */
    { 0x007f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/0/c */
    { 0x0100, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/0/1/u */
    { 0x017f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/1/c */
    { 0x0200, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/0/2/u */
    { 0x027f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/2/c */
    { 0x0300, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/0/3/u */
    { 0x037f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/3/c */
    { 0x0400, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/1/0/u */
    { 0x047f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/0/c */
    { 0x0500, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/1/1/u */
    { 0x057f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/1/c */
    { 0x0600, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/1/2/u */
    { 0x067f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/2/c */
    { 0x0700, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/1/3/u */
    { 0x077f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/3/c */
    { 0x0800, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/2/0/u */
    { 0x087f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/0/c */
    { 0x0900, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/2/1/u */
    { 0x097f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/1/c */
    { 0x0a00, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/2/2/u */
    { 0x0a7f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/2/c */
    { 0x0b00, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/2/3/u */
    { 0x0b7f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/3/c */
    { 0x0c00, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/3/0/u */
    { 0x0c7f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/0/c */
    { 0x0d00, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/3/1/u */
    { 0x0d7f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/1/c */
    { 0x0e00, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/3/2/u */
    { 0x0e7f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/2/c */
    { 0x0f00, 0x9737, 0xbd81, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276) }, /* #93/3/3/u */
    { 0x0f7f, 0x9737, 0x3d01, RTFLOAT80U_INIT_C(0,0x2cd452157b85d5a7,6276), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/3/c */
    { 0x0000, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/0/u */
    { 0x007f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/0/c */
    { 0x0100, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/1/u */
    { 0x017f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/1/c */
    { 0x0200, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/2/u */
    { 0x027f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/2/c */
    { 0x0300, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/3/u */
    { 0x037f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/0/3/c */
    { 0x0400, 0xdc52, 0xfea0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/0/u */
    { 0x047f, 0xdc52, 0x7e20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/0/c */
    { 0x0500, 0xdc52, 0xfea0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/1/u */
    { 0x057f, 0xdc52, 0x7e20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/1/c */
    { 0x0600, 0xdc52, 0xfea0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/2/u */
    { 0x067f, 0xdc52, 0x7e20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/2/c */
    { 0x0700, 0xdc52, 0xfea0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/3/u */
    { 0x077f, 0xdc52, 0x7e20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b074,5455) }, /* #94/1/3/c */
    { 0x0800, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/0/u */
    { 0x087f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/0/c */
    { 0x0900, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/1/u */
    { 0x097f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/1/c */
    { 0x0a00, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/2/u */
    { 0x0a7f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/2/c */
    { 0x0b00, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/3/u */
    { 0x0b7f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/2/3/c */
    { 0x0c00, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/0/u */
    { 0x0c7f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/0/c */
    { 0x0d00, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/1/u */
    { 0x0d7f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/1/c */
    { 0x0e00, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/2/u */
    { 0x0e7f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/2/c */
    { 0x0f00, 0xdc52, 0xfca0, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/3/u */
    { 0x0f7f, 0xdc52, 0x7c20, RTFLOAT80U_INIT_C(1,0xe4184854ce7ec293,5455), RTFLOAT80U_INIT_C(1,0x9e1a722dd567b073,5455) }, /* #94/3/3/c */
    { 0x0000, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/0/u */
    { 0x007f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/0/c */
    { 0x0100, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/1/u */
    { 0x017f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/1/c */
    { 0x0200, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/2/u */
    { 0x027f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/2/c */
    { 0x0300, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/3/u */
    { 0x037f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/0/3/c */
    { 0x0400, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/0/u */
    { 0x047f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/0/c */
    { 0x0500, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/1/u */
    { 0x057f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/1/c */
    { 0x0600, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/2/u */
    { 0x067f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/2/c */
    { 0x0700, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/3/u */
    { 0x077f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/1/3/c */
    { 0x0800, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/0/u */
    { 0x087f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/0/c */
    { 0x0900, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/1/u */
    { 0x097f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/1/c */
    { 0x0a00, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/2/u */
    { 0x0a7f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/2/c */
    { 0x0b00, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/3/u */
    { 0x0b7f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/2/3/c */
    { 0x0c00, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/0/u */
    { 0x0c7f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/0/c */
    { 0x0d00, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/1/u */
    { 0x0d7f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/1/c */
    { 0x0e00, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/2/u */
    { 0x0e7f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/2/c */
    { 0x0f00, 0xe4d5, 0xfca0, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/3/u */
    { 0x0f7f, 0xe4d5, 0x7c20, RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374), RTFLOAT80U_INIT_C(0,0x8a6f4847ab57b21f,21374) }, /* #95/3/3/c */
    { 0x0000, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/0/u */
    { 0x007f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/0/c */
    { 0x0100, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/1/u */
    { 0x017f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/1/c */
    { 0x0200, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/2/u */
    { 0x027f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/2/c */
    { 0x0300, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/3/u */
    { 0x037f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/0/3/c */
    { 0x0400, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/0/u */
    { 0x047f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/0/c */
    { 0x0500, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/1/u */
    { 0x057f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/1/c */
    { 0x0600, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/2/u */
    { 0x067f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/2/c */
    { 0x0700, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/3/u */
    { 0x077f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/1/3/c */
    { 0x0800, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/0/u */
    { 0x087f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/0/c */
    { 0x0900, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/1/u */
    { 0x097f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/1/c */
    { 0x0a00, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/2/u */
    { 0x0a7f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/2/c */
    { 0x0b00, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/3/u */
    { 0x0b7f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/2/3/c */
    { 0x0c00, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/0/u */
    { 0x0c7f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/0/c */
    { 0x0d00, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/1/u */
    { 0x0d7f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/1/c */
    { 0x0e00, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/2/u */
    { 0x0e7f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/2/c */
    { 0x0f00, 0x41b8, 0xf9a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/3/u */
    { 0x0f7f, 0x41b8, 0x7920, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383) }, /* #96/3/3/c */
};
uint32_t const g_cTests_f2xm1_r80_amd = RT_ELEMENTS(g_aTests_f2xm1_r80_amd);

FPU_UNARY_R80_TEST_T const g_aTests_fsin_r80_amd[] =
{
    { 0x0000, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/0/u */
    { 0x007f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/0/c */
    { 0x0100, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/1/u */
    { 0x017f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/1/c */
    { 0x0200, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/2/u */
    { 0x027f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/2/c */
    { 0x0300, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/3/u */
    { 0x037f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/0/3/c */
    { 0x0400, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/0/u */
    { 0x047f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/0/c */
    { 0x0500, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/1/u */
    { 0x057f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/1/c */
    { 0x0600, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/2/u */
    { 0x067f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/2/c */
    { 0x0700, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/3/u */
    { 0x077f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/1/3/c */
    { 0x0800, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/0/u */
    { 0x087f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/0/c */
    { 0x0900, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/1/u */
    { 0x097f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/1/c */
    { 0x0a00, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/2/u */
    { 0x0a7f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/2/c */
    { 0x0b00, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/3/u */
    { 0x0b7f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/2/3/c */
    { 0x0c00, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/0/u */
    { 0x0c7f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/0/c */
    { 0x0d00, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/1/u */
    { 0x0d7f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/1/c */
    { 0x0e00, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/2/u */
    { 0x0e7f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/2/c */
    { 0x0f00, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/3/u */
    { 0x0f7f, 0xa09e, 0x3c00, RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979), RTFLOAT80U_INIT_C(1,0x9702064d120ea2d2,21979) }, /* #0/3/3/c */
    { 0x0000, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/0/0/u */
    { 0x007f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/0/c */
    { 0x0100, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/0/1/u */
    { 0x017f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/1/c */
    { 0x0200, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/0/2/u */
    { 0x027f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/2/c */
    { 0x0300, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/0/3/u */
    { 0x037f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/3/c */
    { 0x0400, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/1/0/u */
    { 0x047f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/0/c */
    { 0x0500, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/1/1/u */
    { 0x057f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/1/c */
    { 0x0600, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/1/2/u */
    { 0x067f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/2/c */
    { 0x0700, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/1/3/u */
    { 0x077f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/3/c */
    { 0x0800, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/2/0/u */
    { 0x087f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/0/c */
    { 0x0900, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/2/1/u */
    { 0x097f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/1/c */
    { 0x0a00, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/2/2/u */
    { 0x0a7f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/2/c */
    { 0x0b00, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/2/3/u */
    { 0x0b7f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/3/c */
    { 0x0c00, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/3/0/u */
    { 0x0c7f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/0/c */
    { 0x0d00, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/3/1/u */
    { 0x0d7f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/1/c */
    { 0x0e00, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/3/2/u */
    { 0x0e7f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/2/c */
    { 0x0f00, 0x7889, 0xf881, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224) }, /* #1/3/3/u */
    { 0x0f7f, 0x7889, 0x7801, RTFLOAT80U_INIT_C(1,0x17cd9858b8a01cf6,26224), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/3/c */
    { 0x0000, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/0/0/u */
    { 0x007f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/0/c */
    { 0x0100, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/0/1/u */
    { 0x017f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/1/c */
    { 0x0200, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/0/2/u */
    { 0x027f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/2/c */
    { 0x0300, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/0/3/u */
    { 0x037f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/3/c */
    { 0x0400, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/1/0/u */
    { 0x047f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/0/c */
    { 0x0500, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/1/1/u */
    { 0x057f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/1/c */
    { 0x0600, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/1/2/u */
    { 0x067f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/2/c */
    { 0x0700, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/1/3/u */
    { 0x077f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/3/c */
    { 0x0800, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/2/0/u */
    { 0x087f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/0/c */
    { 0x0900, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/2/1/u */
    { 0x097f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/1/c */
    { 0x0a00, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/2/2/u */
    { 0x0a7f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/2/c */
    { 0x0b00, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/2/3/u */
    { 0x0b7f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/3/c */
    { 0x0c00, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/3/0/u */
    { 0x0c7f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/0/c */
    { 0x0d00, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/3/1/u */
    { 0x0d7f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/1/c */
    { 0x0e00, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/3/2/u */
    { 0x0e7f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/2/c */
    { 0x0f00, 0xd878, 0xf881, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816) }, /* #2/3/3/u */
    { 0x0f7f, 0xd878, 0x7801, RTFLOAT80U_INIT_C(1,0x71a3a1c985ed9834,19816), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/3/c */
    { 0x0000, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/0/u */
    { 0x007f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/0/c */
    { 0x0100, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/1/u */
    { 0x017f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/1/c */
    { 0x0200, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/2/u */
    { 0x027f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/2/c */
    { 0x0300, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/3/u */
    { 0x037f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/0/3/c */
    { 0x0400, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/0/u */
    { 0x047f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/0/c */
    { 0x0500, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/1/u */
    { 0x057f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/1/c */
    { 0x0600, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/2/u */
    { 0x067f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/2/c */
    { 0x0700, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/3/u */
    { 0x077f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/1/3/c */
    { 0x0800, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/0/u */
    { 0x087f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/0/c */
    { 0x0900, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/1/u */
    { 0x097f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/1/c */
    { 0x0a00, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/2/u */
    { 0x0a7f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/2/c */
    { 0x0b00, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/3/u */
    { 0x0b7f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/2/3/c */
    { 0x0c00, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/0/u */
    { 0x0c7f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/0/c */
    { 0x0d00, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/1/u */
    { 0x0d7f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/1/c */
    { 0x0e00, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/2/u */
    { 0x0e7f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/2/c */
    { 0x0f00, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/3/u */
    { 0x0f7f, 0x8b57, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #3/3/3/c */
    { 0x0000, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/0/0/u */
    { 0x007f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/0/0/c */
    { 0x0100, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/0/1/u */
    { 0x017f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/0/1/c */
    { 0x0200, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/0/2/u */
    { 0x027f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/0/2/c */
    { 0x0300, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/0/3/u */
    { 0x037f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/0/3/c */
    { 0x0400, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/1/0/u */
    { 0x047f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/1/0/c */
    { 0x0500, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/1/1/u */
    { 0x057f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/1/1/c */
    { 0x0600, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/1/2/u */
    { 0x067f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/1/2/c */
    { 0x0700, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/1/3/u */
    { 0x077f, 0xe593, 0x7b22, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,1) }, /* #4/1/3/c */
    { 0x0800, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/2/0/u */
    { 0x087f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/2/0/c */
    { 0x0900, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/2/1/u */
    { 0x097f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/2/1/c */
    { 0x0a00, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/2/2/u */
    { 0x0a7f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/2/2/c */
    { 0x0b00, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/2/3/u */
    { 0x0b7f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/2/3/c */
    { 0x0c00, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/3/0/u */
    { 0x0c7f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/3/0/c */
    { 0x0d00, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/3/1/u */
    { 0x0d7f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/3/1/c */
    { 0x0e00, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/3/2/u */
    { 0x0e7f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/3/2/c */
    { 0x0f00, 0xe593, 0xf982, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0) }, /* #4/3/3/u */
    { 0x0f7f, 0xe593, 0x7922, RTFLOAT80U_INIT_C(1,0x8007fa27f3ded121,0), RTFLOAT80U_INIT_C(1,0x8007fa27f3ded120,1) }, /* #4/3/3/c */
    { 0x0000, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/0/u */
    { 0x007f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/0/c */
    { 0x0100, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/1/u */
    { 0x017f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/1/c */
    { 0x0200, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/2/u */
    { 0x027f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/2/c */
    { 0x0300, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/3/u */
    { 0x037f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/0/3/c */
    { 0x0400, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/0/u */
    { 0x047f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/0/c */
    { 0x0500, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/1/u */
    { 0x057f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/1/c */
    { 0x0600, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/2/u */
    { 0x067f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/2/c */
    { 0x0700, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/3/u */
    { 0x077f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/1/3/c */
    { 0x0800, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/0/u */
    { 0x087f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/0/c */
    { 0x0900, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/1/u */
    { 0x097f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/1/c */
    { 0x0a00, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/2/u */
    { 0x0a7f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/2/c */
    { 0x0b00, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/3/u */
    { 0x0b7f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/2/3/c */
    { 0x0c00, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/0/u */
    { 0x0c7f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/0/c */
    { 0x0d00, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/1/u */
    { 0x0d7f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/1/c */
    { 0x0e00, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/2/u */
    { 0x0e7f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/2/c */
    { 0x0f00, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/3/u */
    { 0x0f7f, 0xd821, 0x7c00, RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095), RTFLOAT80U_INIT_C(0,0xdaadbb430c261ec3,23095) }, /* #5/3/3/c */
    { 0x0000, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/0/u */
    { 0x007f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/0/c */
    { 0x0100, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/1/u */
    { 0x017f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/1/c */
    { 0x0200, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/2/u */
    { 0x027f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/2/c */
    { 0x0300, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/3/u */
    { 0x037f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/0/3/c */
    { 0x0400, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/0/u */
    { 0x047f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/0/c */
    { 0x0500, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/1/u */
    { 0x057f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/1/c */
    { 0x0600, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/2/u */
    { 0x067f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/2/c */
    { 0x0700, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/3/u */
    { 0x077f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/1/3/c */
    { 0x0800, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/0/u */
    { 0x087f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/0/c */
    { 0x0900, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/1/u */
    { 0x097f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/1/c */
    { 0x0a00, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/2/u */
    { 0x0a7f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/2/c */
    { 0x0b00, 0x14e3, 0xbaa0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/3/u */
    { 0x0b7f, 0x14e3, 0x3a20, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202) }, /* #6/2/3/c */
    { 0x0c00, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/0/u */
    { 0x0c7f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/0/c */
    { 0x0d00, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/1/u */
    { 0x0d7f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/1/c */
    { 0x0e00, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/2/u */
    { 0x0e7f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/2/c */
    { 0x0f00, 0x14e3, 0xb8a0, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/3/u */
    { 0x0f7f, 0x14e3, 0x3820, RTFLOAT80U_INIT_C(0,0xd49e367151388104,16202), RTFLOAT80U_INIT_C(0,0xd49e367151388103,16202) }, /* #6/3/3/c */
    { 0x0000, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/0/u */
    { 0x007f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/0/c */
    { 0x0100, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/1/u */
    { 0x017f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/1/c */
    { 0x0200, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/2/u */
    { 0x027f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/2/c */
    { 0x0300, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/3/u */
    { 0x037f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/0/3/c */
    { 0x0400, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/0/u */
    { 0x047f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/0/c */
    { 0x0500, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/1/u */
    { 0x057f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/1/c */
    { 0x0600, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/2/u */
    { 0x067f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/2/c */
    { 0x0700, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/3/u */
    { 0x077f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/1/3/c */
    { 0x0800, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/0/u */
    { 0x087f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/0/c */
    { 0x0900, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/1/u */
    { 0x097f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/1/c */
    { 0x0a00, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/2/u */
    { 0x0a7f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/2/c */
    { 0x0b00, 0x9fb5, 0xbba0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/3/u */
    { 0x0b7f, 0x9fb5, 0x3b20, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867) }, /* #7/2/3/c */
    { 0x0c00, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/0/u */
    { 0x0c7f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/0/c */
    { 0x0d00, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/1/u */
    { 0x0d7f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/1/c */
    { 0x0e00, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/2/u */
    { 0x0e7f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/2/c */
    { 0x0f00, 0x9fb5, 0xb9a0, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/3/u */
    { 0x0f7f, 0x9fb5, 0x3920, RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6e,11867), RTFLOAT80U_INIT_C(0,0xfd2078d8cbdf7b6d,11867) }, /* #7/3/3/c */
    { 0x0000, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/0/u */
    { 0x007f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/0/c */
    { 0x0100, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/1/u */
    { 0x017f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/1/c */
    { 0x0200, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/2/u */
    { 0x027f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/2/c */
    { 0x0300, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/3/u */
    { 0x037f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/0/3/c */
    { 0x0400, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/0/u */
    { 0x047f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/0/c */
    { 0x0500, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/1/u */
    { 0x057f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/1/c */
    { 0x0600, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/2/u */
    { 0x067f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/2/c */
    { 0x0700, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/3/u */
    { 0x077f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/1/3/c */
    { 0x0800, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/0/u */
    { 0x087f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/0/c */
    { 0x0900, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/1/u */
    { 0x097f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/1/c */
    { 0x0a00, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/2/u */
    { 0x0a7f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/2/c */
    { 0x0b00, 0x8542, 0xbba0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/3/u */
    { 0x0b7f, 0x8542, 0x3b20, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662) }, /* #8/2/3/c */
    { 0x0c00, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/0/u */
    { 0x0c7f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/0/c */
    { 0x0d00, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/1/u */
    { 0x0d7f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/1/c */
    { 0x0e00, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/2/u */
    { 0x0e7f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/2/c */
    { 0x0f00, 0x8542, 0xb9a0, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/3/u */
    { 0x0f7f, 0x8542, 0x3920, RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2693,13662), RTFLOAT80U_INIT_C(0,0x8888bad2b8bc2692,13662) }, /* #8/3/3/c */
    { 0x0000, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/0/0/u */
    { 0x007f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/0/c */
    { 0x0100, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/0/1/u */
    { 0x017f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/1/c */
    { 0x0200, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/0/2/u */
    { 0x027f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/2/c */
    { 0x0300, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/0/3/u */
    { 0x037f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/0/3/c */
    { 0x0400, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/1/0/u */
    { 0x047f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/0/c */
    { 0x0500, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/1/1/u */
    { 0x057f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/1/c */
    { 0x0600, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/1/2/u */
    { 0x067f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/2/c */
    { 0x0700, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/1/3/u */
    { 0x077f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/1/3/c */
    { 0x0800, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/2/0/u */
    { 0x087f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/0/c */
    { 0x0900, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/2/1/u */
    { 0x097f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/1/c */
    { 0x0a00, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/2/2/u */
    { 0x0a7f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/2/c */
    { 0x0b00, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/2/3/u */
    { 0x0b7f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/2/3/c */
    { 0x0c00, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/3/0/u */
    { 0x0c7f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/0/c */
    { 0x0d00, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/3/1/u */
    { 0x0d7f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/1/c */
    { 0x0e00, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/3/2/u */
    { 0x0e7f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/2/c */
    { 0x0f00, 0x8652, 0xb881, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767) }, /* #9/3/3/u */
    { 0x0f7f, 0x8652, 0x3801, RTFLOAT80U_INIT_C(1,0x400069664bd84371,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #9/3/3/c */
    { 0x0000, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/0/0/u */
    { 0x007f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/0/0/c */
    { 0x0100, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/0/1/u */
    { 0x017f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/0/1/c */
    { 0x0200, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/0/2/u */
    { 0x027f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/0/2/c */
    { 0x0300, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/0/3/u */
    { 0x037f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/0/3/c */
    { 0x0400, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/1/0/u */
    { 0x047f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/1/0/c */
    { 0x0500, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/1/1/u */
    { 0x057f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/1/1/c */
    { 0x0600, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/1/2/u */
    { 0x067f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/1/2/c */
    { 0x0700, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/1/3/u */
    { 0x077f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/1/3/c */
    { 0x0800, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/2/0/u */
    { 0x087f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/2/0/c */
    { 0x0900, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/2/1/u */
    { 0x097f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/2/1/c */
    { 0x0a00, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/2/2/u */
    { 0x0a7f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/2/2/c */
    { 0x0b00, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/2/3/u */
    { 0x0b7f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/2/3/c */
    { 0x0c00, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/3/0/u */
    { 0x0c7f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/3/0/c */
    { 0x0d00, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/3/1/u */
    { 0x0d7f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/3/1/c */
    { 0x0e00, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/3/2/u */
    { 0x0e7f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/3/2/c */
    { 0x0f00, 0x2eb2, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #10/3/3/u */
    { 0x0f7f, 0x2eb2, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #10/3/3/c */
    { 0x0000, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/0/0/u */
    { 0x007f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/0/0/c */
    { 0x0100, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/0/1/u */
    { 0x017f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/0/1/c */
    { 0x0200, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/0/2/u */
    { 0x027f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/0/2/c */
    { 0x0300, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/0/3/u */
    { 0x037f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/0/3/c */
    { 0x0400, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/1/0/u */
    { 0x047f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/1/0/c */
    { 0x0500, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/1/1/u */
    { 0x057f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/1/1/c */
    { 0x0600, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/1/2/u */
    { 0x067f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/1/2/c */
    { 0x0700, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/1/3/u */
    { 0x077f, 0x179e, 0x3b22, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,1) }, /* #11/1/3/c */
    { 0x0800, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/2/0/u */
    { 0x087f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/2/0/c */
    { 0x0900, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/2/1/u */
    { 0x097f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/2/1/c */
    { 0x0a00, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/2/2/u */
    { 0x0a7f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/2/2/c */
    { 0x0b00, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/2/3/u */
    { 0x0b7f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/2/3/c */
    { 0x0c00, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/3/0/u */
    { 0x0c7f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/3/0/c */
    { 0x0d00, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/3/1/u */
    { 0x0d7f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/3/1/c */
    { 0x0e00, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/3/2/u */
    { 0x0e7f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/3/2/c */
    { 0x0f00, 0x179e, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0) }, /* #11/3/3/u */
    { 0x0f7f, 0x179e, 0x3922, RTFLOAT80U_INIT_C(1,0x80000000006f4c8b,0), RTFLOAT80U_INIT_C(1,0x80000000006f4c8a,1) }, /* #11/3/3/c */
    { 0x0000, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/0/0/u */
    { 0x007f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/0/0/c */
    { 0x0100, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/0/1/u */
    { 0x017f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/0/1/c */
    { 0x0200, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/0/2/u */
    { 0x027f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/0/2/c */
    { 0x0300, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/0/3/u */
    { 0x037f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/0/3/c */
    { 0x0400, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/1/0/u */
    { 0x047f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/1/0/c */
    { 0x0500, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/1/1/u */
    { 0x057f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/1/1/c */
    { 0x0600, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/1/2/u */
    { 0x067f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/1/2/c */
    { 0x0700, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/1/3/u */
    { 0x077f, 0x986b, 0x3a22, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,1) }, /* #12/1/3/c */
    { 0x0800, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/2/0/u */
    { 0x087f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/2/0/c */
    { 0x0900, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/2/1/u */
    { 0x097f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/2/1/c */
    { 0x0a00, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/2/2/u */
    { 0x0a7f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/2/2/c */
    { 0x0b00, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/2/3/u */
    { 0x0b7f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/2/3/c */
    { 0x0c00, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/3/0/u */
    { 0x0c7f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/3/0/c */
    { 0x0d00, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/3/1/u */
    { 0x0d7f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/3/1/c */
    { 0x0e00, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/3/2/u */
    { 0x0e7f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/3/2/c */
    { 0x0f00, 0x986b, 0xb882, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a37,0) }, /* #12/3/3/u */
    { 0x0f7f, 0x986b, 0x3822, RTFLOAT80U_INIT_C(1,0x8000000000000a37,0), RTFLOAT80U_INIT_C(1,0x8000000000000a36,1) }, /* #12/3/3/c */
    { 0x0000, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/0/0/u */
    { 0x007f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/0/0/c */
    { 0x0100, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/0/1/u */
    { 0x017f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/0/1/c */
    { 0x0200, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/0/2/u */
    { 0x027f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/0/2/c */
    { 0x0300, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/0/3/u */
    { 0x037f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/0/3/c */
    { 0x0400, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/1/0/u */
    { 0x047f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/1/0/c */
    { 0x0500, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/1/1/u */
    { 0x057f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/1/1/c */
    { 0x0600, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/1/2/u */
    { 0x067f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/1/2/c */
    { 0x0700, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/1/3/u */
    { 0x077f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/1/3/c */
    { 0x0800, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/2/0/u */
    { 0x087f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/2/0/c */
    { 0x0900, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/2/1/u */
    { 0x097f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/2/1/c */
    { 0x0a00, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/2/2/u */
    { 0x0a7f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/2/2/c */
    { 0x0b00, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/2/3/u */
    { 0x0b7f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/2/3/c */
    { 0x0c00, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/3/0/u */
    { 0x0c7f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/3/0/c */
    { 0x0d00, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/3/1/u */
    { 0x0d7f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/3/1/c */
    { 0x0e00, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/3/2/u */
    { 0x0e7f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/3/2/c */
    { 0x0f00, 0x5c4d, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #13/3/3/u */
    { 0x0f7f, 0x5c4d, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #13/3/3/c */
    { 0x0000, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/0/u */
    { 0x007f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/0/c */
    { 0x0100, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/1/u */
    { 0x017f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/1/c */
    { 0x0200, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/2/u */
    { 0x027f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/2/c */
    { 0x0300, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/3/u */
    { 0x037f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/0/3/c */
    { 0x0400, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/0/u */
    { 0x047f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/0/c */
    { 0x0500, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/1/u */
    { 0x057f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/1/c */
    { 0x0600, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/2/u */
    { 0x067f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/2/c */
    { 0x0700, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/3/u */
    { 0x077f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/1/3/c */
    { 0x0800, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/0/u */
    { 0x087f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/0/c */
    { 0x0900, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/1/u */
    { 0x097f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/1/c */
    { 0x0a00, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/2/u */
    { 0x0a7f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/2/c */
    { 0x0b00, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/3/u */
    { 0x0b7f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/2/3/c */
    { 0x0c00, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/0/u */
    { 0x0c7f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/0/c */
    { 0x0d00, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/1/u */
    { 0x0d7f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/1/c */
    { 0x0e00, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/2/u */
    { 0x0e7f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/2/c */
    { 0x0f00, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/3/u */
    { 0x0f7f, 0x3c6a, 0x3c00, RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063), RTFLOAT80U_INIT_C(1,0xddfbf1b5e76ce43b,21063) }, /* #14/3/3/c */
    { 0x0000, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/0/u */
    { 0x007f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/0/c */
    { 0x0100, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/1/u */
    { 0x017f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/1/c */
    { 0x0200, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/2/u */
    { 0x027f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/2/c */
    { 0x0300, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/3/u */
    { 0x037f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/0/3/c */
    { 0x0400, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/0/u */
    { 0x047f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/0/c */
    { 0x0500, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/1/u */
    { 0x057f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/1/c */
    { 0x0600, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/2/u */
    { 0x067f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/2/c */
    { 0x0700, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/3/u */
    { 0x077f, 0x0557, 0x3b32, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/1/3/c */
    { 0x0800, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/2/0/u */
    { 0x087f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/2/0/c */
    { 0x0900, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/2/1/u */
    { 0x097f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/2/1/c */
    { 0x0a00, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/2/2/u */
    { 0x0a7f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/2/2/c */
    { 0x0b00, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/2/3/u */
    { 0x0b7f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/2/3/c */
    { 0x0c00, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/3/0/u */
    { 0x0c7f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/3/0/c */
    { 0x0d00, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/3/1/u */
    { 0x0d7f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/3/1/c */
    { 0x0e00, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/3/2/u */
    { 0x0e7f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/3/2/c */
    { 0x0f00, 0x0557, 0xb982, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac6,0) }, /* #15/3/3/u */
    { 0x0f7f, 0x0557, 0x3932, RTFLOAT80U_INIT_C(1,0x479b3ac6,0), RTFLOAT80U_INIT_C(1,0x479b3ac5,0) }, /* #15/3/3/c */
    { 0x0000, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/0/u */
    { 0x007f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/0/c */
    { 0x0100, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/1/u */
    { 0x017f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/1/c */
    { 0x0200, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/2/u */
    { 0x027f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/2/c */
    { 0x0300, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/3/u */
    { 0x037f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/0/3/c */
    { 0x0400, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/0/u */
    { 0x047f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/0/c */
    { 0x0500, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/1/u */
    { 0x057f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/1/c */
    { 0x0600, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/2/u */
    { 0x067f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/2/c */
    { 0x0700, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/3/u */
    { 0x077f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/1/3/c */
    { 0x0800, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/0/u */
    { 0x087f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/0/c */
    { 0x0900, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/1/u */
    { 0x097f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/1/c */
    { 0x0a00, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/2/u */
    { 0x0a7f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/2/c */
    { 0x0b00, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/3/u */
    { 0x0b7f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/2/3/c */
    { 0x0c00, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/0/u */
    { 0x0c7f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/0/c */
    { 0x0d00, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/1/u */
    { 0x0d7f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/1/c */
    { 0x0e00, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/2/u */
    { 0x0e7f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/2/c */
    { 0x0f00, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/3/u */
    { 0x0f7f, 0xd556, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0) }, /* #16/3/3/c */
    { 0x0000, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/0/0/u */
    { 0x007f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/0/c */
    { 0x0100, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/0/1/u */
    { 0x017f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/1/c */
    { 0x0200, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/0/2/u */
    { 0x027f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/2/c */
    { 0x0300, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/0/3/u */
    { 0x037f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/0/3/c */
    { 0x0400, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/1/0/u */
    { 0x047f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/0/c */
    { 0x0500, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/1/1/u */
    { 0x057f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/1/c */
    { 0x0600, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/1/2/u */
    { 0x067f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/2/c */
    { 0x0700, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/1/3/u */
    { 0x077f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/1/3/c */
    { 0x0800, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/2/0/u */
    { 0x087f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/0/c */
    { 0x0900, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/2/1/u */
    { 0x097f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/1/c */
    { 0x0a00, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/2/2/u */
    { 0x0a7f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/2/c */
    { 0x0b00, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/2/3/u */
    { 0x0b7f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/2/3/c */
    { 0x0c00, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/3/0/u */
    { 0x0c7f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/0/c */
    { 0x0d00, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/3/1/u */
    { 0x0d7f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/1/c */
    { 0x0e00, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/3/2/u */
    { 0x0e7f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/2/c */
    { 0x0f00, 0x4992, 0xf981, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430) }, /* #17/3/3/u */
    { 0x0f7f, 0x4992, 0x7901, RTFLOAT80U_INIT_C(0,0x302c580264ff39cf,9430), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #17/3/3/c */
    { 0x0000, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/0/u */
    { 0x007f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/0/c */
    { 0x0100, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/1/u */
    { 0x017f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/1/c */
    { 0x0200, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/2/u */
    { 0x027f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/2/c */
    { 0x0300, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/3/u */
    { 0x037f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/0/3/c */
    { 0x0400, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/0/u */
    { 0x047f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/0/c */
    { 0x0500, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/1/u */
    { 0x057f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/1/c */
    { 0x0600, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/2/u */
    { 0x067f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/2/c */
    { 0x0700, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/3/u */
    { 0x077f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/1/3/c */
    { 0x0800, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/0/u */
    { 0x087f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/0/c */
    { 0x0900, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/1/u */
    { 0x097f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/1/c */
    { 0x0a00, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/2/u */
    { 0x0a7f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/2/c */
    { 0x0b00, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/3/u */
    { 0x0b7f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/2/3/c */
    { 0x0c00, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/0/u */
    { 0x0c7f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/0/c */
    { 0x0d00, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/1/u */
    { 0x0d7f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/1/c */
    { 0x0e00, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/2/u */
    { 0x0e7f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/2/c */
    { 0x0f00, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/3/u */
    { 0x0f7f, 0x7702, 0x7d00, RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666), RTFLOAT80U_INIT_C(0,0x86322a9fc5933f90,20666) }, /* #18/3/3/c */
    { 0x0000, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/0/u */
    { 0x007f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/0/c */
    { 0x0100, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/1/u */
    { 0x017f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/1/c */
    { 0x0200, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/2/u */
    { 0x027f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/2/c */
    { 0x0300, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/3/u */
    { 0x037f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/0/3/c */
    { 0x0400, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/0/u */
    { 0x047f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/0/c */
    { 0x0500, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/1/u */
    { 0x057f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/1/c */
    { 0x0600, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/2/u */
    { 0x067f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/2/c */
    { 0x0700, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/3/u */
    { 0x077f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/1/3/c */
    { 0x0800, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/0/u */
    { 0x087f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/0/c */
    { 0x0900, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/1/u */
    { 0x097f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/1/c */
    { 0x0a00, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/2/u */
    { 0x0a7f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/2/c */
    { 0x0b00, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/3/u */
    { 0x0b7f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/2/3/c */
    { 0x0c00, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/0/u */
    { 0x0c7f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/0/c */
    { 0x0d00, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/1/u */
    { 0x0d7f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/1/c */
    { 0x0e00, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/2/u */
    { 0x0e7f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/2/c */
    { 0x0f00, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/3/u */
    { 0x0f7f, 0xe415, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #19/3/3/c */
    { 0x0000, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/0/u */
    { 0x007f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/0/c */
    { 0x0100, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/1/u */
    { 0x017f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/1/c */
    { 0x0200, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/2/u */
    { 0x027f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/2/c */
    { 0x0300, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/3/u */
    { 0x037f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/0/3/c */
    { 0x0400, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/0/u */
    { 0x047f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/0/c */
    { 0x0500, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/1/u */
    { 0x057f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/1/c */
    { 0x0600, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/2/u */
    { 0x067f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/2/c */
    { 0x0700, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/3/u */
    { 0x077f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/1/3/c */
    { 0x0800, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/0/u */
    { 0x087f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/0/c */
    { 0x0900, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/1/u */
    { 0x097f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/1/c */
    { 0x0a00, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/2/u */
    { 0x0a7f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/2/c */
    { 0x0b00, 0xc811, 0xfaa0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/3/u */
    { 0x0b7f, 0xc811, 0x7a20, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830) }, /* #20/2/3/c */
    { 0x0c00, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/0/u */
    { 0x0c7f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/0/c */
    { 0x0d00, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/1/u */
    { 0x0d7f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/1/c */
    { 0x0e00, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/2/u */
    { 0x0e7f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/2/c */
    { 0x0f00, 0xc811, 0xf8a0, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/3/u */
    { 0x0f7f, 0xc811, 0x7820, RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f07,4830), RTFLOAT80U_INIT_C(0,0xd81f6a74eaad4f06,4830) }, /* #20/3/3/c */
    { 0x0000, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/0/u */
    { 0x007f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/0/c */
    { 0x0100, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/1/u */
    { 0x017f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/1/c */
    { 0x0200, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/2/u */
    { 0x027f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/2/c */
    { 0x0300, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/3/u */
    { 0x037f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/0/3/c */
    { 0x0400, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/0/u */
    { 0x047f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/0/c */
    { 0x0500, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/1/u */
    { 0x057f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/1/c */
    { 0x0600, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/2/u */
    { 0x067f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/2/c */
    { 0x0700, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/3/u */
    { 0x077f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/1/3/c */
    { 0x0800, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/0/u */
    { 0x087f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/0/c */
    { 0x0900, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/1/u */
    { 0x097f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/1/c */
    { 0x0a00, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/2/u */
    { 0x0a7f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/2/c */
    { 0x0b00, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/3/u */
    { 0x0b7f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/2/3/c */
    { 0x0c00, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/0/u */
    { 0x0c7f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/0/c */
    { 0x0d00, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/1/u */
    { 0x0d7f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/1/c */
    { 0x0e00, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/2/u */
    { 0x0e7f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/2/c */
    { 0x0f00, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/3/u */
    { 0x0f7f, 0xf512, 0x7d00, RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319), RTFLOAT80U_INIT_C(0,0xdb358a019433e5d3,30319) }, /* #21/3/3/c */
    { 0x0000, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/0/0/u */
    { 0x007f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/0/c */
    { 0x0100, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/0/1/u */
    { 0x017f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/1/c */
    { 0x0200, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/0/2/u */
    { 0x027f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/2/c */
    { 0x0300, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/0/3/u */
    { 0x037f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/3/c */
    { 0x0400, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/1/0/u */
    { 0x047f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/0/c */
    { 0x0500, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/1/1/u */
    { 0x057f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/1/c */
    { 0x0600, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/1/2/u */
    { 0x067f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/2/c */
    { 0x0700, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/1/3/u */
    { 0x077f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/3/c */
    { 0x0800, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/2/0/u */
    { 0x087f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/0/c */
    { 0x0900, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/2/1/u */
    { 0x097f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/1/c */
    { 0x0a00, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/2/2/u */
    { 0x0a7f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/2/c */
    { 0x0b00, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/2/3/u */
    { 0x0b7f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/3/c */
    { 0x0c00, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/3/0/u */
    { 0x0c7f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/0/c */
    { 0x0d00, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/3/1/u */
    { 0x0d7f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/1/c */
    { 0x0e00, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/3/2/u */
    { 0x0e7f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/2/c */
    { 0x0f00, 0x3059, 0xb881, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118) }, /* #22/3/3/u */
    { 0x0f7f, 0x3059, 0x3801, RTFLOAT80U_INIT_C(0,0x22aba1b01acfd50,9118), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/3/c */
    { 0x0000, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/0/0/u */
    { 0x007f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/0/0/c */
    { 0x0100, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/0/1/u */
    { 0x017f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/0/1/c */
    { 0x0200, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/0/2/u */
    { 0x027f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/0/2/c */
    { 0x0300, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/0/3/u */
    { 0x037f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/0/3/c */
    { 0x0400, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/1/0/u */
    { 0x047f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/1/0/c */
    { 0x0500, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/1/1/u */
    { 0x057f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/1/1/c */
    { 0x0600, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/1/2/u */
    { 0x067f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/1/2/c */
    { 0x0700, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/1/3/u */
    { 0x077f, 0x2ad6, 0x3a22, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,1) }, /* #23/1/3/c */
    { 0x0800, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/2/0/u */
    { 0x087f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/2/0/c */
    { 0x0900, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/2/1/u */
    { 0x097f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/2/1/c */
    { 0x0a00, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/2/2/u */
    { 0x0a7f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/2/2/c */
    { 0x0b00, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/2/3/u */
    { 0x0b7f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/2/3/c */
    { 0x0c00, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/3/0/u */
    { 0x0c7f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/3/0/c */
    { 0x0d00, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/3/1/u */
    { 0x0d7f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/3/1/c */
    { 0x0e00, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/3/2/u */
    { 0x0e7f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/3/2/c */
    { 0x0f00, 0x2ad6, 0xb882, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0) }, /* #23/3/3/u */
    { 0x0f7f, 0x2ad6, 0x3822, RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f2,0), RTFLOAT80U_INIT_C(1,0x91e5ee0d3d2332f1,1) }, /* #23/3/3/c */
    { 0x0000, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/0/u */
    { 0x007f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/0/c */
    { 0x0100, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/1/u */
    { 0x017f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/1/c */
    { 0x0200, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/2/u */
    { 0x027f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/2/c */
    { 0x0300, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/3/u */
    { 0x037f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/0/3/c */
    { 0x0400, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/0/u */
    { 0x047f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/0/c */
    { 0x0500, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/1/u */
    { 0x057f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/1/c */
    { 0x0600, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/2/u */
    { 0x067f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/2/c */
    { 0x0700, 0x806c, 0xbaa0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/3/u */
    { 0x077f, 0x806c, 0x3a20, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957) }, /* #24/1/3/c */
    { 0x0800, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/0/u */
    { 0x087f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/0/c */
    { 0x0900, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/1/u */
    { 0x097f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/1/c */
    { 0x0a00, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/2/u */
    { 0x0a7f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/2/c */
    { 0x0b00, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/3/u */
    { 0x0b7f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/2/3/c */
    { 0x0c00, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/0/u */
    { 0x0c7f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/0/c */
    { 0x0d00, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/1/u */
    { 0x0d7f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/1/c */
    { 0x0e00, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/2/u */
    { 0x0e7f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/2/c */
    { 0x0f00, 0x806c, 0xb8a0, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/3/u */
    { 0x0f7f, 0x806c, 0x3820, RTFLOAT80U_INIT_C(1,0x8c924d9941f447bf,7957), RTFLOAT80U_INIT_C(1,0x8c924d9941f447be,7957) }, /* #24/3/3/c */
    { 0x0000, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/0/u */
    { 0x007f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/0/c */
    { 0x0100, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/1/u */
    { 0x017f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/1/c */
    { 0x0200, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/2/u */
    { 0x027f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/2/c */
    { 0x0300, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/3/u */
    { 0x037f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/0/3/c */
    { 0x0400, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/0/u */
    { 0x047f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/0/c */
    { 0x0500, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/1/u */
    { 0x057f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/1/c */
    { 0x0600, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/2/u */
    { 0x067f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/2/c */
    { 0x0700, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/3/u */
    { 0x077f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/1/3/c */
    { 0x0800, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/0/u */
    { 0x087f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/0/c */
    { 0x0900, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/1/u */
    { 0x097f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/1/c */
    { 0x0a00, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/2/u */
    { 0x0a7f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/2/c */
    { 0x0b00, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/3/u */
    { 0x0b7f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/2/3/c */
    { 0x0c00, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/0/u */
    { 0x0c7f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/0/c */
    { 0x0d00, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/1/u */
    { 0x0d7f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/1/c */
    { 0x0e00, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/2/u */
    { 0x0e7f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/2/c */
    { 0x0f00, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/3/u */
    { 0x0f7f, 0xdd2f, 0x7900, RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767), RTFLOAT80U_INIT_C(1,0xc6bb043eded83db4,32767) }, /* #25/3/3/c */
    { 0x0000, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/0/0/u */
    { 0x007f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/0/c */
    { 0x0100, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/0/1/u */
    { 0x017f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/1/c */
    { 0x0200, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/0/2/u */
    { 0x027f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/2/c */
    { 0x0300, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/0/3/u */
    { 0x037f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/3/c */
    { 0x0400, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/1/0/u */
    { 0x047f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/0/c */
    { 0x0500, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/1/1/u */
    { 0x057f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/1/c */
    { 0x0600, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/1/2/u */
    { 0x067f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/2/c */
    { 0x0700, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/1/3/u */
    { 0x077f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/3/c */
    { 0x0800, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/2/0/u */
    { 0x087f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/0/c */
    { 0x0900, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/2/1/u */
    { 0x097f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/1/c */
    { 0x0a00, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/2/2/u */
    { 0x0a7f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/2/c */
    { 0x0b00, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/2/3/u */
    { 0x0b7f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/3/c */
    { 0x0c00, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/3/0/u */
    { 0x0c7f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/0/c */
    { 0x0d00, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/3/1/u */
    { 0x0d7f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/1/c */
    { 0x0e00, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/3/2/u */
    { 0x0e7f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/2/c */
    { 0x0f00, 0xbc6f, 0xb881, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875) }, /* #26/3/3/u */
    { 0x0f7f, 0xbc6f, 0x3801, RTFLOAT80U_INIT_C(0,0x26a561a2e67470fa,1875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/3/c */
    { 0x0000, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/0/0/u */
    { 0x007f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/0/c */
    { 0x0100, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/0/1/u */
    { 0x017f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/1/c */
    { 0x0200, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/0/2/u */
    { 0x027f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/2/c */
    { 0x0300, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/0/3/u */
    { 0x037f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/3/c */
    { 0x0400, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/1/0/u */
    { 0x047f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/0/c */
    { 0x0500, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/1/1/u */
    { 0x057f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/1/c */
    { 0x0600, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/1/2/u */
    { 0x067f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/2/c */
    { 0x0700, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/1/3/u */
    { 0x077f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/3/c */
    { 0x0800, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/2/0/u */
    { 0x087f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/0/c */
    { 0x0900, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/2/1/u */
    { 0x097f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/1/c */
    { 0x0a00, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/2/2/u */
    { 0x0a7f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/2/c */
    { 0x0b00, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/2/3/u */
    { 0x0b7f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/3/c */
    { 0x0c00, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/3/0/u */
    { 0x0c7f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/0/c */
    { 0x0d00, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/3/1/u */
    { 0x0d7f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/1/c */
    { 0x0e00, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/3/2/u */
    { 0x0e7f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/2/c */
    { 0x0f00, 0x2dd7, 0xb981, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254) }, /* #27/3/3/u */
    { 0x0f7f, 0x2dd7, 0x3901, RTFLOAT80U_INIT_C(0,0x5e9de71e07781c9a,29254), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/3/c */
    { 0x0000, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/0/u */
    { 0x007f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/0/c */
    { 0x0100, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/1/u */
    { 0x017f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/1/c */
    { 0x0200, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/2/u */
    { 0x027f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/2/c */
    { 0x0300, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/3/u */
    { 0x037f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/0/3/c */
    { 0x0400, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/0/u */
    { 0x047f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/0/c */
    { 0x0500, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/1/u */
    { 0x057f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/1/c */
    { 0x0600, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/2/u */
    { 0x067f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/2/c */
    { 0x0700, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/3/u */
    { 0x077f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/1/3/c */
    { 0x0800, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/0/u */
    { 0x087f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/0/c */
    { 0x0900, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/1/u */
    { 0x097f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/1/c */
    { 0x0a00, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/2/u */
    { 0x0a7f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/2/c */
    { 0x0b00, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/3/u */
    { 0x0b7f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/2/3/c */
    { 0x0c00, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/0/u */
    { 0x0c7f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/0/c */
    { 0x0d00, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/1/u */
    { 0x0d7f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/1/c */
    { 0x0e00, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/2/u */
    { 0x0e7f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/2/c */
    { 0x0f00, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/3/u */
    { 0x0f7f, 0x043b, 0x3c00, RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699), RTFLOAT80U_INIT_C(0,0x9b9449ba3173965b,24699) }, /* #28/3/3/c */
    { 0x0000, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/0/0/u */
    { 0x007f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/0/c */
    { 0x0100, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/0/1/u */
    { 0x017f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/1/c */
    { 0x0200, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/0/2/u */
    { 0x027f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/2/c */
    { 0x0300, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/0/3/u */
    { 0x037f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/3/c */
    { 0x0400, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/1/0/u */
    { 0x047f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/0/c */
    { 0x0500, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/1/1/u */
    { 0x057f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/1/c */
    { 0x0600, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/1/2/u */
    { 0x067f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/2/c */
    { 0x0700, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/1/3/u */
    { 0x077f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/3/c */
    { 0x0800, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/2/0/u */
    { 0x087f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/0/c */
    { 0x0900, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/2/1/u */
    { 0x097f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/1/c */
    { 0x0a00, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/2/2/u */
    { 0x0a7f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/2/c */
    { 0x0b00, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/2/3/u */
    { 0x0b7f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/3/c */
    { 0x0c00, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/3/0/u */
    { 0x0c7f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/0/c */
    { 0x0d00, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/3/1/u */
    { 0x0d7f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/1/c */
    { 0x0e00, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/3/2/u */
    { 0x0e7f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/2/c */
    { 0x0f00, 0x4868, 0xf881, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767) }, /* #29/3/3/u */
    { 0x0f7f, 0x4868, 0x7801, RTFLOAT80U_INIT_C(1,0x2b07e787954ce3ed,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/3/c */
    { 0x0000, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/0/u */
    { 0x007f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/0/c */
    { 0x0100, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/1/u */
    { 0x017f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/1/c */
    { 0x0200, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/2/u */
    { 0x027f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/2/c */
    { 0x0300, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/3/u */
    { 0x037f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/0/3/c */
    { 0x0400, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/0/u */
    { 0x047f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/0/c */
    { 0x0500, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/1/u */
    { 0x057f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/1/c */
    { 0x0600, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/2/u */
    { 0x067f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/2/c */
    { 0x0700, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/3/u */
    { 0x077f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/1/3/c */
    { 0x0800, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/0/u */
    { 0x087f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/0/c */
    { 0x0900, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/1/u */
    { 0x097f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/1/c */
    { 0x0a00, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/2/u */
    { 0x0a7f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/2/c */
    { 0x0b00, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/3/u */
    { 0x0b7f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/2/3/c */
    { 0x0c00, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/0/u */
    { 0x0c7f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/0/c */
    { 0x0d00, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/1/u */
    { 0x0d7f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/1/c */
    { 0x0e00, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/2/u */
    { 0x0e7f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/2/c */
    { 0x0f00, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/3/u */
    { 0x0f7f, 0x8bbe, 0x3900, RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767), RTFLOAT80U_INIT_C(0,0xe5c44082a661d906,32767) }, /* #30/3/3/c */
    { 0x0000, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/0/0/u */
    { 0x007f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/0/c */
    { 0x0100, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/0/1/u */
    { 0x017f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/1/c */
    { 0x0200, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/0/2/u */
    { 0x027f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/2/c */
    { 0x0300, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/0/3/u */
    { 0x037f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/3/c */
    { 0x0400, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/1/0/u */
    { 0x047f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/0/c */
    { 0x0500, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/1/1/u */
    { 0x057f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/1/c */
    { 0x0600, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/1/2/u */
    { 0x067f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/2/c */
    { 0x0700, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/1/3/u */
    { 0x077f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/3/c */
    { 0x0800, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/2/0/u */
    { 0x087f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/0/c */
    { 0x0900, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/2/1/u */
    { 0x097f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/1/c */
    { 0x0a00, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/2/2/u */
    { 0x0a7f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/2/c */
    { 0x0b00, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/2/3/u */
    { 0x0b7f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/3/c */
    { 0x0c00, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/3/0/u */
    { 0x0c7f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/0/c */
    { 0x0d00, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/3/1/u */
    { 0x0d7f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/1/c */
    { 0x0e00, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/3/2/u */
    { 0x0e7f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/2/c */
    { 0x0f00, 0x49f1, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #31/3/3/u */
    { 0x0f7f, 0x49f1, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/3/c */
    { 0x0000, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/0/u */
    { 0x007f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/0/c */
    { 0x0100, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/1/u */
    { 0x017f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/1/c */
    { 0x0200, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/2/u */
    { 0x027f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/2/c */
    { 0x0300, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/3/u */
    { 0x037f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/0/3/c */
    { 0x0400, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/0/u */
    { 0x047f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/0/c */
    { 0x0500, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/1/u */
    { 0x057f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/1/c */
    { 0x0600, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/2/u */
    { 0x067f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/2/c */
    { 0x0700, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/3/u */
    { 0x077f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/1/3/c */
    { 0x0800, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/0/u */
    { 0x087f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/0/c */
    { 0x0900, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/1/u */
    { 0x097f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/1/c */
    { 0x0a00, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/2/u */
    { 0x0a7f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/2/c */
    { 0x0b00, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/3/u */
    { 0x0b7f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/2/3/c */
    { 0x0c00, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/0/u */
    { 0x0c7f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/0/c */
    { 0x0d00, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/1/u */
    { 0x0d7f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/1/c */
    { 0x0e00, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/2/u */
    { 0x0e7f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/2/c */
    { 0x0f00, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/3/u */
    { 0x0f7f, 0xb414, 0x3c00, RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634), RTFLOAT80U_INIT_C(1,0x811bda83870694ef,28634) }, /* #32/3/3/c */
    { 0x0000, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/0/u */
    { 0x007f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/0/c */
    { 0x0100, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/1/u */
    { 0x017f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/1/c */
    { 0x0200, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/2/u */
    { 0x027f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/2/c */
    { 0x0300, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/3/u */
    { 0x037f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/0/3/c */
    { 0x0400, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/0/u */
    { 0x047f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/0/c */
    { 0x0500, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/1/u */
    { 0x057f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/1/c */
    { 0x0600, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/2/u */
    { 0x067f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/2/c */
    { 0x0700, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/3/u */
    { 0x077f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/1/3/c */
    { 0x0800, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/0/u */
    { 0x087f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/0/c */
    { 0x0900, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/1/u */
    { 0x097f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/1/c */
    { 0x0a00, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/2/u */
    { 0x0a7f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/2/c */
    { 0x0b00, 0x186d, 0xbaa0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/3/u */
    { 0x0b7f, 0x186d, 0x3a20, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885) }, /* #33/2/3/c */
    { 0x0c00, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/0/u */
    { 0x0c7f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/0/c */
    { 0x0d00, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/1/u */
    { 0x0d7f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/1/c */
    { 0x0e00, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/2/u */
    { 0x0e7f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/2/c */
    { 0x0f00, 0x186d, 0xb8a0, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/3/u */
    { 0x0f7f, 0x186d, 0x3820, RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19d,10885), RTFLOAT80U_INIT_C(0,0x9729d8bc7b1bb19c,10885) }, /* #33/3/3/c */
    { 0x0000, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/0/u */
    { 0x007f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/0/c */
    { 0x0100, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/1/u */
    { 0x017f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/1/c */
    { 0x0200, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/2/u */
    { 0x027f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/2/c */
    { 0x0300, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/3/u */
    { 0x037f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/0/3/c */
    { 0x0400, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/0/u */
    { 0x047f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/0/c */
    { 0x0500, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/1/u */
    { 0x057f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/1/c */
    { 0x0600, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/2/u */
    { 0x067f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/2/c */
    { 0x0700, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/3/u */
    { 0x077f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/1/3/c */
    { 0x0800, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/0/u */
    { 0x087f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/0/c */
    { 0x0900, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/1/u */
    { 0x097f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/1/c */
    { 0x0a00, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/2/u */
    { 0x0a7f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/2/c */
    { 0x0b00, 0xb66f, 0xbaa0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/3/u */
    { 0x0b7f, 0xb66f, 0x3a20, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748) }, /* #34/2/3/c */
    { 0x0c00, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/0/u */
    { 0x0c7f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/0/c */
    { 0x0d00, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/1/u */
    { 0x0d7f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/1/c */
    { 0x0e00, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/2/u */
    { 0x0e7f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/2/c */
    { 0x0f00, 0xb66f, 0xb8a0, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/3/u */
    { 0x0f7f, 0xb66f, 0x3820, RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add6,7748), RTFLOAT80U_INIT_C(0,0xe4bbcfd6a581add5,7748) }, /* #34/3/3/c */
    { 0x0000, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/0/u */
    { 0x007f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/0/c */
    { 0x0100, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/1/u */
    { 0x017f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/1/c */
    { 0x0200, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/2/u */
    { 0x027f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/2/c */
    { 0x0300, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/3/u */
    { 0x037f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/0/3/c */
    { 0x0400, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/0/u */
    { 0x047f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/0/c */
    { 0x0500, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/1/u */
    { 0x057f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/1/c */
    { 0x0600, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/2/u */
    { 0x067f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/2/c */
    { 0x0700, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/3/u */
    { 0x077f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/1/3/c */
    { 0x0800, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/0/u */
    { 0x087f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/0/c */
    { 0x0900, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/1/u */
    { 0x097f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/1/c */
    { 0x0a00, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/2/u */
    { 0x0a7f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/2/c */
    { 0x0b00, 0x8a9c, 0xbaa0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/3/u */
    { 0x0b7f, 0x8a9c, 0x3a20, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886) }, /* #35/2/3/c */
    { 0x0c00, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/0/u */
    { 0x0c7f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/0/c */
    { 0x0d00, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/1/u */
    { 0x0d7f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/1/c */
    { 0x0e00, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/2/u */
    { 0x0e7f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/2/c */
    { 0x0f00, 0x8a9c, 0xb8a0, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/3/u */
    { 0x0f7f, 0x8a9c, 0x3820, RTFLOAT80U_INIT_C(0,0xfec915a17e926b66,15886), RTFLOAT80U_INIT_C(0,0xfec915a17e926b65,15886) }, /* #35/3/3/c */
    { 0x0000, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/0/0/u */
    { 0x007f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/0/c */
    { 0x0100, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/0/1/u */
    { 0x017f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/1/c */
    { 0x0200, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/0/2/u */
    { 0x027f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/2/c */
    { 0x0300, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/0/3/u */
    { 0x037f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/3/c */
    { 0x0400, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/1/0/u */
    { 0x047f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/0/c */
    { 0x0500, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/1/1/u */
    { 0x057f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/1/c */
    { 0x0600, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/1/2/u */
    { 0x067f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/2/c */
    { 0x0700, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/1/3/u */
    { 0x077f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/3/c */
    { 0x0800, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/2/0/u */
    { 0x087f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/0/c */
    { 0x0900, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/2/1/u */
    { 0x097f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/1/c */
    { 0x0a00, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/2/2/u */
    { 0x0a7f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/2/c */
    { 0x0b00, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/2/3/u */
    { 0x0b7f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/3/c */
    { 0x0c00, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/3/0/u */
    { 0x0c7f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/0/c */
    { 0x0d00, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/3/1/u */
    { 0x0d7f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/1/c */
    { 0x0e00, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/3/2/u */
    { 0x0e7f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/2/c */
    { 0x0f00, 0xcb95, 0xf981, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(0,0x3,31795) }, /* #36/3/3/u */
    { 0x0f7f, 0xcb95, 0x7901, RTFLOAT80U_INIT_C(0,0x3,31795), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/3/c */
    { 0x0000, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/0/0/u */
    { 0x007f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/0/0/c */
    { 0x0100, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/0/1/u */
    { 0x017f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/0/1/c */
    { 0x0200, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/0/2/u */
    { 0x027f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/0/2/c */
    { 0x0300, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/0/3/u */
    { 0x037f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/0/3/c */
    { 0x0400, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/1/0/u */
    { 0x047f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/1/0/c */
    { 0x0500, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/1/1/u */
    { 0x057f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/1/1/c */
    { 0x0600, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/1/2/u */
    { 0x067f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/1/2/c */
    { 0x0700, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/1/3/u */
    { 0x077f, 0x2d06, 0x3b22, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,1) }, /* #37/1/3/c */
    { 0x0800, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/2/0/u */
    { 0x087f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/2/0/c */
    { 0x0900, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/2/1/u */
    { 0x097f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/2/1/c */
    { 0x0a00, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/2/2/u */
    { 0x0a7f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/2/2/c */
    { 0x0b00, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/2/3/u */
    { 0x0b7f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/2/3/c */
    { 0x0c00, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/3/0/u */
    { 0x0c7f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/3/0/c */
    { 0x0d00, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/3/1/u */
    { 0x0d7f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/3/1/c */
    { 0x0e00, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/3/2/u */
    { 0x0e7f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/3/2/c */
    { 0x0f00, 0x2d06, 0xb982, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0) }, /* #37/3/3/u */
    { 0x0f7f, 0x2d06, 0x3922, RTFLOAT80U_INIT_C(1,0x800000142a6e371b,0), RTFLOAT80U_INIT_C(1,0x800000142a6e371a,1) }, /* #37/3/3/c */
    { 0x0000, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/0/u */
    { 0x007f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/0/c */
    { 0x0100, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/1/u */
    { 0x017f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/1/c */
    { 0x0200, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/2/u */
    { 0x027f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/2/c */
    { 0x0300, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/3/u */
    { 0x037f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/0/3/c */
    { 0x0400, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/1/0/u */
    { 0x047f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/1/0/c */
    { 0x0500, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/1/1/u */
    { 0x057f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/1/1/c */
    { 0x0600, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/1/2/u */
    { 0x067f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/1/2/c */
    { 0x0700, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/1/3/u */
    { 0x077f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/1/3/c */
    { 0x0800, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/0/u */
    { 0x087f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/0/c */
    { 0x0900, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/1/u */
    { 0x097f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/1/c */
    { 0x0a00, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/2/u */
    { 0x0a7f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/2/c */
    { 0x0b00, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/3/u */
    { 0x0b7f, 0x18a8, 0x3a32, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/2/3/c */
    { 0x0c00, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/3/0/u */
    { 0x0c7f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/3/0/c */
    { 0x0d00, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/3/1/u */
    { 0x0d7f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/3/1/c */
    { 0x0e00, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/3/2/u */
    { 0x0e7f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/3/2/c */
    { 0x0f00, 0x18a8, 0xb882, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0) }, /* #38/3/3/u */
    { 0x0f7f, 0x18a8, 0x3832, RTFLOAT80U_INIT_C(0,0xed82e48f6e0876,0), RTFLOAT80U_INIT_C(0,0xed82e48f6e0875,0) }, /* #38/3/3/c */
    { 0x0000, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/0/0/u */
    { 0x007f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/0/0/c */
    { 0x0100, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/0/1/u */
    { 0x017f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/0/1/c */
    { 0x0200, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/0/2/u */
    { 0x027f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/0/2/c */
    { 0x0300, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/0/3/u */
    { 0x037f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/0/3/c */
    { 0x0400, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/1/0/u */
    { 0x047f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/1/0/c */
    { 0x0500, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/1/1/u */
    { 0x057f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/1/1/c */
    { 0x0600, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/1/2/u */
    { 0x067f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/1/2/c */
    { 0x0700, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/1/3/u */
    { 0x077f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/1/3/c */
    { 0x0800, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/2/0/u */
    { 0x087f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/2/0/c */
    { 0x0900, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/2/1/u */
    { 0x097f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/2/1/c */
    { 0x0a00, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/2/2/u */
    { 0x0a7f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/2/2/c */
    { 0x0b00, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/2/3/u */
    { 0x0b7f, 0xee9b, 0x7a22, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,1) }, /* #39/2/3/c */
    { 0x0c00, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/3/0/u */
    { 0x0c7f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/3/0/c */
    { 0x0d00, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/3/1/u */
    { 0x0d7f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/3/1/c */
    { 0x0e00, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/3/2/u */
    { 0x0e7f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/3/2/c */
    { 0x0f00, 0xee9b, 0xf882, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000003,0) }, /* #39/3/3/u */
    { 0x0f7f, 0xee9b, 0x7822, RTFLOAT80U_INIT_C(0,0x8000000000000003,0), RTFLOAT80U_INIT_C(0,0x8000000000000002,1) }, /* #39/3/3/c */
    { 0x0000, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/0/0/u */
    { 0x007f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/0/c */
    { 0x0100, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/0/1/u */
    { 0x017f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/1/c */
    { 0x0200, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/0/2/u */
    { 0x027f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/2/c */
    { 0x0300, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/0/3/u */
    { 0x037f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/3/c */
    { 0x0400, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/1/0/u */
    { 0x047f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/0/c */
    { 0x0500, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/1/1/u */
    { 0x057f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/1/c */
    { 0x0600, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/1/2/u */
    { 0x067f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/2/c */
    { 0x0700, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/1/3/u */
    { 0x077f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/3/c */
    { 0x0800, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/2/0/u */
    { 0x087f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/0/c */
    { 0x0900, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/2/1/u */
    { 0x097f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/1/c */
    { 0x0a00, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/2/2/u */
    { 0x0a7f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/2/c */
    { 0x0b00, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/2/3/u */
    { 0x0b7f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/3/c */
    { 0x0c00, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/3/0/u */
    { 0x0c7f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/0/c */
    { 0x0d00, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/3/1/u */
    { 0x0d7f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/1/c */
    { 0x0e00, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/3/2/u */
    { 0x0e7f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/2/c */
    { 0x0f00, 0x1889, 0xb881, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176) }, /* #40/3/3/u */
    { 0x0f7f, 0x1889, 0x3801, RTFLOAT80U_INIT_C(1,0x687543b8f6b02d68,31176), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/3/c */
    { 0x0000, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/0/u */
    { 0x007f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/0/c */
    { 0x0100, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/1/u */
    { 0x017f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/1/c */
    { 0x0200, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/2/u */
    { 0x027f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/2/c */
    { 0x0300, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/3/u */
    { 0x037f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/0/3/c */
    { 0x0400, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/0/u */
    { 0x047f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/0/c */
    { 0x0500, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/1/u */
    { 0x057f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/1/c */
    { 0x0600, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/2/u */
    { 0x067f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/2/c */
    { 0x0700, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/3/u */
    { 0x077f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/1/3/c */
    { 0x0800, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/0/u */
    { 0x087f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/0/c */
    { 0x0900, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/1/u */
    { 0x097f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/1/c */
    { 0x0a00, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/2/u */
    { 0x0a7f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/2/c */
    { 0x0b00, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/3/u */
    { 0x0b7f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/2/3/c */
    { 0x0c00, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/0/u */
    { 0x0c7f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/0/c */
    { 0x0d00, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/1/u */
    { 0x0d7f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/1/c */
    { 0x0e00, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/2/u */
    { 0x0e7f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/2/c */
    { 0x0f00, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/3/u */
    { 0x0f7f, 0x1ae8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #41/3/3/c */
    { 0x0000, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/0/u */
    { 0x007f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/0/c */
    { 0x0100, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/1/u */
    { 0x017f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/1/c */
    { 0x0200, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/2/u */
    { 0x027f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/2/c */
    { 0x0300, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/3/u */
    { 0x037f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/0/3/c */
    { 0x0400, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/0/u */
    { 0x047f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/0/c */
    { 0x0500, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/1/u */
    { 0x057f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/1/c */
    { 0x0600, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/2/u */
    { 0x067f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/2/c */
    { 0x0700, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/3/u */
    { 0x077f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/1/3/c */
    { 0x0800, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/0/u */
    { 0x087f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/0/c */
    { 0x0900, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/1/u */
    { 0x097f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/1/c */
    { 0x0a00, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/2/u */
    { 0x0a7f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/2/c */
    { 0x0b00, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/3/u */
    { 0x0b7f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/2/3/c */
    { 0x0c00, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/0/u */
    { 0x0c7f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/0/c */
    { 0x0d00, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/1/u */
    { 0x0d7f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/1/c */
    { 0x0e00, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/2/u */
    { 0x0e7f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/2/c */
    { 0x0f00, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/3/u */
    { 0x0f7f, 0x8ec1, 0x3c00, RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708), RTFLOAT80U_INIT_C(0,0xbcf257ae7f297d8f,32708) }, /* #42/3/3/c */
    { 0x0000, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/0/u */
    { 0x007f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/0/c */
    { 0x0100, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/1/u */
    { 0x017f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/1/c */
    { 0x0200, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/2/u */
    { 0x027f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/2/c */
    { 0x0300, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/3/u */
    { 0x037f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/0/3/c */
    { 0x0400, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/0/u */
    { 0x047f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/0/c */
    { 0x0500, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/1/u */
    { 0x057f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/1/c */
    { 0x0600, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/2/u */
    { 0x067f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/2/c */
    { 0x0700, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/3/u */
    { 0x077f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/1/3/c */
    { 0x0800, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/0/u */
    { 0x087f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/0/c */
    { 0x0900, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/1/u */
    { 0x097f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/1/c */
    { 0x0a00, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/2/u */
    { 0x0a7f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/2/c */
    { 0x0b00, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/3/u */
    { 0x0b7f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/2/3/c */
    { 0x0c00, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/0/u */
    { 0x0c7f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/0/c */
    { 0x0d00, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/1/u */
    { 0x0d7f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/1/c */
    { 0x0e00, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/2/u */
    { 0x0e7f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/2/c */
    { 0x0f00, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/3/u */
    { 0x0f7f, 0x7d66, 0x7900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #43/3/3/c */
    { 0x0000, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/0/u */
    { 0x007f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/0/c */
    { 0x0100, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/1/u */
    { 0x017f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/1/c */
    { 0x0200, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/2/u */
    { 0x027f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/2/c */
    { 0x0300, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/3/u */
    { 0x037f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/0/3/c */
    { 0x0400, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/1/0/u */
    { 0x047f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/1/0/c */
    { 0x0500, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/1/1/u */
    { 0x057f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/1/1/c */
    { 0x0600, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/1/2/u */
    { 0x067f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/1/2/c */
    { 0x0700, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/1/3/u */
    { 0x077f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/1/3/c */
    { 0x0800, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/0/u */
    { 0x087f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/0/c */
    { 0x0900, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/1/u */
    { 0x097f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/1/c */
    { 0x0a00, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/2/u */
    { 0x0a7f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/2/c */
    { 0x0b00, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/3/u */
    { 0x0b7f, 0x4399, 0x7b32, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/2/3/c */
    { 0x0c00, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/3/0/u */
    { 0x0c7f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/3/0/c */
    { 0x0d00, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/3/1/u */
    { 0x0d7f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/3/1/c */
    { 0x0e00, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/3/2/u */
    { 0x0e7f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/3/2/c */
    { 0x0f00, 0x4399, 0xf982, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x7,0) }, /* #44/3/3/u */
    { 0x0f7f, 0x4399, 0x7932, RTFLOAT80U_INIT_C(0,0x7,0), RTFLOAT80U_INIT_C(0,0x6,0) }, /* #44/3/3/c */
    { 0x0000, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/0/u */
    { 0x007f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/0/c */
    { 0x0100, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/1/u */
    { 0x017f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/1/c */
    { 0x0200, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/2/u */
    { 0x027f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/2/c */
    { 0x0300, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/3/u */
    { 0x037f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/0/3/c */
    { 0x0400, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/0/u */
    { 0x047f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/0/c */
    { 0x0500, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/1/u */
    { 0x057f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/1/c */
    { 0x0600, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/2/u */
    { 0x067f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/2/c */
    { 0x0700, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/3/u */
    { 0x077f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/1/3/c */
    { 0x0800, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/0/u */
    { 0x087f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/0/c */
    { 0x0900, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/1/u */
    { 0x097f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/1/c */
    { 0x0a00, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/2/u */
    { 0x0a7f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/2/c */
    { 0x0b00, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/3/u */
    { 0x0b7f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/2/3/c */
    { 0x0c00, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/0/u */
    { 0x0c7f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/0/c */
    { 0x0d00, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/1/u */
    { 0x0d7f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/1/c */
    { 0x0e00, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/2/u */
    { 0x0e7f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/2/c */
    { 0x0f00, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/3/u */
    { 0x0f7f, 0xc7e7, 0x7900, RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767), RTFLOAT80U_INIT_C(0,0xeff5c7fbd3e31f49,32767) }, /* #45/3/3/c */
    { 0x0000, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/0/0/u */
    { 0x007f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/0/c */
    { 0x0100, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/0/1/u */
    { 0x017f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/1/c */
    { 0x0200, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/0/2/u */
    { 0x027f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/2/c */
    { 0x0300, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/0/3/u */
    { 0x037f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/3/c */
    { 0x0400, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/1/0/u */
    { 0x047f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/0/c */
    { 0x0500, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/1/1/u */
    { 0x057f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/1/c */
    { 0x0600, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/1/2/u */
    { 0x067f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/2/c */
    { 0x0700, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/1/3/u */
    { 0x077f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/3/c */
    { 0x0800, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/2/0/u */
    { 0x087f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/0/c */
    { 0x0900, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/2/1/u */
    { 0x097f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/1/c */
    { 0x0a00, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/2/2/u */
    { 0x0a7f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/2/c */
    { 0x0b00, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/2/3/u */
    { 0x0b7f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/3/c */
    { 0x0c00, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/3/0/u */
    { 0x0c7f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/0/c */
    { 0x0d00, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/3/1/u */
    { 0x0d7f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/1/c */
    { 0x0e00, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/3/2/u */
    { 0x0e7f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/2/c */
    { 0x0f00, 0x06ef, 0xb881, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167) }, /* #46/3/3/u */
    { 0x0f7f, 0x06ef, 0x3801, RTFLOAT80U_INIT_C(1,0x72b24f55195c2d8c,4167), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/3/c */
    { 0x0000, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/0/u */
    { 0x007f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/0/c */
    { 0x0100, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/1/u */
    { 0x017f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/1/c */
    { 0x0200, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/2/u */
    { 0x027f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/2/c */
    { 0x0300, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/3/u */
    { 0x037f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/0/3/c */
    { 0x0400, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/0/u */
    { 0x047f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/0/c */
    { 0x0500, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/1/u */
    { 0x057f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/1/c */
    { 0x0600, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/2/u */
    { 0x067f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/2/c */
    { 0x0700, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/3/u */
    { 0x077f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/1/3/c */
    { 0x0800, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/0/u */
    { 0x087f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/0/c */
    { 0x0900, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/1/u */
    { 0x097f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/1/c */
    { 0x0a00, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/2/u */
    { 0x0a7f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/2/c */
    { 0x0b00, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/3/u */
    { 0x0b7f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/2/3/c */
    { 0x0c00, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/0/u */
    { 0x0c7f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/0/c */
    { 0x0d00, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/1/u */
    { 0x0d7f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/1/c */
    { 0x0e00, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/2/u */
    { 0x0e7f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/2/c */
    { 0x0f00, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/3/u */
    { 0x0f7f, 0xeea3, 0x7c00, RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750), RTFLOAT80U_INIT_C(0,0xb3f7822975a25301,27750) }, /* #47/3/3/c */
    { 0x0000, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/0/0/u */
    { 0x007f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/0/c */
    { 0x0100, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/0/1/u */
    { 0x017f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/1/c */
    { 0x0200, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/0/2/u */
    { 0x027f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/2/c */
    { 0x0300, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/0/3/u */
    { 0x037f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/0/3/c */
    { 0x0400, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/1/0/u */
    { 0x047f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/0/c */
    { 0x0500, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/1/1/u */
    { 0x057f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/1/c */
    { 0x0600, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/1/2/u */
    { 0x067f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/2/c */
    { 0x0700, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/1/3/u */
    { 0x077f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/1/3/c */
    { 0x0800, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/2/0/u */
    { 0x087f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/0/c */
    { 0x0900, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/2/1/u */
    { 0x097f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/1/c */
    { 0x0a00, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/2/2/u */
    { 0x0a7f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/2/c */
    { 0x0b00, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/2/3/u */
    { 0x0b7f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/2/3/c */
    { 0x0c00, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/3/0/u */
    { 0x0c7f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/0/c */
    { 0x0d00, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/3/1/u */
    { 0x0d7f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/1/c */
    { 0x0e00, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/3/2/u */
    { 0x0e7f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/2/c */
    { 0x0f00, 0x7c35, 0xf881, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739) }, /* #48/3/3/u */
    { 0x0f7f, 0x7c35, 0x7801, RTFLOAT80U_INIT_C(0,0x328b86edfb441438,27739), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #48/3/3/c */
    { 0x0000, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/0/0/u */
    { 0x007f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/0/c */
    { 0x0100, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/0/1/u */
    { 0x017f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/1/c */
    { 0x0200, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/0/2/u */
    { 0x027f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/2/c */
    { 0x0300, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/0/3/u */
    { 0x037f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/3/c */
    { 0x0400, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/1/0/u */
    { 0x047f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/0/c */
    { 0x0500, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/1/1/u */
    { 0x057f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/1/c */
    { 0x0600, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/1/2/u */
    { 0x067f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/2/c */
    { 0x0700, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/1/3/u */
    { 0x077f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/3/c */
    { 0x0800, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/2/0/u */
    { 0x087f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/0/c */
    { 0x0900, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/2/1/u */
    { 0x097f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/1/c */
    { 0x0a00, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/2/2/u */
    { 0x0a7f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/2/c */
    { 0x0b00, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/2/3/u */
    { 0x0b7f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/3/c */
    { 0x0c00, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/3/0/u */
    { 0x0c7f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/0/c */
    { 0x0d00, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/3/1/u */
    { 0x0d7f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/1/c */
    { 0x0e00, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/3/2/u */
    { 0x0e7f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/2/c */
    { 0x0f00, 0xc758, 0xf981, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882) }, /* #49/3/3/u */
    { 0x0f7f, 0xc758, 0x7901, RTFLOAT80U_INIT_C(1,0x7c89e2feacb18ca9,20882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/3/c */
    { 0x0000, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/0/u */
    { 0x007f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/0/c */
    { 0x0100, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/1/u */
    { 0x017f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/1/c */
    { 0x0200, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/2/u */
    { 0x027f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/2/c */
    { 0x0300, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/3/u */
    { 0x037f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/0/3/c */
    { 0x0400, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/0/u */
    { 0x047f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/0/c */
    { 0x0500, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/1/u */
    { 0x057f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/1/c */
    { 0x0600, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/2/u */
    { 0x067f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/2/c */
    { 0x0700, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/3/u */
    { 0x077f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/1/3/c */
    { 0x0800, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/0/u */
    { 0x087f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/0/c */
    { 0x0900, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/1/u */
    { 0x097f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/1/c */
    { 0x0a00, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/2/u */
    { 0x0a7f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/2/c */
    { 0x0b00, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/3/u */
    { 0x0b7f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/2/3/c */
    { 0x0c00, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/0/u */
    { 0x0c7f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/0/c */
    { 0x0d00, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/1/u */
    { 0x0d7f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/1/c */
    { 0x0e00, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/2/u */
    { 0x0e7f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/2/c */
    { 0x0f00, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/3/u */
    { 0x0f7f, 0x0449, 0x3c00, RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769), RTFLOAT80U_INIT_C(0,0xac3e776bfc4076e7,18769) }, /* #50/3/3/c */
    { 0x0000, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/0/u */
    { 0x007f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/0/c */
    { 0x0100, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/1/u */
    { 0x017f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/1/c */
    { 0x0200, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/2/u */
    { 0x027f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/2/c */
    { 0x0300, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/3/u */
    { 0x037f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/0/3/c */
    { 0x0400, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/0/u */
    { 0x047f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/0/c */
    { 0x0500, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/1/u */
    { 0x057f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/1/c */
    { 0x0600, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/2/u */
    { 0x067f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/2/c */
    { 0x0700, 0x5de1, 0xfba0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/3/u */
    { 0x077f, 0x5de1, 0x7b20, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645) }, /* #51/1/3/c */
    { 0x0800, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/0/u */
    { 0x087f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/0/c */
    { 0x0900, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/1/u */
    { 0x097f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/1/c */
    { 0x0a00, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/2/u */
    { 0x0a7f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/2/c */
    { 0x0b00, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/3/u */
    { 0x0b7f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/2/3/c */
    { 0x0c00, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/0/u */
    { 0x0c7f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/0/c */
    { 0x0d00, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/1/u */
    { 0x0d7f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/1/c */
    { 0x0e00, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/2/u */
    { 0x0e7f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/2/c */
    { 0x0f00, 0x5de1, 0xf9a0, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/3/u */
    { 0x0f7f, 0x5de1, 0x7920, RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5be0,15645), RTFLOAT80U_INIT_C(1,0x9ab3dfa8203c5bdf,15645) }, /* #51/3/3/c */
    { 0x0000, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/0/u */
    { 0x007f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/0/c */
    { 0x0100, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/1/u */
    { 0x017f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/1/c */
    { 0x0200, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/2/u */
    { 0x027f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/2/c */
    { 0x0300, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/3/u */
    { 0x037f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/0/3/c */
    { 0x0400, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/0/u */
    { 0x047f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/0/c */
    { 0x0500, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/1/u */
    { 0x057f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/1/c */
    { 0x0600, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/2/u */
    { 0x067f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/2/c */
    { 0x0700, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/3/u */
    { 0x077f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/1/3/c */
    { 0x0800, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/0/u */
    { 0x087f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/0/c */
    { 0x0900, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/1/u */
    { 0x097f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/1/c */
    { 0x0a00, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/2/u */
    { 0x0a7f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/2/c */
    { 0x0b00, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/3/u */
    { 0x0b7f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/2/3/c */
    { 0x0c00, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/0/u */
    { 0x0c7f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/0/c */
    { 0x0d00, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/1/u */
    { 0x0d7f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/1/c */
    { 0x0e00, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/2/u */
    { 0x0e7f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/2/c */
    { 0x0f00, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/3/u */
    { 0x0f7f, 0x6a6a, 0x7c00, RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680), RTFLOAT80U_INIT_C(1,0xbac7ffa303b37506,30680) }, /* #52/3/3/c */
    { 0x0000, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/0/u */
    { 0x007f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/0/c */
    { 0x0100, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/1/u */
    { 0x017f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/1/c */
    { 0x0200, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/2/u */
    { 0x027f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/2/c */
    { 0x0300, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/3/u */
    { 0x037f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/0/3/c */
    { 0x0400, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/0/u */
    { 0x047f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/0/c */
    { 0x0500, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/1/u */
    { 0x057f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/1/c */
    { 0x0600, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/2/u */
    { 0x067f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/2/c */
    { 0x0700, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/3/u */
    { 0x077f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/1/3/c */
    { 0x0800, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/0/u */
    { 0x087f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/0/c */
    { 0x0900, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/1/u */
    { 0x097f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/1/c */
    { 0x0a00, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/2/u */
    { 0x0a7f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/2/c */
    { 0x0b00, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/3/u */
    { 0x0b7f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/2/3/c */
    { 0x0c00, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/0/u */
    { 0x0c7f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/0/c */
    { 0x0d00, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/1/u */
    { 0x0d7f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/1/c */
    { 0x0e00, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/2/u */
    { 0x0e7f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/2/c */
    { 0x0f00, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/3/u */
    { 0x0f7f, 0x4263, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #53/3/3/c */
    { 0x0000, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/0/u */
    { 0x007f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/0/c */
    { 0x0100, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/1/u */
    { 0x017f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/1/c */
    { 0x0200, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/2/u */
    { 0x027f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/2/c */
    { 0x0300, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/3/u */
    { 0x037f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/0/3/c */
    { 0x0400, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/0/u */
    { 0x047f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/0/c */
    { 0x0500, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/1/u */
    { 0x057f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/1/c */
    { 0x0600, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/2/u */
    { 0x067f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/2/c */
    { 0x0700, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/3/u */
    { 0x077f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/1/3/c */
    { 0x0800, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/0/u */
    { 0x087f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/0/c */
    { 0x0900, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/1/u */
    { 0x097f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/1/c */
    { 0x0a00, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/2/u */
    { 0x0a7f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/2/c */
    { 0x0b00, 0x3473, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/3/u */
    { 0x0b7f, 0x3473, 0x3a20, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481) }, /* #54/2/3/c */
    { 0x0c00, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/0/u */
    { 0x0c7f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/0/c */
    { 0x0d00, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/1/u */
    { 0x0d7f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/1/c */
    { 0x0e00, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/2/u */
    { 0x0e7f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/2/c */
    { 0x0f00, 0x3473, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/3/u */
    { 0x0f7f, 0x3473, 0x3820, RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0ab,14481), RTFLOAT80U_INIT_C(0,0xa30c5c9cc268a0aa,14481) }, /* #54/3/3/c */
    { 0x0000, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/0/0/u */
    { 0x007f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/0/c */
    { 0x0100, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/0/1/u */
    { 0x017f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/1/c */
    { 0x0200, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/0/2/u */
    { 0x027f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/2/c */
    { 0x0300, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/0/3/u */
    { 0x037f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/3/c */
    { 0x0400, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/1/0/u */
    { 0x047f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/0/c */
    { 0x0500, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/1/1/u */
    { 0x057f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/1/c */
    { 0x0600, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/1/2/u */
    { 0x067f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/2/c */
    { 0x0700, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/1/3/u */
    { 0x077f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/3/c */
    { 0x0800, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/2/0/u */
    { 0x087f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/0/c */
    { 0x0900, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/2/1/u */
    { 0x097f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/1/c */
    { 0x0a00, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/2/2/u */
    { 0x0a7f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/2/c */
    { 0x0b00, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/2/3/u */
    { 0x0b7f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/3/c */
    { 0x0c00, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/3/0/u */
    { 0x0c7f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/0/c */
    { 0x0d00, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/3/1/u */
    { 0x0d7f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/1/c */
    { 0x0e00, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/3/2/u */
    { 0x0e7f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/2/c */
    { 0x0f00, 0xb430, 0xb881, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323) }, /* #55/3/3/u */
    { 0x0f7f, 0xb430, 0x3801, RTFLOAT80U_INIT_C(1,0x39dd3402811b9527,3323), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/3/c */
    { 0x0000, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/0/u */
    { 0x007f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/0/c */
    { 0x0100, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/1/u */
    { 0x017f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/1/c */
    { 0x0200, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/2/u */
    { 0x027f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/2/c */
    { 0x0300, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/3/u */
    { 0x037f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/0/3/c */
    { 0x0400, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/0/u */
    { 0x047f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/0/c */
    { 0x0500, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/1/u */
    { 0x057f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/1/c */
    { 0x0600, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/2/u */
    { 0x067f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/2/c */
    { 0x0700, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/3/u */
    { 0x077f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/1/3/c */
    { 0x0800, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/0/u */
    { 0x087f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/0/c */
    { 0x0900, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/1/u */
    { 0x097f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/1/c */
    { 0x0a00, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/2/u */
    { 0x0a7f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/2/c */
    { 0x0b00, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/3/u */
    { 0x0b7f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/2/3/c */
    { 0x0c00, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/0/u */
    { 0x0c7f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/0/c */
    { 0x0d00, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/1/u */
    { 0x0d7f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/1/c */
    { 0x0e00, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/2/u */
    { 0x0e7f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/2/c */
    { 0x0f00, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/3/u */
    { 0x0f7f, 0x7850, 0x7c00, RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407), RTFLOAT80U_INIT_C(1,0x8fd1d2369db7d448,24407) }, /* #56/3/3/c */
    { 0x0000, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/0/u */
    { 0x007f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/0/c */
    { 0x0100, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/1/u */
    { 0x017f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/1/c */
    { 0x0200, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/2/u */
    { 0x027f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/2/c */
    { 0x0300, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/3/u */
    { 0x037f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/0/3/c */
    { 0x0400, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/0/u */
    { 0x047f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/0/c */
    { 0x0500, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/1/u */
    { 0x057f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/1/c */
    { 0x0600, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/2/u */
    { 0x067f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/2/c */
    { 0x0700, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/3/u */
    { 0x077f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/1/3/c */
    { 0x0800, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/0/u */
    { 0x087f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/0/c */
    { 0x0900, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/1/u */
    { 0x097f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/1/c */
    { 0x0a00, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/2/u */
    { 0x0a7f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/2/c */
    { 0x0b00, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/3/u */
    { 0x0b7f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/2/3/c */
    { 0x0c00, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/0/u */
    { 0x0c7f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/0/c */
    { 0x0d00, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/1/u */
    { 0x0d7f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/1/c */
    { 0x0e00, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/2/u */
    { 0x0e7f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/2/c */
    { 0x0f00, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/3/u */
    { 0x0f7f, 0xfd74, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32758) }, /* #57/3/3/c */
    { 0x0000, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/0/u */
    { 0x007f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/0/c */
    { 0x0100, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/1/u */
    { 0x017f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/1/c */
    { 0x0200, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/2/u */
    { 0x027f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/2/c */
    { 0x0300, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/3/u */
    { 0x037f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/0/3/c */
    { 0x0400, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/0/u */
    { 0x047f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/0/c */
    { 0x0500, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/1/u */
    { 0x057f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/1/c */
    { 0x0600, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/2/u */
    { 0x067f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/2/c */
    { 0x0700, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/3/u */
    { 0x077f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/1/3/c */
    { 0x0800, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/0/u */
    { 0x087f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/0/c */
    { 0x0900, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/1/u */
    { 0x097f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/1/c */
    { 0x0a00, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/2/u */
    { 0x0a7f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/2/c */
    { 0x0b00, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/3/u */
    { 0x0b7f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/2/3/c */
    { 0x0c00, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/0/u */
    { 0x0c7f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/0/c */
    { 0x0d00, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/1/u */
    { 0x0d7f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/1/c */
    { 0x0e00, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/2/u */
    { 0x0e7f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/2/c */
    { 0x0f00, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/3/u */
    { 0x0f7f, 0xf1cd, 0x7d00, RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547), RTFLOAT80U_INIT_C(1,0xae4a045af44eff0a,18547) }, /* #58/3/3/c */
    { 0x0000, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/0/0/u */
    { 0x007f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/0/c */
    { 0x0100, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/0/1/u */
    { 0x017f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/1/c */
    { 0x0200, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/0/2/u */
    { 0x027f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/2/c */
    { 0x0300, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/0/3/u */
    { 0x037f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/3/c */
    { 0x0400, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/1/0/u */
    { 0x047f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/0/c */
    { 0x0500, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/1/1/u */
    { 0x057f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/1/c */
    { 0x0600, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/1/2/u */
    { 0x067f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/2/c */
    { 0x0700, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/1/3/u */
    { 0x077f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/3/c */
    { 0x0800, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/2/0/u */
    { 0x087f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/0/c */
    { 0x0900, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/2/1/u */
    { 0x097f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/1/c */
    { 0x0a00, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/2/2/u */
    { 0x0a7f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/2/c */
    { 0x0b00, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/2/3/u */
    { 0x0b7f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/3/c */
    { 0x0c00, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/3/0/u */
    { 0x0c7f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/0/c */
    { 0x0d00, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/3/1/u */
    { 0x0d7f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/1/c */
    { 0x0e00, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/3/2/u */
    { 0x0e7f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/2/c */
    { 0x0f00, 0xd781, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #59/3/3/u */
    { 0x0f7f, 0xd781, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/3/c */
    { 0x0000, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/0/u */
    { 0x007f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/0/c */
    { 0x0100, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/1/u */
    { 0x017f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/1/c */
    { 0x0200, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/2/u */
    { 0x027f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/2/c */
    { 0x0300, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/3/u */
    { 0x037f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/0/3/c */
    { 0x0400, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/0/u */
    { 0x047f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/0/c */
    { 0x0500, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/1/u */
    { 0x057f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/1/c */
    { 0x0600, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/2/u */
    { 0x067f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/2/c */
    { 0x0700, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/3/u */
    { 0x077f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/1/3/c */
    { 0x0800, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/0/u */
    { 0x087f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/0/c */
    { 0x0900, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/1/u */
    { 0x097f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/1/c */
    { 0x0a00, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/2/u */
    { 0x0a7f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/2/c */
    { 0x0b00, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/3/u */
    { 0x0b7f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/2/3/c */
    { 0x0c00, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/0/u */
    { 0x0c7f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/0/c */
    { 0x0d00, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/1/u */
    { 0x0d7f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/1/c */
    { 0x0e00, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/2/u */
    { 0x0e7f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/2/c */
    { 0x0f00, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/3/u */
    { 0x0f7f, 0x8fc7, 0x3900, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0) }, /* #60/3/3/c */
    { 0x0000, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/0/0/u */
    { 0x007f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/0/0/c */
    { 0x0100, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/0/1/u */
    { 0x017f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/0/1/c */
    { 0x0200, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/0/2/u */
    { 0x027f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/0/2/c */
    { 0x0300, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/0/3/u */
    { 0x037f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/0/3/c */
    { 0x0400, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/1/0/u */
    { 0x047f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/1/0/c */
    { 0x0500, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/1/1/u */
    { 0x057f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/1/1/c */
    { 0x0600, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/1/2/u */
    { 0x067f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/1/2/c */
    { 0x0700, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/1/3/u */
    { 0x077f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/1/3/c */
    { 0x0800, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/2/0/u */
    { 0x087f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/2/0/c */
    { 0x0900, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/2/1/u */
    { 0x097f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/2/1/c */
    { 0x0a00, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/2/2/u */
    { 0x0a7f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/2/2/c */
    { 0x0b00, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/2/3/u */
    { 0x0b7f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/2/3/c */
    { 0x0c00, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/3/0/u */
    { 0x0c7f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/3/0/c */
    { 0x0d00, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/3/1/u */
    { 0x0d7f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/3/1/c */
    { 0x0e00, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/3/2/u */
    { 0x0e7f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/3/2/c */
    { 0x0f00, 0xe1ed, 0xf981, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767) }, /* #61/3/3/u */
    { 0x0f7f, 0xe1ed, 0x7901, RTFLOAT80U_INIT_C(0,0xbbb09ed226f85d3a,32767), RTFLOAT80U_INIT_C(0,0xfbb09ed226f85d3a,32767) }, /* #61/3/3/c */
    { 0x0000, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/0/u */
    { 0x007f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/0/c */
    { 0x0100, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/1/u */
    { 0x017f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/1/c */
    { 0x0200, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/2/u */
    { 0x027f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/2/c */
    { 0x0300, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/3/u */
    { 0x037f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/0/3/c */
    { 0x0400, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/0/u */
    { 0x047f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/0/c */
    { 0x0500, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/1/u */
    { 0x057f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/1/c */
    { 0x0600, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/2/u */
    { 0x067f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/2/c */
    { 0x0700, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/3/u */
    { 0x077f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/1/3/c */
    { 0x0800, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/0/u */
    { 0x087f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/0/c */
    { 0x0900, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/1/u */
    { 0x097f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/1/c */
    { 0x0a00, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/2/u */
    { 0x0a7f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/2/c */
    { 0x0b00, 0xbf45, 0xbba0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/3/u */
    { 0x0b7f, 0xbf45, 0x3b20, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104) }, /* #62/2/3/c */
    { 0x0c00, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/0/u */
    { 0x0c7f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/0/c */
    { 0x0d00, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/1/u */
    { 0x0d7f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/1/c */
    { 0x0e00, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/2/u */
    { 0x0e7f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/2/c */
    { 0x0f00, 0xbf45, 0xb9a0, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/3/u */
    { 0x0f7f, 0xbf45, 0x3920, RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f5,9104), RTFLOAT80U_INIT_C(0,0x953c2a7fc150a3f4,9104) }, /* #62/3/3/c */
    { 0x0000, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/0/0/u */
    { 0x007f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/0/c */
    { 0x0100, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/0/1/u */
    { 0x017f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/1/c */
    { 0x0200, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/0/2/u */
    { 0x027f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/2/c */
    { 0x0300, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/0/3/u */
    { 0x037f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/3/c */
    { 0x0400, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/1/0/u */
    { 0x047f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/0/c */
    { 0x0500, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/1/1/u */
    { 0x057f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/1/c */
    { 0x0600, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/1/2/u */
    { 0x067f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/2/c */
    { 0x0700, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/1/3/u */
    { 0x077f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/3/c */
    { 0x0800, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/2/0/u */
    { 0x087f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/0/c */
    { 0x0900, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/2/1/u */
    { 0x097f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/1/c */
    { 0x0a00, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/2/2/u */
    { 0x0a7f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/2/c */
    { 0x0b00, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/2/3/u */
    { 0x0b7f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/3/c */
    { 0x0c00, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/3/0/u */
    { 0x0c7f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/0/c */
    { 0x0d00, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/3/1/u */
    { 0x0d7f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/1/c */
    { 0x0e00, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/3/2/u */
    { 0x0e7f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/2/c */
    { 0x0f00, 0xeba9, 0xf981, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150) }, /* #63/3/3/u */
    { 0x0f7f, 0xeba9, 0x7901, RTFLOAT80U_INIT_C(1,0x48d5130516a66f4c,21150), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/3/c */
    { 0x0000, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/0/0/u */
    { 0x007f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/0/c */
    { 0x0100, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/0/1/u */
    { 0x017f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/1/c */
    { 0x0200, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/0/2/u */
    { 0x027f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/2/c */
    { 0x0300, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/0/3/u */
    { 0x037f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/0/3/c */
    { 0x0400, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/1/0/u */
    { 0x047f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/0/c */
    { 0x0500, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/1/1/u */
    { 0x057f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/1/c */
    { 0x0600, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/1/2/u */
    { 0x067f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/2/c */
    { 0x0700, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/1/3/u */
    { 0x077f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/1/3/c */
    { 0x0800, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/2/0/u */
    { 0x087f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/0/c */
    { 0x0900, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/2/1/u */
    { 0x097f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/1/c */
    { 0x0a00, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/2/2/u */
    { 0x0a7f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/2/c */
    { 0x0b00, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/2/3/u */
    { 0x0b7f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/2/3/c */
    { 0x0c00, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/3/0/u */
    { 0x0c7f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/0/c */
    { 0x0d00, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/3/1/u */
    { 0x0d7f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/1/c */
    { 0x0e00, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/3/2/u */
    { 0x0e7f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/2/c */
    { 0x0f00, 0x37a3, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #64/3/3/u */
    { 0x0f7f, 0x37a3, 0x3901, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #64/3/3/c */
    { 0x0000, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/0/0/u */
    { 0x007f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/0/0/c */
    { 0x0100, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/0/1/u */
    { 0x017f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/0/1/c */
    { 0x0200, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/0/2/u */
    { 0x027f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/0/2/c */
    { 0x0300, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/0/3/u */
    { 0x037f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/0/3/c */
    { 0x0400, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/1/0/u */
    { 0x047f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/1/0/c */
    { 0x0500, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/1/1/u */
    { 0x057f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/1/1/c */
    { 0x0600, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/1/2/u */
    { 0x067f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/1/2/c */
    { 0x0700, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/1/3/u */
    { 0x077f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/1/3/c */
    { 0x0800, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/2/0/u */
    { 0x087f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/2/0/c */
    { 0x0900, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/2/1/u */
    { 0x097f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/2/1/c */
    { 0x0a00, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/2/2/u */
    { 0x0a7f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/2/2/c */
    { 0x0b00, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/2/3/u */
    { 0x0b7f, 0xa60c, 0x3a22, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,1) }, /* #65/2/3/c */
    { 0x0c00, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/3/0/u */
    { 0x0c7f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/3/0/c */
    { 0x0d00, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/3/1/u */
    { 0x0d7f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/3/1/c */
    { 0x0e00, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/3/2/u */
    { 0x0e7f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/3/2/c */
    { 0x0f00, 0xa60c, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115d,0) }, /* #65/3/3/u */
    { 0x0f7f, 0xa60c, 0x3822, RTFLOAT80U_INIT_C(0,0x800000000000115d,0), RTFLOAT80U_INIT_C(0,0x800000000000115c,1) }, /* #65/3/3/c */
    { 0x0000, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/0/u */
    { 0x007f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/0/c */
    { 0x0100, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/1/u */
    { 0x017f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/1/c */
    { 0x0200, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/2/u */
    { 0x027f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/2/c */
    { 0x0300, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/3/u */
    { 0x037f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/0/3/c */
    { 0x0400, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/0/u */
    { 0x047f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/0/c */
    { 0x0500, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/1/u */
    { 0x057f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/1/c */
    { 0x0600, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/2/u */
    { 0x067f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/2/c */
    { 0x0700, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/3/u */
    { 0x077f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/1/3/c */
    { 0x0800, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/0/u */
    { 0x087f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/0/c */
    { 0x0900, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/1/u */
    { 0x097f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/1/c */
    { 0x0a00, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/2/u */
    { 0x0a7f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/2/c */
    { 0x0b00, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/3/u */
    { 0x0b7f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/2/3/c */
    { 0x0c00, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/0/u */
    { 0x0c7f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/0/c */
    { 0x0d00, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/1/u */
    { 0x0d7f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/1/c */
    { 0x0e00, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/2/u */
    { 0x0e7f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/2/c */
    { 0x0f00, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/3/u */
    { 0x0f7f, 0xc946, 0x7d00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,27180) }, /* #66/3/3/c */
    { 0x0000, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/0/0/u */
    { 0x007f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/0/0/c */
    { 0x0100, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/0/1/u */
    { 0x017f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/0/1/c */
    { 0x0200, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/0/2/u */
    { 0x027f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/0/2/c */
    { 0x0300, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/0/3/u */
    { 0x037f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/0/3/c */
    { 0x0400, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/1/0/u */
    { 0x047f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/1/0/c */
    { 0x0500, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/1/1/u */
    { 0x057f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/1/1/c */
    { 0x0600, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/1/2/u */
    { 0x067f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/1/2/c */
    { 0x0700, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/1/3/u */
    { 0x077f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/1/3/c */
    { 0x0800, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/2/0/u */
    { 0x087f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/2/0/c */
    { 0x0900, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/2/1/u */
    { 0x097f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/2/1/c */
    { 0x0a00, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/2/2/u */
    { 0x0a7f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/2/2/c */
    { 0x0b00, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/2/3/u */
    { 0x0b7f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/2/3/c */
    { 0x0c00, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/3/0/u */
    { 0x0c7f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/3/0/c */
    { 0x0d00, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/3/1/u */
    { 0x0d7f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/3/1/c */
    { 0x0e00, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/3/2/u */
    { 0x0e7f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/3/2/c */
    { 0x0f00, 0x5652, 0xf881, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767) }, /* #67/3/3/u */
    { 0x0f7f, 0x5652, 0x7801, RTFLOAT80U_INIT_C(0,0x800000001f215beb,32767), RTFLOAT80U_INIT_C(0,0xc00000001f215beb,32767) }, /* #67/3/3/c */
    { 0x0000, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/0/u */
    { 0x007f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/0/c */
    { 0x0100, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/1/u */
    { 0x017f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/1/c */
    { 0x0200, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/2/u */
    { 0x027f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/2/c */
    { 0x0300, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/3/u */
    { 0x037f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/0/3/c */
    { 0x0400, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/0/u */
    { 0x047f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/0/c */
    { 0x0500, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/1/u */
    { 0x057f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/1/c */
    { 0x0600, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/2/u */
    { 0x067f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/2/c */
    { 0x0700, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/3/u */
    { 0x077f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/1/3/c */
    { 0x0800, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/0/u */
    { 0x087f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/0/c */
    { 0x0900, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/1/u */
    { 0x097f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/1/c */
    { 0x0a00, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/2/u */
    { 0x0a7f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/2/c */
    { 0x0b00, 0xabdc, 0xbba0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/3/u */
    { 0x0b7f, 0xabdc, 0x3b20, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407) }, /* #68/2/3/c */
    { 0x0c00, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/0/u */
    { 0x0c7f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/0/c */
    { 0x0d00, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/1/u */
    { 0x0d7f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/1/c */
    { 0x0e00, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/2/u */
    { 0x0e7f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/2/c */
    { 0x0f00, 0xabdc, 0xb9a0, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/3/u */
    { 0x0f7f, 0xabdc, 0x3920, RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dd,6407), RTFLOAT80U_INIT_C(0,0xd7329a0e2aac51dc,6407) }, /* #68/3/3/c */
    { 0x0000, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/0/0/u */
    { 0x007f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/0/c */
    { 0x0100, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/0/1/u */
    { 0x017f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/1/c */
    { 0x0200, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/0/2/u */
    { 0x027f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/2/c */
    { 0x0300, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/0/3/u */
    { 0x037f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/3/c */
    { 0x0400, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/1/0/u */
    { 0x047f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/0/c */
    { 0x0500, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/1/1/u */
    { 0x057f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/1/c */
    { 0x0600, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/1/2/u */
    { 0x067f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/2/c */
    { 0x0700, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/1/3/u */
    { 0x077f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/3/c */
    { 0x0800, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/2/0/u */
    { 0x087f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/0/c */
    { 0x0900, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/2/1/u */
    { 0x097f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/1/c */
    { 0x0a00, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/2/2/u */
    { 0x0a7f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/2/c */
    { 0x0b00, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/2/3/u */
    { 0x0b7f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/3/c */
    { 0x0c00, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/3/0/u */
    { 0x0c7f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/0/c */
    { 0x0d00, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/3/1/u */
    { 0x0d7f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/1/c */
    { 0x0e00, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/3/2/u */
    { 0x0e7f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/2/c */
    { 0x0f00, 0x530c, 0xf981, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421) }, /* #69/3/3/u */
    { 0x0f7f, 0x530c, 0x7901, RTFLOAT80U_INIT_C(0,0x202096a834dc2194,8421), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/3/c */
    { 0x0000, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/0/u */
    { 0x007f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/0/c */
    { 0x0100, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/1/u */
    { 0x017f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/1/c */
    { 0x0200, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/2/u */
    { 0x027f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/2/c */
    { 0x0300, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/3/u */
    { 0x037f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/0/3/c */
    { 0x0400, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/0/u */
    { 0x047f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/0/c */
    { 0x0500, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/1/u */
    { 0x057f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/1/c */
    { 0x0600, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/2/u */
    { 0x067f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/2/c */
    { 0x0700, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/3/u */
    { 0x077f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/1/3/c */
    { 0x0800, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/0/u */
    { 0x087f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/0/c */
    { 0x0900, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/1/u */
    { 0x097f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/1/c */
    { 0x0a00, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/2/u */
    { 0x0a7f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/2/c */
    { 0x0b00, 0x6994, 0xfba0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/3/u */
    { 0x0b7f, 0x6994, 0x7b20, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348) }, /* #70/2/3/c */
    { 0x0c00, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/0/u */
    { 0x0c7f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/0/c */
    { 0x0d00, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/1/u */
    { 0x0d7f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/1/c */
    { 0x0e00, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/2/u */
    { 0x0e7f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/2/c */
    { 0x0f00, 0x6994, 0xf9a0, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/3/u */
    { 0x0f7f, 0x6994, 0x7920, RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa3,348), RTFLOAT80U_INIT_C(0,0x96bd0a09459d3fa2,348) }, /* #70/3/3/c */
    { 0x0000, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/0/u */
    { 0x007f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/0/c */
    { 0x0100, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/1/u */
    { 0x017f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/1/c */
    { 0x0200, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/2/u */
    { 0x027f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/2/c */
    { 0x0300, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/3/u */
    { 0x037f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/0/3/c */
    { 0x0400, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/1/0/u */
    { 0x047f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/1/0/c */
    { 0x0500, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/1/1/u */
    { 0x057f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/1/1/c */
    { 0x0600, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/1/2/u */
    { 0x067f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/1/2/c */
    { 0x0700, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/1/3/u */
    { 0x077f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/1/3/c */
    { 0x0800, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/0/u */
    { 0x087f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/0/c */
    { 0x0900, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/1/u */
    { 0x097f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/1/c */
    { 0x0a00, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/2/u */
    { 0x0a7f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/2/c */
    { 0x0b00, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/3/u */
    { 0x0b7f, 0x0d28, 0x3b32, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/2/3/c */
    { 0x0c00, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/3/0/u */
    { 0x0c7f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/3/0/c */
    { 0x0d00, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/3/1/u */
    { 0x0d7f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/3/1/c */
    { 0x0e00, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/3/2/u */
    { 0x0e7f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/3/2/c */
    { 0x0f00, 0x0d28, 0xb982, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x496,0) }, /* #71/3/3/u */
    { 0x0f7f, 0x0d28, 0x3932, RTFLOAT80U_INIT_C(0,0x496,0), RTFLOAT80U_INIT_C(0,0x495,0) }, /* #71/3/3/c */
    { 0x0000, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/0/u */
    { 0x007f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/0/c */
    { 0x0100, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/1/u */
    { 0x017f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/1/c */
    { 0x0200, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/2/u */
    { 0x027f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/2/c */
    { 0x0300, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/3/u */
    { 0x037f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/3/c */
    { 0x0400, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/0/u */
    { 0x047f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/0/c */
    { 0x0500, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/1/u */
    { 0x057f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/1/c */
    { 0x0600, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/2/u */
    { 0x067f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/2/c */
    { 0x0700, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/3/u */
    { 0x077f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/3/c */
    { 0x0800, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/0/u */
    { 0x087f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/0/c */
    { 0x0900, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/1/u */
    { 0x097f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/1/c */
    { 0x0a00, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/2/u */
    { 0x0a7f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/2/c */
    { 0x0b00, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/3/u */
    { 0x0b7f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/3/c */
    { 0x0c00, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/0/u */
    { 0x0c7f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/0/c */
    { 0x0d00, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/1/u */
    { 0x0d7f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/1/c */
    { 0x0e00, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/2/u */
    { 0x0e7f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/2/c */
    { 0x0f00, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/3/u */
    { 0x0f7f, 0xbaf7, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/3/c */
    { 0x0000, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/0/u */
    { 0x007f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/0/c */
    { 0x0100, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/1/u */
    { 0x017f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/1/c */
    { 0x0200, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/2/u */
    { 0x027f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/2/c */
    { 0x0300, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/3/u */
    { 0x037f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/0/3/c */
    { 0x0400, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/0/u */
    { 0x047f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/0/c */
    { 0x0500, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/1/u */
    { 0x057f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/1/c */
    { 0x0600, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/2/u */
    { 0x067f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/2/c */
    { 0x0700, 0xfe3c, 0xfaa0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/3/u */
    { 0x077f, 0xfe3c, 0x7a20, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810) }, /* #73/1/3/c */
    { 0x0800, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/0/u */
    { 0x087f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/0/c */
    { 0x0900, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/1/u */
    { 0x097f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/1/c */
    { 0x0a00, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/2/u */
    { 0x0a7f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/2/c */
    { 0x0b00, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/3/u */
    { 0x0b7f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/2/3/c */
    { 0x0c00, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/0/u */
    { 0x0c7f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/0/c */
    { 0x0d00, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/1/u */
    { 0x0d7f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/1/c */
    { 0x0e00, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/2/u */
    { 0x0e7f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/2/c */
    { 0x0f00, 0xfe3c, 0xf8a0, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/3/u */
    { 0x0f7f, 0xfe3c, 0x7820, RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdcb,4810), RTFLOAT80U_INIT_C(1,0xa3a0e3dc3196cdca,4810) }, /* #73/3/3/c */
    { 0x0000, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/0/0/u */
    { 0x007f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/0/c */
    { 0x0100, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/0/1/u */
    { 0x017f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/1/c */
    { 0x0200, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/0/2/u */
    { 0x027f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/2/c */
    { 0x0300, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/0/3/u */
    { 0x037f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/3/c */
    { 0x0400, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/1/0/u */
    { 0x047f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/0/c */
    { 0x0500, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/1/1/u */
    { 0x057f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/1/c */
    { 0x0600, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/1/2/u */
    { 0x067f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/2/c */
    { 0x0700, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/1/3/u */
    { 0x077f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/3/c */
    { 0x0800, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/2/0/u */
    { 0x087f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/0/c */
    { 0x0900, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/2/1/u */
    { 0x097f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/1/c */
    { 0x0a00, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/2/2/u */
    { 0x0a7f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/2/c */
    { 0x0b00, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/2/3/u */
    { 0x0b7f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/3/c */
    { 0x0c00, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/3/0/u */
    { 0x0c7f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/0/c */
    { 0x0d00, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/3/1/u */
    { 0x0d7f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/1/c */
    { 0x0e00, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/3/2/u */
    { 0x0e7f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/2/c */
    { 0x0f00, 0x3459, 0xb881, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665) }, /* #74/3/3/u */
    { 0x0f7f, 0x3459, 0x3801, RTFLOAT80U_INIT_C(0,0x6b07628faad4970,24665), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/3/c */
    { 0x0000, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/0/u */
    { 0x007f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/0/c */
    { 0x0100, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/1/u */
    { 0x017f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/1/c */
    { 0x0200, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/2/u */
    { 0x027f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/2/c */
    { 0x0300, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/3/u */
    { 0x037f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/0/3/c */
    { 0x0400, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/0/u */
    { 0x047f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/0/c */
    { 0x0500, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/1/u */
    { 0x057f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/1/c */
    { 0x0600, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/2/u */
    { 0x067f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/2/c */
    { 0x0700, 0xef95, 0xfba0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/3/u */
    { 0x077f, 0xef95, 0x7b20, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363) }, /* #75/1/3/c */
    { 0x0800, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/0/u */
    { 0x087f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/0/c */
    { 0x0900, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/1/u */
    { 0x097f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/1/c */
    { 0x0a00, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/2/u */
    { 0x0a7f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/2/c */
    { 0x0b00, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/3/u */
    { 0x0b7f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/2/3/c */
    { 0x0c00, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/0/u */
    { 0x0c7f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/0/c */
    { 0x0d00, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/1/u */
    { 0x0d7f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/1/c */
    { 0x0e00, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/2/u */
    { 0x0e7f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/2/c */
    { 0x0f00, 0xef95, 0xf9a0, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/3/u */
    { 0x0f7f, 0xef95, 0x7920, RTFLOAT80U_INIT_C(1,0x88893911ad63cbfa,12363), RTFLOAT80U_INIT_C(1,0x88893911ad63cbf9,12363) }, /* #75/3/3/c */
    { 0x0000, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/0/0/u */
    { 0x007f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/0/c */
    { 0x0100, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/0/1/u */
    { 0x017f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/1/c */
    { 0x0200, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/0/2/u */
    { 0x027f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/2/c */
    { 0x0300, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/0/3/u */
    { 0x037f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/0/3/c */
    { 0x0400, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/1/0/u */
    { 0x047f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/0/c */
    { 0x0500, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/1/1/u */
    { 0x057f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/1/c */
    { 0x0600, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/1/2/u */
    { 0x067f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/2/c */
    { 0x0700, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/1/3/u */
    { 0x077f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/1/3/c */
    { 0x0800, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/2/0/u */
    { 0x087f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/0/c */
    { 0x0900, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/2/1/u */
    { 0x097f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/1/c */
    { 0x0a00, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/2/2/u */
    { 0x0a7f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/2/c */
    { 0x0b00, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/2/3/u */
    { 0x0b7f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/2/3/c */
    { 0x0c00, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/3/0/u */
    { 0x0c7f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/0/c */
    { 0x0d00, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/3/1/u */
    { 0x0d7f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/1/c */
    { 0x0e00, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/3/2/u */
    { 0x0e7f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/2/c */
    { 0x0f00, 0xf36c, 0xf981, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579) }, /* #76/3/3/u */
    { 0x0f7f, 0xf36c, 0x7901, RTFLOAT80U_INIT_C(0,0x4814f62d84603479,10579), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #76/3/3/c */
    { 0x0000, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/0/0/u */
    { 0x007f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/0/c */
    { 0x0100, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/0/1/u */
    { 0x017f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/1/c */
    { 0x0200, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/0/2/u */
    { 0x027f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/2/c */
    { 0x0300, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/0/3/u */
    { 0x037f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/3/c */
    { 0x0400, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/1/0/u */
    { 0x047f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/0/c */
    { 0x0500, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/1/1/u */
    { 0x057f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/1/c */
    { 0x0600, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/1/2/u */
    { 0x067f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/2/c */
    { 0x0700, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/1/3/u */
    { 0x077f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/3/c */
    { 0x0800, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/2/0/u */
    { 0x087f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/0/c */
    { 0x0900, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/2/1/u */
    { 0x097f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/1/c */
    { 0x0a00, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/2/2/u */
    { 0x0a7f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/2/c */
    { 0x0b00, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/2/3/u */
    { 0x0b7f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/3/c */
    { 0x0c00, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/3/0/u */
    { 0x0c7f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/0/c */
    { 0x0d00, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/3/1/u */
    { 0x0d7f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/1/c */
    { 0x0e00, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/3/2/u */
    { 0x0e7f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/2/c */
    { 0x0f00, 0xa27e, 0xb881, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628) }, /* #77/3/3/u */
    { 0x0f7f, 0xa27e, 0x3801, RTFLOAT80U_INIT_C(1,0x1ab645cc43,18628), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/3/c */
    { 0x0000, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/0/u */
    { 0x007f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/0/c */
    { 0x0100, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/1/u */
    { 0x017f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/1/c */
    { 0x0200, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/2/u */
    { 0x027f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/2/c */
    { 0x0300, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/3/u */
    { 0x037f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/0/3/c */
    { 0x0400, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/0/u */
    { 0x047f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/0/c */
    { 0x0500, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/1/u */
    { 0x057f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/1/c */
    { 0x0600, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/2/u */
    { 0x067f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/2/c */
    { 0x0700, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/3/u */
    { 0x077f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/1/3/c */
    { 0x0800, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/0/u */
    { 0x087f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/0/c */
    { 0x0900, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/1/u */
    { 0x097f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/1/c */
    { 0x0a00, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/2/u */
    { 0x0a7f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/2/c */
    { 0x0b00, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/3/u */
    { 0x0b7f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/2/3/c */
    { 0x0c00, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/0/u */
    { 0x0c7f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/0/c */
    { 0x0d00, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/1/u */
    { 0x0d7f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/1/c */
    { 0x0e00, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/2/u */
    { 0x0e7f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/2/c */
    { 0x0f00, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/3/u */
    { 0x0f7f, 0xd4a9, 0x7c00, RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414), RTFLOAT80U_INIT_C(1,0xb104902615e50e28,18414) }, /* #78/3/3/c */
    { 0x0000, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/0/u */
    { 0x007f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/0/c */
    { 0x0100, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/1/u */
    { 0x017f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/1/c */
    { 0x0200, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/2/u */
    { 0x027f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/2/c */
    { 0x0300, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/3/u */
    { 0x037f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/0/3/c */
    { 0x0400, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/0/u */
    { 0x047f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/0/c */
    { 0x0500, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/1/u */
    { 0x057f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/1/c */
    { 0x0600, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/2/u */
    { 0x067f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/2/c */
    { 0x0700, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/3/u */
    { 0x077f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/1/3/c */
    { 0x0800, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/0/u */
    { 0x087f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/0/c */
    { 0x0900, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/1/u */
    { 0x097f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/1/c */
    { 0x0a00, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/2/u */
    { 0x0a7f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/2/c */
    { 0x0b00, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/3/u */
    { 0x0b7f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/2/3/c */
    { 0x0c00, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/0/u */
    { 0x0c7f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/0/c */
    { 0x0d00, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/1/u */
    { 0x0d7f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/1/c */
    { 0x0e00, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/2/u */
    { 0x0e7f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/2/c */
    { 0x0f00, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/3/u */
    { 0x0f7f, 0x00f0, 0x3800, RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767), RTFLOAT80U_INIT_C(0,0xc000003e1326ee17,32767) }, /* #79/3/3/c */
    { 0x0000, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/0/u */
    { 0x007f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/0/c */
    { 0x0100, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/1/u */
    { 0x017f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/1/c */
    { 0x0200, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/2/u */
    { 0x027f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/2/c */
    { 0x0300, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/3/u */
    { 0x037f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/0/3/c */
    { 0x0400, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/0/u */
    { 0x047f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/0/c */
    { 0x0500, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/1/u */
    { 0x057f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/1/c */
    { 0x0600, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/2/u */
    { 0x067f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/2/c */
    { 0x0700, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/3/u */
    { 0x077f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/1/3/c */
    { 0x0800, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/0/u */
    { 0x087f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/0/c */
    { 0x0900, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/1/u */
    { 0x097f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/1/c */
    { 0x0a00, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/2/u */
    { 0x0a7f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/2/c */
    { 0x0b00, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/3/u */
    { 0x0b7f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/2/3/c */
    { 0x0c00, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/0/u */
    { 0x0c7f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/0/c */
    { 0x0d00, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/1/u */
    { 0x0d7f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/1/c */
    { 0x0e00, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/2/u */
    { 0x0e7f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/2/c */
    { 0x0f00, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/3/u */
    { 0x0f7f, 0x1e78, 0x3c00, RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794), RTFLOAT80U_INIT_C(1,0xd02ab2780c5c8cf7,27794) }, /* #80/3/3/c */
    { 0x0000, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/0/0/u */
    { 0x007f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/0/c */
    { 0x0100, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/0/1/u */
    { 0x017f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/1/c */
    { 0x0200, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/0/2/u */
    { 0x027f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/2/c */
    { 0x0300, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/0/3/u */
    { 0x037f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/3/c */
    { 0x0400, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/1/0/u */
    { 0x047f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/0/c */
    { 0x0500, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/1/1/u */
    { 0x057f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/1/c */
    { 0x0600, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/1/2/u */
    { 0x067f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/2/c */
    { 0x0700, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/1/3/u */
    { 0x077f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/3/c */
    { 0x0800, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/2/0/u */
    { 0x087f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/0/c */
    { 0x0900, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/2/1/u */
    { 0x097f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/1/c */
    { 0x0a00, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/2/2/u */
    { 0x0a7f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/2/c */
    { 0x0b00, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/2/3/u */
    { 0x0b7f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/3/c */
    { 0x0c00, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/3/0/u */
    { 0x0c7f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/0/c */
    { 0x0d00, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/3/1/u */
    { 0x0d7f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/1/c */
    { 0x0e00, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/3/2/u */
    { 0x0e7f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/2/c */
    { 0x0f00, 0xf743, 0xf981, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867) }, /* #81/3/3/u */
    { 0x0f7f, 0xf743, 0x7901, RTFLOAT80U_INIT_C(1,0x4fafd26c4cd75f45,22867), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/3/c */
    { 0x0000, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/0/0/u */
    { 0x007f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/0/c */
    { 0x0100, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/0/1/u */
    { 0x017f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/1/c */
    { 0x0200, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/0/2/u */
    { 0x027f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/2/c */
    { 0x0300, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/0/3/u */
    { 0x037f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/3/c */
    { 0x0400, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/1/0/u */
    { 0x047f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/0/c */
    { 0x0500, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/1/1/u */
    { 0x057f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/1/c */
    { 0x0600, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/1/2/u */
    { 0x067f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/2/c */
    { 0x0700, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/1/3/u */
    { 0x077f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/3/c */
    { 0x0800, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/2/0/u */
    { 0x087f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/0/c */
    { 0x0900, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/2/1/u */
    { 0x097f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/1/c */
    { 0x0a00, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/2/2/u */
    { 0x0a7f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/2/c */
    { 0x0b00, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/2/3/u */
    { 0x0b7f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/3/c */
    { 0x0c00, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/3/0/u */
    { 0x0c7f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/0/c */
    { 0x0d00, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/3/1/u */
    { 0x0d7f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/1/c */
    { 0x0e00, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/3/2/u */
    { 0x0e7f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/2/c */
    { 0x0f00, 0x6fe5, 0xf981, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279) }, /* #82/3/3/u */
    { 0x0f7f, 0x6fe5, 0x7901, RTFLOAT80U_INIT_C(0,0x4a8716d987d46a2e,19279), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/3/c */
    { 0x0000, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/0/0/u */
    { 0x007f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/0/0/c */
    { 0x0100, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/0/1/u */
    { 0x017f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/0/1/c */
    { 0x0200, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/0/2/u */
    { 0x027f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/0/2/c */
    { 0x0300, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/0/3/u */
    { 0x037f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/0/3/c */
    { 0x0400, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/1/0/u */
    { 0x047f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/1/0/c */
    { 0x0500, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/1/1/u */
    { 0x057f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/1/1/c */
    { 0x0600, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/1/2/u */
    { 0x067f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/1/2/c */
    { 0x0700, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/1/3/u */
    { 0x077f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/1/3/c */
    { 0x0800, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/2/0/u */
    { 0x087f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/2/0/c */
    { 0x0900, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/2/1/u */
    { 0x097f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/2/1/c */
    { 0x0a00, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/2/2/u */
    { 0x0a7f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/2/2/c */
    { 0x0b00, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/2/3/u */
    { 0x0b7f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/2/3/c */
    { 0x0c00, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/3/0/u */
    { 0x0c7f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/3/0/c */
    { 0x0d00, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/3/1/u */
    { 0x0d7f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/3/1/c */
    { 0x0e00, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/3/2/u */
    { 0x0e7f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/3/2/c */
    { 0x0f00, 0x47a8, 0xf981, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432) }, /* #83/3/3/u */
    { 0x0f7f, 0x47a8, 0x7901, RTFLOAT80U_INIT_C(0,0x5c66369c18662e3f,27432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #83/3/3/c */
    { 0x0000, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/0/0/u */
    { 0x007f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/0/c */
    { 0x0100, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/0/1/u */
    { 0x017f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/1/c */
    { 0x0200, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/0/2/u */
    { 0x027f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/2/c */
    { 0x0300, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/0/3/u */
    { 0x037f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/3/c */
    { 0x0400, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/1/0/u */
    { 0x047f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/0/c */
    { 0x0500, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/1/1/u */
    { 0x057f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/1/c */
    { 0x0600, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/1/2/u */
    { 0x067f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/2/c */
    { 0x0700, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/1/3/u */
    { 0x077f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/3/c */
    { 0x0800, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/2/0/u */
    { 0x087f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/0/c */
    { 0x0900, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/2/1/u */
    { 0x097f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/1/c */
    { 0x0a00, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/2/2/u */
    { 0x0a7f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/2/c */
    { 0x0b00, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/2/3/u */
    { 0x0b7f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/3/c */
    { 0x0c00, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/3/0/u */
    { 0x0c7f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/0/c */
    { 0x0d00, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/3/1/u */
    { 0x0d7f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/1/c */
    { 0x0e00, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/3/2/u */
    { 0x0e7f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/2/c */
    { 0x0f00, 0x7d40, 0xf981, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(0,0x198f,26954) }, /* #84/3/3/u */
    { 0x0f7f, 0x7d40, 0x7901, RTFLOAT80U_INIT_C(0,0x198f,26954), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/3/c */
    { 0x0000, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/0/0/u */
    { 0x007f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/0/c */
    { 0x0100, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/0/1/u */
    { 0x017f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/1/c */
    { 0x0200, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/0/2/u */
    { 0x027f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/2/c */
    { 0x0300, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/0/3/u */
    { 0x037f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/3/c */
    { 0x0400, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/1/0/u */
    { 0x047f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/0/c */
    { 0x0500, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/1/1/u */
    { 0x057f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/1/c */
    { 0x0600, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/1/2/u */
    { 0x067f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/2/c */
    { 0x0700, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/1/3/u */
    { 0x077f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/3/c */
    { 0x0800, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/2/0/u */
    { 0x087f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/0/c */
    { 0x0900, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/2/1/u */
    { 0x097f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/1/c */
    { 0x0a00, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/2/2/u */
    { 0x0a7f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/2/c */
    { 0x0b00, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/2/3/u */
    { 0x0b7f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/3/c */
    { 0x0c00, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/3/0/u */
    { 0x0c7f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/0/c */
    { 0x0d00, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/3/1/u */
    { 0x0d7f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/1/c */
    { 0x0e00, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/3/2/u */
    { 0x0e7f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/2/c */
    { 0x0f00, 0x26c1, 0xb881, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772) }, /* #85/3/3/u */
    { 0x0f7f, 0x26c1, 0x3801, RTFLOAT80U_INIT_C(0,0x3330aa30fe4b1486,28772), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/3/c */
    { 0x0000, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/0/0/u */
    { 0x007f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/0/0/c */
    { 0x0100, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/0/1/u */
    { 0x017f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/0/1/c */
    { 0x0200, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/0/2/u */
    { 0x027f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/0/2/c */
    { 0x0300, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/0/3/u */
    { 0x037f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/0/3/c */
    { 0x0400, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/1/0/u */
    { 0x047f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/1/0/c */
    { 0x0500, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/1/1/u */
    { 0x057f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/1/1/c */
    { 0x0600, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/1/2/u */
    { 0x067f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/1/2/c */
    { 0x0700, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/1/3/u */
    { 0x077f, 0xc8e2, 0x7a22, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,1) }, /* #86/1/3/c */
    { 0x0800, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/2/0/u */
    { 0x087f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/2/0/c */
    { 0x0900, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/2/1/u */
    { 0x097f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/2/1/c */
    { 0x0a00, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/2/2/u */
    { 0x0a7f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/2/2/c */
    { 0x0b00, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/2/3/u */
    { 0x0b7f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/2/3/c */
    { 0x0c00, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/3/0/u */
    { 0x0c7f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/3/0/c */
    { 0x0d00, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/3/1/u */
    { 0x0d7f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/3/1/c */
    { 0x0e00, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/3/2/u */
    { 0x0e7f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/3/2/c */
    { 0x0f00, 0xc8e2, 0xf882, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a9,0) }, /* #86/3/3/u */
    { 0x0f7f, 0xc8e2, 0x7822, RTFLOAT80U_INIT_C(1,0x80000000000000a9,0), RTFLOAT80U_INIT_C(1,0x80000000000000a8,1) }, /* #86/3/3/c */
    { 0x0000, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/0/0/u */
    { 0x007f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/0/0/c */
    { 0x0100, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/0/1/u */
    { 0x017f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/0/1/c */
    { 0x0200, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/0/2/u */
    { 0x027f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/0/2/c */
    { 0x0300, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/0/3/u */
    { 0x037f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/0/3/c */
    { 0x0400, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/1/0/u */
    { 0x047f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/1/0/c */
    { 0x0500, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/1/1/u */
    { 0x057f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/1/1/c */
    { 0x0600, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/1/2/u */
    { 0x067f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/1/2/c */
    { 0x0700, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/1/3/u */
    { 0x077f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/1/3/c */
    { 0x0800, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/2/0/u */
    { 0x087f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/2/0/c */
    { 0x0900, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/2/1/u */
    { 0x097f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/2/1/c */
    { 0x0a00, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/2/2/u */
    { 0x0a7f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/2/2/c */
    { 0x0b00, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/2/3/u */
    { 0x0b7f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/2/3/c */
    { 0x0c00, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/3/0/u */
    { 0x0c7f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/3/0/c */
    { 0x0d00, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/3/1/u */
    { 0x0d7f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/3/1/c */
    { 0x0e00, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/3/2/u */
    { 0x0e7f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/3/2/c */
    { 0x0f00, 0xaa14, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #87/3/3/u */
    { 0x0f7f, 0xaa14, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #87/3/3/c */
    { 0x0000, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/0/0/u */
    { 0x007f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/0/c */
    { 0x0100, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/0/1/u */
    { 0x017f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/1/c */
    { 0x0200, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/0/2/u */
    { 0x027f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/2/c */
    { 0x0300, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/0/3/u */
    { 0x037f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/3/c */
    { 0x0400, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/1/0/u */
    { 0x047f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/0/c */
    { 0x0500, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/1/1/u */
    { 0x057f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/1/c */
    { 0x0600, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/1/2/u */
    { 0x067f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/2/c */
    { 0x0700, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/1/3/u */
    { 0x077f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/3/c */
    { 0x0800, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/2/0/u */
    { 0x087f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/0/c */
    { 0x0900, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/2/1/u */
    { 0x097f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/1/c */
    { 0x0a00, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/2/2/u */
    { 0x0a7f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/2/c */
    { 0x0b00, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/2/3/u */
    { 0x0b7f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/3/c */
    { 0x0c00, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/3/0/u */
    { 0x0c7f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/0/c */
    { 0x0d00, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/3/1/u */
    { 0x0d7f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/1/c */
    { 0x0e00, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/3/2/u */
    { 0x0e7f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/2/c */
    { 0x0f00, 0x5fd3, 0xf981, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764) }, /* #88/3/3/u */
    { 0x0f7f, 0x5fd3, 0x7901, RTFLOAT80U_INIT_C(0,0x49947f8de81346e9,1764), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/3/c */
    { 0x0000, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/0/u */
    { 0x007f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/0/c */
    { 0x0100, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/1/u */
    { 0x017f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/1/c */
    { 0x0200, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/2/u */
    { 0x027f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/2/c */
    { 0x0300, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/3/u */
    { 0x037f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/0/3/c */
    { 0x0400, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/1/0/u */
    { 0x047f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/1/0/c */
    { 0x0500, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/1/1/u */
    { 0x057f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/1/1/c */
    { 0x0600, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/1/2/u */
    { 0x067f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/1/2/c */
    { 0x0700, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/1/3/u */
    { 0x077f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/1/3/c */
    { 0x0800, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/0/u */
    { 0x087f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/0/c */
    { 0x0900, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/1/u */
    { 0x097f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/1/c */
    { 0x0a00, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/2/u */
    { 0x0a7f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/2/c */
    { 0x0b00, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/3/u */
    { 0x0b7f, 0xe693, 0x7a32, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/2/3/c */
    { 0x0c00, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/3/0/u */
    { 0x0c7f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/3/0/c */
    { 0x0d00, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/3/1/u */
    { 0x0d7f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/3/1/c */
    { 0x0e00, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/3/2/u */
    { 0x0e7f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/3/2/c */
    { 0x0f00, 0xe693, 0xf882, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0) }, /* #89/3/3/u */
    { 0x0f7f, 0xe693, 0x7832, RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf1,0), RTFLOAT80U_INIT_C(0,0x5c08b76467ae2cf0,0) }, /* #89/3/3/c */
    { 0x0000, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/0/u */
    { 0x007f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/0/c */
    { 0x0100, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/1/u */
    { 0x017f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/1/c */
    { 0x0200, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/2/u */
    { 0x027f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/2/c */
    { 0x0300, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/3/u */
    { 0x037f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/0/3/c */
    { 0x0400, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/0/u */
    { 0x047f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/0/c */
    { 0x0500, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/1/u */
    { 0x057f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/1/c */
    { 0x0600, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/2/u */
    { 0x067f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/2/c */
    { 0x0700, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/3/u */
    { 0x077f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/1/3/c */
    { 0x0800, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/0/u */
    { 0x087f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/0/c */
    { 0x0900, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/1/u */
    { 0x097f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/1/c */
    { 0x0a00, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/2/u */
    { 0x0a7f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/2/c */
    { 0x0b00, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/3/u */
    { 0x0b7f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/2/3/c */
    { 0x0c00, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/0/u */
    { 0x0c7f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/0/c */
    { 0x0d00, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/1/u */
    { 0x0d7f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/1/c */
    { 0x0e00, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/2/u */
    { 0x0e7f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/2/c */
    { 0x0f00, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/3/u */
    { 0x0f7f, 0xd8cb, 0x7800, RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767), RTFLOAT80U_INIT_C(0,0xc000172e4e024958,32767) }, /* #90/3/3/c */
    { 0x0000, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/0/u */
    { 0x007f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/0/c */
    { 0x0100, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/1/u */
    { 0x017f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/1/c */
    { 0x0200, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/2/u */
    { 0x027f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/2/c */
    { 0x0300, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/3/u */
    { 0x037f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/0/3/c */
    { 0x0400, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/0/u */
    { 0x047f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/0/c */
    { 0x0500, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/1/u */
    { 0x057f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/1/c */
    { 0x0600, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/2/u */
    { 0x067f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/2/c */
    { 0x0700, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/3/u */
    { 0x077f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/1/3/c */
    { 0x0800, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/0/u */
    { 0x087f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/0/c */
    { 0x0900, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/1/u */
    { 0x097f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/1/c */
    { 0x0a00, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/2/u */
    { 0x0a7f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/2/c */
    { 0x0b00, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/3/u */
    { 0x0b7f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/2/3/c */
    { 0x0c00, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/0/u */
    { 0x0c7f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/0/c */
    { 0x0d00, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/1/u */
    { 0x0d7f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/1/c */
    { 0x0e00, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/2/u */
    { 0x0e7f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/2/c */
    { 0x0f00, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/3/u */
    { 0x0f7f, 0x809d, 0x3c00, RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119), RTFLOAT80U_INIT_C(1,0xc577763aa61e2696,32119) }, /* #91/3/3/c */
    { 0x0000, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/0/0/u */
    { 0x007f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/0/c */
    { 0x0100, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/0/1/u */
    { 0x017f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/1/c */
    { 0x0200, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/0/2/u */
    { 0x027f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/2/c */
    { 0x0300, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/0/3/u */
    { 0x037f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/0/3/c */
    { 0x0400, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/1/0/u */
    { 0x047f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/0/c */
    { 0x0500, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/1/1/u */
    { 0x057f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/1/c */
    { 0x0600, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/1/2/u */
    { 0x067f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/2/c */
    { 0x0700, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/1/3/u */
    { 0x077f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/1/3/c */
    { 0x0800, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/2/0/u */
    { 0x087f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/0/c */
    { 0x0900, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/2/1/u */
    { 0x097f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/1/c */
    { 0x0a00, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/2/2/u */
    { 0x0a7f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/2/c */
    { 0x0b00, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/2/3/u */
    { 0x0b7f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/2/3/c */
    { 0x0c00, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/3/0/u */
    { 0x0c7f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/0/c */
    { 0x0d00, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/3/1/u */
    { 0x0d7f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/1/c */
    { 0x0e00, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/3/2/u */
    { 0x0e7f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/2/c */
    { 0x0f00, 0x8ac1, 0xb881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #92/3/3/u */
    { 0x0f7f, 0x8ac1, 0x3801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #92/3/3/c */
    { 0x0000, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/0/0/u */
    { 0x007f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/0/0/c */
    { 0x0100, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/0/1/u */
    { 0x017f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/0/1/c */
    { 0x0200, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/0/2/u */
    { 0x027f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/0/2/c */
    { 0x0300, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/0/3/u */
    { 0x037f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/0/3/c */
    { 0x0400, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/1/0/u */
    { 0x047f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/1/0/c */
    { 0x0500, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/1/1/u */
    { 0x057f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/1/1/c */
    { 0x0600, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/1/2/u */
    { 0x067f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/1/2/c */
    { 0x0700, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/1/3/u */
    { 0x077f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/1/3/c */
    { 0x0800, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/2/0/u */
    { 0x087f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/2/0/c */
    { 0x0900, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/2/1/u */
    { 0x097f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/2/1/c */
    { 0x0a00, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/2/2/u */
    { 0x0a7f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/2/2/c */
    { 0x0b00, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/2/3/u */
    { 0x0b7f, 0x274b, 0x3b22, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,1) }, /* #93/2/3/c */
    { 0x0c00, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/3/0/u */
    { 0x0c7f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/3/0/c */
    { 0x0d00, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/3/1/u */
    { 0x0d7f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/3/1/c */
    { 0x0e00, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/3/2/u */
    { 0x0e7f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/3/2/c */
    { 0x0f00, 0x274b, 0xb982, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0) }, /* #93/3/3/u */
    { 0x0f7f, 0x274b, 0x3922, RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10b,0), RTFLOAT80U_INIT_C(0,0xac8cdeb00ac0a10a,1) }, /* #93/3/3/c */
    { 0x0000, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/0/0/u */
    { 0x007f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/0/c */
    { 0x0100, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/0/1/u */
    { 0x017f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/1/c */
    { 0x0200, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/0/2/u */
    { 0x027f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/2/c */
    { 0x0300, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/0/3/u */
    { 0x037f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/3/c */
    { 0x0400, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/1/0/u */
    { 0x047f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/0/c */
    { 0x0500, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/1/1/u */
    { 0x057f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/1/c */
    { 0x0600, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/1/2/u */
    { 0x067f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/2/c */
    { 0x0700, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/1/3/u */
    { 0x077f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/3/c */
    { 0x0800, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/2/0/u */
    { 0x087f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/0/c */
    { 0x0900, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/2/1/u */
    { 0x097f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/1/c */
    { 0x0a00, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/2/2/u */
    { 0x0a7f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/2/c */
    { 0x0b00, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/2/3/u */
    { 0x0b7f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/3/c */
    { 0x0c00, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/3/0/u */
    { 0x0c7f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/0/c */
    { 0x0d00, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/3/1/u */
    { 0x0d7f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/1/c */
    { 0x0e00, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/3/2/u */
    { 0x0e7f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/2/c */
    { 0x0f00, 0xca1b, 0xf881, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908) }, /* #94/3/3/u */
    { 0x0f7f, 0xca1b, 0x7801, RTFLOAT80U_INIT_C(1,0x13947a5aac3de53a,21908), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/3/c */
    { 0x0000, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/0/u */
    { 0x007f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/0/c */
    { 0x0100, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/1/u */
    { 0x017f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/1/c */
    { 0x0200, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/2/u */
    { 0x027f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/2/c */
    { 0x0300, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/3/u */
    { 0x037f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/0/3/c */
    { 0x0400, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/0/u */
    { 0x047f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/0/c */
    { 0x0500, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/1/u */
    { 0x057f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/1/c */
    { 0x0600, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/2/u */
    { 0x067f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/2/c */
    { 0x0700, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/3/u */
    { 0x077f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/1/3/c */
    { 0x0800, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/0/u */
    { 0x087f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/0/c */
    { 0x0900, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/1/u */
    { 0x097f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/1/c */
    { 0x0a00, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/2/u */
    { 0x0a7f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/2/c */
    { 0x0b00, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/3/u */
    { 0x0b7f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/2/3/c */
    { 0x0c00, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/0/u */
    { 0x0c7f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/0/c */
    { 0x0d00, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/1/u */
    { 0x0d7f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/1/c */
    { 0x0e00, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/2/u */
    { 0x0e7f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/2/c */
    { 0x0f00, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/3/u */
    { 0x0f7f, 0x57dd, 0x7900, RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767), RTFLOAT80U_INIT_C(1,0xc4992ee5d49dcf5e,32767) }, /* #95/3/3/c */
    { 0x0000, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/0/u */
    { 0x007f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/0/c */
    { 0x0100, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/1/u */
    { 0x017f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/1/c */
    { 0x0200, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/2/u */
    { 0x027f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/2/c */
    { 0x0300, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/3/u */
    { 0x037f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/0/3/c */
    { 0x0400, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/0/u */
    { 0x047f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/0/c */
    { 0x0500, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/1/u */
    { 0x057f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/1/c */
    { 0x0600, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/2/u */
    { 0x067f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/2/c */
    { 0x0700, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/3/u */
    { 0x077f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/1/3/c */
    { 0x0800, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/0/u */
    { 0x087f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/0/c */
    { 0x0900, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/1/u */
    { 0x097f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/1/c */
    { 0x0a00, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/2/u */
    { 0x0a7f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/2/c */
    { 0x0b00, 0x6634, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/3/u */
    { 0x0b7f, 0x6634, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382) }, /* #96/2/3/c */
    { 0x0c00, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/0/u */
    { 0x0c7f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/0/c */
    { 0x0d00, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/1/u */
    { 0x0d7f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/1/c */
    { 0x0e00, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/2/u */
    { 0x0e7f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/2/c */
    { 0x0f00, 0x6634, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/3/u */
    { 0x0f7f, 0x6634, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382) }, /* #96/3/3/c */
};
uint32_t const g_cTests_fsin_r80_amd = RT_ELEMENTS(g_aTests_fsin_r80_amd);

FPU_UNARY_R80_TEST_T const g_aTests_fcos_r80_amd[] =
{
    { 0x0000, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/0/0/u */
    { 0x007f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/0/c */
    { 0x0100, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/0/1/u */
    { 0x017f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/1/c */
    { 0x0200, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/0/2/u */
    { 0x027f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/2/c */
    { 0x0300, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/0/3/u */
    { 0x037f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/3/c */
    { 0x0400, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/1/0/u */
    { 0x047f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/0/c */
    { 0x0500, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/1/1/u */
    { 0x057f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/1/c */
    { 0x0600, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/1/2/u */
    { 0x067f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/2/c */
    { 0x0700, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/1/3/u */
    { 0x077f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/3/c */
    { 0x0800, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/2/0/u */
    { 0x087f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/0/c */
    { 0x0900, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/2/1/u */
    { 0x097f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/1/c */
    { 0x0a00, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/2/2/u */
    { 0x0a7f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/2/c */
    { 0x0b00, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/2/3/u */
    { 0x0b7f, 0xb0c7, 0x3a22, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/3/c */
    { 0x0c00, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/3/0/u */
    { 0x0c7f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/0/c */
    { 0x0d00, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/3/1/u */
    { 0x0d7f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/1/c */
    { 0x0e00, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/3/2/u */
    { 0x0e7f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/2/c */
    { 0x0f00, 0xb0c7, 0xb882, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(1,0x569aba21a1,0) }, /* #0/3/3/u */
    { 0x0f7f, 0xb0c7, 0x3822, RTFLOAT80U_INIT_C(1,0x569aba21a1,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/3/c */
    { 0x0000, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/0/0/u */
    { 0x007f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/0/c */
    { 0x0100, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/0/1/u */
    { 0x017f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/1/c */
    { 0x0200, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/0/2/u */
    { 0x027f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/2/c */
    { 0x0300, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/0/3/u */
    { 0x037f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/3/c */
    { 0x0400, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/1/0/u */
    { 0x047f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/0/c */
    { 0x0500, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/1/1/u */
    { 0x057f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/1/c */
    { 0x0600, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/1/2/u */
    { 0x067f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/2/c */
    { 0x0700, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/1/3/u */
    { 0x077f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/3/c */
    { 0x0800, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/2/0/u */
    { 0x087f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/0/c */
    { 0x0900, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/2/1/u */
    { 0x097f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/1/c */
    { 0x0a00, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/2/2/u */
    { 0x0a7f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/2/c */
    { 0x0b00, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/2/3/u */
    { 0x0b7f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/3/c */
    { 0x0c00, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/3/0/u */
    { 0x0c7f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/0/c */
    { 0x0d00, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/3/1/u */
    { 0x0d7f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/1/c */
    { 0x0e00, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/3/2/u */
    { 0x0e7f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/2/c */
    { 0x0f00, 0xa0af, 0xb881, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767) }, /* #1/3/3/u */
    { 0x0f7f, 0xa0af, 0x3801, RTFLOAT80U_INIT_C(1,0x771dffc62814f20,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/3/c */
    { 0x0000, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/0/0/u */
    { 0x007f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/0/c */
    { 0x0100, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/0/1/u */
    { 0x017f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/1/c */
    { 0x0200, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/0/2/u */
    { 0x027f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/2/c */
    { 0x0300, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/0/3/u */
    { 0x037f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/3/c */
    { 0x0400, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/1/0/u */
    { 0x047f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/0/c */
    { 0x0500, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/1/1/u */
    { 0x057f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/1/c */
    { 0x0600, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/1/2/u */
    { 0x067f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/2/c */
    { 0x0700, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/1/3/u */
    { 0x077f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/3/c */
    { 0x0800, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/2/0/u */
    { 0x087f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/0/c */
    { 0x0900, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/2/1/u */
    { 0x097f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/1/c */
    { 0x0a00, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/2/2/u */
    { 0x0a7f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/2/c */
    { 0x0b00, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/2/3/u */
    { 0x0b7f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/3/c */
    { 0x0c00, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/3/0/u */
    { 0x0c7f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/0/c */
    { 0x0d00, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/3/1/u */
    { 0x0d7f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/1/c */
    { 0x0e00, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/3/2/u */
    { 0x0e7f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/2/c */
    { 0x0f00, 0xf0a3, 0xf881, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373) }, /* #2/3/3/u */
    { 0x0f7f, 0xf0a3, 0x7801, RTFLOAT80U_INIT_C(0,0xda837275bf75fa4,2373), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/3/c */
    { 0x0000, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/0/u */
    { 0x007f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/0/c */
    { 0x0100, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/1/u */
    { 0x017f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/1/c */
    { 0x0200, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/2/u */
    { 0x027f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/2/c */
    { 0x0300, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/3/u */
    { 0x037f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/0/3/c */
    { 0x0400, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/0/u */
    { 0x047f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/0/c */
    { 0x0500, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/1/u */
    { 0x057f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/1/c */
    { 0x0600, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/2/u */
    { 0x067f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/2/c */
    { 0x0700, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/3/u */
    { 0x077f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/1/3/c */
    { 0x0800, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/0/u */
    { 0x087f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/0/c */
    { 0x0900, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/1/u */
    { 0x097f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/1/c */
    { 0x0a00, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/2/u */
    { 0x0a7f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/2/c */
    { 0x0b00, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/3/u */
    { 0x0b7f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/2/3/c */
    { 0x0c00, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/0/u */
    { 0x0c7f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/0/c */
    { 0x0d00, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/1/u */
    { 0x0d7f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/1/c */
    { 0x0e00, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/2/u */
    { 0x0e7f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/2/c */
    { 0x0f00, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/3/u */
    { 0x0f7f, 0x1824, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #3/3/3/c */
    { 0x0000, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/0/u */
    { 0x007f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/0/c */
    { 0x0100, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/1/u */
    { 0x017f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/1/c */
    { 0x0200, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/2/u */
    { 0x027f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/2/c */
    { 0x0300, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/3/u */
    { 0x037f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/0/3/c */
    { 0x0400, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/0/u */
    { 0x047f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/0/c */
    { 0x0500, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/1/u */
    { 0x057f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/1/c */
    { 0x0600, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/2/u */
    { 0x067f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/2/c */
    { 0x0700, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/3/u */
    { 0x077f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/1/3/c */
    { 0x0800, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/0/u */
    { 0x087f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/0/c */
    { 0x0900, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/1/u */
    { 0x097f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/1/c */
    { 0x0a00, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/2/u */
    { 0x0a7f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/2/c */
    { 0x0b00, 0x3aa1, 0xbaa0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/3/u */
    { 0x0b7f, 0x3aa1, 0x3a20, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #4/2/3/c */
    { 0x0c00, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/0/u */
    { 0x0c7f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/0/c */
    { 0x0d00, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/1/u */
    { 0x0d7f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/1/c */
    { 0x0e00, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/2/u */
    { 0x0e7f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/2/c */
    { 0x0f00, 0x3aa1, 0xb8a0, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/3/u */
    { 0x0f7f, 0x3aa1, 0x3820, RTFLOAT80U_INIT_C(1,0xe3018ff38ec201c2,11385), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #4/3/3/c */
    { 0x0000, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/0/u */
    { 0x007f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/0/c */
    { 0x0100, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/1/u */
    { 0x017f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/1/c */
    { 0x0200, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/2/u */
    { 0x027f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/2/c */
    { 0x0300, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/3/u */
    { 0x037f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/0/3/c */
    { 0x0400, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/0/u */
    { 0x047f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/0/c */
    { 0x0500, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/1/u */
    { 0x057f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/1/c */
    { 0x0600, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/2/u */
    { 0x067f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/2/c */
    { 0x0700, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/3/u */
    { 0x077f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/1/3/c */
    { 0x0800, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/0/u */
    { 0x087f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/0/c */
    { 0x0900, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/1/u */
    { 0x097f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/1/c */
    { 0x0a00, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/2/u */
    { 0x0a7f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/2/c */
    { 0x0b00, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/3/u */
    { 0x0b7f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/2/3/c */
    { 0x0c00, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/0/u */
    { 0x0c7f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/0/c */
    { 0x0d00, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/1/u */
    { 0x0d7f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/1/c */
    { 0x0e00, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/2/u */
    { 0x0e7f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/2/c */
    { 0x0f00, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/3/u */
    { 0x0f7f, 0x6718, 0x7d00, RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247), RTFLOAT80U_INIT_C(1,0xa9299b3d90db3ba8,22247) }, /* #5/3/3/c */
    { 0x0000, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/0/0/u */
    { 0x007f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/0/0/c */
    { 0x0100, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/0/1/u */
    { 0x017f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/0/1/c */
    { 0x0200, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/0/2/u */
    { 0x027f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/0/2/c */
    { 0x0300, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/0/3/u */
    { 0x037f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/0/3/c */
    { 0x0400, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/1/0/u */
    { 0x047f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/1/0/c */
    { 0x0500, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/1/1/u */
    { 0x057f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/1/1/c */
    { 0x0600, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/1/2/u */
    { 0x067f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/1/2/c */
    { 0x0700, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/1/3/u */
    { 0x077f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/1/3/c */
    { 0x0800, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/2/0/u */
    { 0x087f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/2/0/c */
    { 0x0900, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/2/1/u */
    { 0x097f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/2/1/c */
    { 0x0a00, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/2/2/u */
    { 0x0a7f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/2/2/c */
    { 0x0b00, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/2/3/u */
    { 0x0b7f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/2/3/c */
    { 0x0c00, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/3/0/u */
    { 0x0c7f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/3/0/c */
    { 0x0d00, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/3/1/u */
    { 0x0d7f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/3/1/c */
    { 0x0e00, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/3/2/u */
    { 0x0e7f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/3/2/c */
    { 0x0f00, 0x125c, 0xb881, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662) }, /* #6/3/3/u */
    { 0x0f7f, 0x125c, 0x3801, RTFLOAT80U_INIT_C(1,0x2f2487eb65b48763,3662), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #6/3/3/c */
    { 0x0000, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/0/0/u */
    { 0x007f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/0/c */
    { 0x0100, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/0/1/u */
    { 0x017f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/1/c */
    { 0x0200, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/0/2/u */
    { 0x027f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/2/c */
    { 0x0300, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/0/3/u */
    { 0x037f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/3/c */
    { 0x0400, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/1/0/u */
    { 0x047f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/1/0/c */
    { 0x0500, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/1/1/u */
    { 0x057f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/1/1/c */
    { 0x0600, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/1/2/u */
    { 0x067f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/1/2/c */
    { 0x0700, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/1/3/u */
    { 0x077f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/1/3/c */
    { 0x0800, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/2/0/u */
    { 0x087f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/0/c */
    { 0x0900, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/2/1/u */
    { 0x097f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/1/c */
    { 0x0a00, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/2/2/u */
    { 0x0a7f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/2/c */
    { 0x0b00, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/2/3/u */
    { 0x0b7f, 0xee96, 0x7a22, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/3/c */
    { 0x0c00, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/3/0/u */
    { 0x0c7f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/3/0/c */
    { 0x0d00, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/3/1/u */
    { 0x0d7f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/3/1/c */
    { 0x0e00, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/3/2/u */
    { 0x0e7f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/3/2/c */
    { 0x0f00, 0xee96, 0xf882, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0) }, /* #7/3/3/u */
    { 0x0f7f, 0xee96, 0x7822, RTFLOAT80U_INIT_C(1,0x6c203f0138e795de,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #7/3/3/c */
    { 0x0000, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/0/u */
    { 0x007f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/0/c */
    { 0x0100, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/1/u */
    { 0x017f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/1/c */
    { 0x0200, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/2/u */
    { 0x027f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/2/c */
    { 0x0300, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/3/u */
    { 0x037f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/0/3/c */
    { 0x0400, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/0/u */
    { 0x047f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/0/c */
    { 0x0500, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/1/u */
    { 0x057f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/1/c */
    { 0x0600, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/2/u */
    { 0x067f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/2/c */
    { 0x0700, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/3/u */
    { 0x077f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/1/3/c */
    { 0x0800, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/0/u */
    { 0x087f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/0/c */
    { 0x0900, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/1/u */
    { 0x097f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/1/c */
    { 0x0a00, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/2/u */
    { 0x0a7f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/2/c */
    { 0x0b00, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/3/u */
    { 0x0b7f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/2/3/c */
    { 0x0c00, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/0/u */
    { 0x0c7f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/0/c */
    { 0x0d00, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/1/u */
    { 0x0d7f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/1/c */
    { 0x0e00, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/2/u */
    { 0x0e7f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/2/c */
    { 0x0f00, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/3/u */
    { 0x0f7f, 0x7ed3, 0x7c00, RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576), RTFLOAT80U_INIT_C(1,0x9c8aeae34235d657,27576) }, /* #8/3/3/c */
    { 0x0000, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/0/u */
    { 0x007f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/0/c */
    { 0x0100, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/1/u */
    { 0x017f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/1/c */
    { 0x0200, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/2/u */
    { 0x027f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/2/c */
    { 0x0300, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/3/u */
    { 0x037f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/0/3/c */
    { 0x0400, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/0/u */
    { 0x047f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/0/c */
    { 0x0500, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/1/u */
    { 0x057f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/1/c */
    { 0x0600, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/2/u */
    { 0x067f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/2/c */
    { 0x0700, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/3/u */
    { 0x077f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/1/3/c */
    { 0x0800, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/0/u */
    { 0x087f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/0/c */
    { 0x0900, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/1/u */
    { 0x097f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/1/c */
    { 0x0a00, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/2/u */
    { 0x0a7f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/2/c */
    { 0x0b00, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/3/u */
    { 0x0b7f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/2/3/c */
    { 0x0c00, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/0/u */
    { 0x0c7f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/0/c */
    { 0x0d00, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/1/u */
    { 0x0d7f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/1/c */
    { 0x0e00, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/2/u */
    { 0x0e7f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/2/c */
    { 0x0f00, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/3/u */
    { 0x0f7f, 0x769a, 0x7c00, RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877), RTFLOAT80U_INIT_C(0,0x8d46d9d2dd1b6f28,28877) }, /* #9/3/3/c */
    { 0x0000, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/0/u */
    { 0x007f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/0/c */
    { 0x0100, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/1/u */
    { 0x017f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/1/c */
    { 0x0200, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/2/u */
    { 0x027f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/2/c */
    { 0x0300, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/3/u */
    { 0x037f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/3/c */
    { 0x0400, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/0/u */
    { 0x047f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/0/c */
    { 0x0500, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/1/u */
    { 0x057f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/1/c */
    { 0x0600, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/2/u */
    { 0x067f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/2/c */
    { 0x0700, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/3/u */
    { 0x077f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/3/c */
    { 0x0800, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/0/u */
    { 0x087f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/0/c */
    { 0x0900, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/1/u */
    { 0x097f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/1/c */
    { 0x0a00, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/2/u */
    { 0x0a7f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/2/c */
    { 0x0b00, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/3/u */
    { 0x0b7f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/3/c */
    { 0x0c00, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/0/u */
    { 0x0c7f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/0/c */
    { 0x0d00, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/1/u */
    { 0x0d7f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/1/c */
    { 0x0e00, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/2/u */
    { 0x0e7f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/2/c */
    { 0x0f00, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/3/u */
    { 0x0f7f, 0xade4, 0x3900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/3/c */
    { 0x0000, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/0/0/u */
    { 0x007f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/0/c */
    { 0x0100, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/0/1/u */
    { 0x017f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/1/c */
    { 0x0200, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/0/2/u */
    { 0x027f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/2/c */
    { 0x0300, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/0/3/u */
    { 0x037f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/3/c */
    { 0x0400, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/1/0/u */
    { 0x047f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/0/c */
    { 0x0500, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/1/1/u */
    { 0x057f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/1/c */
    { 0x0600, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/1/2/u */
    { 0x067f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/2/c */
    { 0x0700, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/1/3/u */
    { 0x077f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/3/c */
    { 0x0800, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/2/0/u */
    { 0x087f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/0/c */
    { 0x0900, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/2/1/u */
    { 0x097f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/1/c */
    { 0x0a00, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/2/2/u */
    { 0x0a7f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/2/c */
    { 0x0b00, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/2/3/u */
    { 0x0b7f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/3/c */
    { 0x0c00, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/3/0/u */
    { 0x0c7f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/0/c */
    { 0x0d00, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/3/1/u */
    { 0x0d7f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/1/c */
    { 0x0e00, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/3/2/u */
    { 0x0e7f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/2/c */
    { 0x0f00, 0xe676, 0xf881, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767) }, /* #11/3/3/u */
    { 0x0f7f, 0xe676, 0x7801, RTFLOAT80U_INIT_C(0,0x1c0c3d7b,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/3/c */
    { 0x0000, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/0/0/u */
    { 0x007f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/0/c */
    { 0x0100, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/0/1/u */
    { 0x017f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/1/c */
    { 0x0200, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/0/2/u */
    { 0x027f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/2/c */
    { 0x0300, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/0/3/u */
    { 0x037f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/3/c */
    { 0x0400, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/1/0/u */
    { 0x047f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/0/c */
    { 0x0500, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/1/1/u */
    { 0x057f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/1/c */
    { 0x0600, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/1/2/u */
    { 0x067f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/2/c */
    { 0x0700, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/1/3/u */
    { 0x077f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/3/c */
    { 0x0800, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/2/0/u */
    { 0x087f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/0/c */
    { 0x0900, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/2/1/u */
    { 0x097f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/1/c */
    { 0x0a00, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/2/2/u */
    { 0x0a7f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/2/c */
    { 0x0b00, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/2/3/u */
    { 0x0b7f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/3/c */
    { 0x0c00, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/3/0/u */
    { 0x0c7f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/0/c */
    { 0x0d00, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/3/1/u */
    { 0x0d7f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/1/c */
    { 0x0e00, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/3/2/u */
    { 0x0e7f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/2/c */
    { 0x0f00, 0xf9e1, 0xf981, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432) }, /* #12/3/3/u */
    { 0x0f7f, 0xf9e1, 0x7901, RTFLOAT80U_INIT_C(0,0x49d4f32ee11676da,30432), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/3/c */
    { 0x0000, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/0/0/u */
    { 0x007f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/0/c */
    { 0x0100, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/0/1/u */
    { 0x017f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/1/c */
    { 0x0200, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/0/2/u */
    { 0x027f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/2/c */
    { 0x0300, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/0/3/u */
    { 0x037f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/3/c */
    { 0x0400, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/1/0/u */
    { 0x047f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/0/c */
    { 0x0500, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/1/1/u */
    { 0x057f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/1/c */
    { 0x0600, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/1/2/u */
    { 0x067f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/2/c */
    { 0x0700, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/1/3/u */
    { 0x077f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/3/c */
    { 0x0800, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/2/0/u */
    { 0x087f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/0/c */
    { 0x0900, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/2/1/u */
    { 0x097f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/1/c */
    { 0x0a00, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/2/2/u */
    { 0x0a7f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/2/c */
    { 0x0b00, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/2/3/u */
    { 0x0b7f, 0x723d, 0x7a22, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/3/c */
    { 0x0c00, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/3/0/u */
    { 0x0c7f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/0/c */
    { 0x0d00, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/3/1/u */
    { 0x0d7f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/1/c */
    { 0x0e00, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/3/2/u */
    { 0x0e7f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/2/c */
    { 0x0f00, 0x723d, 0xf882, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(1,0x50b1b14f6,0) }, /* #13/3/3/u */
    { 0x0f7f, 0x723d, 0x7822, RTFLOAT80U_INIT_C(1,0x50b1b14f6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/3/c */
    { 0x0000, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/0/u */
    { 0x007f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/0/c */
    { 0x0100, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/1/u */
    { 0x017f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/1/c */
    { 0x0200, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/2/u */
    { 0x027f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/2/c */
    { 0x0300, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/3/u */
    { 0x037f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/0/3/c */
    { 0x0400, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/0/u */
    { 0x047f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/0/c */
    { 0x0500, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/1/u */
    { 0x057f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/1/c */
    { 0x0600, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/2/u */
    { 0x067f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/2/c */
    { 0x0700, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/3/u */
    { 0x077f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/1/3/c */
    { 0x0800, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/0/u */
    { 0x087f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/0/c */
    { 0x0900, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/1/u */
    { 0x097f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/1/c */
    { 0x0a00, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/2/u */
    { 0x0a7f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/2/c */
    { 0x0b00, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/3/u */
    { 0x0b7f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/2/3/c */
    { 0x0c00, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/0/u */
    { 0x0c7f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/0/c */
    { 0x0d00, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/1/u */
    { 0x0d7f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/1/c */
    { 0x0e00, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/2/u */
    { 0x0e7f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/2/c */
    { 0x0f00, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/3/u */
    { 0x0f7f, 0x29fc, 0x3d00, RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885), RTFLOAT80U_INIT_C(0,0xb954fcc2d7184106,16885) }, /* #14/3/3/c */
    { 0x0000, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/0/u */
    { 0x007f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/0/c */
    { 0x0100, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/1/u */
    { 0x017f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/1/c */
    { 0x0200, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/2/u */
    { 0x027f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/2/c */
    { 0x0300, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/3/u */
    { 0x037f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/0/3/c */
    { 0x0400, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/0/u */
    { 0x047f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/0/c */
    { 0x0500, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/1/u */
    { 0x057f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/1/c */
    { 0x0600, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/2/u */
    { 0x067f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/2/c */
    { 0x0700, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/3/u */
    { 0x077f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/1/3/c */
    { 0x0800, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/0/u */
    { 0x087f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/0/c */
    { 0x0900, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/1/u */
    { 0x097f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/1/c */
    { 0x0a00, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/2/u */
    { 0x0a7f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/2/c */
    { 0x0b00, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/3/u */
    { 0x0b7f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/2/3/c */
    { 0x0c00, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/0/u */
    { 0x0c7f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/0/c */
    { 0x0d00, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/1/u */
    { 0x0d7f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/1/c */
    { 0x0e00, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/2/u */
    { 0x0e7f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/2/c */
    { 0x0f00, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/3/u */
    { 0x0f7f, 0x8827, 0x3c00, RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742), RTFLOAT80U_INIT_C(0,0x9abc54d425847385,22742) }, /* #15/3/3/c */
    { 0x0000, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/0/0/u */
    { 0x007f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/0/0/c */
    { 0x0100, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/0/1/u */
    { 0x017f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/0/1/c */
    { 0x0200, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/0/2/u */
    { 0x027f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/0/2/c */
    { 0x0300, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/0/3/u */
    { 0x037f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/0/3/c */
    { 0x0400, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/1/0/u */
    { 0x047f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/1/0/c */
    { 0x0500, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/1/1/u */
    { 0x057f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/1/1/c */
    { 0x0600, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/1/2/u */
    { 0x067f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/1/2/c */
    { 0x0700, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/1/3/u */
    { 0x077f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/1/3/c */
    { 0x0800, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/2/0/u */
    { 0x087f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/2/0/c */
    { 0x0900, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/2/1/u */
    { 0x097f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/2/1/c */
    { 0x0a00, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/2/2/u */
    { 0x0a7f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/2/2/c */
    { 0x0b00, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/2/3/u */
    { 0x0b7f, 0x5ae3, 0x7a22, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #16/2/3/c */
    { 0x0c00, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/3/0/u */
    { 0x0c7f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/3/0/c */
    { 0x0d00, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/3/1/u */
    { 0x0d7f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/3/1/c */
    { 0x0e00, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/3/2/u */
    { 0x0e7f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/3/2/c */
    { 0x0f00, 0x5ae3, 0xf882, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0) }, /* #16/3/3/u */
    { 0x0f7f, 0x5ae3, 0x7822, RTFLOAT80U_INIT_C(1,0x434dc19b131eae6,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #16/3/3/c */
    { 0x0000, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/0/u */
    { 0x007f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/0/c */
    { 0x0100, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/1/u */
    { 0x017f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/1/c */
    { 0x0200, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/2/u */
    { 0x027f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/2/c */
    { 0x0300, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/3/u */
    { 0x037f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/0/3/c */
    { 0x0400, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/0/u */
    { 0x047f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/0/c */
    { 0x0500, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/1/u */
    { 0x057f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/1/c */
    { 0x0600, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/2/u */
    { 0x067f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/2/c */
    { 0x0700, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/3/u */
    { 0x077f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/1/3/c */
    { 0x0800, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/0/u */
    { 0x087f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/0/c */
    { 0x0900, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/1/u */
    { 0x097f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/1/c */
    { 0x0a00, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/2/u */
    { 0x0a7f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/2/c */
    { 0x0b00, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/3/u */
    { 0x0b7f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/2/3/c */
    { 0x0c00, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/0/u */
    { 0x0c7f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/0/c */
    { 0x0d00, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/1/u */
    { 0x0d7f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/1/c */
    { 0x0e00, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/2/u */
    { 0x0e7f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/2/c */
    { 0x0f00, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/3/u */
    { 0x0f7f, 0x8133, 0x3d00, RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604), RTFLOAT80U_INIT_C(0,0x815f3c2bf23b0758,19604) }, /* #17/3/3/c */
    { 0x0000, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/0/u */
    { 0x007f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/0/c */
    { 0x0100, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/1/u */
    { 0x017f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/1/c */
    { 0x0200, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/2/u */
    { 0x027f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/2/c */
    { 0x0300, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/3/u */
    { 0x037f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/0/3/c */
    { 0x0400, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/0/u */
    { 0x047f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/0/c */
    { 0x0500, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/1/u */
    { 0x057f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/1/c */
    { 0x0600, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/2/u */
    { 0x067f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/2/c */
    { 0x0700, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/3/u */
    { 0x077f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/1/3/c */
    { 0x0800, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/0/u */
    { 0x087f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/0/c */
    { 0x0900, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/1/u */
    { 0x097f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/1/c */
    { 0x0a00, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/2/u */
    { 0x0a7f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/2/c */
    { 0x0b00, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/3/u */
    { 0x0b7f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/2/3/c */
    { 0x0c00, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/0/u */
    { 0x0c7f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/0/c */
    { 0x0d00, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/1/u */
    { 0x0d7f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/1/c */
    { 0x0e00, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/2/u */
    { 0x0e7f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/2/c */
    { 0x0f00, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/3/u */
    { 0x0f7f, 0x1316, 0x3d00, RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590), RTFLOAT80U_INIT_C(1,0x96f5f4f4d96e46fa,27590) }, /* #18/3/3/c */
    { 0x0000, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/0/0/u */
    { 0x007f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/0/c */
    { 0x0100, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/0/1/u */
    { 0x017f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/1/c */
    { 0x0200, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/0/2/u */
    { 0x027f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/2/c */
    { 0x0300, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/0/3/u */
    { 0x037f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/3/c */
    { 0x0400, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/1/0/u */
    { 0x047f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/0/c */
    { 0x0500, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/1/1/u */
    { 0x057f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/1/c */
    { 0x0600, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/1/2/u */
    { 0x067f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/2/c */
    { 0x0700, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/1/3/u */
    { 0x077f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/3/c */
    { 0x0800, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/2/0/u */
    { 0x087f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/0/c */
    { 0x0900, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/2/1/u */
    { 0x097f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/1/c */
    { 0x0a00, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/2/2/u */
    { 0x0a7f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/2/c */
    { 0x0b00, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/2/3/u */
    { 0x0b7f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/3/c */
    { 0x0c00, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/3/0/u */
    { 0x0c7f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/0/c */
    { 0x0d00, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/3/1/u */
    { 0x0d7f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/1/c */
    { 0x0e00, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/3/2/u */
    { 0x0e7f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/2/c */
    { 0x0f00, 0x952d, 0xb981, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506) }, /* #19/3/3/u */
    { 0x0f7f, 0x952d, 0x3901, RTFLOAT80U_INIT_C(0,0x63819c5fdc0940dd,21506), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/3/c */
    { 0x0000, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/0/u */
    { 0x007f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/0/c */
    { 0x0100, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/1/u */
    { 0x017f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/1/c */
    { 0x0200, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/2/u */
    { 0x027f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/2/c */
    { 0x0300, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/3/u */
    { 0x037f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/0/3/c */
    { 0x0400, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/0/u */
    { 0x047f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/0/c */
    { 0x0500, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/1/u */
    { 0x057f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/1/c */
    { 0x0600, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/2/u */
    { 0x067f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/2/c */
    { 0x0700, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/3/u */
    { 0x077f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/1/3/c */
    { 0x0800, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/0/u */
    { 0x087f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/0/c */
    { 0x0900, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/1/u */
    { 0x097f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/1/c */
    { 0x0a00, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/2/u */
    { 0x0a7f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/2/c */
    { 0x0b00, 0x855c, 0xbba0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/3/u */
    { 0x0b7f, 0x855c, 0x3b20, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #20/2/3/c */
    { 0x0c00, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/0/u */
    { 0x0c7f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/0/c */
    { 0x0d00, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/1/u */
    { 0x0d7f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/1/c */
    { 0x0e00, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/2/u */
    { 0x0e7f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/2/c */
    { 0x0f00, 0x855c, 0xb9a0, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/3/u */
    { 0x0f7f, 0x855c, 0x3920, RTFLOAT80U_INIT_C(0,0xc06ebe94cdcbd297,1944), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #20/3/3/c */
    { 0x0000, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/0/0/u */
    { 0x007f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/0/0/c */
    { 0x0100, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/0/1/u */
    { 0x017f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/0/1/c */
    { 0x0200, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/0/2/u */
    { 0x027f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/0/2/c */
    { 0x0300, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/0/3/u */
    { 0x037f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/0/3/c */
    { 0x0400, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/1/0/u */
    { 0x047f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/1/0/c */
    { 0x0500, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/1/1/u */
    { 0x057f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/1/1/c */
    { 0x0600, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/1/2/u */
    { 0x067f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/1/2/c */
    { 0x0700, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/1/3/u */
    { 0x077f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/1/3/c */
    { 0x0800, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/2/0/u */
    { 0x087f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/2/0/c */
    { 0x0900, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/2/1/u */
    { 0x097f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/2/1/c */
    { 0x0a00, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/2/2/u */
    { 0x0a7f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/2/2/c */
    { 0x0b00, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/2/3/u */
    { 0x0b7f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/2/3/c */
    { 0x0c00, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/3/0/u */
    { 0x0c7f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/3/0/c */
    { 0x0d00, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/3/1/u */
    { 0x0d7f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/3/1/c */
    { 0x0e00, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/3/2/u */
    { 0x0e7f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/3/2/c */
    { 0x0f00, 0x27c0, 0xb981, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097) }, /* #21/3/3/u */
    { 0x0f7f, 0x27c0, 0x3901, RTFLOAT80U_INIT_C(1,0x5a6298a28f206f2b,25097), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #21/3/3/c */
    { 0x0000, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/0/0/u */
    { 0x007f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/0/c */
    { 0x0100, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/0/1/u */
    { 0x017f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/1/c */
    { 0x0200, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/0/2/u */
    { 0x027f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/2/c */
    { 0x0300, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/0/3/u */
    { 0x037f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/3/c */
    { 0x0400, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/1/0/u */
    { 0x047f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/0/c */
    { 0x0500, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/1/1/u */
    { 0x057f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/1/c */
    { 0x0600, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/1/2/u */
    { 0x067f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/2/c */
    { 0x0700, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/1/3/u */
    { 0x077f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/3/c */
    { 0x0800, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/2/0/u */
    { 0x087f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/0/c */
    { 0x0900, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/2/1/u */
    { 0x097f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/1/c */
    { 0x0a00, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/2/2/u */
    { 0x0a7f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/2/c */
    { 0x0b00, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/2/3/u */
    { 0x0b7f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/3/c */
    { 0x0c00, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/3/0/u */
    { 0x0c7f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/0/c */
    { 0x0d00, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/3/1/u */
    { 0x0d7f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/1/c */
    { 0x0e00, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/3/2/u */
    { 0x0e7f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/2/c */
    { 0x0f00, 0xebfe, 0xf981, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431) }, /* #22/3/3/u */
    { 0x0f7f, 0xebfe, 0x7901, RTFLOAT80U_INIT_C(0,0x32979b0f9056ccad,12431), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/3/c */
    { 0x0000, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/0/0/u */
    { 0x007f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/0/0/c */
    { 0x0100, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/0/1/u */
    { 0x017f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/0/1/c */
    { 0x0200, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/0/2/u */
    { 0x027f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/0/2/c */
    { 0x0300, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/0/3/u */
    { 0x037f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/0/3/c */
    { 0x0400, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/1/0/u */
    { 0x047f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/1/0/c */
    { 0x0500, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/1/1/u */
    { 0x057f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/1/1/c */
    { 0x0600, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/1/2/u */
    { 0x067f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/1/2/c */
    { 0x0700, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/1/3/u */
    { 0x077f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/1/3/c */
    { 0x0800, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/2/0/u */
    { 0x087f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/2/0/c */
    { 0x0900, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/2/1/u */
    { 0x097f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/2/1/c */
    { 0x0a00, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/2/2/u */
    { 0x0a7f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/2/2/c */
    { 0x0b00, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/2/3/u */
    { 0x0b7f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/2/3/c */
    { 0x0c00, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/3/0/u */
    { 0x0c7f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/3/0/c */
    { 0x0d00, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/3/1/u */
    { 0x0d7f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/3/1/c */
    { 0x0e00, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/3/2/u */
    { 0x0e7f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/3/2/c */
    { 0x0f00, 0xa7c4, 0xb981, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290) }, /* #23/3/3/u */
    { 0x0f7f, 0xa7c4, 0x3901, RTFLOAT80U_INIT_C(0,0x7fed369b77c08350,15290), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #23/3/3/c */
    { 0x0000, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/0/u */
    { 0x007f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/0/c */
    { 0x0100, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/1/u */
    { 0x017f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/1/c */
    { 0x0200, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/2/u */
    { 0x027f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/2/c */
    { 0x0300, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/3/u */
    { 0x037f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/0/3/c */
    { 0x0400, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/0/u */
    { 0x047f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/0/c */
    { 0x0500, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/1/u */
    { 0x057f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/1/c */
    { 0x0600, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/2/u */
    { 0x067f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/2/c */
    { 0x0700, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/3/u */
    { 0x077f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/1/3/c */
    { 0x0800, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/0/u */
    { 0x087f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/0/c */
    { 0x0900, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/1/u */
    { 0x097f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/1/c */
    { 0x0a00, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/2/u */
    { 0x0a7f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/2/c */
    { 0x0b00, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/3/u */
    { 0x0b7f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/2/3/c */
    { 0x0c00, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/0/u */
    { 0x0c7f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/0/c */
    { 0x0d00, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/1/u */
    { 0x0d7f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/1/c */
    { 0x0e00, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/2/u */
    { 0x0e7f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/2/c */
    { 0x0f00, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/3/u */
    { 0x0f7f, 0xd836, 0x7c00, RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099), RTFLOAT80U_INIT_C(1,0xbd7bb95e6c513cee,27099) }, /* #24/3/3/c */
    { 0x0000, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/0/u */
    { 0x007f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/0/c */
    { 0x0100, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/1/u */
    { 0x017f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/1/c */
    { 0x0200, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/2/u */
    { 0x027f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/2/c */
    { 0x0300, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/3/u */
    { 0x037f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/3/c */
    { 0x0400, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/0/u */
    { 0x047f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/0/c */
    { 0x0500, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/1/u */
    { 0x057f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/1/c */
    { 0x0600, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/2/u */
    { 0x067f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/2/c */
    { 0x0700, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/3/u */
    { 0x077f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/3/c */
    { 0x0800, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/0/u */
    { 0x087f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/0/c */
    { 0x0900, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/1/u */
    { 0x097f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/1/c */
    { 0x0a00, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/2/u */
    { 0x0a7f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/2/c */
    { 0x0b00, 0x0832, 0xbaa0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/3/u */
    { 0x0b7f, 0x0832, 0x3a20, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/3/c */
    { 0x0c00, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/0/u */
    { 0x0c7f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/0/c */
    { 0x0d00, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/1/u */
    { 0x0d7f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/1/c */
    { 0x0e00, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/2/u */
    { 0x0e7f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/2/c */
    { 0x0f00, 0x0832, 0xb8a0, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/3/u */
    { 0x0f7f, 0x0832, 0x3820, RTFLOAT80U_INIT_C(0,0x922d38e0be15efb8,882), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/3/c */
    { 0x0000, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/0/0/u */
    { 0x007f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/0/c */
    { 0x0100, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/0/1/u */
    { 0x017f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/1/c */
    { 0x0200, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/0/2/u */
    { 0x027f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/2/c */
    { 0x0300, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/0/3/u */
    { 0x037f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/0/3/c */
    { 0x0400, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/1/0/u */
    { 0x047f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/0/c */
    { 0x0500, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/1/1/u */
    { 0x057f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/1/c */
    { 0x0600, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/1/2/u */
    { 0x067f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/2/c */
    { 0x0700, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/1/3/u */
    { 0x077f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/1/3/c */
    { 0x0800, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/2/0/u */
    { 0x087f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/0/c */
    { 0x0900, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/2/1/u */
    { 0x097f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/1/c */
    { 0x0a00, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/2/2/u */
    { 0x0a7f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/2/c */
    { 0x0b00, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/2/3/u */
    { 0x0b7f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/2/3/c */
    { 0x0c00, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/3/0/u */
    { 0x0c7f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/0/c */
    { 0x0d00, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/3/1/u */
    { 0x0d7f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/1/c */
    { 0x0e00, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/3/2/u */
    { 0x0e7f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/2/c */
    { 0x0f00, 0xf0cd, 0xf881, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767) }, /* #26/3/3/u */
    { 0x0f7f, 0xf0cd, 0x7801, RTFLOAT80U_INIT_C(0,0x40000000000077f0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #26/3/3/c */
    { 0x0000, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/0/0/u */
    { 0x007f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/0/c */
    { 0x0100, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/0/1/u */
    { 0x017f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/1/c */
    { 0x0200, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/0/2/u */
    { 0x027f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/2/c */
    { 0x0300, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/0/3/u */
    { 0x037f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/3/c */
    { 0x0400, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/1/0/u */
    { 0x047f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/0/c */
    { 0x0500, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/1/1/u */
    { 0x057f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/1/c */
    { 0x0600, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/1/2/u */
    { 0x067f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/2/c */
    { 0x0700, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/1/3/u */
    { 0x077f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/3/c */
    { 0x0800, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/2/0/u */
    { 0x087f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/0/c */
    { 0x0900, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/2/1/u */
    { 0x097f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/1/c */
    { 0x0a00, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/2/2/u */
    { 0x0a7f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/2/c */
    { 0x0b00, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/2/3/u */
    { 0x0b7f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/3/c */
    { 0x0c00, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/3/0/u */
    { 0x0c7f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/0/c */
    { 0x0d00, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/3/1/u */
    { 0x0d7f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/1/c */
    { 0x0e00, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/3/2/u */
    { 0x0e7f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/2/c */
    { 0x0f00, 0xb62b, 0xb881, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767) }, /* #27/3/3/u */
    { 0x0f7f, 0xb62b, 0x3801, RTFLOAT80U_INIT_C(1,0x784958132ed74a36,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/3/c */
    { 0x0000, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/0/0/u */
    { 0x007f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/0/c */
    { 0x0100, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/0/1/u */
    { 0x017f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/1/c */
    { 0x0200, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/0/2/u */
    { 0x027f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/2/c */
    { 0x0300, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/0/3/u */
    { 0x037f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/3/c */
    { 0x0400, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/1/0/u */
    { 0x047f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/0/c */
    { 0x0500, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/1/1/u */
    { 0x057f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/1/c */
    { 0x0600, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/1/2/u */
    { 0x067f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/2/c */
    { 0x0700, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/1/3/u */
    { 0x077f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/3/c */
    { 0x0800, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/2/0/u */
    { 0x087f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/0/c */
    { 0x0900, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/2/1/u */
    { 0x097f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/1/c */
    { 0x0a00, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/2/2/u */
    { 0x0a7f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/2/c */
    { 0x0b00, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/2/3/u */
    { 0x0b7f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/3/c */
    { 0x0c00, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/3/0/u */
    { 0x0c7f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/0/c */
    { 0x0d00, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/3/1/u */
    { 0x0d7f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/1/c */
    { 0x0e00, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/3/2/u */
    { 0x0e7f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/2/c */
    { 0x0f00, 0x1b9d, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #28/3/3/u */
    { 0x0f7f, 0x1b9d, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/3/c */
    { 0x0000, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/0/u */
    { 0x007f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/0/c */
    { 0x0100, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/1/u */
    { 0x017f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/1/c */
    { 0x0200, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/2/u */
    { 0x027f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/2/c */
    { 0x0300, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/3/u */
    { 0x037f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/0/3/c */
    { 0x0400, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/0/u */
    { 0x047f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/0/c */
    { 0x0500, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/1/u */
    { 0x057f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/1/c */
    { 0x0600, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/2/u */
    { 0x067f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/2/c */
    { 0x0700, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/3/u */
    { 0x077f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/1/3/c */
    { 0x0800, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/0/u */
    { 0x087f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/0/c */
    { 0x0900, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/1/u */
    { 0x097f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/1/c */
    { 0x0a00, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/2/u */
    { 0x0a7f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/2/c */
    { 0x0b00, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/3/u */
    { 0x0b7f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/2/3/c */
    { 0x0c00, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/0/u */
    { 0x0c7f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/0/c */
    { 0x0d00, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/1/u */
    { 0x0d7f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/1/c */
    { 0x0e00, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/2/u */
    { 0x0e7f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/2/c */
    { 0x0f00, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/3/u */
    { 0x0f7f, 0xbfc8, 0x3900, RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767), RTFLOAT80U_INIT_C(1,0xeead43789a9ae300,32767) }, /* #29/3/3/c */
    { 0x0000, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/0/u */
    { 0x007f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/0/c */
    { 0x0100, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/1/u */
    { 0x017f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/1/c */
    { 0x0200, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/2/u */
    { 0x027f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/2/c */
    { 0x0300, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/3/u */
    { 0x037f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/0/3/c */
    { 0x0400, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/0/u */
    { 0x047f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/0/c */
    { 0x0500, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/1/u */
    { 0x057f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/1/c */
    { 0x0600, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/2/u */
    { 0x067f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/2/c */
    { 0x0700, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/3/u */
    { 0x077f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/1/3/c */
    { 0x0800, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/0/u */
    { 0x087f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/0/c */
    { 0x0900, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/1/u */
    { 0x097f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/1/c */
    { 0x0a00, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/2/u */
    { 0x0a7f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/2/c */
    { 0x0b00, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/3/u */
    { 0x0b7f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/2/3/c */
    { 0x0c00, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/0/u */
    { 0x0c7f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/0/c */
    { 0x0d00, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/1/u */
    { 0x0d7f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/1/c */
    { 0x0e00, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/2/u */
    { 0x0e7f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/2/c */
    { 0x0f00, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/3/u */
    { 0x0f7f, 0x1188, 0x3900, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #30/3/3/c */
    { 0x0000, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/0/0/u */
    { 0x007f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/0/c */
    { 0x0100, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/0/1/u */
    { 0x017f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/1/c */
    { 0x0200, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/0/2/u */
    { 0x027f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/2/c */
    { 0x0300, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/0/3/u */
    { 0x037f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/0/3/c */
    { 0x0400, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/1/0/u */
    { 0x047f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/0/c */
    { 0x0500, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/1/1/u */
    { 0x057f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/1/c */
    { 0x0600, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/1/2/u */
    { 0x067f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/2/c */
    { 0x0700, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/1/3/u */
    { 0x077f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/1/3/c */
    { 0x0800, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/2/0/u */
    { 0x087f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/0/c */
    { 0x0900, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/2/1/u */
    { 0x097f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/1/c */
    { 0x0a00, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/2/2/u */
    { 0x0a7f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/2/c */
    { 0x0b00, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/2/3/u */
    { 0x0b7f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/2/3/c */
    { 0x0c00, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/3/0/u */
    { 0x0c7f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/0/c */
    { 0x0d00, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/3/1/u */
    { 0x0d7f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/1/c */
    { 0x0e00, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/3/2/u */
    { 0x0e7f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/2/c */
    { 0x0f00, 0xa1fd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #31/3/3/u */
    { 0x0f7f, 0xa1fd, 0x3901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #31/3/3/c */
    { 0x0000, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/0/0/u */
    { 0x007f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/0/c */
    { 0x0100, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/0/1/u */
    { 0x017f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/1/c */
    { 0x0200, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/0/2/u */
    { 0x027f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/2/c */
    { 0x0300, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/0/3/u */
    { 0x037f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/0/3/c */
    { 0x0400, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/1/0/u */
    { 0x047f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/0/c */
    { 0x0500, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/1/1/u */
    { 0x057f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/1/c */
    { 0x0600, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/1/2/u */
    { 0x067f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/2/c */
    { 0x0700, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/1/3/u */
    { 0x077f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/1/3/c */
    { 0x0800, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/2/0/u */
    { 0x087f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/0/c */
    { 0x0900, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/2/1/u */
    { 0x097f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/1/c */
    { 0x0a00, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/2/2/u */
    { 0x0a7f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/2/c */
    { 0x0b00, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/2/3/u */
    { 0x0b7f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/2/3/c */
    { 0x0c00, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/3/0/u */
    { 0x0c7f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/0/c */
    { 0x0d00, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/3/1/u */
    { 0x0d7f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/1/c */
    { 0x0e00, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/3/2/u */
    { 0x0e7f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/2/c */
    { 0x0f00, 0xcd7c, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #32/3/3/u */
    { 0x0f7f, 0xcd7c, 0x7901, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #32/3/3/c */
    { 0x0000, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/0/0/u */
    { 0x007f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/0/c */
    { 0x0100, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/0/1/u */
    { 0x017f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/1/c */
    { 0x0200, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/0/2/u */
    { 0x027f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/2/c */
    { 0x0300, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/0/3/u */
    { 0x037f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/3/c */
    { 0x0400, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/1/0/u */
    { 0x047f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/0/c */
    { 0x0500, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/1/1/u */
    { 0x057f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/1/c */
    { 0x0600, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/1/2/u */
    { 0x067f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/2/c */
    { 0x0700, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/1/3/u */
    { 0x077f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/3/c */
    { 0x0800, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/2/0/u */
    { 0x087f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/0/c */
    { 0x0900, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/2/1/u */
    { 0x097f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/1/c */
    { 0x0a00, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/2/2/u */
    { 0x0a7f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/2/c */
    { 0x0b00, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/2/3/u */
    { 0x0b7f, 0x3e51, 0x3a22, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/3/c */
    { 0x0c00, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/3/0/u */
    { 0x0c7f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/0/c */
    { 0x0d00, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/3/1/u */
    { 0x0d7f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/1/c */
    { 0x0e00, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/3/2/u */
    { 0x0e7f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/2/c */
    { 0x0f00, 0x3e51, 0xb882, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0) }, /* #33/3/3/u */
    { 0x0f7f, 0x3e51, 0x3822, RTFLOAT80U_INIT_C(1,0x64d6994bfe7,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/3/c */
    { 0x0000, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/0/0/u */
    { 0x007f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/0/c */
    { 0x0100, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/0/1/u */
    { 0x017f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/1/c */
    { 0x0200, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/0/2/u */
    { 0x027f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/2/c */
    { 0x0300, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/0/3/u */
    { 0x037f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/3/c */
    { 0x0400, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/1/0/u */
    { 0x047f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/0/c */
    { 0x0500, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/1/1/u */
    { 0x057f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/1/c */
    { 0x0600, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/1/2/u */
    { 0x067f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/2/c */
    { 0x0700, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/1/3/u */
    { 0x077f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/3/c */
    { 0x0800, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/2/0/u */
    { 0x087f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/0/c */
    { 0x0900, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/2/1/u */
    { 0x097f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/1/c */
    { 0x0a00, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/2/2/u */
    { 0x0a7f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/2/c */
    { 0x0b00, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/2/3/u */
    { 0x0b7f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/3/c */
    { 0x0c00, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/3/0/u */
    { 0x0c7f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/0/c */
    { 0x0d00, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/3/1/u */
    { 0x0d7f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/1/c */
    { 0x0e00, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/3/2/u */
    { 0x0e7f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/2/c */
    { 0x0f00, 0xfe0e, 0xf881, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948) }, /* #34/3/3/u */
    { 0x0f7f, 0xfe0e, 0x7801, RTFLOAT80U_INIT_C(0,0x66008ee168b874dd,26948), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/3/c */
    { 0x0000, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/0/u */
    { 0x007f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/0/c */
    { 0x0100, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/1/u */
    { 0x017f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/1/c */
    { 0x0200, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/2/u */
    { 0x027f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/2/c */
    { 0x0300, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/3/u */
    { 0x037f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/3/c */
    { 0x0400, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/0/u */
    { 0x047f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/0/c */
    { 0x0500, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/1/u */
    { 0x057f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/1/c */
    { 0x0600, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/2/u */
    { 0x067f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/2/c */
    { 0x0700, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/3/u */
    { 0x077f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/1/3/c */
    { 0x0800, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/0/u */
    { 0x087f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/0/c */
    { 0x0900, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/1/u */
    { 0x097f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/1/c */
    { 0x0a00, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/2/u */
    { 0x0a7f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/2/c */
    { 0x0b00, 0xb480, 0xbaa0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/3/u */
    { 0x0b7f, 0xb480, 0x3a20, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/3/c */
    { 0x0c00, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/0/u */
    { 0x0c7f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/0/c */
    { 0x0d00, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/1/u */
    { 0x0d7f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/1/c */
    { 0x0e00, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/2/u */
    { 0x0e7f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/2/c */
    { 0x0f00, 0xb480, 0xb8a0, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/3/u */
    { 0x0f7f, 0xb480, 0x3820, RTFLOAT80U_INIT_C(0,0xa7b36204a3bb73db,2296), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #35/3/3/c */
    { 0x0000, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/0/0/u */
    { 0x007f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/0/c */
    { 0x0100, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/0/1/u */
    { 0x017f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/1/c */
    { 0x0200, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/0/2/u */
    { 0x027f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/2/c */
    { 0x0300, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/0/3/u */
    { 0x037f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/3/c */
    { 0x0400, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/1/0/u */
    { 0x047f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/0/c */
    { 0x0500, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/1/1/u */
    { 0x057f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/1/c */
    { 0x0600, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/1/2/u */
    { 0x067f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/2/c */
    { 0x0700, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/1/3/u */
    { 0x077f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/3/c */
    { 0x0800, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/2/0/u */
    { 0x087f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/0/c */
    { 0x0900, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/2/1/u */
    { 0x097f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/1/c */
    { 0x0a00, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/2/2/u */
    { 0x0a7f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/2/c */
    { 0x0b00, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/2/3/u */
    { 0x0b7f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/3/c */
    { 0x0c00, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/3/0/u */
    { 0x0c7f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/0/c */
    { 0x0d00, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/3/1/u */
    { 0x0d7f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/1/c */
    { 0x0e00, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/3/2/u */
    { 0x0e7f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/2/c */
    { 0x0f00, 0x2f7f, 0xb981, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400) }, /* #36/3/3/u */
    { 0x0f7f, 0x2f7f, 0x3901, RTFLOAT80U_INIT_C(0,0x4a6558d5cc1359b0,3400), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/3/c */
    { 0x0000, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/0/0/u */
    { 0x007f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/0/c */
    { 0x0100, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/0/1/u */
    { 0x017f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/1/c */
    { 0x0200, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/0/2/u */
    { 0x027f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/2/c */
    { 0x0300, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/0/3/u */
    { 0x037f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/3/c */
    { 0x0400, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/1/0/u */
    { 0x047f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/0/c */
    { 0x0500, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/1/1/u */
    { 0x057f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/1/c */
    { 0x0600, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/1/2/u */
    { 0x067f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/2/c */
    { 0x0700, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/1/3/u */
    { 0x077f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/3/c */
    { 0x0800, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/2/0/u */
    { 0x087f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/0/c */
    { 0x0900, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/2/1/u */
    { 0x097f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/1/c */
    { 0x0a00, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/2/2/u */
    { 0x0a7f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/2/c */
    { 0x0b00, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/2/3/u */
    { 0x0b7f, 0x96da, 0x3a22, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/3/c */
    { 0x0c00, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/3/0/u */
    { 0x0c7f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/0/c */
    { 0x0d00, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/3/1/u */
    { 0x0d7f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/1/c */
    { 0x0e00, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/3/2/u */
    { 0x0e7f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/2/c */
    { 0x0f00, 0x96da, 0xb882, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0x202f,0) }, /* #37/3/3/u */
    { 0x0f7f, 0x96da, 0x3822, RTFLOAT80U_INIT_C(0,0x202f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/3/c */
    { 0x0000, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/0/u */
    { 0x007f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/0/c */
    { 0x0100, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/1/u */
    { 0x017f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/1/c */
    { 0x0200, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/2/u */
    { 0x027f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/2/c */
    { 0x0300, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/3/u */
    { 0x037f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/3/c */
    { 0x0400, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/0/u */
    { 0x047f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/0/c */
    { 0x0500, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/1/u */
    { 0x057f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/1/c */
    { 0x0600, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/2/u */
    { 0x067f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/2/c */
    { 0x0700, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/3/u */
    { 0x077f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/1/3/c */
    { 0x0800, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/0/u */
    { 0x087f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/0/c */
    { 0x0900, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/1/u */
    { 0x097f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/1/c */
    { 0x0a00, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/2/u */
    { 0x0a7f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/2/c */
    { 0x0b00, 0x1d60, 0xbba0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/3/u */
    { 0x0b7f, 0x1d60, 0x3b20, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/3/c */
    { 0x0c00, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/0/u */
    { 0x0c7f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/0/c */
    { 0x0d00, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/1/u */
    { 0x0d7f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/1/c */
    { 0x0e00, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/2/u */
    { 0x0e7f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/2/c */
    { 0x0f00, 0x1d60, 0xb9a0, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/3/u */
    { 0x0f7f, 0x1d60, 0x3920, RTFLOAT80U_INIT_C(0,0xab0ac39b8435d849,2864), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #38/3/3/c */
    { 0x0000, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/0/u */
    { 0x007f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/0/c */
    { 0x0100, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/1/u */
    { 0x017f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/1/c */
    { 0x0200, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/2/u */
    { 0x027f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/2/c */
    { 0x0300, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/3/u */
    { 0x037f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/0/3/c */
    { 0x0400, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/0/u */
    { 0x047f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/0/c */
    { 0x0500, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/1/u */
    { 0x057f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/1/c */
    { 0x0600, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/2/u */
    { 0x067f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/2/c */
    { 0x0700, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/3/u */
    { 0x077f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/1/3/c */
    { 0x0800, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/0/u */
    { 0x087f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/0/c */
    { 0x0900, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/1/u */
    { 0x097f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/1/c */
    { 0x0a00, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/2/u */
    { 0x0a7f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/2/c */
    { 0x0b00, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/3/u */
    { 0x0b7f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/2/3/c */
    { 0x0c00, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/0/u */
    { 0x0c7f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/0/c */
    { 0x0d00, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/1/u */
    { 0x0d7f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/1/c */
    { 0x0e00, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/2/u */
    { 0x0e7f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/2/c */
    { 0x0f00, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/3/u */
    { 0x0f7f, 0xe412, 0x7c00, RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132), RTFLOAT80U_INIT_C(1,0xbfa2646740e49174,18132) }, /* #39/3/3/c */
    { 0x0000, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/0/0/u */
    { 0x007f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/0/0/c */
    { 0x0100, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/0/1/u */
    { 0x017f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/0/1/c */
    { 0x0200, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/0/2/u */
    { 0x027f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/0/2/c */
    { 0x0300, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/0/3/u */
    { 0x037f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/0/3/c */
    { 0x0400, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/1/0/u */
    { 0x047f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/1/0/c */
    { 0x0500, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/1/1/u */
    { 0x057f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/1/1/c */
    { 0x0600, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/1/2/u */
    { 0x067f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/1/2/c */
    { 0x0700, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/1/3/u */
    { 0x077f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/1/3/c */
    { 0x0800, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/2/0/u */
    { 0x087f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/2/0/c */
    { 0x0900, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/2/1/u */
    { 0x097f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/2/1/c */
    { 0x0a00, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/2/2/u */
    { 0x0a7f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/2/2/c */
    { 0x0b00, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/2/3/u */
    { 0x0b7f, 0x5287, 0x7a22, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #40/2/3/c */
    { 0x0c00, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/3/0/u */
    { 0x0c7f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/3/0/c */
    { 0x0d00, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/3/1/u */
    { 0x0d7f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/3/1/c */
    { 0x0e00, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/3/2/u */
    { 0x0e7f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/3/2/c */
    { 0x0f00, 0x5287, 0xf882, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0) }, /* #40/3/3/u */
    { 0x0f7f, 0x5287, 0x7822, RTFLOAT80U_INIT_C(0,0xecb714cf9bda9a0a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #40/3/3/c */
    { 0x0000, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/0/0/u */
    { 0x007f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/0/c */
    { 0x0100, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/0/1/u */
    { 0x017f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/1/c */
    { 0x0200, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/0/2/u */
    { 0x027f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/2/c */
    { 0x0300, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/0/3/u */
    { 0x037f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/3/c */
    { 0x0400, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/1/0/u */
    { 0x047f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/0/c */
    { 0x0500, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/1/1/u */
    { 0x057f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/1/c */
    { 0x0600, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/1/2/u */
    { 0x067f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/2/c */
    { 0x0700, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/1/3/u */
    { 0x077f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/3/c */
    { 0x0800, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/2/0/u */
    { 0x087f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/0/c */
    { 0x0900, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/2/1/u */
    { 0x097f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/1/c */
    { 0x0a00, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/2/2/u */
    { 0x0a7f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/2/c */
    { 0x0b00, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/2/3/u */
    { 0x0b7f, 0xffaf, 0x7b22, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/3/c */
    { 0x0c00, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/3/0/u */
    { 0x0c7f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/0/c */
    { 0x0d00, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/3/1/u */
    { 0x0d7f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/1/c */
    { 0x0e00, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/3/2/u */
    { 0x0e7f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/2/c */
    { 0x0f00, 0xffaf, 0xf982, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0) }, /* #41/3/3/u */
    { 0x0f7f, 0xffaf, 0x7922, RTFLOAT80U_INIT_C(1,0xc164f948e44a2b5d,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/3/c */
    { 0x0000, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/0/u */
    { 0x007f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/0/c */
    { 0x0100, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/1/u */
    { 0x017f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/1/c */
    { 0x0200, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/2/u */
    { 0x027f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/2/c */
    { 0x0300, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/3/u */
    { 0x037f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/3/c */
    { 0x0400, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/0/u */
    { 0x047f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/0/c */
    { 0x0500, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/1/u */
    { 0x057f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/1/c */
    { 0x0600, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/2/u */
    { 0x067f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/2/c */
    { 0x0700, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/3/u */
    { 0x077f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/3/c */
    { 0x0800, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/0/u */
    { 0x087f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/0/c */
    { 0x0900, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/1/u */
    { 0x097f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/1/c */
    { 0x0a00, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/2/u */
    { 0x0a7f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/2/c */
    { 0x0b00, 0xa931, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/3/u */
    { 0x0b7f, 0xa931, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/3/c */
    { 0x0c00, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/0/u */
    { 0x0c7f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/0/c */
    { 0x0d00, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/1/u */
    { 0x0d7f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/1/c */
    { 0x0e00, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/2/u */
    { 0x0e7f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/2/c */
    { 0x0f00, 0xa931, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/3/u */
    { 0x0f7f, 0xa931, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/3/c */
    { 0x0000, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/0/u */
    { 0x007f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/0/c */
    { 0x0100, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/1/u */
    { 0x017f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/1/c */
    { 0x0200, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/2/u */
    { 0x027f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/2/c */
    { 0x0300, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/3/u */
    { 0x037f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/3/c */
    { 0x0400, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/0/u */
    { 0x047f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/0/c */
    { 0x0500, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/1/u */
    { 0x057f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/1/c */
    { 0x0600, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/2/u */
    { 0x067f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/2/c */
    { 0x0700, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/3/u */
    { 0x077f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/1/3/c */
    { 0x0800, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/0/u */
    { 0x087f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/0/c */
    { 0x0900, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/1/u */
    { 0x097f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/1/c */
    { 0x0a00, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/2/u */
    { 0x0a7f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/2/c */
    { 0x0b00, 0x02a4, 0xbaa0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/3/u */
    { 0x0b7f, 0x02a4, 0x3a20, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/3/c */
    { 0x0c00, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/0/u */
    { 0x0c7f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/0/c */
    { 0x0d00, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/1/u */
    { 0x0d7f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/1/c */
    { 0x0e00, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/2/u */
    { 0x0e7f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/2/c */
    { 0x0f00, 0x02a4, 0xb8a0, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/3/u */
    { 0x0f7f, 0x02a4, 0x3820, RTFLOAT80U_INIT_C(0,0xbd100560b08d0fea,241), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #43/3/3/c */
    { 0x0000, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/0/0/u */
    { 0x007f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/0/0/c */
    { 0x0100, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/0/1/u */
    { 0x017f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/0/1/c */
    { 0x0200, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/0/2/u */
    { 0x027f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/0/2/c */
    { 0x0300, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/0/3/u */
    { 0x037f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/0/3/c */
    { 0x0400, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/1/0/u */
    { 0x047f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/1/0/c */
    { 0x0500, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/1/1/u */
    { 0x057f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/1/1/c */
    { 0x0600, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/1/2/u */
    { 0x067f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/1/2/c */
    { 0x0700, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/1/3/u */
    { 0x077f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/1/3/c */
    { 0x0800, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/2/0/u */
    { 0x087f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/2/0/c */
    { 0x0900, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/2/1/u */
    { 0x097f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/2/1/c */
    { 0x0a00, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/2/2/u */
    { 0x0a7f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/2/2/c */
    { 0x0b00, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/2/3/u */
    { 0x0b7f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/2/3/c */
    { 0x0c00, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/3/0/u */
    { 0x0c7f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/3/0/c */
    { 0x0d00, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/3/1/u */
    { 0x0d7f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/3/1/c */
    { 0x0e00, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/3/2/u */
    { 0x0e7f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/3/2/c */
    { 0x0f00, 0x4173, 0xf981, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767) }, /* #44/3/3/u */
    { 0x0f7f, 0x4173, 0x7901, RTFLOAT80U_INIT_C(0,0x86b6b94c5de29548,32767), RTFLOAT80U_INIT_C(0,0xc6b6b94c5de29548,32767) }, /* #44/3/3/c */
    { 0x0000, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/0/u */
    { 0x007f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/0/c */
    { 0x0100, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/1/u */
    { 0x017f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/1/c */
    { 0x0200, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/2/u */
    { 0x027f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/2/c */
    { 0x0300, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/3/u */
    { 0x037f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/0/3/c */
    { 0x0400, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/0/u */
    { 0x047f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/0/c */
    { 0x0500, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/1/u */
    { 0x057f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/1/c */
    { 0x0600, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/2/u */
    { 0x067f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/2/c */
    { 0x0700, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/3/u */
    { 0x077f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/1/3/c */
    { 0x0800, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/0/u */
    { 0x087f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/0/c */
    { 0x0900, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/1/u */
    { 0x097f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/1/c */
    { 0x0a00, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/2/u */
    { 0x0a7f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/2/c */
    { 0x0b00, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/3/u */
    { 0x0b7f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/2/3/c */
    { 0x0c00, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/0/u */
    { 0x0c7f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/0/c */
    { 0x0d00, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/1/u */
    { 0x0d7f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/1/c */
    { 0x0e00, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/2/u */
    { 0x0e7f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/2/c */
    { 0x0f00, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/3/u */
    { 0x0f7f, 0x6677, 0x7c00, RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408), RTFLOAT80U_INIT_C(0,0xc1cbcff3325f1a9b,23408) }, /* #45/3/3/c */
    { 0x0000, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/0/0/u */
    { 0x007f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/0/c */
    { 0x0100, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/0/1/u */
    { 0x017f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/1/c */
    { 0x0200, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/0/2/u */
    { 0x027f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/2/c */
    { 0x0300, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/0/3/u */
    { 0x037f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/3/c */
    { 0x0400, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/1/0/u */
    { 0x047f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/0/c */
    { 0x0500, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/1/1/u */
    { 0x057f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/1/c */
    { 0x0600, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/1/2/u */
    { 0x067f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/2/c */
    { 0x0700, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/1/3/u */
    { 0x077f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/3/c */
    { 0x0800, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/2/0/u */
    { 0x087f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/0/c */
    { 0x0900, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/2/1/u */
    { 0x097f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/1/c */
    { 0x0a00, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/2/2/u */
    { 0x0a7f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/2/c */
    { 0x0b00, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/2/3/u */
    { 0x0b7f, 0x170e, 0x3b22, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/3/c */
    { 0x0c00, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/3/0/u */
    { 0x0c7f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/0/c */
    { 0x0d00, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/3/1/u */
    { 0x0d7f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/1/c */
    { 0x0e00, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/3/2/u */
    { 0x0e7f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/2/c */
    { 0x0f00, 0x170e, 0xb982, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0) }, /* #46/3/3/u */
    { 0x0f7f, 0x170e, 0x3922, RTFLOAT80U_INIT_C(0,0xea6611f4f59e4777,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/3/c */
    { 0x0000, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/0/u */
    { 0x007f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/0/c */
    { 0x0100, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/1/u */
    { 0x017f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/1/c */
    { 0x0200, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/2/u */
    { 0x027f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/2/c */
    { 0x0300, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/3/u */
    { 0x037f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/0/3/c */
    { 0x0400, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/0/u */
    { 0x047f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/0/c */
    { 0x0500, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/1/u */
    { 0x057f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/1/c */
    { 0x0600, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/2/u */
    { 0x067f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/2/c */
    { 0x0700, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/3/u */
    { 0x077f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/1/3/c */
    { 0x0800, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/0/u */
    { 0x087f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/0/c */
    { 0x0900, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/1/u */
    { 0x097f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/1/c */
    { 0x0a00, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/2/u */
    { 0x0a7f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/2/c */
    { 0x0b00, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/3/u */
    { 0x0b7f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/2/3/c */
    { 0x0c00, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/0/u */
    { 0x0c7f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/0/c */
    { 0x0d00, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/1/u */
    { 0x0d7f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/1/c */
    { 0x0e00, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/2/u */
    { 0x0e7f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/2/c */
    { 0x0f00, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/3/u */
    { 0x0f7f, 0x6422, 0x7c00, RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314), RTFLOAT80U_INIT_C(0,0xfad9e570fe0bd532,23314) }, /* #47/3/3/c */
    { 0x0000, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/0/u */
    { 0x007f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/0/c */
    { 0x0100, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/1/u */
    { 0x017f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/1/c */
    { 0x0200, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/2/u */
    { 0x027f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/2/c */
    { 0x0300, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/3/u */
    { 0x037f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/0/3/c */
    { 0x0400, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/0/u */
    { 0x047f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/0/c */
    { 0x0500, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/1/u */
    { 0x057f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/1/c */
    { 0x0600, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/2/u */
    { 0x067f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/2/c */
    { 0x0700, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/3/u */
    { 0x077f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/1/3/c */
    { 0x0800, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/0/u */
    { 0x087f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/0/c */
    { 0x0900, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/1/u */
    { 0x097f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/1/c */
    { 0x0a00, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/2/u */
    { 0x0a7f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/2/c */
    { 0x0b00, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/3/u */
    { 0x0b7f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/2/3/c */
    { 0x0c00, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/0/u */
    { 0x0c7f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/0/c */
    { 0x0d00, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/1/u */
    { 0x0d7f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/1/c */
    { 0x0e00, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/2/u */
    { 0x0e7f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/2/c */
    { 0x0f00, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/3/u */
    { 0x0f7f, 0xc14d, 0x7d00, RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117), RTFLOAT80U_INIT_C(0,0xc322dde2518d0c4e,17117) }, /* #48/3/3/c */
    { 0x0000, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/0/u */
    { 0x007f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/0/c */
    { 0x0100, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/1/u */
    { 0x017f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/1/c */
    { 0x0200, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/2/u */
    { 0x027f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/2/c */
    { 0x0300, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/3/u */
    { 0x037f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/0/3/c */
    { 0x0400, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/0/u */
    { 0x047f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/0/c */
    { 0x0500, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/1/u */
    { 0x057f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/1/c */
    { 0x0600, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/2/u */
    { 0x067f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/2/c */
    { 0x0700, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/3/u */
    { 0x077f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/1/3/c */
    { 0x0800, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/0/u */
    { 0x087f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/0/c */
    { 0x0900, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/1/u */
    { 0x097f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/1/c */
    { 0x0a00, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/2/u */
    { 0x0a7f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/2/c */
    { 0x0b00, 0x2127, 0xbba0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/3/u */
    { 0x0b7f, 0x2127, 0x3b20, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #49/2/3/c */
    { 0x0c00, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/0/u */
    { 0x0c7f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/0/c */
    { 0x0d00, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/1/u */
    { 0x0d7f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/1/c */
    { 0x0e00, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/2/u */
    { 0x0e7f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/2/c */
    { 0x0f00, 0x2127, 0xb9a0, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/3/u */
    { 0x0f7f, 0x2127, 0x3920, RTFLOAT80U_INIT_C(0,0xffffffffffffffff,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #49/3/3/c */
    { 0x0000, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/0/0/u */
    { 0x007f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/0/c */
    { 0x0100, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/0/1/u */
    { 0x017f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/1/c */
    { 0x0200, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/0/2/u */
    { 0x027f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/2/c */
    { 0x0300, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/0/3/u */
    { 0x037f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/3/c */
    { 0x0400, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/1/0/u */
    { 0x047f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/0/c */
    { 0x0500, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/1/1/u */
    { 0x057f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/1/c */
    { 0x0600, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/1/2/u */
    { 0x067f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/2/c */
    { 0x0700, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/1/3/u */
    { 0x077f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/3/c */
    { 0x0800, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/2/0/u */
    { 0x087f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/0/c */
    { 0x0900, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/2/1/u */
    { 0x097f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/1/c */
    { 0x0a00, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/2/2/u */
    { 0x0a7f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/2/c */
    { 0x0b00, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/2/3/u */
    { 0x0b7f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/3/c */
    { 0x0c00, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/3/0/u */
    { 0x0c7f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/0/c */
    { 0x0d00, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/3/1/u */
    { 0x0d7f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/1/c */
    { 0x0e00, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/3/2/u */
    { 0x0e7f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/2/c */
    { 0x0f00, 0x35ca, 0xb981, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418) }, /* #50/3/3/u */
    { 0x0f7f, 0x35ca, 0x3901, RTFLOAT80U_INIT_C(0,0x518eec67d6ebc7de,26418), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/3/c */
    { 0x0000, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/0/0/u */
    { 0x007f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/0/c */
    { 0x0100, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/0/1/u */
    { 0x017f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/1/c */
    { 0x0200, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/0/2/u */
    { 0x027f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/2/c */
    { 0x0300, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/0/3/u */
    { 0x037f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/3/c */
    { 0x0400, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/1/0/u */
    { 0x047f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/0/c */
    { 0x0500, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/1/1/u */
    { 0x057f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/1/c */
    { 0x0600, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/1/2/u */
    { 0x067f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/2/c */
    { 0x0700, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/1/3/u */
    { 0x077f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/3/c */
    { 0x0800, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/2/0/u */
    { 0x087f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/0/c */
    { 0x0900, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/2/1/u */
    { 0x097f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/1/c */
    { 0x0a00, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/2/2/u */
    { 0x0a7f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/2/c */
    { 0x0b00, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/2/3/u */
    { 0x0b7f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/3/c */
    { 0x0c00, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/3/0/u */
    { 0x0c7f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/0/c */
    { 0x0d00, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/3/1/u */
    { 0x0d7f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/1/c */
    { 0x0e00, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/3/2/u */
    { 0x0e7f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/2/c */
    { 0x0f00, 0x1678, 0xb881, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882) }, /* #51/3/3/u */
    { 0x0f7f, 0x1678, 0x3801, RTFLOAT80U_INIT_C(0,0x3f3a9ae4baa36cc7,3882), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/3/c */
    { 0x0000, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/0/u */
    { 0x007f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/0/c */
    { 0x0100, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/1/u */
    { 0x017f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/1/c */
    { 0x0200, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/2/u */
    { 0x027f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/2/c */
    { 0x0300, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/3/u */
    { 0x037f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/3/c */
    { 0x0400, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/0/u */
    { 0x047f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/0/c */
    { 0x0500, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/1/u */
    { 0x057f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/1/c */
    { 0x0600, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/2/u */
    { 0x067f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/2/c */
    { 0x0700, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/3/u */
    { 0x077f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/3/c */
    { 0x0800, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/0/u */
    { 0x087f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/0/c */
    { 0x0900, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/1/u */
    { 0x097f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/1/c */
    { 0x0a00, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/2/u */
    { 0x0a7f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/2/c */
    { 0x0b00, 0xa7ca, 0xbba0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/3/u */
    { 0x0b7f, 0xa7ca, 0x3b20, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/3/c */
    { 0x0c00, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/0/u */
    { 0x0c7f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/0/c */
    { 0x0d00, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/1/u */
    { 0x0d7f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/1/c */
    { 0x0e00, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/2/u */
    { 0x0e7f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/2/c */
    { 0x0f00, 0xa7ca, 0xb9a0, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/3/u */
    { 0x0f7f, 0xa7ca, 0x3920, RTFLOAT80U_INIT_C(1,0xacdf5ed357cf5526,9852), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/3/c */
    { 0x0000, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/0/u */
    { 0x007f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/0/c */
    { 0x0100, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/1/u */
    { 0x017f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/1/c */
    { 0x0200, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/2/u */
    { 0x027f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/2/c */
    { 0x0300, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/3/u */
    { 0x037f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/3/c */
    { 0x0400, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/0/u */
    { 0x047f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/0/c */
    { 0x0500, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/1/u */
    { 0x057f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/1/c */
    { 0x0600, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/2/u */
    { 0x067f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/2/c */
    { 0x0700, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/3/u */
    { 0x077f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/3/c */
    { 0x0800, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/0/u */
    { 0x087f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/0/c */
    { 0x0900, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/1/u */
    { 0x097f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/1/c */
    { 0x0a00, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/2/u */
    { 0x0a7f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/2/c */
    { 0x0b00, 0xfd79, 0xfba0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/3/u */
    { 0x0b7f, 0xfd79, 0x7b20, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/3/c */
    { 0x0c00, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/0/u */
    { 0x0c7f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/0/c */
    { 0x0d00, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/1/u */
    { 0x0d7f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/1/c */
    { 0x0e00, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/2/u */
    { 0x0e7f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/2/c */
    { 0x0f00, 0xfd79, 0xf9a0, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/3/u */
    { 0x0f7f, 0xfd79, 0x7920, RTFLOAT80U_INIT_C(0,0xaa0a7425629af01e,16051), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/3/c */
    { 0x0000, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/0/u */
    { 0x007f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/0/c */
    { 0x0100, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/1/u */
    { 0x017f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/1/c */
    { 0x0200, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/2/u */
    { 0x027f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/2/c */
    { 0x0300, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/3/u */
    { 0x037f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/0/3/c */
    { 0x0400, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/0/u */
    { 0x047f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/0/c */
    { 0x0500, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/1/u */
    { 0x057f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/1/c */
    { 0x0600, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/2/u */
    { 0x067f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/2/c */
    { 0x0700, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/3/u */
    { 0x077f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/1/3/c */
    { 0x0800, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/0/u */
    { 0x087f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/0/c */
    { 0x0900, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/1/u */
    { 0x097f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/1/c */
    { 0x0a00, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/2/u */
    { 0x0a7f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/2/c */
    { 0x0b00, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/3/u */
    { 0x0b7f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/2/3/c */
    { 0x0c00, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/0/u */
    { 0x0c7f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/0/c */
    { 0x0d00, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/1/u */
    { 0x0d7f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/1/c */
    { 0x0e00, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/2/u */
    { 0x0e7f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/2/c */
    { 0x0f00, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/3/u */
    { 0x0f7f, 0x5a58, 0x7c00, RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875), RTFLOAT80U_INIT_C(1,0xa9f1d5fcb7d04fc3,18875) }, /* #54/3/3/c */
    { 0x0000, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/0/0/u */
    { 0x007f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/0/c */
    { 0x0100, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/0/1/u */
    { 0x017f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/1/c */
    { 0x0200, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/0/2/u */
    { 0x027f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/2/c */
    { 0x0300, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/0/3/u */
    { 0x037f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/3/c */
    { 0x0400, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/1/0/u */
    { 0x047f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/0/c */
    { 0x0500, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/1/1/u */
    { 0x057f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/1/c */
    { 0x0600, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/1/2/u */
    { 0x067f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/2/c */
    { 0x0700, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/1/3/u */
    { 0x077f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/3/c */
    { 0x0800, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/2/0/u */
    { 0x087f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/0/c */
    { 0x0900, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/2/1/u */
    { 0x097f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/1/c */
    { 0x0a00, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/2/2/u */
    { 0x0a7f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/2/c */
    { 0x0b00, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/2/3/u */
    { 0x0b7f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/3/c */
    { 0x0c00, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/3/0/u */
    { 0x0c7f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/0/c */
    { 0x0d00, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/3/1/u */
    { 0x0d7f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/1/c */
    { 0x0e00, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/3/2/u */
    { 0x0e7f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/2/c */
    { 0x0f00, 0xe326, 0xf981, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493) }, /* #55/3/3/u */
    { 0x0f7f, 0xe326, 0x7901, RTFLOAT80U_INIT_C(0,0x6042581a4a736e1d,17493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/3/c */
    { 0x0000, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/0/u */
    { 0x007f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/0/c */
    { 0x0100, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/1/u */
    { 0x017f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/1/c */
    { 0x0200, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/2/u */
    { 0x027f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/2/c */
    { 0x0300, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/3/u */
    { 0x037f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/3/c */
    { 0x0400, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/0/u */
    { 0x047f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/0/c */
    { 0x0500, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/1/u */
    { 0x057f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/1/c */
    { 0x0600, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/2/u */
    { 0x067f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/2/c */
    { 0x0700, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/3/u */
    { 0x077f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/1/3/c */
    { 0x0800, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/0/u */
    { 0x087f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/0/c */
    { 0x0900, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/1/u */
    { 0x097f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/1/c */
    { 0x0a00, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/2/u */
    { 0x0a7f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/2/c */
    { 0x0b00, 0xedf7, 0xfba0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/3/u */
    { 0x0b7f, 0xedf7, 0x7b20, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/3/c */
    { 0x0c00, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/0/u */
    { 0x0c7f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/0/c */
    { 0x0d00, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/1/u */
    { 0x0d7f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/1/c */
    { 0x0e00, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/2/u */
    { 0x0e7f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/2/c */
    { 0x0f00, 0xedf7, 0xf9a0, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/3/u */
    { 0x0f7f, 0xedf7, 0x7920, RTFLOAT80U_INIT_C(0,0xb08aa33946edf568,3092), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #56/3/3/c */
    { 0x0000, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/0/u */
    { 0x007f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/0/c */
    { 0x0100, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/1/u */
    { 0x017f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/1/c */
    { 0x0200, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/2/u */
    { 0x027f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/2/c */
    { 0x0300, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/3/u */
    { 0x037f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/0/3/c */
    { 0x0400, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/0/u */
    { 0x047f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/0/c */
    { 0x0500, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/1/u */
    { 0x057f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/1/c */
    { 0x0600, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/2/u */
    { 0x067f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/2/c */
    { 0x0700, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/3/u */
    { 0x077f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/1/3/c */
    { 0x0800, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/0/u */
    { 0x087f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/0/c */
    { 0x0900, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/1/u */
    { 0x097f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/1/c */
    { 0x0a00, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/2/u */
    { 0x0a7f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/2/c */
    { 0x0b00, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/3/u */
    { 0x0b7f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/2/3/c */
    { 0x0c00, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/0/u */
    { 0x0c7f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/0/c */
    { 0x0d00, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/1/u */
    { 0x0d7f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/1/c */
    { 0x0e00, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/2/u */
    { 0x0e7f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/2/c */
    { 0x0f00, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/3/u */
    { 0x0f7f, 0x1327, 0x3900, RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767), RTFLOAT80U_INIT_C(1,0xd544fbb47cda2352,32767) }, /* #57/3/3/c */
    { 0x0000, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/0/0/u */
    { 0x007f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/0/0/c */
    { 0x0100, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/0/1/u */
    { 0x017f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/0/1/c */
    { 0x0200, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/0/2/u */
    { 0x027f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/0/2/c */
    { 0x0300, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/0/3/u */
    { 0x037f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/0/3/c */
    { 0x0400, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/1/0/u */
    { 0x047f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/1/0/c */
    { 0x0500, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/1/1/u */
    { 0x057f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/1/1/c */
    { 0x0600, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/1/2/u */
    { 0x067f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/1/2/c */
    { 0x0700, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/1/3/u */
    { 0x077f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/1/3/c */
    { 0x0800, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/2/0/u */
    { 0x087f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/2/0/c */
    { 0x0900, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/2/1/u */
    { 0x097f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/2/1/c */
    { 0x0a00, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/2/2/u */
    { 0x0a7f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/2/2/c */
    { 0x0b00, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/2/3/u */
    { 0x0b7f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/2/3/c */
    { 0x0c00, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/3/0/u */
    { 0x0c7f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/3/0/c */
    { 0x0d00, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/3/1/u */
    { 0x0d7f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/3/1/c */
    { 0x0e00, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/3/2/u */
    { 0x0e7f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/3/2/c */
    { 0x0f00, 0xe83e, 0xf881, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767) }, /* #58/3/3/u */
    { 0x0f7f, 0xe83e, 0x7801, RTFLOAT80U_INIT_C(0,0x771c274565be6606,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #58/3/3/c */
    { 0x0000, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/0/u */
    { 0x007f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/0/c */
    { 0x0100, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/1/u */
    { 0x017f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/1/c */
    { 0x0200, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/2/u */
    { 0x027f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/2/c */
    { 0x0300, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/3/u */
    { 0x037f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/3/c */
    { 0x0400, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/0/u */
    { 0x047f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/0/c */
    { 0x0500, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/1/u */
    { 0x057f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/1/c */
    { 0x0600, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/2/u */
    { 0x067f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/2/c */
    { 0x0700, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/3/u */
    { 0x077f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/3/c */
    { 0x0800, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/0/u */
    { 0x087f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/0/c */
    { 0x0900, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/1/u */
    { 0x097f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/1/c */
    { 0x0a00, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/2/u */
    { 0x0a7f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/2/c */
    { 0x0b00, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/3/u */
    { 0x0b7f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/3/c */
    { 0x0c00, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/0/u */
    { 0x0c7f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/0/c */
    { 0x0d00, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/1/u */
    { 0x0d7f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/1/c */
    { 0x0e00, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/2/u */
    { 0x0e7f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/2/c */
    { 0x0f00, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/3/u */
    { 0x0f7f, 0xb056, 0x3800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/3/c */
    { 0x0000, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/0/0/u */
    { 0x007f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/0/c */
    { 0x0100, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/0/1/u */
    { 0x017f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/1/c */
    { 0x0200, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/0/2/u */
    { 0x027f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/2/c */
    { 0x0300, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/0/3/u */
    { 0x037f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/3/c */
    { 0x0400, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/1/0/u */
    { 0x047f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/0/c */
    { 0x0500, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/1/1/u */
    { 0x057f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/1/c */
    { 0x0600, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/1/2/u */
    { 0x067f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/2/c */
    { 0x0700, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/1/3/u */
    { 0x077f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/3/c */
    { 0x0800, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/2/0/u */
    { 0x087f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/0/c */
    { 0x0900, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/2/1/u */
    { 0x097f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/1/c */
    { 0x0a00, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/2/2/u */
    { 0x0a7f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/2/c */
    { 0x0b00, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/2/3/u */
    { 0x0b7f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/3/c */
    { 0x0c00, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/3/0/u */
    { 0x0c7f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/0/c */
    { 0x0d00, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/3/1/u */
    { 0x0d7f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/1/c */
    { 0x0e00, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/3/2/u */
    { 0x0e7f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/2/c */
    { 0x0f00, 0x6a38, 0xf881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #60/3/3/u */
    { 0x0f7f, 0x6a38, 0x7801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/3/c */
    { 0x0000, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/0/0/u */
    { 0x007f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/0/0/c */
    { 0x0100, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/0/1/u */
    { 0x017f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/0/1/c */
    { 0x0200, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/0/2/u */
    { 0x027f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/0/2/c */
    { 0x0300, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/0/3/u */
    { 0x037f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/0/3/c */
    { 0x0400, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/1/0/u */
    { 0x047f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/1/0/c */
    { 0x0500, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/1/1/u */
    { 0x057f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/1/1/c */
    { 0x0600, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/1/2/u */
    { 0x067f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/1/2/c */
    { 0x0700, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/1/3/u */
    { 0x077f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/1/3/c */
    { 0x0800, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/2/0/u */
    { 0x087f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/2/0/c */
    { 0x0900, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/2/1/u */
    { 0x097f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/2/1/c */
    { 0x0a00, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/2/2/u */
    { 0x0a7f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/2/2/c */
    { 0x0b00, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/2/3/u */
    { 0x0b7f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/2/3/c */
    { 0x0c00, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/3/0/u */
    { 0x0c7f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/3/0/c */
    { 0x0d00, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/3/1/u */
    { 0x0d7f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/3/1/c */
    { 0x0e00, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/3/2/u */
    { 0x0e7f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/3/2/c */
    { 0x0f00, 0x7fa9, 0xf981, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767) }, /* #61/3/3/u */
    { 0x0f7f, 0x7fa9, 0x7901, RTFLOAT80U_INIT_C(1,0xb7addc8e47beae6e,32767), RTFLOAT80U_INIT_C(1,0xf7addc8e47beae6e,32767) }, /* #61/3/3/c */
    { 0x0000, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/0/u */
    { 0x007f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/0/c */
    { 0x0100, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/1/u */
    { 0x017f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/1/c */
    { 0x0200, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/2/u */
    { 0x027f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/2/c */
    { 0x0300, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/3/u */
    { 0x037f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/0/3/c */
    { 0x0400, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/0/u */
    { 0x047f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/0/c */
    { 0x0500, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/1/u */
    { 0x057f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/1/c */
    { 0x0600, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/2/u */
    { 0x067f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/2/c */
    { 0x0700, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/3/u */
    { 0x077f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/1/3/c */
    { 0x0800, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/0/u */
    { 0x087f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/0/c */
    { 0x0900, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/1/u */
    { 0x097f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/1/c */
    { 0x0a00, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/2/u */
    { 0x0a7f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/2/c */
    { 0x0b00, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/3/u */
    { 0x0b7f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/2/3/c */
    { 0x0c00, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/0/u */
    { 0x0c7f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/0/c */
    { 0x0d00, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/1/u */
    { 0x0d7f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/1/c */
    { 0x0e00, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/2/u */
    { 0x0e7f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/2/c */
    { 0x0f00, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/3/u */
    { 0x0f7f, 0xa701, 0x3d00, RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529), RTFLOAT80U_INIT_C(0,0x906d6d140d2a3e80,17529) }, /* #62/3/3/c */
    { 0x0000, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/0/u */
    { 0x007f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/0/c */
    { 0x0100, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/1/u */
    { 0x017f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/1/c */
    { 0x0200, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/2/u */
    { 0x027f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/2/c */
    { 0x0300, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/3/u */
    { 0x037f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/0/3/c */
    { 0x0400, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/0/u */
    { 0x047f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/0/c */
    { 0x0500, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/1/u */
    { 0x057f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/1/c */
    { 0x0600, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/2/u */
    { 0x067f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/2/c */
    { 0x0700, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/3/u */
    { 0x077f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/1/3/c */
    { 0x0800, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/0/u */
    { 0x087f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/0/c */
    { 0x0900, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/1/u */
    { 0x097f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/1/c */
    { 0x0a00, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/2/u */
    { 0x0a7f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/2/c */
    { 0x0b00, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/3/u */
    { 0x0b7f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/2/3/c */
    { 0x0c00, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/0/u */
    { 0x0c7f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/0/c */
    { 0x0d00, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/1/u */
    { 0x0d7f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/1/c */
    { 0x0e00, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/2/u */
    { 0x0e7f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/2/c */
    { 0x0f00, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/3/u */
    { 0x0f7f, 0x6e05, 0x7c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,30872) }, /* #63/3/3/c */
    { 0x0000, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/0/u */
    { 0x007f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/0/c */
    { 0x0100, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/1/u */
    { 0x017f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/1/c */
    { 0x0200, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/2/u */
    { 0x027f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/2/c */
    { 0x0300, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/3/u */
    { 0x037f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/0/3/c */
    { 0x0400, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/0/u */
    { 0x047f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/0/c */
    { 0x0500, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/1/u */
    { 0x057f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/1/c */
    { 0x0600, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/2/u */
    { 0x067f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/2/c */
    { 0x0700, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/3/u */
    { 0x077f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/1/3/c */
    { 0x0800, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/0/u */
    { 0x087f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/0/c */
    { 0x0900, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/1/u */
    { 0x097f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/1/c */
    { 0x0a00, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/2/u */
    { 0x0a7f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/2/c */
    { 0x0b00, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/3/u */
    { 0x0b7f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/2/3/c */
    { 0x0c00, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/0/u */
    { 0x0c7f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/0/c */
    { 0x0d00, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/1/u */
    { 0x0d7f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/1/c */
    { 0x0e00, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/2/u */
    { 0x0e7f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/2/c */
    { 0x0f00, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/3/u */
    { 0x0f7f, 0xb8e4, 0x3c00, RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356), RTFLOAT80U_INIT_C(1,0xe36d9f27601e45a2,19356) }, /* #64/3/3/c */
    { 0x0000, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/0/u */
    { 0x007f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/0/c */
    { 0x0100, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/1/u */
    { 0x017f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/1/c */
    { 0x0200, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/2/u */
    { 0x027f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/2/c */
    { 0x0300, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/3/u */
    { 0x037f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/0/3/c */
    { 0x0400, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/0/u */
    { 0x047f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/0/c */
    { 0x0500, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/1/u */
    { 0x057f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/1/c */
    { 0x0600, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/2/u */
    { 0x067f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/2/c */
    { 0x0700, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/3/u */
    { 0x077f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/1/3/c */
    { 0x0800, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/0/u */
    { 0x087f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/0/c */
    { 0x0900, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/1/u */
    { 0x097f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/1/c */
    { 0x0a00, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/2/u */
    { 0x0a7f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/2/c */
    { 0x0b00, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/3/u */
    { 0x0b7f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/2/3/c */
    { 0x0c00, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/0/u */
    { 0x0c7f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/0/c */
    { 0x0d00, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/1/u */
    { 0x0d7f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/1/c */
    { 0x0e00, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/2/u */
    { 0x0e7f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/2/c */
    { 0x0f00, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/3/u */
    { 0x0f7f, 0xca56, 0x7800, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #65/3/3/c */
    { 0x0000, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/0/0/u */
    { 0x007f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/0/c */
    { 0x0100, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/0/1/u */
    { 0x017f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/1/c */
    { 0x0200, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/0/2/u */
    { 0x027f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/2/c */
    { 0x0300, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/0/3/u */
    { 0x037f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/3/c */
    { 0x0400, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/1/0/u */
    { 0x047f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/0/c */
    { 0x0500, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/1/1/u */
    { 0x057f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/1/c */
    { 0x0600, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/1/2/u */
    { 0x067f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/2/c */
    { 0x0700, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/1/3/u */
    { 0x077f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/3/c */
    { 0x0800, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/2/0/u */
    { 0x087f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/0/c */
    { 0x0900, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/2/1/u */
    { 0x097f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/1/c */
    { 0x0a00, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/2/2/u */
    { 0x0a7f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/2/c */
    { 0x0b00, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/2/3/u */
    { 0x0b7f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/3/c */
    { 0x0c00, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/3/0/u */
    { 0x0c7f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/0/c */
    { 0x0d00, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/3/1/u */
    { 0x0d7f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/1/c */
    { 0x0e00, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/3/2/u */
    { 0x0e7f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/2/c */
    { 0x0f00, 0xb2fd, 0xb881, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #66/3/3/u */
    { 0x0f7f, 0xb2fd, 0x3801, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/3/c */
    { 0x0000, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/0/0/u */
    { 0x007f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/0/0/c */
    { 0x0100, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/0/1/u */
    { 0x017f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/0/1/c */
    { 0x0200, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/0/2/u */
    { 0x027f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/0/2/c */
    { 0x0300, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/0/3/u */
    { 0x037f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/0/3/c */
    { 0x0400, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/1/0/u */
    { 0x047f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/1/0/c */
    { 0x0500, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/1/1/u */
    { 0x057f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/1/1/c */
    { 0x0600, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/1/2/u */
    { 0x067f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/1/2/c */
    { 0x0700, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/1/3/u */
    { 0x077f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/1/3/c */
    { 0x0800, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/2/0/u */
    { 0x087f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/2/0/c */
    { 0x0900, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/2/1/u */
    { 0x097f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/2/1/c */
    { 0x0a00, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/2/2/u */
    { 0x0a7f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/2/2/c */
    { 0x0b00, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/2/3/u */
    { 0x0b7f, 0xe35f, 0x7b22, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #67/2/3/c */
    { 0x0c00, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/3/0/u */
    { 0x0c7f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/3/0/c */
    { 0x0d00, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/3/1/u */
    { 0x0d7f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/3/1/c */
    { 0x0e00, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/3/2/u */
    { 0x0e7f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/3/2/c */
    { 0x0f00, 0xe35f, 0xf982, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0) }, /* #67/3/3/u */
    { 0x0f7f, 0xe35f, 0x7922, RTFLOAT80U_INIT_C(1,0x9a5a4a6add680dae,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #67/3/3/c */
    { 0x0000, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/0/u */
    { 0x007f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/0/c */
    { 0x0100, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/1/u */
    { 0x017f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/1/c */
    { 0x0200, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/2/u */
    { 0x027f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/2/c */
    { 0x0300, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/3/u */
    { 0x037f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/3/c */
    { 0x0400, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/0/u */
    { 0x047f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/0/c */
    { 0x0500, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/1/u */
    { 0x057f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/1/c */
    { 0x0600, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/2/u */
    { 0x067f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/2/c */
    { 0x0700, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/3/u */
    { 0x077f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/3/c */
    { 0x0800, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/0/u */
    { 0x087f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/0/c */
    { 0x0900, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/1/u */
    { 0x097f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/1/c */
    { 0x0a00, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/2/u */
    { 0x0a7f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/2/c */
    { 0x0b00, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/3/u */
    { 0x0b7f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/3/c */
    { 0x0c00, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/0/u */
    { 0x0c7f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/0/c */
    { 0x0d00, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/1/u */
    { 0x0d7f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/1/c */
    { 0x0e00, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/2/u */
    { 0x0e7f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/2/c */
    { 0x0f00, 0xc1c9, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/3/u */
    { 0x0f7f, 0xc1c9, 0x7901, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/3/c */
    { 0x0000, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/0/0/u */
    { 0x007f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/0/0/c */
    { 0x0100, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/0/1/u */
    { 0x017f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/0/1/c */
    { 0x0200, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/0/2/u */
    { 0x027f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/0/2/c */
    { 0x0300, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/0/3/u */
    { 0x037f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/0/3/c */
    { 0x0400, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/1/0/u */
    { 0x047f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/1/0/c */
    { 0x0500, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/1/1/u */
    { 0x057f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/1/1/c */
    { 0x0600, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/1/2/u */
    { 0x067f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/1/2/c */
    { 0x0700, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/1/3/u */
    { 0x077f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/1/3/c */
    { 0x0800, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/2/0/u */
    { 0x087f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/2/0/c */
    { 0x0900, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/2/1/u */
    { 0x097f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/2/1/c */
    { 0x0a00, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/2/2/u */
    { 0x0a7f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/2/2/c */
    { 0x0b00, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/2/3/u */
    { 0x0b7f, 0x2ae4, 0x3a22, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #69/2/3/c */
    { 0x0c00, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/3/0/u */
    { 0x0c7f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/3/0/c */
    { 0x0d00, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/3/1/u */
    { 0x0d7f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/3/1/c */
    { 0x0e00, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/3/2/u */
    { 0x0e7f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/3/2/c */
    { 0x0f00, 0x2ae4, 0xb882, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0) }, /* #69/3/3/u */
    { 0x0f7f, 0x2ae4, 0x3822, RTFLOAT80U_INIT_C(0,0x8000007a329e4993,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #69/3/3/c */
    { 0x0000, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/0/u */
    { 0x007f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/0/c */
    { 0x0100, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/1/u */
    { 0x017f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/1/c */
    { 0x0200, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/2/u */
    { 0x027f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/2/c */
    { 0x0300, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/3/u */
    { 0x037f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/3/c */
    { 0x0400, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/0/u */
    { 0x047f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/0/c */
    { 0x0500, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/1/u */
    { 0x057f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/1/c */
    { 0x0600, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/2/u */
    { 0x067f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/2/c */
    { 0x0700, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/3/u */
    { 0x077f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/3/c */
    { 0x0800, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/0/u */
    { 0x087f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/0/c */
    { 0x0900, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/1/u */
    { 0x097f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/1/c */
    { 0x0a00, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/2/u */
    { 0x0a7f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/2/c */
    { 0x0b00, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/3/u */
    { 0x0b7f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/3/c */
    { 0x0c00, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/0/u */
    { 0x0c7f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/0/c */
    { 0x0d00, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/1/u */
    { 0x0d7f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/1/c */
    { 0x0e00, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/2/u */
    { 0x0e7f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/2/c */
    { 0x0f00, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/3/u */
    { 0x0f7f, 0x6413, 0x7800, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/3/c */
    { 0x0000, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/0/0/u */
    { 0x007f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/0/0/c */
    { 0x0100, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/0/1/u */
    { 0x017f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/0/1/c */
    { 0x0200, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/0/2/u */
    { 0x027f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/0/2/c */
    { 0x0300, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/0/3/u */
    { 0x037f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/0/3/c */
    { 0x0400, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/1/0/u */
    { 0x047f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/1/0/c */
    { 0x0500, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/1/1/u */
    { 0x057f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/1/1/c */
    { 0x0600, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/1/2/u */
    { 0x067f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/1/2/c */
    { 0x0700, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/1/3/u */
    { 0x077f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/1/3/c */
    { 0x0800, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/2/0/u */
    { 0x087f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/2/0/c */
    { 0x0900, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/2/1/u */
    { 0x097f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/2/1/c */
    { 0x0a00, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/2/2/u */
    { 0x0a7f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/2/2/c */
    { 0x0b00, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/2/3/u */
    { 0x0b7f, 0xfdf0, 0x7b22, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #71/2/3/c */
    { 0x0c00, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/3/0/u */
    { 0x0c7f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/3/0/c */
    { 0x0d00, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/3/1/u */
    { 0x0d7f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/3/1/c */
    { 0x0e00, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/3/2/u */
    { 0x0e7f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/3/2/c */
    { 0x0f00, 0xfdf0, 0xf982, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0) }, /* #71/3/3/u */
    { 0x0f7f, 0xfdf0, 0x7922, RTFLOAT80U_INIT_C(0,0x2cbc5e7dde2c4650,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #71/3/3/c */
    { 0x0000, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/0/0/u */
    { 0x007f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/0/c */
    { 0x0100, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/0/1/u */
    { 0x017f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/1/c */
    { 0x0200, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/0/2/u */
    { 0x027f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/2/c */
    { 0x0300, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/0/3/u */
    { 0x037f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/3/c */
    { 0x0400, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/1/0/u */
    { 0x047f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/0/c */
    { 0x0500, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/1/1/u */
    { 0x057f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/1/c */
    { 0x0600, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/1/2/u */
    { 0x067f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/2/c */
    { 0x0700, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/1/3/u */
    { 0x077f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/3/c */
    { 0x0800, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/2/0/u */
    { 0x087f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/0/c */
    { 0x0900, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/2/1/u */
    { 0x097f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/1/c */
    { 0x0a00, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/2/2/u */
    { 0x0a7f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/2/c */
    { 0x0b00, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/2/3/u */
    { 0x0b7f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/3/c */
    { 0x0c00, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/3/0/u */
    { 0x0c7f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/0/c */
    { 0x0d00, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/3/1/u */
    { 0x0d7f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/1/c */
    { 0x0e00, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/3/2/u */
    { 0x0e7f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/2/c */
    { 0x0f00, 0xd24b, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #72/3/3/u */
    { 0x0f7f, 0xd24b, 0x7801, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/3/c */
    { 0x0000, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/0/u */
    { 0x007f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/0/c */
    { 0x0100, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/1/u */
    { 0x017f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/1/c */
    { 0x0200, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/2/u */
    { 0x027f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/2/c */
    { 0x0300, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/3/u */
    { 0x037f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/0/3/c */
    { 0x0400, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/0/u */
    { 0x047f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/0/c */
    { 0x0500, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/1/u */
    { 0x057f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/1/c */
    { 0x0600, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/2/u */
    { 0x067f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/2/c */
    { 0x0700, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/3/u */
    { 0x077f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/1/3/c */
    { 0x0800, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/0/u */
    { 0x087f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/0/c */
    { 0x0900, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/1/u */
    { 0x097f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/1/c */
    { 0x0a00, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/2/u */
    { 0x0a7f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/2/c */
    { 0x0b00, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/3/u */
    { 0x0b7f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/2/3/c */
    { 0x0c00, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/0/u */
    { 0x0c7f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/0/c */
    { 0x0d00, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/1/u */
    { 0x0d7f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/1/c */
    { 0x0e00, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/2/u */
    { 0x0e7f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/2/c */
    { 0x0f00, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/3/u */
    { 0x0f7f, 0x6221, 0x7c00, RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731), RTFLOAT80U_INIT_C(1,0x967937cbc4d85419,31731) }, /* #73/3/3/c */
    { 0x0000, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/0/0/u */
    { 0x007f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/0/c */
    { 0x0100, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/0/1/u */
    { 0x017f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/1/c */
    { 0x0200, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/0/2/u */
    { 0x027f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/2/c */
    { 0x0300, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/0/3/u */
    { 0x037f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/3/c */
    { 0x0400, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/1/0/u */
    { 0x047f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/1/0/c */
    { 0x0500, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/1/1/u */
    { 0x057f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/1/1/c */
    { 0x0600, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/1/2/u */
    { 0x067f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/1/2/c */
    { 0x0700, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/1/3/u */
    { 0x077f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/1/3/c */
    { 0x0800, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/2/0/u */
    { 0x087f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/0/c */
    { 0x0900, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/2/1/u */
    { 0x097f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/1/c */
    { 0x0a00, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/2/2/u */
    { 0x0a7f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/2/c */
    { 0x0b00, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/2/3/u */
    { 0x0b7f, 0x71fe, 0x7b22, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/3/c */
    { 0x0c00, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/3/0/u */
    { 0x0c7f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/3/0/c */
    { 0x0d00, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/3/1/u */
    { 0x0d7f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/3/1/c */
    { 0x0e00, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/3/2/u */
    { 0x0e7f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/3/2/c */
    { 0x0f00, 0x71fe, 0xf982, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0x4f,0) }, /* #74/3/3/u */
    { 0x0f7f, 0x71fe, 0x7922, RTFLOAT80U_INIT_C(0,0x4f,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #74/3/3/c */
    { 0x0000, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/0/u */
    { 0x007f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/0/c */
    { 0x0100, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/1/u */
    { 0x017f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/1/c */
    { 0x0200, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/2/u */
    { 0x027f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/2/c */
    { 0x0300, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/3/u */
    { 0x037f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/3/c */
    { 0x0400, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/0/u */
    { 0x047f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/0/c */
    { 0x0500, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/1/u */
    { 0x057f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/1/c */
    { 0x0600, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/2/u */
    { 0x067f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/2/c */
    { 0x0700, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/3/u */
    { 0x077f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/3/c */
    { 0x0800, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/0/u */
    { 0x087f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/0/c */
    { 0x0900, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/1/u */
    { 0x097f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/1/c */
    { 0x0a00, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/2/u */
    { 0x0a7f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/2/c */
    { 0x0b00, 0x9159, 0xbba0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/3/u */
    { 0x0b7f, 0x9159, 0x3b20, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/3/c */
    { 0x0c00, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/0/u */
    { 0x0c7f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/0/c */
    { 0x0d00, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/1/u */
    { 0x0d7f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/1/c */
    { 0x0e00, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/2/u */
    { 0x0e7f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/2/c */
    { 0x0f00, 0x9159, 0xb9a0, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/3/u */
    { 0x0f7f, 0x9159, 0x3920, RTFLOAT80U_INIT_C(1,0xc7536b31c02a0784,652), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/3/c */
    { 0x0000, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/0/u */
    { 0x007f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/0/c */
    { 0x0100, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/1/u */
    { 0x017f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/1/c */
    { 0x0200, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/2/u */
    { 0x027f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/2/c */
    { 0x0300, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/3/u */
    { 0x037f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/0/3/c */
    { 0x0400, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/0/u */
    { 0x047f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/0/c */
    { 0x0500, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/1/u */
    { 0x057f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/1/c */
    { 0x0600, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/2/u */
    { 0x067f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/2/c */
    { 0x0700, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/3/u */
    { 0x077f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/1/3/c */
    { 0x0800, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/0/u */
    { 0x087f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/0/c */
    { 0x0900, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/1/u */
    { 0x097f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/1/c */
    { 0x0a00, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/2/u */
    { 0x0a7f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/2/c */
    { 0x0b00, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/3/u */
    { 0x0b7f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/2/3/c */
    { 0x0c00, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/0/u */
    { 0x0c7f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/0/c */
    { 0x0d00, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/1/u */
    { 0x0d7f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/1/c */
    { 0x0e00, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/2/u */
    { 0x0e7f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/2/c */
    { 0x0f00, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/3/u */
    { 0x0f7f, 0x437f, 0x7900, RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767), RTFLOAT80U_INIT_C(1,0xc0c4de26362175ec,32767) }, /* #76/3/3/c */
    { 0x0000, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/0/0/u */
    { 0x007f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/0/c */
    { 0x0100, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/0/1/u */
    { 0x017f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/1/c */
    { 0x0200, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/0/2/u */
    { 0x027f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/2/c */
    { 0x0300, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/0/3/u */
    { 0x037f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/3/c */
    { 0x0400, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/1/0/u */
    { 0x047f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/0/c */
    { 0x0500, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/1/1/u */
    { 0x057f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/1/c */
    { 0x0600, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/1/2/u */
    { 0x067f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/2/c */
    { 0x0700, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/1/3/u */
    { 0x077f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/3/c */
    { 0x0800, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/2/0/u */
    { 0x087f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/0/c */
    { 0x0900, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/2/1/u */
    { 0x097f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/1/c */
    { 0x0a00, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/2/2/u */
    { 0x0a7f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/2/c */
    { 0x0b00, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/2/3/u */
    { 0x0b7f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/3/c */
    { 0x0c00, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/3/0/u */
    { 0x0c7f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/0/c */
    { 0x0d00, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/3/1/u */
    { 0x0d7f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/1/c */
    { 0x0e00, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/3/2/u */
    { 0x0e7f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/2/c */
    { 0x0f00, 0x1fbd, 0xb981, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0x154e80a08b,20612) }, /* #77/3/3/u */
    { 0x0f7f, 0x1fbd, 0x3901, RTFLOAT80U_INIT_C(1,0x154e80a08b,20612), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/3/c */
    { 0x0000, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/0/u */
    { 0x007f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/0/c */
    { 0x0100, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/1/u */
    { 0x017f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/1/c */
    { 0x0200, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/2/u */
    { 0x027f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/2/c */
    { 0x0300, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/3/u */
    { 0x037f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/3/c */
    { 0x0400, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/0/u */
    { 0x047f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/0/c */
    { 0x0500, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/1/u */
    { 0x057f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/1/c */
    { 0x0600, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/2/u */
    { 0x067f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/2/c */
    { 0x0700, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/3/u */
    { 0x077f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/3/c */
    { 0x0800, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/0/u */
    { 0x087f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/0/c */
    { 0x0900, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/1/u */
    { 0x097f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/1/c */
    { 0x0a00, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/2/u */
    { 0x0a7f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/2/c */
    { 0x0b00, 0xeed3, 0xfaa0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/3/u */
    { 0x0b7f, 0xeed3, 0x7a20, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/3/c */
    { 0x0c00, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/0/u */
    { 0x0c7f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/0/c */
    { 0x0d00, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/1/u */
    { 0x0d7f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/1/c */
    { 0x0e00, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/2/u */
    { 0x0e7f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/2/c */
    { 0x0f00, 0xeed3, 0xf8a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/3/u */
    { 0x0f7f, 0xeed3, 0x7820, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,2331), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/3/c */
    { 0x0000, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/0/u */
    { 0x007f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/0/c */
    { 0x0100, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/1/u */
    { 0x017f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/1/c */
    { 0x0200, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/2/u */
    { 0x027f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/2/c */
    { 0x0300, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/3/u */
    { 0x037f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/0/3/c */
    { 0x0400, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/0/u */
    { 0x047f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/0/c */
    { 0x0500, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/1/u */
    { 0x057f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/1/c */
    { 0x0600, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/2/u */
    { 0x067f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/2/c */
    { 0x0700, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/3/u */
    { 0x077f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/1/3/c */
    { 0x0800, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/0/u */
    { 0x087f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/0/c */
    { 0x0900, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/1/u */
    { 0x097f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/1/c */
    { 0x0a00, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/2/u */
    { 0x0a7f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/2/c */
    { 0x0b00, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/3/u */
    { 0x0b7f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/2/3/c */
    { 0x0c00, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/0/u */
    { 0x0c7f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/0/c */
    { 0x0d00, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/1/u */
    { 0x0d7f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/1/c */
    { 0x0e00, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/2/u */
    { 0x0e7f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/2/c */
    { 0x0f00, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/3/u */
    { 0x0f7f, 0x2229, 0x3c00, RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035), RTFLOAT80U_INIT_C(1,0xb725b83133f285ab,22035) }, /* #79/3/3/c */
    { 0x0000, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/0/0/u */
    { 0x007f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/0/c */
    { 0x0100, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/0/1/u */
    { 0x017f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/1/c */
    { 0x0200, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/0/2/u */
    { 0x027f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/2/c */
    { 0x0300, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/0/3/u */
    { 0x037f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/3/c */
    { 0x0400, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/1/0/u */
    { 0x047f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/0/c */
    { 0x0500, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/1/1/u */
    { 0x057f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/1/c */
    { 0x0600, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/1/2/u */
    { 0x067f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/2/c */
    { 0x0700, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/1/3/u */
    { 0x077f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/3/c */
    { 0x0800, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/2/0/u */
    { 0x087f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/0/c */
    { 0x0900, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/2/1/u */
    { 0x097f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/1/c */
    { 0x0a00, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/2/2/u */
    { 0x0a7f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/2/c */
    { 0x0b00, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/2/3/u */
    { 0x0b7f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/3/c */
    { 0x0c00, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/3/0/u */
    { 0x0c7f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/0/c */
    { 0x0d00, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/3/1/u */
    { 0x0d7f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/1/c */
    { 0x0e00, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/3/2/u */
    { 0x0e7f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/2/c */
    { 0x0f00, 0xe850, 0xf881, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767) }, /* #80/3/3/u */
    { 0x0f7f, 0xe850, 0x7801, RTFLOAT80U_INIT_C(1,0x7b8e41fd7cade0fd,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/3/c */
    { 0x0000, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/0/u */
    { 0x007f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/0/c */
    { 0x0100, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/1/u */
    { 0x017f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/1/c */
    { 0x0200, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/2/u */
    { 0x027f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/2/c */
    { 0x0300, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/3/u */
    { 0x037f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/0/3/c */
    { 0x0400, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/0/u */
    { 0x047f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/0/c */
    { 0x0500, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/1/u */
    { 0x057f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/1/c */
    { 0x0600, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/2/u */
    { 0x067f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/2/c */
    { 0x0700, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/3/u */
    { 0x077f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/1/3/c */
    { 0x0800, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/0/u */
    { 0x087f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/0/c */
    { 0x0900, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/1/u */
    { 0x097f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/1/c */
    { 0x0a00, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/2/u */
    { 0x0a7f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/2/c */
    { 0x0b00, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/3/u */
    { 0x0b7f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/2/3/c */
    { 0x0c00, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/0/u */
    { 0x0c7f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/0/c */
    { 0x0d00, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/1/u */
    { 0x0d7f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/1/c */
    { 0x0e00, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/2/u */
    { 0x0e7f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/2/c */
    { 0x0f00, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/3/u */
    { 0x0f7f, 0x60de, 0x7800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #81/3/3/c */
    { 0x0000, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/0/u */
    { 0x007f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/0/c */
    { 0x0100, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/1/u */
    { 0x017f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/1/c */
    { 0x0200, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/2/u */
    { 0x027f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/2/c */
    { 0x0300, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/3/u */
    { 0x037f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/0/3/c */
    { 0x0400, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/0/u */
    { 0x047f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/0/c */
    { 0x0500, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/1/u */
    { 0x057f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/1/c */
    { 0x0600, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/2/u */
    { 0x067f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/2/c */
    { 0x0700, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/3/u */
    { 0x077f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/1/3/c */
    { 0x0800, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/0/u */
    { 0x087f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/0/c */
    { 0x0900, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/1/u */
    { 0x097f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/1/c */
    { 0x0a00, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/2/u */
    { 0x0a7f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/2/c */
    { 0x0b00, 0x35e7, 0xbba0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/3/u */
    { 0x0b7f, 0x35e7, 0x3b20, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #82/2/3/c */
    { 0x0c00, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/0/u */
    { 0x0c7f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/0/c */
    { 0x0d00, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/1/u */
    { 0x0d7f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/1/c */
    { 0x0e00, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/2/u */
    { 0x0e7f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/2/c */
    { 0x0f00, 0x35e7, 0xb9a0, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/3/u */
    { 0x0f7f, 0x35e7, 0x3920, RTFLOAT80U_INIT_C(1,0x8e6c7b145bc5ab3a,1605), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #82/3/3/c */
    { 0x0000, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/0/u */
    { 0x007f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/0/c */
    { 0x0100, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/1/u */
    { 0x017f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/1/c */
    { 0x0200, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/2/u */
    { 0x027f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/2/c */
    { 0x0300, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/3/u */
    { 0x037f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/0/3/c */
    { 0x0400, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/0/u */
    { 0x047f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/0/c */
    { 0x0500, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/1/u */
    { 0x057f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/1/c */
    { 0x0600, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/2/u */
    { 0x067f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/2/c */
    { 0x0700, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/3/u */
    { 0x077f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/1/3/c */
    { 0x0800, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/0/u */
    { 0x087f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/0/c */
    { 0x0900, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/1/u */
    { 0x097f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/1/c */
    { 0x0a00, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/2/u */
    { 0x0a7f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/2/c */
    { 0x0b00, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/3/u */
    { 0x0b7f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/2/3/c */
    { 0x0c00, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/0/u */
    { 0x0c7f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/0/c */
    { 0x0d00, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/1/u */
    { 0x0d7f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/1/c */
    { 0x0e00, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/2/u */
    { 0x0e7f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/2/c */
    { 0x0f00, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/3/u */
    { 0x0f7f, 0xad11, 0x3d00, RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262), RTFLOAT80U_INIT_C(0,0x89331dada7ade380,28262) }, /* #83/3/3/c */
    { 0x0000, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/0/0/u */
    { 0x007f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/0/c */
    { 0x0100, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/0/1/u */
    { 0x017f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/1/c */
    { 0x0200, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/0/2/u */
    { 0x027f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/2/c */
    { 0x0300, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/0/3/u */
    { 0x037f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/3/c */
    { 0x0400, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/1/0/u */
    { 0x047f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/0/c */
    { 0x0500, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/1/1/u */
    { 0x057f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/1/c */
    { 0x0600, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/1/2/u */
    { 0x067f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/2/c */
    { 0x0700, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/1/3/u */
    { 0x077f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/3/c */
    { 0x0800, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/2/0/u */
    { 0x087f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/0/c */
    { 0x0900, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/2/1/u */
    { 0x097f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/1/c */
    { 0x0a00, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/2/2/u */
    { 0x0a7f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/2/c */
    { 0x0b00, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/2/3/u */
    { 0x0b7f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/3/c */
    { 0x0c00, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/3/0/u */
    { 0x0c7f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/0/c */
    { 0x0d00, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/3/1/u */
    { 0x0d7f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/1/c */
    { 0x0e00, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/3/2/u */
    { 0x0e7f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/2/c */
    { 0x0f00, 0xd421, 0xf881, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0x369930,32767) }, /* #84/3/3/u */
    { 0x0f7f, 0xd421, 0x7801, RTFLOAT80U_INIT_C(1,0x369930,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/3/c */
    { 0x0000, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/0/0/u */
    { 0x007f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/0/c */
    { 0x0100, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/0/1/u */
    { 0x017f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/1/c */
    { 0x0200, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/0/2/u */
    { 0x027f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/2/c */
    { 0x0300, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/0/3/u */
    { 0x037f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/0/3/c */
    { 0x0400, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/1/0/u */
    { 0x047f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/0/c */
    { 0x0500, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/1/1/u */
    { 0x057f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/1/c */
    { 0x0600, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/1/2/u */
    { 0x067f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/2/c */
    { 0x0700, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/1/3/u */
    { 0x077f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/1/3/c */
    { 0x0800, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/2/0/u */
    { 0x087f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/0/c */
    { 0x0900, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/2/1/u */
    { 0x097f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/1/c */
    { 0x0a00, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/2/2/u */
    { 0x0a7f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/2/c */
    { 0x0b00, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/2/3/u */
    { 0x0b7f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/2/3/c */
    { 0x0c00, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/3/0/u */
    { 0x0c7f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/0/c */
    { 0x0d00, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/3/1/u */
    { 0x0d7f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/1/c */
    { 0x0e00, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/3/2/u */
    { 0x0e7f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/2/c */
    { 0x0f00, 0xee8b, 0xf881, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951) }, /* #85/3/3/u */
    { 0x0f7f, 0xee8b, 0x7801, RTFLOAT80U_INIT_C(0,0x46b6f2ee68becdc3,2951), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #85/3/3/c */
    { 0x0000, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/0/u */
    { 0x007f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/0/c */
    { 0x0100, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/1/u */
    { 0x017f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/1/c */
    { 0x0200, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/2/u */
    { 0x027f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/2/c */
    { 0x0300, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/3/u */
    { 0x037f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/0/3/c */
    { 0x0400, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/0/u */
    { 0x047f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/0/c */
    { 0x0500, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/1/u */
    { 0x057f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/1/c */
    { 0x0600, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/2/u */
    { 0x067f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/2/c */
    { 0x0700, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/3/u */
    { 0x077f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/1/3/c */
    { 0x0800, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/0/u */
    { 0x087f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/0/c */
    { 0x0900, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/1/u */
    { 0x097f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/1/c */
    { 0x0a00, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/2/u */
    { 0x0a7f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/2/c */
    { 0x0b00, 0x7c37, 0xfaa0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/3/u */
    { 0x0b7f, 0x7c37, 0x7a20, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #86/2/3/c */
    { 0x0c00, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/0/u */
    { 0x0c7f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/0/c */
    { 0x0d00, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/1/u */
    { 0x0d7f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/1/c */
    { 0x0e00, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/2/u */
    { 0x0e7f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/2/c */
    { 0x0f00, 0x7c37, 0xf8a0, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/3/u */
    { 0x0f7f, 0x7c37, 0x7820, RTFLOAT80U_INIT_C(1,0xd2dc44858dca2755,8770), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #86/3/3/c */
    { 0x0000, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/0/0/u */
    { 0x007f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/0/0/c */
    { 0x0100, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/0/1/u */
    { 0x017f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/0/1/c */
    { 0x0200, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/0/2/u */
    { 0x027f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/0/2/c */
    { 0x0300, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/0/3/u */
    { 0x037f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/0/3/c */
    { 0x0400, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/1/0/u */
    { 0x047f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/1/0/c */
    { 0x0500, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/1/1/u */
    { 0x057f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/1/1/c */
    { 0x0600, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/1/2/u */
    { 0x067f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/1/2/c */
    { 0x0700, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/1/3/u */
    { 0x077f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/1/3/c */
    { 0x0800, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/2/0/u */
    { 0x087f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/2/0/c */
    { 0x0900, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/2/1/u */
    { 0x097f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/2/1/c */
    { 0x0a00, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/2/2/u */
    { 0x0a7f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/2/2/c */
    { 0x0b00, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/2/3/u */
    { 0x0b7f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/2/3/c */
    { 0x0c00, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/3/0/u */
    { 0x0c7f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/3/0/c */
    { 0x0d00, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/3/1/u */
    { 0x0d7f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/3/1/c */
    { 0x0e00, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/3/2/u */
    { 0x0e7f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/3/2/c */
    { 0x0f00, 0xa4b5, 0xb881, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767) }, /* #87/3/3/u */
    { 0x0f7f, 0xa4b5, 0x3801, RTFLOAT80U_INIT_C(1,0x87b168d9e670120e,32767), RTFLOAT80U_INIT_C(1,0xc7b168d9e670120e,32767) }, /* #87/3/3/c */
    { 0x0000, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/0/0/u */
    { 0x007f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/0/c */
    { 0x0100, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/0/1/u */
    { 0x017f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/1/c */
    { 0x0200, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/0/2/u */
    { 0x027f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/2/c */
    { 0x0300, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/0/3/u */
    { 0x037f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/0/3/c */
    { 0x0400, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/1/0/u */
    { 0x047f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/0/c */
    { 0x0500, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/1/1/u */
    { 0x057f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/1/c */
    { 0x0600, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/1/2/u */
    { 0x067f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/2/c */
    { 0x0700, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/1/3/u */
    { 0x077f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/1/3/c */
    { 0x0800, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/2/0/u */
    { 0x087f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/0/c */
    { 0x0900, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/2/1/u */
    { 0x097f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/1/c */
    { 0x0a00, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/2/2/u */
    { 0x0a7f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/2/c */
    { 0x0b00, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/2/3/u */
    { 0x0b7f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/2/3/c */
    { 0x0c00, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/3/0/u */
    { 0x0c7f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/0/c */
    { 0x0d00, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/3/1/u */
    { 0x0d7f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/1/c */
    { 0x0e00, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/3/2/u */
    { 0x0e7f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/2/c */
    { 0x0f00, 0xb84f, 0xb881, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622) }, /* #88/3/3/u */
    { 0x0f7f, 0xb84f, 0x3801, RTFLOAT80U_INIT_C(0,0x8a7ebeef3ac99d6,31622), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #88/3/3/c */
    { 0x0000, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/0/u */
    { 0x007f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/0/c */
    { 0x0100, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/1/u */
    { 0x017f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/1/c */
    { 0x0200, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/2/u */
    { 0x027f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/2/c */
    { 0x0300, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/3/u */
    { 0x037f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/0/3/c */
    { 0x0400, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/0/u */
    { 0x047f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/0/c */
    { 0x0500, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/1/u */
    { 0x057f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/1/c */
    { 0x0600, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/2/u */
    { 0x067f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/2/c */
    { 0x0700, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/3/u */
    { 0x077f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/1/3/c */
    { 0x0800, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/0/u */
    { 0x087f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/0/c */
    { 0x0900, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/1/u */
    { 0x097f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/1/c */
    { 0x0a00, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/2/u */
    { 0x0a7f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/2/c */
    { 0x0b00, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/3/u */
    { 0x0b7f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/2/3/c */
    { 0x0c00, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/0/u */
    { 0x0c7f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/0/c */
    { 0x0d00, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/1/u */
    { 0x0d7f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/1/c */
    { 0x0e00, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/2/u */
    { 0x0e7f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/2/c */
    { 0x0f00, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/3/u */
    { 0x0f7f, 0xe585, 0x7900, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #89/3/3/c */
    { 0x0000, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/0/u */
    { 0x007f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/0/c */
    { 0x0100, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/1/u */
    { 0x017f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/1/c */
    { 0x0200, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/2/u */
    { 0x027f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/2/c */
    { 0x0300, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/3/u */
    { 0x037f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/0/3/c */
    { 0x0400, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/0/u */
    { 0x047f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/0/c */
    { 0x0500, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/1/u */
    { 0x057f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/1/c */
    { 0x0600, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/2/u */
    { 0x067f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/2/c */
    { 0x0700, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/3/u */
    { 0x077f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/1/3/c */
    { 0x0800, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/0/u */
    { 0x087f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/0/c */
    { 0x0900, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/1/u */
    { 0x097f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/1/c */
    { 0x0a00, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/2/u */
    { 0x0a7f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/2/c */
    { 0x0b00, 0xf2d1, 0xfaa0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/3/u */
    { 0x0b7f, 0xf2d1, 0x7a20, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #90/2/3/c */
    { 0x0c00, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/0/u */
    { 0x0c7f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/0/c */
    { 0x0d00, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/1/u */
    { 0x0d7f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/1/c */
    { 0x0e00, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/2/u */
    { 0x0e7f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/2/c */
    { 0x0f00, 0xf2d1, 0xf8a0, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/3/u */
    { 0x0f7f, 0xf2d1, 0x7820, RTFLOAT80U_INIT_C(1,0x84123898881a811b,9746), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #90/3/3/c */
    { 0x0000, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/0/0/u */
    { 0x007f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/0/c */
    { 0x0100, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/0/1/u */
    { 0x017f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/1/c */
    { 0x0200, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/0/2/u */
    { 0x027f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/2/c */
    { 0x0300, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/0/3/u */
    { 0x037f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/3/c */
    { 0x0400, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/1/0/u */
    { 0x047f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/0/c */
    { 0x0500, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/1/1/u */
    { 0x057f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/1/c */
    { 0x0600, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/1/2/u */
    { 0x067f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/2/c */
    { 0x0700, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/1/3/u */
    { 0x077f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/3/c */
    { 0x0800, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/2/0/u */
    { 0x087f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/0/c */
    { 0x0900, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/2/1/u */
    { 0x097f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/1/c */
    { 0x0a00, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/2/2/u */
    { 0x0a7f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/2/c */
    { 0x0b00, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/2/3/u */
    { 0x0b7f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/3/c */
    { 0x0c00, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/3/0/u */
    { 0x0c7f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/0/c */
    { 0x0d00, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/3/1/u */
    { 0x0d7f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/1/c */
    { 0x0e00, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/3/2/u */
    { 0x0e7f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/2/c */
    { 0x0f00, 0xd832, 0xf881, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767) }, /* #91/3/3/u */
    { 0x0f7f, 0xd832, 0x7801, RTFLOAT80U_INIT_C(1,0x34e54855311183d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/3/c */
    { 0x0000, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/0/0/u */
    { 0x007f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/0/c */
    { 0x0100, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/0/1/u */
    { 0x017f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/1/c */
    { 0x0200, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/0/2/u */
    { 0x027f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/2/c */
    { 0x0300, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/0/3/u */
    { 0x037f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/3/c */
    { 0x0400, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/1/0/u */
    { 0x047f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/1/0/c */
    { 0x0500, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/1/1/u */
    { 0x057f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/1/1/c */
    { 0x0600, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/1/2/u */
    { 0x067f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/1/2/c */
    { 0x0700, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/1/3/u */
    { 0x077f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/1/3/c */
    { 0x0800, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/2/0/u */
    { 0x087f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/0/c */
    { 0x0900, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/2/1/u */
    { 0x097f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/1/c */
    { 0x0a00, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/2/2/u */
    { 0x0a7f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/2/c */
    { 0x0b00, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/2/3/u */
    { 0x0b7f, 0x86a0, 0x3a22, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/3/c */
    { 0x0c00, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/3/0/u */
    { 0x0c7f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/3/0/c */
    { 0x0d00, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/3/1/u */
    { 0x0d7f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/3/1/c */
    { 0x0e00, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/3/2/u */
    { 0x0e7f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/3/2/c */
    { 0x0f00, 0x86a0, 0xb882, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0) }, /* #92/3/3/u */
    { 0x0f7f, 0x86a0, 0x3822, RTFLOAT80U_INIT_C(0,0x8737472313897c2c,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #92/3/3/c */
    { 0x0000, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/0/u */
    { 0x007f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/0/c */
    { 0x0100, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/1/u */
    { 0x017f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/1/c */
    { 0x0200, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/2/u */
    { 0x027f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/2/c */
    { 0x0300, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/3/u */
    { 0x037f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/3/c */
    { 0x0400, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/0/u */
    { 0x047f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/0/c */
    { 0x0500, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/1/u */
    { 0x057f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/1/c */
    { 0x0600, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/2/u */
    { 0x067f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/2/c */
    { 0x0700, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/3/u */
    { 0x077f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/1/3/c */
    { 0x0800, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/0/u */
    { 0x087f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/0/c */
    { 0x0900, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/1/u */
    { 0x097f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/1/c */
    { 0x0a00, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/2/u */
    { 0x0a7f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/2/c */
    { 0x0b00, 0xa5d6, 0xbba0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/3/u */
    { 0x0b7f, 0xa5d6, 0x3b20, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/3/c */
    { 0x0c00, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/0/u */
    { 0x0c7f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/0/c */
    { 0x0d00, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/1/u */
    { 0x0d7f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/1/c */
    { 0x0e00, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/2/u */
    { 0x0e7f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/2/c */
    { 0x0f00, 0xa5d6, 0xb9a0, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/3/u */
    { 0x0f7f, 0xa5d6, 0x3920, RTFLOAT80U_INIT_C(1,0xf14edea31bba8091,14495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #93/3/3/c */
    { 0x0000, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/0/u */
    { 0x007f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/0/c */
    { 0x0100, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/1/u */
    { 0x017f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/1/c */
    { 0x0200, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/2/u */
    { 0x027f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/2/c */
    { 0x0300, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/3/u */
    { 0x037f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/0/3/c */
    { 0x0400, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/0/u */
    { 0x047f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/0/c */
    { 0x0500, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/1/u */
    { 0x057f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/1/c */
    { 0x0600, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/2/u */
    { 0x067f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/2/c */
    { 0x0700, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/3/u */
    { 0x077f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/1/3/c */
    { 0x0800, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/0/u */
    { 0x087f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/0/c */
    { 0x0900, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/1/u */
    { 0x097f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/1/c */
    { 0x0a00, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/2/u */
    { 0x0a7f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/2/c */
    { 0x0b00, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/3/u */
    { 0x0b7f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/2/3/c */
    { 0x0c00, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/0/u */
    { 0x0c7f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/0/c */
    { 0x0d00, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/1/u */
    { 0x0d7f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/1/c */
    { 0x0e00, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/2/u */
    { 0x0e7f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/2/c */
    { 0x0f00, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/3/u */
    { 0x0f7f, 0x04b8, 0x3800, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #94/3/3/c */
    { 0x0000, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/0/u */
    { 0x007f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/0/c */
    { 0x0100, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/1/u */
    { 0x017f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/1/c */
    { 0x0200, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/2/u */
    { 0x027f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/2/c */
    { 0x0300, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/3/u */
    { 0x037f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/0/3/c */
    { 0x0400, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/0/u */
    { 0x047f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/0/c */
    { 0x0500, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/1/u */
    { 0x057f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/1/c */
    { 0x0600, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/2/u */
    { 0x067f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/2/c */
    { 0x0700, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/3/u */
    { 0x077f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/1/3/c */
    { 0x0800, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/0/u */
    { 0x087f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/0/c */
    { 0x0900, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/1/u */
    { 0x097f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/1/c */
    { 0x0a00, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/2/u */
    { 0x0a7f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/2/c */
    { 0x0b00, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/3/u */
    { 0x0b7f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/2/3/c */
    { 0x0c00, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/0/u */
    { 0x0c7f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/0/c */
    { 0x0d00, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/1/u */
    { 0x0d7f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/1/c */
    { 0x0e00, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/2/u */
    { 0x0e7f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/2/c */
    { 0x0f00, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/3/u */
    { 0x0f7f, 0x1a5a, 0x3c00, RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078), RTFLOAT80U_INIT_C(0,0xd1eea69082efde59,25078) }, /* #95/3/3/c */
    { 0x0000, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/0/u */
    { 0x007f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/0/c */
    { 0x0100, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/1/u */
    { 0x017f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/1/c */
    { 0x0200, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/2/u */
    { 0x027f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/2/c */
    { 0x0300, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/3/u */
    { 0x037f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/3/c */
    { 0x0400, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/0/u */
    { 0x047f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/0/c */
    { 0x0500, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/1/u */
    { 0x057f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/1/c */
    { 0x0600, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/2/u */
    { 0x067f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/2/c */
    { 0x0700, 0x5829, 0xfaa0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/3/u */
    { 0x077f, 0x5829, 0x7a20, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/3/c */
    { 0x0800, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/0/u */
    { 0x087f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/0/c */
    { 0x0900, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/1/u */
    { 0x097f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/1/c */
    { 0x0a00, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/2/u */
    { 0x0a7f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/2/c */
    { 0x0b00, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/3/u */
    { 0x0b7f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/3/c */
    { 0x0c00, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/0/u */
    { 0x0c7f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/0/c */
    { 0x0d00, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/1/u */
    { 0x0d7f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/1/c */
    { 0x0e00, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/2/u */
    { 0x0e7f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/2/c */
    { 0x0f00, 0x5829, 0xf8a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/3/u */
    { 0x0f7f, 0x5829, 0x7820, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/3/c */
};
uint32_t const g_cTests_fcos_r80_amd = RT_ELEMENTS(g_aTests_fcos_r80_amd);

FPU_UNARY_TWO_R80_TEST_T const g_aTests_fptan_r80_r80_amd[] =
{
    { 0x0000, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/0/0/u */
    { 0x007f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/0/0/c */
    { 0x0100, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/0/1/u */
    { 0x017f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/0/1/c */
    { 0x0200, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/0/2/u */
    { 0x027f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/0/2/c */
    { 0x0300, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/0/3/u */
    { 0x037f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/0/3/c */
    { 0x0400, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/1/0/u */
    { 0x047f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/1/0/c */
    { 0x0500, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/1/1/u */
    { 0x057f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/1/1/c */
    { 0x0600, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/1/2/u */
    { 0x067f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/1/2/c */
    { 0x0700, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/1/3/u */
    { 0x077f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/1/3/c */
    { 0x0800, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/2/0/u */
    { 0x087f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/2/0/c */
    { 0x0900, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/2/1/u */
    { 0x097f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/2/1/c */
    { 0x0a00, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/2/2/u */
    { 0x0a7f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/2/2/c */
    { 0x0b00, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/2/3/u */
    { 0x0b7f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/2/3/c */
    { 0x0c00, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/3/0/u */
    { 0x0c7f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/3/0/c */
    { 0x0d00, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/3/1/u */
    { 0x0d7f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/3/1/c */
    { 0x0e00, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/3/2/u */
    { 0x0e7f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/3/2/c */
    { 0x0f00, 0xc799, 0xf981, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977) }, /* #0/3/3/u */
    { 0x0f7f, 0xc799, 0x7101, RTFLOAT80U_INIT_C(0,0x6901bdb275699df6,9977), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #0/3/3/c */
    { 0x0000, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/0/u */
    { 0x007f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/0/c */
    { 0x0100, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/1/u */
    { 0x017f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/1/c */
    { 0x0200, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/2/u */
    { 0x027f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/2/c */
    { 0x0300, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/3/u */
    { 0x037f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/0/3/c */
    { 0x0400, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/0/u */
    { 0x047f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/0/c */
    { 0x0500, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/1/u */
    { 0x057f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/1/c */
    { 0x0600, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/2/u */
    { 0x067f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/2/c */
    { 0x0700, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/3/u */
    { 0x077f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/1/3/c */
    { 0x0800, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/0/u */
    { 0x087f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/0/c */
    { 0x0900, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/1/u */
    { 0x097f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/1/c */
    { 0x0a00, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/2/u */
    { 0x0a7f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/2/c */
    { 0x0b00, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/3/u */
    { 0x0b7f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/2/3/c */
    { 0x0c00, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/0/u */
    { 0x0c7f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/0/c */
    { 0x0d00, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/1/u */
    { 0x0d7f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/1/c */
    { 0x0e00, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/2/u */
    { 0x0e7f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/2/c */
    { 0x0f00, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/3/u */
    { 0x0f7f, 0x02a8, 0x3000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #1/3/3/c */
    { 0x0000, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/0/0/u */
    { 0x007f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/0/c */
    { 0x0100, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/0/1/u */
    { 0x017f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/1/c */
    { 0x0200, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/0/2/u */
    { 0x027f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/2/c */
    { 0x0300, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/0/3/u */
    { 0x037f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/0/3/c */
    { 0x0400, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/1/0/u */
    { 0x047f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/0/c */
    { 0x0500, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/1/1/u */
    { 0x057f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/1/c */
    { 0x0600, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/1/2/u */
    { 0x067f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/2/c */
    { 0x0700, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/1/3/u */
    { 0x077f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/1/3/c */
    { 0x0800, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/2/0/u */
    { 0x087f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/0/c */
    { 0x0900, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/2/1/u */
    { 0x097f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/1/c */
    { 0x0a00, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/2/2/u */
    { 0x0a7f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/2/c */
    { 0x0b00, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/2/3/u */
    { 0x0b7f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/2/3/c */
    { 0x0c00, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/3/0/u */
    { 0x0c7f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/0/c */
    { 0x0d00, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/3/1/u */
    { 0x0d7f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/1/c */
    { 0x0e00, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/3/2/u */
    { 0x0e7f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/2/c */
    { 0x0f00, 0x1dcc, 0xb981, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307) }, /* #2/3/3/u */
    { 0x0f7f, 0x1dcc, 0x3101, RTFLOAT80U_INIT_C(0,0x2cc8518a93b85c9,3307), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #2/3/3/c */
    { 0x0000, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/0/0/u */
    { 0x007f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/0/c */
    { 0x0100, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/0/1/u */
    { 0x017f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/1/c */
    { 0x0200, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/0/2/u */
    { 0x027f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/2/c */
    { 0x0300, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/0/3/u */
    { 0x037f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/3/c */
    { 0x0400, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/1/0/u */
    { 0x047f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/0/c */
    { 0x0500, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/1/1/u */
    { 0x057f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/1/c */
    { 0x0600, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/1/2/u */
    { 0x067f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/2/c */
    { 0x0700, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/1/3/u */
    { 0x077f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/3/c */
    { 0x0800, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/2/0/u */
    { 0x087f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/0/c */
    { 0x0900, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/2/1/u */
    { 0x097f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/1/c */
    { 0x0a00, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/2/2/u */
    { 0x0a7f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/2/c */
    { 0x0b00, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/2/3/u */
    { 0x0b7f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/3/c */
    { 0x0c00, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/3/0/u */
    { 0x0c7f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/0/c */
    { 0x0d00, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/3/1/u */
    { 0x0d7f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/1/c */
    { 0x0e00, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/3/2/u */
    { 0x0e7f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/2/c */
    { 0x0f00, 0x243d, 0xb881, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405) }, /* #3/3/3/u */
    { 0x0f7f, 0x243d, 0x3001, RTFLOAT80U_INIT_C(0,0x264ebba09c2e56f4,6405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/3/c */
    { 0x0000, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/0/0/u */
    { 0x007f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/0/c */
    { 0x0100, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/0/1/u */
    { 0x017f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/1/c */
    { 0x0200, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/0/2/u */
    { 0x027f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/2/c */
    { 0x0300, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/0/3/u */
    { 0x037f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/0/3/c */
    { 0x0400, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/1/0/u */
    { 0x047f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/0/c */
    { 0x0500, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/1/1/u */
    { 0x057f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/1/c */
    { 0x0600, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/1/2/u */
    { 0x067f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/2/c */
    { 0x0700, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/1/3/u */
    { 0x077f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/1/3/c */
    { 0x0800, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/2/0/u */
    { 0x087f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/0/c */
    { 0x0900, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/2/1/u */
    { 0x097f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/1/c */
    { 0x0a00, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/2/2/u */
    { 0x0a7f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/2/c */
    { 0x0b00, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/2/3/u */
    { 0x0b7f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/2/3/c */
    { 0x0c00, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/3/0/u */
    { 0x0c7f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/0/c */
    { 0x0d00, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/3/1/u */
    { 0x0d7f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/1/c */
    { 0x0e00, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/3/2/u */
    { 0x0e7f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/2/c */
    { 0x0f00, 0x37b8, 0xb981, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767) }, /* #4/3/3/u */
    { 0x0f7f, 0x37b8, 0x3101, RTFLOAT80U_INIT_C(0,0x676c1b357a235bfc,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #4/3/3/c */
    { 0x0000, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/0/u */
    { 0x007f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/0/c */
    { 0x0100, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/1/u */
    { 0x017f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/1/c */
    { 0x0200, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/2/u */
    { 0x027f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/2/c */
    { 0x0300, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/3/u */
    { 0x037f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/0/3/c */
    { 0x0400, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/0/u */
    { 0x047f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/0/c */
    { 0x0500, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/1/u */
    { 0x057f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/1/c */
    { 0x0600, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/2/u */
    { 0x067f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/2/c */
    { 0x0700, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/3/u */
    { 0x077f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/1/3/c */
    { 0x0800, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/0/u */
    { 0x087f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/0/c */
    { 0x0900, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/1/u */
    { 0x097f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/1/c */
    { 0x0a00, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/2/u */
    { 0x0a7f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/2/c */
    { 0x0b00, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/3/u */
    { 0x0b7f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/2/3/c */
    { 0x0c00, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/0/u */
    { 0x0c7f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/0/c */
    { 0x0d00, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/1/u */
    { 0x0d7f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/1/c */
    { 0x0e00, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/2/u */
    { 0x0e7f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/2/c */
    { 0x0f00, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/3/u */
    { 0x0f7f, 0x0a39, 0x3c00, RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xa18393328c974e06,27042) }, /* #5/3/3/c */
    { 0x0000, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/0/0/u */
    { 0x007f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/0/c */
    { 0x0100, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/0/1/u */
    { 0x017f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/1/c */
    { 0x0200, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/0/2/u */
    { 0x027f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/2/c */
    { 0x0300, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/0/3/u */
    { 0x037f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/3/c */
    { 0x0400, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/1/0/u */
    { 0x047f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/0/c */
    { 0x0500, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/1/1/u */
    { 0x057f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/1/c */
    { 0x0600, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/1/2/u */
    { 0x067f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/2/c */
    { 0x0700, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/1/3/u */
    { 0x077f, 0xaae6, 0x3222, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/3/c */
    { 0x0800, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/2/0/u */
    { 0x087f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/0/c */
    { 0x0900, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/2/1/u */
    { 0x097f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/1/c */
    { 0x0a00, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/2/2/u */
    { 0x0a7f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/2/c */
    { 0x0b00, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/2/3/u */
    { 0x0b7f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/3/c */
    { 0x0c00, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/3/0/u */
    { 0x0c7f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/0/c */
    { 0x0d00, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/3/1/u */
    { 0x0d7f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/1/c */
    { 0x0e00, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/3/2/u */
    { 0x0e7f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/2/c */
    { 0x0f00, 0xaae6, 0xb882, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0) }, /* #6/3/3/u */
    { 0x0f7f, 0xaae6, 0x3022, RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c2,0), RTFLOAT80U_INIT_C(1,0xd33a550c3b8f43c1,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/3/c */
    { 0x0000, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/0/0/u */
    { 0x007f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/0/c */
    { 0x0100, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/0/1/u */
    { 0x017f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/1/c */
    { 0x0200, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/0/2/u */
    { 0x027f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/2/c */
    { 0x0300, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/0/3/u */
    { 0x037f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/0/3/c */
    { 0x0400, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/1/0/u */
    { 0x047f, 0xa536, 0x3322, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x8000000000002500,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/1/0/c */
    { 0x0500, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/1/1/u */
    { 0x057f, 0xa536, 0x3322, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x8000000000002500,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/1/1/c */
    { 0x0600, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/1/2/u */
    { 0x067f, 0xa536, 0x3322, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x8000000000002500,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/1/2/c */
    { 0x0700, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/1/3/u */
    { 0x077f, 0xa536, 0x3322, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x8000000000002500,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/1/3/c */
    { 0x0800, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/2/0/u */
    { 0x087f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/0/c */
    { 0x0900, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/2/1/u */
    { 0x097f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/1/c */
    { 0x0a00, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/2/2/u */
    { 0x0a7f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/2/c */
    { 0x0b00, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/2/3/u */
    { 0x0b7f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/2/3/c */
    { 0x0c00, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/3/0/u */
    { 0x0c7f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/3/0/c */
    { 0x0d00, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/3/1/u */
    { 0x0d7f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/3/1/c */
    { 0x0e00, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/3/2/u */
    { 0x0e7f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/3/2/c */
    { 0x0f00, 0xa536, 0xb982, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,0) }, /* #7/3/3/u */
    { 0x0f7f, 0xa536, 0x3122, RTFLOAT80U_INIT_C(1,0x80000000000024ff,0), RTFLOAT80U_INIT_C(1,0x80000000000024ff,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #7/3/3/c */
    { 0x0000, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/0/u */
    { 0x007f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/0/c */
    { 0x0100, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/1/u */
    { 0x017f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/1/c */
    { 0x0200, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/2/u */
    { 0x027f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/2/c */
    { 0x0300, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/3/u */
    { 0x037f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/0/3/c */
    { 0x0400, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/0/u */
    { 0x047f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/0/c */
    { 0x0500, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/1/u */
    { 0x057f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/1/c */
    { 0x0600, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/2/u */
    { 0x067f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/2/c */
    { 0x0700, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/3/u */
    { 0x077f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/1/3/c */
    { 0x0800, 0x2236, 0xb2a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/0/u */
    { 0x087f, 0x2236, 0x3220, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/0/c */
    { 0x0900, 0x2236, 0xb2a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/1/u */
    { 0x097f, 0x2236, 0x3220, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/1/c */
    { 0x0a00, 0x2236, 0xb2a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/2/u */
    { 0x0a7f, 0x2236, 0x3220, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/2/c */
    { 0x0b00, 0x2236, 0xb2a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/3/u */
    { 0x0b7f, 0x2236, 0x3220, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ee,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/2/3/c */
    { 0x0c00, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/0/u */
    { 0x0c7f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/0/c */
    { 0x0d00, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/1/u */
    { 0x0d7f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/1/c */
    { 0x0e00, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/2/u */
    { 0x0e7f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/2/c */
    { 0x0f00, 0x2236, 0xb0a0, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/3/u */
    { 0x0f7f, 0x2236, 0x3020, RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8357e8930814a4ed,11631), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #8/3/3/c */
    { 0x0000, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/0/0/u */
    { 0x007f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/0/0/c */
    { 0x0100, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/0/1/u */
    { 0x017f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/0/1/c */
    { 0x0200, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/0/2/u */
    { 0x027f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/0/2/c */
    { 0x0300, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/0/3/u */
    { 0x037f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/0/3/c */
    { 0x0400, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/1/0/u */
    { 0x047f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/1/0/c */
    { 0x0500, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/1/1/u */
    { 0x057f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/1/1/c */
    { 0x0600, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/1/2/u */
    { 0x067f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/1/2/c */
    { 0x0700, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/1/3/u */
    { 0x077f, 0x4555, 0x7332, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/1/3/c */
    { 0x0800, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/2/0/u */
    { 0x087f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/2/0/c */
    { 0x0900, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/2/1/u */
    { 0x097f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/2/1/c */
    { 0x0a00, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/2/2/u */
    { 0x0a7f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/2/2/c */
    { 0x0b00, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/2/3/u */
    { 0x0b7f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/2/3/c */
    { 0x0c00, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/3/0/u */
    { 0x0c7f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/3/0/c */
    { 0x0d00, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/3/1/u */
    { 0x0d7f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/3/1/c */
    { 0x0e00, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/3/2/u */
    { 0x0e7f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/3/2/c */
    { 0x0f00, 0x4555, 0xf982, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x775db7,0) }, /* #9/3/3/u */
    { 0x0f7f, 0x4555, 0x7132, RTFLOAT80U_INIT_C(1,0x775db7,0), RTFLOAT80U_INIT_C(1,0x775db6,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #9/3/3/c */
    { 0x0000, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/0/0/u */
    { 0x007f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/0/c */
    { 0x0100, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/0/1/u */
    { 0x017f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/1/c */
    { 0x0200, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/0/2/u */
    { 0x027f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/2/c */
    { 0x0300, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/0/3/u */
    { 0x037f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/3/c */
    { 0x0400, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/1/0/u */
    { 0x047f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/0/c */
    { 0x0500, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/1/1/u */
    { 0x057f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/1/c */
    { 0x0600, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/1/2/u */
    { 0x067f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/2/c */
    { 0x0700, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/1/3/u */
    { 0x077f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/1/3/c */
    { 0x0800, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/2/0/u */
    { 0x087f, 0x1161, 0x3322, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b5,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/0/c */
    { 0x0900, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/2/1/u */
    { 0x097f, 0x1161, 0x3322, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b5,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/1/c */
    { 0x0a00, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/2/2/u */
    { 0x0a7f, 0x1161, 0x3322, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b5,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/2/c */
    { 0x0b00, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/2/3/u */
    { 0x0b7f, 0x1161, 0x3322, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b5,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/3/c */
    { 0x0c00, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/3/0/u */
    { 0x0c7f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/0/c */
    { 0x0d00, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/3/1/u */
    { 0x0d7f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/1/c */
    { 0x0e00, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/3/2/u */
    { 0x0e7f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/2/c */
    { 0x0f00, 0x1161, 0xb982, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0) }, /* #10/3/3/u */
    { 0x0f7f, 0x1161, 0x3122, RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,0), RTFLOAT80U_INIT_C(0,0xa6e15da2e7bee9b4,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/3/3/c */
    { 0x0000, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/0/0/u */
    { 0x007f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/0/c */
    { 0x0100, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/0/1/u */
    { 0x017f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/1/c */
    { 0x0200, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/0/2/u */
    { 0x027f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/2/c */
    { 0x0300, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/0/3/u */
    { 0x037f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/0/3/c */
    { 0x0400, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/1/0/u */
    { 0x047f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/0/c */
    { 0x0500, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/1/1/u */
    { 0x057f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/1/c */
    { 0x0600, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/1/2/u */
    { 0x067f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/2/c */
    { 0x0700, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/1/3/u */
    { 0x077f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/1/3/c */
    { 0x0800, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/2/0/u */
    { 0x087f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/0/c */
    { 0x0900, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/2/1/u */
    { 0x097f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/1/c */
    { 0x0a00, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/2/2/u */
    { 0x0a7f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/2/c */
    { 0x0b00, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/2/3/u */
    { 0x0b7f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/2/3/c */
    { 0x0c00, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/3/0/u */
    { 0x0c7f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/0/c */
    { 0x0d00, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/3/1/u */
    { 0x0d7f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/1/c */
    { 0x0e00, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/3/2/u */
    { 0x0e7f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/2/c */
    { 0x0f00, 0x08d5, 0xb881, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492) }, /* #11/3/3/u */
    { 0x0f7f, 0x08d5, 0x3001, RTFLOAT80U_INIT_C(0,0x7c1c7c1061192e05,7492), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #11/3/3/c */
    { 0x0000, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/0/0/u */
    { 0x007f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/0/c */
    { 0x0100, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/0/1/u */
    { 0x017f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/1/c */
    { 0x0200, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/0/2/u */
    { 0x027f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/2/c */
    { 0x0300, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/0/3/u */
    { 0x037f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/3/c */
    { 0x0400, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/1/0/u */
    { 0x047f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/0/c */
    { 0x0500, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/1/1/u */
    { 0x057f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/1/c */
    { 0x0600, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/1/2/u */
    { 0x067f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/2/c */
    { 0x0700, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/1/3/u */
    { 0x077f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/3/c */
    { 0x0800, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/2/0/u */
    { 0x087f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/0/c */
    { 0x0900, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/2/1/u */
    { 0x097f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/1/c */
    { 0x0a00, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/2/2/u */
    { 0x0a7f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/2/c */
    { 0x0b00, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/2/3/u */
    { 0x0b7f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/3/c */
    { 0x0c00, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/3/0/u */
    { 0x0c7f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/0/c */
    { 0x0d00, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/3/1/u */
    { 0x0d7f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/1/c */
    { 0x0e00, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/3/2/u */
    { 0x0e7f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/2/c */
    { 0x0f00, 0x12ab, 0xb881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #12/3/3/u */
    { 0x0f7f, 0x12ab, 0x3001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/3/c */
    { 0x0000, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/0/u */
    { 0x007f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/0/c */
    { 0x0100, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/1/u */
    { 0x017f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/1/c */
    { 0x0200, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/2/u */
    { 0x027f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/2/c */
    { 0x0300, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/3/u */
    { 0x037f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/3/c */
    { 0x0400, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/0/u */
    { 0x047f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/0/c */
    { 0x0500, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/1/u */
    { 0x057f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/1/c */
    { 0x0600, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/2/u */
    { 0x067f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/2/c */
    { 0x0700, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/3/u */
    { 0x077f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/1/3/c */
    { 0x0800, 0xae43, 0xb2a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/0/u */
    { 0x087f, 0xae43, 0x3220, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/0/c */
    { 0x0900, 0xae43, 0xb2a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/1/u */
    { 0x097f, 0xae43, 0x3220, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/1/c */
    { 0x0a00, 0xae43, 0xb2a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/2/u */
    { 0x0a7f, 0xae43, 0x3220, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/2/c */
    { 0x0b00, 0xae43, 0xb2a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/3/u */
    { 0x0b7f, 0xae43, 0x3220, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8d,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/3/c */
    { 0x0c00, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/0/u */
    { 0x0c7f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/0/c */
    { 0x0d00, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/1/u */
    { 0x0d7f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/1/c */
    { 0x0e00, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/2/u */
    { 0x0e7f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/2/c */
    { 0x0f00, 0xae43, 0xb0a0, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/3/u */
    { 0x0f7f, 0xae43, 0x3020, RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0xf981f935eb00ad8c,14668), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/3/3/c */
    { 0x0000, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/0/0/u */
    { 0x007f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/0/0/c */
    { 0x0100, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/0/1/u */
    { 0x017f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/0/1/c */
    { 0x0200, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/0/2/u */
    { 0x027f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/0/2/c */
    { 0x0300, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/0/3/u */
    { 0x037f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/0/3/c */
    { 0x0400, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/1/0/u */
    { 0x047f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/1/0/c */
    { 0x0500, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/1/1/u */
    { 0x057f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/1/1/c */
    { 0x0600, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/1/2/u */
    { 0x067f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/1/2/c */
    { 0x0700, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/1/3/u */
    { 0x077f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/1/3/c */
    { 0x0800, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/2/0/u */
    { 0x087f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/2/0/c */
    { 0x0900, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/2/1/u */
    { 0x097f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/2/1/c */
    { 0x0a00, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/2/2/u */
    { 0x0a7f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/2/2/c */
    { 0x0b00, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/2/3/u */
    { 0x0b7f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/2/3/c */
    { 0x0c00, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/3/0/u */
    { 0x0c7f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/3/0/c */
    { 0x0d00, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/3/1/u */
    { 0x0d7f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/3/1/c */
    { 0x0e00, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/3/2/u */
    { 0x0e7f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/3/2/c */
    { 0x0f00, 0xa410, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767) }, /* #14/3/3/u */
    { 0x0f7f, 0xa410, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767), RTFLOAT80U_INIT_C(1,0xc000000fe98244e6,32767) }, /* #14/3/3/c */
    { 0x0000, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/0/u */
    { 0x007f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/0/c */
    { 0x0100, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/1/u */
    { 0x017f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/1/c */
    { 0x0200, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/2/u */
    { 0x027f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/2/c */
    { 0x0300, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/3/u */
    { 0x037f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/0/3/c */
    { 0x0400, 0xf206, 0xf2a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/0/u */
    { 0x047f, 0xf206, 0x7220, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/0/c */
    { 0x0500, 0xf206, 0xf2a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/1/u */
    { 0x057f, 0xf206, 0x7220, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/1/c */
    { 0x0600, 0xf206, 0xf2a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/2/u */
    { 0x067f, 0xf206, 0x7220, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/2/c */
    { 0x0700, 0xf206, 0xf2a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/3/u */
    { 0x077f, 0xf206, 0x7220, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e48,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/1/3/c */
    { 0x0800, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/0/u */
    { 0x087f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/0/c */
    { 0x0900, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/1/u */
    { 0x097f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/1/c */
    { 0x0a00, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/2/u */
    { 0x0a7f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/2/c */
    { 0x0b00, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/3/u */
    { 0x0b7f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/2/3/c */
    { 0x0c00, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/0/u */
    { 0x0c7f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/0/c */
    { 0x0d00, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/1/u */
    { 0x0d7f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/1/c */
    { 0x0e00, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/2/u */
    { 0x0e7f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/2/c */
    { 0x0f00, 0xf206, 0xf0a0, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/3/u */
    { 0x0f7f, 0xf206, 0x7020, RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(1,0xf5d2ff66ed591e47,15864), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #15/3/3/c */
    { 0x0000, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/0/0/u */
    { 0x007f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/0/0/c */
    { 0x0100, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/0/1/u */
    { 0x017f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/0/1/c */
    { 0x0200, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/0/2/u */
    { 0x027f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/0/2/c */
    { 0x0300, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/0/3/u */
    { 0x037f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/0/3/c */
    { 0x0400, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/1/0/u */
    { 0x047f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/1/0/c */
    { 0x0500, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/1/1/u */
    { 0x057f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/1/1/c */
    { 0x0600, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/1/2/u */
    { 0x067f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/1/2/c */
    { 0x0700, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/1/3/u */
    { 0x077f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/1/3/c */
    { 0x0800, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/2/0/u */
    { 0x087f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/2/0/c */
    { 0x0900, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/2/1/u */
    { 0x097f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/2/1/c */
    { 0x0a00, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/2/2/u */
    { 0x0a7f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/2/2/c */
    { 0x0b00, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/2/3/u */
    { 0x0b7f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/2/3/c */
    { 0x0c00, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/3/0/u */
    { 0x0c7f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/3/0/c */
    { 0x0d00, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/3/1/u */
    { 0x0d7f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/3/1/c */
    { 0x0e00, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/3/2/u */
    { 0x0e7f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/3/2/c */
    { 0x0f00, 0x8d6c, 0xb981, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059) }, /* #16/3/3/u */
    { 0x0f7f, 0x8d6c, 0x3101, RTFLOAT80U_INIT_C(0,0x3884dad5a303772b,5059), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #16/3/3/c */
    { 0x0000, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/0/u */
    { 0x007f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/0/c */
    { 0x0100, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/1/u */
    { 0x017f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/1/c */
    { 0x0200, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/2/u */
    { 0x027f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/2/c */
    { 0x0300, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/3/u */
    { 0x037f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/3/c */
    { 0x0400, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/0/u */
    { 0x047f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/0/c */
    { 0x0500, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/1/u */
    { 0x057f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/1/c */
    { 0x0600, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/2/u */
    { 0x067f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/2/c */
    { 0x0700, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/3/u */
    { 0x077f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/1/3/c */
    { 0x0800, 0x17c8, 0xb3a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/0/u */
    { 0x087f, 0x17c8, 0x3320, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/0/c */
    { 0x0900, 0x17c8, 0xb3a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/1/u */
    { 0x097f, 0x17c8, 0x3320, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/1/c */
    { 0x0a00, 0x17c8, 0xb3a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/2/u */
    { 0x0a7f, 0x17c8, 0x3320, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/2/c */
    { 0x0b00, 0x17c8, 0xb3a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/3/u */
    { 0x0b7f, 0x17c8, 0x3320, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc710,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/3/c */
    { 0x0c00, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/0/u */
    { 0x0c7f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/0/c */
    { 0x0d00, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/1/u */
    { 0x0d7f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/1/c */
    { 0x0e00, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/2/u */
    { 0x0e7f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/2/c */
    { 0x0f00, 0x17c8, 0xb1a0, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/3/u */
    { 0x0f7f, 0x17c8, 0x3120, RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x9185dc7fa2dfc70f,16297), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/3/3/c */
    { 0x0000, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/0/0/u */
    { 0x007f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/0/0/c */
    { 0x0100, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/0/1/u */
    { 0x017f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/0/1/c */
    { 0x0200, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/0/2/u */
    { 0x027f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/0/2/c */
    { 0x0300, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/0/3/u */
    { 0x037f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/0/3/c */
    { 0x0400, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/1/0/u */
    { 0x047f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/1/0/c */
    { 0x0500, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/1/1/u */
    { 0x057f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/1/1/c */
    { 0x0600, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/1/2/u */
    { 0x067f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/1/2/c */
    { 0x0700, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/1/3/u */
    { 0x077f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/1/3/c */
    { 0x0800, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/2/0/u */
    { 0x087f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/2/0/c */
    { 0x0900, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/2/1/u */
    { 0x097f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/2/1/c */
    { 0x0a00, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/2/2/u */
    { 0x0a7f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/2/2/c */
    { 0x0b00, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/2/3/u */
    { 0x0b7f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/2/3/c */
    { 0x0c00, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/3/0/u */
    { 0x0c7f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/3/0/c */
    { 0x0d00, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/3/1/u */
    { 0x0d7f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/3/1/c */
    { 0x0e00, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/3/2/u */
    { 0x0e7f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/3/2/c */
    { 0x0f00, 0x3771, 0xb981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #18/3/3/u */
    { 0x0f7f, 0x3771, 0x3101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #18/3/3/c */
    { 0x0000, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/0/0/u */
    { 0x007f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/0/c */
    { 0x0100, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/0/1/u */
    { 0x017f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/1/c */
    { 0x0200, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/0/2/u */
    { 0x027f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/2/c */
    { 0x0300, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/0/3/u */
    { 0x037f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/3/c */
    { 0x0400, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/1/0/u */
    { 0x047f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/0/c */
    { 0x0500, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/1/1/u */
    { 0x057f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/1/c */
    { 0x0600, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/1/2/u */
    { 0x067f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/2/c */
    { 0x0700, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/1/3/u */
    { 0x077f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/3/c */
    { 0x0800, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/2/0/u */
    { 0x087f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/0/c */
    { 0x0900, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/2/1/u */
    { 0x097f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/1/c */
    { 0x0a00, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/2/2/u */
    { 0x0a7f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/2/c */
    { 0x0b00, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/2/3/u */
    { 0x0b7f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/3/c */
    { 0x0c00, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/3/0/u */
    { 0x0c7f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/0/c */
    { 0x0d00, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/3/1/u */
    { 0x0d7f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/1/c */
    { 0x0e00, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/3/2/u */
    { 0x0e7f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/2/c */
    { 0x0f00, 0x353b, 0xb981, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503) }, /* #19/3/3/u */
    { 0x0f7f, 0x353b, 0x3101, RTFLOAT80U_INIT_C(1,0x26fc1ff70393f602,9503), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/3/c */
    { 0x0000, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/0/0/u */
    { 0x007f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/0/c */
    { 0x0100, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/0/1/u */
    { 0x017f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/1/c */
    { 0x0200, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/0/2/u */
    { 0x027f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/2/c */
    { 0x0300, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/0/3/u */
    { 0x037f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/3/c */
    { 0x0400, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/1/0/u */
    { 0x047f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/0/c */
    { 0x0500, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/1/1/u */
    { 0x057f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/1/c */
    { 0x0600, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/1/2/u */
    { 0x067f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/2/c */
    { 0x0700, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/1/3/u */
    { 0x077f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/3/c */
    { 0x0800, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/2/0/u */
    { 0x087f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/0/c */
    { 0x0900, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/2/1/u */
    { 0x097f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/1/c */
    { 0x0a00, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/2/2/u */
    { 0x0a7f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/2/c */
    { 0x0b00, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/2/3/u */
    { 0x0b7f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/3/c */
    { 0x0c00, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/3/0/u */
    { 0x0c7f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/0/c */
    { 0x0d00, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/3/1/u */
    { 0x0d7f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/1/c */
    { 0x0e00, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/3/2/u */
    { 0x0e7f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/2/c */
    { 0x0f00, 0xd35b, 0xf981, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767) }, /* #20/3/3/u */
    { 0x0f7f, 0xd35b, 0x7101, RTFLOAT80U_INIT_C(0,0x34848c6995ede1d1,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/3/c */
    { 0x0000, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/0/u */
    { 0x007f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/0/c */
    { 0x0100, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/1/u */
    { 0x017f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/1/c */
    { 0x0200, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/2/u */
    { 0x027f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/2/c */
    { 0x0300, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/3/u */
    { 0x037f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/3/c */
    { 0x0400, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/0/u */
    { 0x047f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/0/c */
    { 0x0500, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/1/u */
    { 0x057f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/1/c */
    { 0x0600, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/2/u */
    { 0x067f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/2/c */
    { 0x0700, 0x05c8, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/3/u */
    { 0x077f, 0x05c8, 0x3320, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/1/3/c */
    { 0x0800, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/0/u */
    { 0x087f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/0/c */
    { 0x0900, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/1/u */
    { 0x097f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/1/c */
    { 0x0a00, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/2/u */
    { 0x0a7f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/2/c */
    { 0x0b00, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/3/u */
    { 0x0b7f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/3/c */
    { 0x0c00, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/0/u */
    { 0x0c7f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/0/c */
    { 0x0d00, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/1/u */
    { 0x0d7f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/1/c */
    { 0x0e00, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/2/u */
    { 0x0e7f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/2/c */
    { 0x0f00, 0x05c8, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/3/u */
    { 0x0f7f, 0x05c8, 0x3120, RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b3,3520), RTFLOAT80U_INIT_C(1,0x8f40fc62eddb08b2,3520), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/3/3/c */
    { 0x0000, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/0/0/u */
    { 0x007f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/0/c */
    { 0x0100, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/0/1/u */
    { 0x017f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/1/c */
    { 0x0200, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/0/2/u */
    { 0x027f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/2/c */
    { 0x0300, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/0/3/u */
    { 0x037f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/0/3/c */
    { 0x0400, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/1/0/u */
    { 0x047f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/0/c */
    { 0x0500, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/1/1/u */
    { 0x057f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/1/c */
    { 0x0600, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/1/2/u */
    { 0x067f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/2/c */
    { 0x0700, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/1/3/u */
    { 0x077f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/1/3/c */
    { 0x0800, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/2/0/u */
    { 0x087f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/0/c */
    { 0x0900, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/2/1/u */
    { 0x097f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/1/c */
    { 0x0a00, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/2/2/u */
    { 0x0a7f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/2/c */
    { 0x0b00, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/2/3/u */
    { 0x0b7f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/2/3/c */
    { 0x0c00, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/3/0/u */
    { 0x0c7f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/0/c */
    { 0x0d00, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/3/1/u */
    { 0x0d7f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/1/c */
    { 0x0e00, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/3/2/u */
    { 0x0e7f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/2/c */
    { 0x0f00, 0x67e3, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #22/3/3/u */
    { 0x0f7f, 0x67e3, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #22/3/3/c */
    { 0x0000, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/0/u */
    { 0x007f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/0/c */
    { 0x0100, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/1/u */
    { 0x017f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/1/c */
    { 0x0200, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/2/u */
    { 0x027f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/2/c */
    { 0x0300, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/3/u */
    { 0x037f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/0/3/c */
    { 0x0400, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/0/u */
    { 0x047f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/0/c */
    { 0x0500, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/1/u */
    { 0x057f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/1/c */
    { 0x0600, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/2/u */
    { 0x067f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/2/c */
    { 0x0700, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/3/u */
    { 0x077f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/1/3/c */
    { 0x0800, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/0/u */
    { 0x087f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/0/c */
    { 0x0900, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/1/u */
    { 0x097f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/1/c */
    { 0x0a00, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/2/u */
    { 0x0a7f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/2/c */
    { 0x0b00, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/3/u */
    { 0x0b7f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/2/3/c */
    { 0x0c00, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/0/u */
    { 0x0c7f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/0/c */
    { 0x0d00, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/1/u */
    { 0x0d7f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/1/c */
    { 0x0e00, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/2/u */
    { 0x0e7f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/2/c */
    { 0x0f00, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/3/u */
    { 0x0f7f, 0x85f3, 0x3d00, RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x971f14d11cb59c28,20998) }, /* #23/3/3/c */
    { 0x0000, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/0/u */
    { 0x007f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/0/c */
    { 0x0100, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/1/u */
    { 0x017f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/1/c */
    { 0x0200, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/2/u */
    { 0x027f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/2/c */
    { 0x0300, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/3/u */
    { 0x037f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/3/c */
    { 0x0400, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/0/u */
    { 0x047f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/0/c */
    { 0x0500, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/1/u */
    { 0x057f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/1/c */
    { 0x0600, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/2/u */
    { 0x067f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/2/c */
    { 0x0700, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/3/u */
    { 0x077f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/3/c */
    { 0x0800, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/0/u */
    { 0x087f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/0/c */
    { 0x0900, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/1/u */
    { 0x097f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/1/c */
    { 0x0a00, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/2/u */
    { 0x0a7f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/2/c */
    { 0x0b00, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/3/u */
    { 0x0b7f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/3/c */
    { 0x0c00, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/0/u */
    { 0x0c7f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/0/c */
    { 0x0d00, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/1/u */
    { 0x0d7f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/1/c */
    { 0x0e00, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/2/u */
    { 0x0e7f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/2/c */
    { 0x0f00, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/3/u */
    { 0x0f7f, 0x0ef7, 0x3000, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/3/c */
    { 0x0000, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/0/0/u */
    { 0x007f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/0/0/c */
    { 0x0100, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/0/1/u */
    { 0x017f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/0/1/c */
    { 0x0200, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/0/2/u */
    { 0x027f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/0/2/c */
    { 0x0300, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/0/3/u */
    { 0x037f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/0/3/c */
    { 0x0400, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/1/0/u */
    { 0x047f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/1/0/c */
    { 0x0500, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/1/1/u */
    { 0x057f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/1/1/c */
    { 0x0600, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/1/2/u */
    { 0x067f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/1/2/c */
    { 0x0700, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/1/3/u */
    { 0x077f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/1/3/c */
    { 0x0800, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/2/0/u */
    { 0x087f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/2/0/c */
    { 0x0900, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/2/1/u */
    { 0x097f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/2/1/c */
    { 0x0a00, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/2/2/u */
    { 0x0a7f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/2/2/c */
    { 0x0b00, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/2/3/u */
    { 0x0b7f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/2/3/c */
    { 0x0c00, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/3/0/u */
    { 0x0c7f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/3/0/c */
    { 0x0d00, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/3/1/u */
    { 0x0d7f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/3/1/c */
    { 0x0e00, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/3/2/u */
    { 0x0e7f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/3/2/c */
    { 0x0f00, 0x9f43, 0xb981, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000006abded34,32767) }, /* #25/3/3/u */
    { 0x0f7f, 0x9f43, 0x3101, RTFLOAT80U_INIT_C(0,0x800000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767), RTFLOAT80U_INIT_C(0,0xc00000006abded34,32767) }, /* #25/3/3/c */
    { 0x0000, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/0/0/u */
    { 0x007f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/0/c */
    { 0x0100, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/0/1/u */
    { 0x017f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/1/c */
    { 0x0200, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/0/2/u */
    { 0x027f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/2/c */
    { 0x0300, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/0/3/u */
    { 0x037f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/3/c */
    { 0x0400, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/1/0/u */
    { 0x047f, 0xa2ad, 0x3232, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf05,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/1/0/c */
    { 0x0500, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/1/1/u */
    { 0x057f, 0xa2ad, 0x3232, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf05,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/1/1/c */
    { 0x0600, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/1/2/u */
    { 0x067f, 0xa2ad, 0x3232, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf05,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/1/2/c */
    { 0x0700, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/1/3/u */
    { 0x077f, 0xa2ad, 0x3232, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf05,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/1/3/c */
    { 0x0800, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/2/0/u */
    { 0x087f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/0/c */
    { 0x0900, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/2/1/u */
    { 0x097f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/1/c */
    { 0x0a00, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/2/2/u */
    { 0x0a7f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/2/c */
    { 0x0b00, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/2/3/u */
    { 0x0b7f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/3/c */
    { 0x0c00, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/3/0/u */
    { 0x0c7f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/3/0/c */
    { 0x0d00, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/3/1/u */
    { 0x0d7f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/3/1/c */
    { 0x0e00, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/3/2/u */
    { 0x0e7f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/3/2/c */
    { 0x0f00, 0xa2ad, 0xb882, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xaf04,0) }, /* #26/3/3/u */
    { 0x0f7f, 0xa2ad, 0x3032, RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(1,0xaf04,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/3/3/c */
    { 0x0000, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/0/0/u */
    { 0x007f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/0/c */
    { 0x0100, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/0/1/u */
    { 0x017f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/1/c */
    { 0x0200, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/0/2/u */
    { 0x027f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/2/c */
    { 0x0300, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/0/3/u */
    { 0x037f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/0/3/c */
    { 0x0400, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/1/0/u */
    { 0x047f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/0/c */
    { 0x0500, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/1/1/u */
    { 0x057f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/1/c */
    { 0x0600, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/1/2/u */
    { 0x067f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/2/c */
    { 0x0700, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/1/3/u */
    { 0x077f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/1/3/c */
    { 0x0800, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/2/0/u */
    { 0x087f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/0/c */
    { 0x0900, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/2/1/u */
    { 0x097f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/1/c */
    { 0x0a00, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/2/2/u */
    { 0x0a7f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/2/c */
    { 0x0b00, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/2/3/u */
    { 0x0b7f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/2/3/c */
    { 0x0c00, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/3/0/u */
    { 0x0c7f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/0/c */
    { 0x0d00, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/3/1/u */
    { 0x0d7f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/1/c */
    { 0x0e00, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/3/2/u */
    { 0x0e7f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/2/c */
    { 0x0f00, 0xfc1a, 0xf881, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875) }, /* #27/3/3/u */
    { 0x0f7f, 0xfc1a, 0x7001, RTFLOAT80U_INIT_C(0,0x7f907ce281cc1d31,6875), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #27/3/3/c */
    { 0x0000, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/0/u */
    { 0x007f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/0/c */
    { 0x0100, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/1/u */
    { 0x017f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/1/c */
    { 0x0200, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/2/u */
    { 0x027f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/2/c */
    { 0x0300, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/3/u */
    { 0x037f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/0/3/c */
    { 0x0400, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/0/u */
    { 0x047f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/0/c */
    { 0x0500, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/1/u */
    { 0x057f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/1/c */
    { 0x0600, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/2/u */
    { 0x067f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/2/c */
    { 0x0700, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/3/u */
    { 0x077f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/1/3/c */
    { 0x0800, 0x2ae7, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/0/u */
    { 0x087f, 0x2ae7, 0x3220, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/0/c */
    { 0x0900, 0x2ae7, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/1/u */
    { 0x097f, 0x2ae7, 0x3220, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/1/c */
    { 0x0a00, 0x2ae7, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/2/u */
    { 0x0a7f, 0x2ae7, 0x3220, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/2/c */
    { 0x0b00, 0x2ae7, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/3/u */
    { 0x0b7f, 0x2ae7, 0x3220, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474f,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/2/3/c */
    { 0x0c00, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/0/u */
    { 0x0c7f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/0/c */
    { 0x0d00, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/1/u */
    { 0x0d7f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/1/c */
    { 0x0e00, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/2/u */
    { 0x0e7f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/2/c */
    { 0x0f00, 0x2ae7, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/3/u */
    { 0x0f7f, 0x2ae7, 0x3020, RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0xb47474b003dd474e,12441), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #28/3/3/c */
    { 0x0000, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/0/0/u */
    { 0x007f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/0/c */
    { 0x0100, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/0/1/u */
    { 0x017f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/1/c */
    { 0x0200, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/0/2/u */
    { 0x027f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/2/c */
    { 0x0300, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/0/3/u */
    { 0x037f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/0/3/c */
    { 0x0400, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/1/0/u */
    { 0x047f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/0/c */
    { 0x0500, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/1/1/u */
    { 0x057f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/1/c */
    { 0x0600, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/1/2/u */
    { 0x067f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/2/c */
    { 0x0700, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/1/3/u */
    { 0x077f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/1/3/c */
    { 0x0800, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/2/0/u */
    { 0x087f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/0/c */
    { 0x0900, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/2/1/u */
    { 0x097f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/1/c */
    { 0x0a00, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/2/2/u */
    { 0x0a7f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/2/c */
    { 0x0b00, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/2/3/u */
    { 0x0b7f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/2/3/c */
    { 0x0c00, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/3/0/u */
    { 0x0c7f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/0/c */
    { 0x0d00, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/3/1/u */
    { 0x0d7f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/1/c */
    { 0x0e00, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/3/2/u */
    { 0x0e7f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/2/c */
    { 0x0f00, 0xec04, 0xf881, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750) }, /* #29/3/3/u */
    { 0x0f7f, 0xec04, 0x7001, RTFLOAT80U_INIT_C(1,0x47e6987a7bf8bf88,5750), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #29/3/3/c */
    { 0x0000, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/0/0/u */
    { 0x007f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/0/c */
    { 0x0100, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/0/1/u */
    { 0x017f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/1/c */
    { 0x0200, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/0/2/u */
    { 0x027f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/2/c */
    { 0x0300, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/0/3/u */
    { 0x037f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/3/c */
    { 0x0400, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/1/0/u */
    { 0x047f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/0/c */
    { 0x0500, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/1/1/u */
    { 0x057f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/1/c */
    { 0x0600, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/1/2/u */
    { 0x067f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/2/c */
    { 0x0700, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/1/3/u */
    { 0x077f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/3/c */
    { 0x0800, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/2/0/u */
    { 0x087f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/0/c */
    { 0x0900, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/2/1/u */
    { 0x097f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/1/c */
    { 0x0a00, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/2/2/u */
    { 0x0a7f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/2/c */
    { 0x0b00, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/2/3/u */
    { 0x0b7f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/3/c */
    { 0x0c00, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/3/0/u */
    { 0x0c7f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/0/c */
    { 0x0d00, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/3/1/u */
    { 0x0d7f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/1/c */
    { 0x0e00, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/3/2/u */
    { 0x0e7f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/2/c */
    { 0x0f00, 0x4851, 0xf881, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767) }, /* #30/3/3/u */
    { 0x0f7f, 0x4851, 0x7001, RTFLOAT80U_INIT_C(0,0x4994e5f17c11250,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/3/c */
    { 0x0000, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/0/0/u */
    { 0x007f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/0/0/c */
    { 0x0100, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/0/1/u */
    { 0x017f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/0/1/c */
    { 0x0200, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/0/2/u */
    { 0x027f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/0/2/c */
    { 0x0300, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/0/3/u */
    { 0x037f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/0/3/c */
    { 0x0400, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/1/0/u */
    { 0x047f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/1/0/c */
    { 0x0500, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/1/1/u */
    { 0x057f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/1/1/c */
    { 0x0600, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/1/2/u */
    { 0x067f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/1/2/c */
    { 0x0700, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/1/3/u */
    { 0x077f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/1/3/c */
    { 0x0800, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/2/0/u */
    { 0x087f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/2/0/c */
    { 0x0900, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/2/1/u */
    { 0x097f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/2/1/c */
    { 0x0a00, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/2/2/u */
    { 0x0a7f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/2/2/c */
    { 0x0b00, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/2/3/u */
    { 0x0b7f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/2/3/c */
    { 0x0c00, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/3/0/u */
    { 0x0c7f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/3/0/c */
    { 0x0d00, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/3/1/u */
    { 0x0d7f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/3/1/c */
    { 0x0e00, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/3/2/u */
    { 0x0e7f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/3/2/c */
    { 0x0f00, 0x7a03, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767) }, /* #31/3/3/u */
    { 0x0f7f, 0x7a03, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767), RTFLOAT80U_INIT_C(0,0xc000000000bf7bd0,32767) }, /* #31/3/3/c */
    { 0x0000, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/0/u */
    { 0x007f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/0/c */
    { 0x0100, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/1/u */
    { 0x017f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/1/c */
    { 0x0200, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/2/u */
    { 0x027f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/2/c */
    { 0x0300, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/3/u */
    { 0x037f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/0/3/c */
    { 0x0400, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/0/u */
    { 0x047f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/0/c */
    { 0x0500, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/1/u */
    { 0x057f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/1/c */
    { 0x0600, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/2/u */
    { 0x067f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/2/c */
    { 0x0700, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/3/u */
    { 0x077f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/1/3/c */
    { 0x0800, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/0/u */
    { 0x087f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/0/c */
    { 0x0900, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/1/u */
    { 0x097f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/1/c */
    { 0x0a00, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/2/u */
    { 0x0a7f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/2/c */
    { 0x0b00, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/3/u */
    { 0x0b7f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/2/3/c */
    { 0x0c00, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/0/u */
    { 0x0c7f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/0/c */
    { 0x0d00, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/1/u */
    { 0x0d7f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/1/c */
    { 0x0e00, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/2/u */
    { 0x0e7f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/2/c */
    { 0x0f00, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/3/u */
    { 0x0f7f, 0xc3e2, 0x7d00, RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xabaccca22e7c703d,22248) }, /* #32/3/3/c */
    { 0x0000, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/0/0/u */
    { 0x007f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/0/c */
    { 0x0100, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/0/1/u */
    { 0x017f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/1/c */
    { 0x0200, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/0/2/u */
    { 0x027f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/2/c */
    { 0x0300, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/0/3/u */
    { 0x037f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/3/c */
    { 0x0400, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/1/0/u */
    { 0x047f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/1/0/c */
    { 0x0500, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/1/1/u */
    { 0x057f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/1/1/c */
    { 0x0600, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/1/2/u */
    { 0x067f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/1/2/c */
    { 0x0700, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/1/3/u */
    { 0x077f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/1/3/c */
    { 0x0800, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/2/0/u */
    { 0x087f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/0/c */
    { 0x0900, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/2/1/u */
    { 0x097f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/1/c */
    { 0x0a00, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/2/2/u */
    { 0x0a7f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/2/c */
    { 0x0b00, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/2/3/u */
    { 0x0b7f, 0xb3fd, 0x3322, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/3/c */
    { 0x0c00, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/3/0/u */
    { 0x0c7f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/3/0/c */
    { 0x0d00, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/3/1/u */
    { 0x0d7f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/3/1/c */
    { 0x0e00, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/3/2/u */
    { 0x0e7f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/3/2/c */
    { 0x0f00, 0xb3fd, 0xb982, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0) }, /* #33/3/3/u */
    { 0x0f7f, 0xb3fd, 0x3122, RTFLOAT80U_INIT_C(0,0x80000003050b1bb9,0), RTFLOAT80U_INIT_C(0,0x80000003050b1bb8,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/3/3/c */
    { 0x0000, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/0/0/u */
    { 0x007f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/0/c */
    { 0x0100, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/0/1/u */
    { 0x017f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/1/c */
    { 0x0200, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/0/2/u */
    { 0x027f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/2/c */
    { 0x0300, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/0/3/u */
    { 0x037f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/3/c */
    { 0x0400, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/1/0/u */
    { 0x047f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/0/c */
    { 0x0500, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/1/1/u */
    { 0x057f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/1/c */
    { 0x0600, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/1/2/u */
    { 0x067f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/2/c */
    { 0x0700, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/1/3/u */
    { 0x077f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/3/c */
    { 0x0800, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/2/0/u */
    { 0x087f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/0/c */
    { 0x0900, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/2/1/u */
    { 0x097f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/1/c */
    { 0x0a00, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/2/2/u */
    { 0x0a7f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/2/c */
    { 0x0b00, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/2/3/u */
    { 0x0b7f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/3/c */
    { 0x0c00, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/3/0/u */
    { 0x0c7f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/0/c */
    { 0x0d00, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/3/1/u */
    { 0x0d7f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/1/c */
    { 0x0e00, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/3/2/u */
    { 0x0e7f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/2/c */
    { 0x0f00, 0x8dab, 0xb981, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597) }, /* #34/3/3/u */
    { 0x0f7f, 0x8dab, 0x3101, RTFLOAT80U_INIT_C(1,0x16aee15d025436,12597), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/3/c */
    { 0x0000, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/0/0/u */
    { 0x007f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/0/c */
    { 0x0100, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/0/1/u */
    { 0x017f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/1/c */
    { 0x0200, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/0/2/u */
    { 0x027f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/2/c */
    { 0x0300, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/0/3/u */
    { 0x037f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/0/3/c */
    { 0x0400, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/1/0/u */
    { 0x047f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/1/0/c */
    { 0x0500, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/1/1/u */
    { 0x057f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/1/1/c */
    { 0x0600, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/1/2/u */
    { 0x067f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/1/2/c */
    { 0x0700, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/1/3/u */
    { 0x077f, 0xea5c, 0x7222, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/1/3/c */
    { 0x0800, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/2/0/u */
    { 0x087f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/0/c */
    { 0x0900, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/2/1/u */
    { 0x097f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/1/c */
    { 0x0a00, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/2/2/u */
    { 0x0a7f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/2/c */
    { 0x0b00, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/2/3/u */
    { 0x0b7f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/2/3/c */
    { 0x0c00, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/3/0/u */
    { 0x0c7f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/3/0/c */
    { 0x0d00, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/3/1/u */
    { 0x0d7f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/3/1/c */
    { 0x0e00, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/3/2/u */
    { 0x0e7f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/3/2/c */
    { 0x0f00, 0xea5c, 0xf882, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0) }, /* #35/3/3/u */
    { 0x0f7f, 0xea5c, 0x7022, RTFLOAT80U_INIT_C(1,0xe9c7acb536baebb0,0), RTFLOAT80U_INIT_C(1,0xe9c7acb536baebaf,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #35/3/3/c */
    { 0x0000, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/0/0/u */
    { 0x007f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/0/c */
    { 0x0100, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/0/1/u */
    { 0x017f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/1/c */
    { 0x0200, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/0/2/u */
    { 0x027f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/2/c */
    { 0x0300, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/0/3/u */
    { 0x037f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/0/3/c */
    { 0x0400, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/1/0/u */
    { 0x047f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/0/c */
    { 0x0500, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/1/1/u */
    { 0x057f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/1/c */
    { 0x0600, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/1/2/u */
    { 0x067f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/2/c */
    { 0x0700, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/1/3/u */
    { 0x077f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/1/3/c */
    { 0x0800, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/2/0/u */
    { 0x087f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/0/c */
    { 0x0900, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/2/1/u */
    { 0x097f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/1/c */
    { 0x0a00, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/2/2/u */
    { 0x0a7f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/2/c */
    { 0x0b00, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/2/3/u */
    { 0x0b7f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/2/3/c */
    { 0x0c00, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/3/0/u */
    { 0x0c7f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/0/c */
    { 0x0d00, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/3/1/u */
    { 0x0d7f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/1/c */
    { 0x0e00, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/3/2/u */
    { 0x0e7f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/2/c */
    { 0x0f00, 0x2002, 0xb881, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x499225,32767) }, /* #36/3/3/u */
    { 0x0f7f, 0x2002, 0x3001, RTFLOAT80U_INIT_C(0,0x499225,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #36/3/3/c */
    { 0x0000, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/0/u */
    { 0x007f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/0/c */
    { 0x0100, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/1/u */
    { 0x017f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/1/c */
    { 0x0200, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/2/u */
    { 0x027f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/2/c */
    { 0x0300, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/3/u */
    { 0x037f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/3/c */
    { 0x0400, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/0/u */
    { 0x047f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/0/c */
    { 0x0500, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/1/u */
    { 0x057f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/1/c */
    { 0x0600, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/2/u */
    { 0x067f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/2/c */
    { 0x0700, 0x530a, 0xf3a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/3/u */
    { 0x077f, 0x530a, 0x7320, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/1/3/c */
    { 0x0800, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/0/u */
    { 0x087f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/0/c */
    { 0x0900, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/1/u */
    { 0x097f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/1/c */
    { 0x0a00, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/2/u */
    { 0x0a7f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/2/c */
    { 0x0b00, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/3/u */
    { 0x0b7f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/3/c */
    { 0x0c00, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/0/u */
    { 0x0c7f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/0/c */
    { 0x0d00, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/1/u */
    { 0x0d7f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/1/c */
    { 0x0e00, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/2/u */
    { 0x0e7f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/2/c */
    { 0x0f00, 0x530a, 0xf1a0, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/3/u */
    { 0x0f7f, 0x530a, 0x7120, RTFLOAT80U_INIT_C(1,0xaafe7269f4646471,607), RTFLOAT80U_INIT_C(1,0xaafe7269f4646470,607), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/3/3/c */
    { 0x0000, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/0/u */
    { 0x007f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/0/c */
    { 0x0100, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/1/u */
    { 0x017f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/1/c */
    { 0x0200, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/2/u */
    { 0x027f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/2/c */
    { 0x0300, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/3/u */
    { 0x037f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/0/3/c */
    { 0x0400, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/0/u */
    { 0x047f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/0/c */
    { 0x0500, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/1/u */
    { 0x057f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/1/c */
    { 0x0600, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/2/u */
    { 0x067f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/2/c */
    { 0x0700, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/3/u */
    { 0x077f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/1/3/c */
    { 0x0800, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/0/u */
    { 0x087f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/0/c */
    { 0x0900, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/1/u */
    { 0x097f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/1/c */
    { 0x0a00, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/2/u */
    { 0x0a7f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/2/c */
    { 0x0b00, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/3/u */
    { 0x0b7f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/2/3/c */
    { 0x0c00, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/0/u */
    { 0x0c7f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/0/c */
    { 0x0d00, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/1/u */
    { 0x0d7f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/1/c */
    { 0x0e00, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/2/u */
    { 0x0e7f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/2/c */
    { 0x0f00, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/3/u */
    { 0x0f7f, 0xb58e, 0x3100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #38/3/3/c */
    { 0x0000, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/0/0/u */
    { 0x007f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/0/c */
    { 0x0100, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/0/1/u */
    { 0x017f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/1/c */
    { 0x0200, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/0/2/u */
    { 0x027f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/2/c */
    { 0x0300, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/0/3/u */
    { 0x037f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/3/c */
    { 0x0400, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/1/0/u */
    { 0x047f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/0/c */
    { 0x0500, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/1/1/u */
    { 0x057f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/1/c */
    { 0x0600, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/1/2/u */
    { 0x067f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/2/c */
    { 0x0700, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/1/3/u */
    { 0x077f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/3/c */
    { 0x0800, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/2/0/u */
    { 0x087f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/0/c */
    { 0x0900, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/2/1/u */
    { 0x097f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/1/c */
    { 0x0a00, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/2/2/u */
    { 0x0a7f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/2/c */
    { 0x0b00, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/2/3/u */
    { 0x0b7f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/3/c */
    { 0x0c00, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/3/0/u */
    { 0x0c7f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/0/c */
    { 0x0d00, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/3/1/u */
    { 0x0d7f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/1/c */
    { 0x0e00, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/3/2/u */
    { 0x0e7f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/2/c */
    { 0x0f00, 0x03ba, 0xb981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #39/3/3/u */
    { 0x0f7f, 0x03ba, 0x3101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/3/c */
    { 0x0000, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/0/0/u */
    { 0x007f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/0/c */
    { 0x0100, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/0/1/u */
    { 0x017f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/1/c */
    { 0x0200, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/0/2/u */
    { 0x027f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/2/c */
    { 0x0300, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/0/3/u */
    { 0x037f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/0/3/c */
    { 0x0400, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/1/0/u */
    { 0x047f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/0/c */
    { 0x0500, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/1/1/u */
    { 0x057f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/1/c */
    { 0x0600, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/1/2/u */
    { 0x067f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/2/c */
    { 0x0700, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/1/3/u */
    { 0x077f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/1/3/c */
    { 0x0800, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/2/0/u */
    { 0x087f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/0/c */
    { 0x0900, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/2/1/u */
    { 0x097f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/1/c */
    { 0x0a00, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/2/2/u */
    { 0x0a7f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/2/c */
    { 0x0b00, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/2/3/u */
    { 0x0b7f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/2/3/c */
    { 0x0c00, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/3/0/u */
    { 0x0c7f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/0/c */
    { 0x0d00, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/3/1/u */
    { 0x0d7f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/1/c */
    { 0x0e00, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/3/2/u */
    { 0x0e7f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/2/c */
    { 0x0f00, 0x3eeb, 0xb881, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120) }, /* #40/3/3/u */
    { 0x0f7f, 0x3eeb, 0x3001, RTFLOAT80U_INIT_C(1,0x16211d4d184cbd51,22120), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #40/3/3/c */
    { 0x0000, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/0/0/u */
    { 0x007f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/0/0/c */
    { 0x0100, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/0/1/u */
    { 0x017f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/0/1/c */
    { 0x0200, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/0/2/u */
    { 0x027f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/0/2/c */
    { 0x0300, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/0/3/u */
    { 0x037f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/0/3/c */
    { 0x0400, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/1/0/u */
    { 0x047f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/1/0/c */
    { 0x0500, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/1/1/u */
    { 0x057f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/1/1/c */
    { 0x0600, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/1/2/u */
    { 0x067f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/1/2/c */
    { 0x0700, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/1/3/u */
    { 0x077f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/1/3/c */
    { 0x0800, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/2/0/u */
    { 0x087f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/2/0/c */
    { 0x0900, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/2/1/u */
    { 0x097f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/2/1/c */
    { 0x0a00, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/2/2/u */
    { 0x0a7f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/2/2/c */
    { 0x0b00, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/2/3/u */
    { 0x0b7f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/2/3/c */
    { 0x0c00, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/3/0/u */
    { 0x0c7f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/3/0/c */
    { 0x0d00, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/3/1/u */
    { 0x0d7f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/3/1/c */
    { 0x0e00, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/3/2/u */
    { 0x0e7f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/3/2/c */
    { 0x0f00, 0xff4e, 0xf981, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784) }, /* #41/3/3/u */
    { 0x0f7f, 0xff4e, 0x7101, RTFLOAT80U_INIT_C(1,0x1adf14557998bdf,14784), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #41/3/3/c */
    { 0x0000, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/0/u */
    { 0x007f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/0/c */
    { 0x0100, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/1/u */
    { 0x017f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/1/c */
    { 0x0200, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/2/u */
    { 0x027f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/2/c */
    { 0x0300, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/3/u */
    { 0x037f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/3/c */
    { 0x0400, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/0/u */
    { 0x047f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/0/c */
    { 0x0500, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/1/u */
    { 0x057f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/1/c */
    { 0x0600, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/2/u */
    { 0x067f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/2/c */
    { 0x0700, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/3/u */
    { 0x077f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/1/3/c */
    { 0x0800, 0x06cf, 0xb2a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/0/u */
    { 0x087f, 0x06cf, 0x3220, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/0/c */
    { 0x0900, 0x06cf, 0xb2a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/1/u */
    { 0x097f, 0x06cf, 0x3220, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/1/c */
    { 0x0a00, 0x06cf, 0xb2a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/2/u */
    { 0x0a7f, 0x06cf, 0x3220, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/2/c */
    { 0x0b00, 0x06cf, 0xb2a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/3/u */
    { 0x0b7f, 0x06cf, 0x3220, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725b,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/3/c */
    { 0x0c00, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/0/u */
    { 0x0c7f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/0/c */
    { 0x0d00, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/1/u */
    { 0x0d7f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/1/c */
    { 0x0e00, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/2/u */
    { 0x0e7f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/2/c */
    { 0x0f00, 0x06cf, 0xb0a0, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/3/u */
    { 0x0f7f, 0x06cf, 0x3020, RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0xbcb67cea13e5725a,1481), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/3/3/c */
    { 0x0000, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/0/0/u */
    { 0x007f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/0/c */
    { 0x0100, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/0/1/u */
    { 0x017f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/1/c */
    { 0x0200, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/0/2/u */
    { 0x027f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/2/c */
    { 0x0300, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/0/3/u */
    { 0x037f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/0/3/c */
    { 0x0400, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/1/0/u */
    { 0x047f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/1/0/c */
    { 0x0500, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/1/1/u */
    { 0x057f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/1/1/c */
    { 0x0600, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/1/2/u */
    { 0x067f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/1/2/c */
    { 0x0700, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/1/3/u */
    { 0x077f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/1/3/c */
    { 0x0800, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/2/0/u */
    { 0x087f, 0xae80, 0x3222, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/0/c */
    { 0x0900, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/2/1/u */
    { 0x097f, 0xae80, 0x3222, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/1/c */
    { 0x0a00, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/2/2/u */
    { 0x0a7f, 0xae80, 0x3222, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/2/c */
    { 0x0b00, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/2/3/u */
    { 0x0b7f, 0xae80, 0x3222, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/2/3/c */
    { 0x0c00, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/3/0/u */
    { 0x0c7f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/3/0/c */
    { 0x0d00, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/3/1/u */
    { 0x0d7f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/3/1/c */
    { 0x0e00, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/3/2/u */
    { 0x0e7f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/3/2/c */
    { 0x0f00, 0xae80, 0xb882, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,0) }, /* #43/3/3/u */
    { 0x0f7f, 0xae80, 0x3022, RTFLOAT80U_INIT_C(0,0x800000000000019e,0), RTFLOAT80U_INIT_C(0,0x800000000000019e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #43/3/3/c */
    { 0x0000, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/0/0/u */
    { 0x007f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/0/0/c */
    { 0x0100, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/0/1/u */
    { 0x017f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/0/1/c */
    { 0x0200, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/0/2/u */
    { 0x027f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/0/2/c */
    { 0x0300, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/0/3/u */
    { 0x037f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/0/3/c */
    { 0x0400, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/1/0/u */
    { 0x047f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/1/0/c */
    { 0x0500, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/1/1/u */
    { 0x057f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/1/1/c */
    { 0x0600, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/1/2/u */
    { 0x067f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/1/2/c */
    { 0x0700, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/1/3/u */
    { 0x077f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/1/3/c */
    { 0x0800, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/2/0/u */
    { 0x087f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/2/0/c */
    { 0x0900, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/2/1/u */
    { 0x097f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/2/1/c */
    { 0x0a00, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/2/2/u */
    { 0x0a7f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/2/2/c */
    { 0x0b00, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/2/3/u */
    { 0x0b7f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/2/3/c */
    { 0x0c00, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/3/0/u */
    { 0x0c7f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/3/0/c */
    { 0x0d00, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/3/1/u */
    { 0x0d7f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/3/1/c */
    { 0x0e00, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/3/2/u */
    { 0x0e7f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/3/2/c */
    { 0x0f00, 0xa7d0, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #44/3/3/u */
    { 0x0f7f, 0xa7d0, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #44/3/3/c */
    { 0x0000, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/0/0/u */
    { 0x007f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/0/0/c */
    { 0x0100, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/0/1/u */
    { 0x017f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/0/1/c */
    { 0x0200, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/0/2/u */
    { 0x027f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/0/2/c */
    { 0x0300, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/0/3/u */
    { 0x037f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/0/3/c */
    { 0x0400, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/1/0/u */
    { 0x047f, 0x3ab3, 0x3232, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bad,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/1/0/c */
    { 0x0500, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/1/1/u */
    { 0x057f, 0x3ab3, 0x3232, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bad,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/1/1/c */
    { 0x0600, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/1/2/u */
    { 0x067f, 0x3ab3, 0x3232, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bad,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/1/2/c */
    { 0x0700, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/1/3/u */
    { 0x077f, 0x3ab3, 0x3232, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bad,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/1/3/c */
    { 0x0800, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/2/0/u */
    { 0x087f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/2/0/c */
    { 0x0900, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/2/1/u */
    { 0x097f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/2/1/c */
    { 0x0a00, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/2/2/u */
    { 0x0a7f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/2/2/c */
    { 0x0b00, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/2/3/u */
    { 0x0b7f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/2/3/c */
    { 0x0c00, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/3/0/u */
    { 0x0c7f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/3/0/c */
    { 0x0d00, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/3/1/u */
    { 0x0d7f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/3/1/c */
    { 0x0e00, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/3/2/u */
    { 0x0e7f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/3/2/c */
    { 0x0f00, 0x3ab3, 0xb882, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0) }, /* #45/3/3/u */
    { 0x0f7f, 0x3ab3, 0x3032, RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(1,0x3425a49e54a55bac,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #45/3/3/c */
    { 0x0000, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/0/0/u */
    { 0x007f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/0/c */
    { 0x0100, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/0/1/u */
    { 0x017f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/1/c */
    { 0x0200, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/0/2/u */
    { 0x027f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/2/c */
    { 0x0300, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/0/3/u */
    { 0x037f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/0/3/c */
    { 0x0400, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/1/0/u */
    { 0x047f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/0/c */
    { 0x0500, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/1/1/u */
    { 0x057f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/1/c */
    { 0x0600, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/1/2/u */
    { 0x067f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/2/c */
    { 0x0700, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/1/3/u */
    { 0x077f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/1/3/c */
    { 0x0800, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/2/0/u */
    { 0x087f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/0/c */
    { 0x0900, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/2/1/u */
    { 0x097f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/1/c */
    { 0x0a00, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/2/2/u */
    { 0x0a7f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/2/c */
    { 0x0b00, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/2/3/u */
    { 0x0b7f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/2/3/c */
    { 0x0c00, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/3/0/u */
    { 0x0c7f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/0/c */
    { 0x0d00, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/3/1/u */
    { 0x0d7f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/1/c */
    { 0x0e00, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/3/2/u */
    { 0x0e7f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/2/c */
    { 0x0f00, 0xcc8c, 0xf881, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1d,32767) }, /* #46/3/3/u */
    { 0x0f7f, 0xcc8c, 0x7001, RTFLOAT80U_INIT_C(1,0x1d,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #46/3/3/c */
    { 0x0000, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/0/0/u */
    { 0x007f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/0/0/c */
    { 0x0100, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/0/1/u */
    { 0x017f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/0/1/c */
    { 0x0200, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/0/2/u */
    { 0x027f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/0/2/c */
    { 0x0300, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/0/3/u */
    { 0x037f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/0/3/c */
    { 0x0400, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/1/0/u */
    { 0x047f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/1/0/c */
    { 0x0500, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/1/1/u */
    { 0x057f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/1/1/c */
    { 0x0600, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/1/2/u */
    { 0x067f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/1/2/c */
    { 0x0700, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/1/3/u */
    { 0x077f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/1/3/c */
    { 0x0800, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/2/0/u */
    { 0x087f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/2/0/c */
    { 0x0900, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/2/1/u */
    { 0x097f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/2/1/c */
    { 0x0a00, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/2/2/u */
    { 0x0a7f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/2/2/c */
    { 0x0b00, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/2/3/u */
    { 0x0b7f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/2/3/c */
    { 0x0c00, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/3/0/u */
    { 0x0c7f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/3/0/c */
    { 0x0d00, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/3/1/u */
    { 0x0d7f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/3/1/c */
    { 0x0e00, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/3/2/u */
    { 0x0e7f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/3/2/c */
    { 0x0f00, 0xe8cb, 0xf881, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755) }, /* #47/3/3/u */
    { 0x0f7f, 0xe8cb, 0x7001, RTFLOAT80U_INIT_C(0,0x36b2b663c7ab2b77,14755), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #47/3/3/c */
    { 0x0000, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/0/0/u */
    { 0x007f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/0/0/c */
    { 0x0100, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/0/1/u */
    { 0x017f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/0/1/c */
    { 0x0200, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/0/2/u */
    { 0x027f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/0/2/c */
    { 0x0300, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/0/3/u */
    { 0x037f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/0/3/c */
    { 0x0400, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/1/0/u */
    { 0x047f, 0xa427, 0x3232, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c19389300,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/1/0/c */
    { 0x0500, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/1/1/u */
    { 0x057f, 0xa427, 0x3232, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c19389300,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/1/1/c */
    { 0x0600, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/1/2/u */
    { 0x067f, 0xa427, 0x3232, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c19389300,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/1/2/c */
    { 0x0700, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/1/3/u */
    { 0x077f, 0xa427, 0x3232, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c19389300,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/1/3/c */
    { 0x0800, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/2/0/u */
    { 0x087f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/2/0/c */
    { 0x0900, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/2/1/u */
    { 0x097f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/2/1/c */
    { 0x0a00, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/2/2/u */
    { 0x0a7f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/2/2/c */
    { 0x0b00, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/2/3/u */
    { 0x0b7f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/2/3/c */
    { 0x0c00, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/3/0/u */
    { 0x0c7f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/3/0/c */
    { 0x0d00, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/3/1/u */
    { 0x0d7f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/3/1/c */
    { 0x0e00, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/3/2/u */
    { 0x0e7f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/3/2/c */
    { 0x0f00, 0xa427, 0xb882, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0) }, /* #48/3/3/u */
    { 0x0f7f, 0xa427, 0x3032, RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(1,0x113ad11c193892ff,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #48/3/3/c */
    { 0x0000, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/0/0/u */
    { 0x007f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/0/c */
    { 0x0100, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/0/1/u */
    { 0x017f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/1/c */
    { 0x0200, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/0/2/u */
    { 0x027f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/2/c */
    { 0x0300, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/0/3/u */
    { 0x037f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/0/3/c */
    { 0x0400, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/1/0/u */
    { 0x047f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/0/c */
    { 0x0500, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/1/1/u */
    { 0x057f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/1/c */
    { 0x0600, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/1/2/u */
    { 0x067f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/2/c */
    { 0x0700, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/1/3/u */
    { 0x077f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/1/3/c */
    { 0x0800, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/2/0/u */
    { 0x087f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/0/c */
    { 0x0900, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/2/1/u */
    { 0x097f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/1/c */
    { 0x0a00, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/2/2/u */
    { 0x0a7f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/2/c */
    { 0x0b00, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/2/3/u */
    { 0x0b7f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/2/3/c */
    { 0x0c00, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/3/0/u */
    { 0x0c7f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/0/c */
    { 0x0d00, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/3/1/u */
    { 0x0d7f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/1/c */
    { 0x0e00, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/3/2/u */
    { 0x0e7f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/2/c */
    { 0x0f00, 0x17c4, 0xb981, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963) }, /* #49/3/3/u */
    { 0x0f7f, 0x17c4, 0x3101, RTFLOAT80U_INIT_C(0,0x4672ffd34ae32486,30963), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #49/3/3/c */
    { 0x0000, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/0/0/u */
    { 0x007f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/0/c */
    { 0x0100, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/0/1/u */
    { 0x017f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/1/c */
    { 0x0200, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/0/2/u */
    { 0x027f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/2/c */
    { 0x0300, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/0/3/u */
    { 0x037f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/0/3/c */
    { 0x0400, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/1/0/u */
    { 0x047f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/0/c */
    { 0x0500, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/1/1/u */
    { 0x057f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/1/c */
    { 0x0600, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/1/2/u */
    { 0x067f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/2/c */
    { 0x0700, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/1/3/u */
    { 0x077f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/1/3/c */
    { 0x0800, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/2/0/u */
    { 0x087f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/0/c */
    { 0x0900, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/2/1/u */
    { 0x097f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/1/c */
    { 0x0a00, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/2/2/u */
    { 0x0a7f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/2/c */
    { 0x0b00, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/2/3/u */
    { 0x0b7f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/2/3/c */
    { 0x0c00, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/3/0/u */
    { 0x0c7f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/0/c */
    { 0x0d00, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/3/1/u */
    { 0x0d7f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/1/c */
    { 0x0e00, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/3/2/u */
    { 0x0e7f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/2/c */
    { 0x0f00, 0x6bdc, 0xf981, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022) }, /* #50/3/3/u */
    { 0x0f7f, 0x6bdc, 0x7101, RTFLOAT80U_INIT_C(1,0xc0d0b3842185753,4022), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #50/3/3/c */
    { 0x0000, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/0/0/u */
    { 0x007f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/0/c */
    { 0x0100, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/0/1/u */
    { 0x017f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/1/c */
    { 0x0200, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/0/2/u */
    { 0x027f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/2/c */
    { 0x0300, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/0/3/u */
    { 0x037f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/0/3/c */
    { 0x0400, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/1/0/u */
    { 0x047f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/0/c */
    { 0x0500, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/1/1/u */
    { 0x057f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/1/c */
    { 0x0600, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/1/2/u */
    { 0x067f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/2/c */
    { 0x0700, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/1/3/u */
    { 0x077f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/1/3/c */
    { 0x0800, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/2/0/u */
    { 0x087f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/0/c */
    { 0x0900, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/2/1/u */
    { 0x097f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/1/c */
    { 0x0a00, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/2/2/u */
    { 0x0a7f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/2/c */
    { 0x0b00, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/2/3/u */
    { 0x0b7f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/2/3/c */
    { 0x0c00, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/3/0/u */
    { 0x0c7f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/0/c */
    { 0x0d00, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/3/1/u */
    { 0x0d7f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/1/c */
    { 0x0e00, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/3/2/u */
    { 0x0e7f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/2/c */
    { 0x0f00, 0x0827, 0xb881, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767) }, /* #51/3/3/u */
    { 0x0f7f, 0x0827, 0x3001, RTFLOAT80U_INIT_C(0,0x2fe3a9bbfdc856aa,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #51/3/3/c */
    { 0x0000, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/0/u */
    { 0x007f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/0/c */
    { 0x0100, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/1/u */
    { 0x017f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/1/c */
    { 0x0200, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/2/u */
    { 0x027f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/2/c */
    { 0x0300, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/3/u */
    { 0x037f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/0/3/c */
    { 0x0400, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/0/u */
    { 0x047f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/0/c */
    { 0x0500, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/1/u */
    { 0x057f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/1/c */
    { 0x0600, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/2/u */
    { 0x067f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/2/c */
    { 0x0700, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/3/u */
    { 0x077f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/1/3/c */
    { 0x0800, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/0/u */
    { 0x087f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/0/c */
    { 0x0900, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/1/u */
    { 0x097f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/1/c */
    { 0x0a00, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/2/u */
    { 0x0a7f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/2/c */
    { 0x0b00, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/3/u */
    { 0x0b7f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/2/3/c */
    { 0x0c00, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/0/u */
    { 0x0c7f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/0/c */
    { 0x0d00, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/1/u */
    { 0x0d7f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/1/c */
    { 0x0e00, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/2/u */
    { 0x0e7f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/2/c */
    { 0x0f00, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/3/u */
    { 0x0f7f, 0x007f, 0x3c00, RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcf47a323745845b1,30590) }, /* #52/3/3/c */
    { 0x0000, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/0/u */
    { 0x007f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/0/c */
    { 0x0100, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/1/u */
    { 0x017f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/1/c */
    { 0x0200, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/2/u */
    { 0x027f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/2/c */
    { 0x0300, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/3/u */
    { 0x037f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/0/3/c */
    { 0x0400, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/0/u */
    { 0x047f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/0/c */
    { 0x0500, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/1/u */
    { 0x057f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/1/c */
    { 0x0600, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/2/u */
    { 0x067f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/2/c */
    { 0x0700, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/3/u */
    { 0x077f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/1/3/c */
    { 0x0800, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/0/u */
    { 0x087f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/0/c */
    { 0x0900, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/1/u */
    { 0x097f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/1/c */
    { 0x0a00, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/2/u */
    { 0x0a7f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/2/c */
    { 0x0b00, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/3/u */
    { 0x0b7f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/2/3/c */
    { 0x0c00, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/0/u */
    { 0x0c7f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/0/c */
    { 0x0d00, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/1/u */
    { 0x0d7f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/1/c */
    { 0x0e00, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/2/u */
    { 0x0e7f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/2/c */
    { 0x0f00, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/3/u */
    { 0x0f7f, 0xcda5, 0x7d00, RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe9112be5a7eeb686,23667) }, /* #53/3/3/c */
    { 0x0000, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/0/0/u */
    { 0x007f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/0/c */
    { 0x0100, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/0/1/u */
    { 0x017f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/1/c */
    { 0x0200, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/0/2/u */
    { 0x027f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/2/c */
    { 0x0300, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/0/3/u */
    { 0x037f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/3/c */
    { 0x0400, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/1/0/u */
    { 0x047f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/0/c */
    { 0x0500, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/1/1/u */
    { 0x057f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/1/c */
    { 0x0600, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/1/2/u */
    { 0x067f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/2/c */
    { 0x0700, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/1/3/u */
    { 0x077f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/3/c */
    { 0x0800, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/2/0/u */
    { 0x087f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/0/c */
    { 0x0900, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/2/1/u */
    { 0x097f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/1/c */
    { 0x0a00, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/2/2/u */
    { 0x0a7f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/2/c */
    { 0x0b00, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/2/3/u */
    { 0x0b7f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/3/c */
    { 0x0c00, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/3/0/u */
    { 0x0c7f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/0/c */
    { 0x0d00, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/3/1/u */
    { 0x0d7f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/1/c */
    { 0x0e00, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/3/2/u */
    { 0x0e7f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/2/c */
    { 0x0f00, 0x5e11, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #54/3/3/u */
    { 0x0f7f, 0x5e11, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/3/c */
    { 0x0000, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/0/u */
    { 0x007f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/0/c */
    { 0x0100, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/1/u */
    { 0x017f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/1/c */
    { 0x0200, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/2/u */
    { 0x027f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/2/c */
    { 0x0300, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/3/u */
    { 0x037f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/0/3/c */
    { 0x0400, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/0/u */
    { 0x047f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/0/c */
    { 0x0500, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/1/u */
    { 0x057f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/1/c */
    { 0x0600, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/2/u */
    { 0x067f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/2/c */
    { 0x0700, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/3/u */
    { 0x077f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/1/3/c */
    { 0x0800, 0x33b9, 0xb3a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/0/u */
    { 0x087f, 0x33b9, 0x3320, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/0/c */
    { 0x0900, 0x33b9, 0xb3a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/1/u */
    { 0x097f, 0x33b9, 0x3320, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/1/c */
    { 0x0a00, 0x33b9, 0xb3a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/2/u */
    { 0x0a7f, 0x33b9, 0x3320, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/2/c */
    { 0x0b00, 0x33b9, 0xb3a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/3/u */
    { 0x0b7f, 0x33b9, 0x3320, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaaf,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/2/3/c */
    { 0x0c00, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/0/u */
    { 0x0c7f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/0/c */
    { 0x0d00, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/1/u */
    { 0x0d7f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/1/c */
    { 0x0e00, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/2/u */
    { 0x0e7f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/2/c */
    { 0x0f00, 0x33b9, 0xb1a0, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/3/u */
    { 0x0f7f, 0x33b9, 0x3120, RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8b3df5a9feafdaae,12291), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #55/3/3/c */
    { 0x0000, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/0/u */
    { 0x007f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/0/c */
    { 0x0100, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/1/u */
    { 0x017f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/1/c */
    { 0x0200, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/2/u */
    { 0x027f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/2/c */
    { 0x0300, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/3/u */
    { 0x037f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/0/3/c */
    { 0x0400, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/0/u */
    { 0x047f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/0/c */
    { 0x0500, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/1/u */
    { 0x057f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/1/c */
    { 0x0600, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/2/u */
    { 0x067f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/2/c */
    { 0x0700, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/3/u */
    { 0x077f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/1/3/c */
    { 0x0800, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/0/u */
    { 0x087f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/0/c */
    { 0x0900, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/1/u */
    { 0x097f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/1/c */
    { 0x0a00, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/2/u */
    { 0x0a7f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/2/c */
    { 0x0b00, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/3/u */
    { 0x0b7f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/2/3/c */
    { 0x0c00, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/0/u */
    { 0x0c7f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/0/c */
    { 0x0d00, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/1/u */
    { 0x0d7f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/1/c */
    { 0x0e00, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/2/u */
    { 0x0e7f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/2/c */
    { 0x0f00, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/3/u */
    { 0x0f7f, 0x89fb, 0x3d00, RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xcc05fde3af68d729,26899) }, /* #56/3/3/c */
    { 0x0000, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/0/u */
    { 0x007f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/0/c */
    { 0x0100, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/1/u */
    { 0x017f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/1/c */
    { 0x0200, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/2/u */
    { 0x027f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/2/c */
    { 0x0300, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/3/u */
    { 0x037f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/0/3/c */
    { 0x0400, 0xe58b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/0/u */
    { 0x047f, 0xe58b, 0x7320, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/0/c */
    { 0x0500, 0xe58b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/1/u */
    { 0x057f, 0xe58b, 0x7320, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/1/c */
    { 0x0600, 0xe58b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/2/u */
    { 0x067f, 0xe58b, 0x7320, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/2/c */
    { 0x0700, 0xe58b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/3/u */
    { 0x077f, 0xe58b, 0x7320, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be870,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/1/3/c */
    { 0x0800, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/0/u */
    { 0x087f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/0/c */
    { 0x0900, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/1/u */
    { 0x097f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/1/c */
    { 0x0a00, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/2/u */
    { 0x0a7f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/2/c */
    { 0x0b00, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/3/u */
    { 0x0b7f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/2/3/c */
    { 0x0c00, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/0/u */
    { 0x0c7f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/0/c */
    { 0x0d00, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/1/u */
    { 0x0d7f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/1/c */
    { 0x0e00, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/2/u */
    { 0x0e7f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/2/c */
    { 0x0f00, 0xe58b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/3/u */
    { 0x0f7f, 0xe58b, 0x7120, RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(1,0xd6d9091af07be86f,13953), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #57/3/3/c */
    { 0x0000, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/0/0/u */
    { 0x007f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/0/0/c */
    { 0x0100, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/0/1/u */
    { 0x017f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/0/1/c */
    { 0x0200, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/0/2/u */
    { 0x027f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/0/2/c */
    { 0x0300, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/0/3/u */
    { 0x037f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/0/3/c */
    { 0x0400, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/1/0/u */
    { 0x047f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/1/0/c */
    { 0x0500, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/1/1/u */
    { 0x057f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/1/1/c */
    { 0x0600, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/1/2/u */
    { 0x067f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/1/2/c */
    { 0x0700, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/1/3/u */
    { 0x077f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/1/3/c */
    { 0x0800, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/2/0/u */
    { 0x087f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/2/0/c */
    { 0x0900, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/2/1/u */
    { 0x097f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/2/1/c */
    { 0x0a00, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/2/2/u */
    { 0x0a7f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/2/2/c */
    { 0x0b00, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/2/3/u */
    { 0x0b7f, 0x41c2, 0x7332, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/2/3/c */
    { 0x0c00, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/3/0/u */
    { 0x0c7f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/3/0/c */
    { 0x0d00, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/3/1/u */
    { 0x0d7f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/3/1/c */
    { 0x0e00, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/3/2/u */
    { 0x0e7f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/3/2/c */
    { 0x0f00, 0x41c2, 0xf982, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0) }, /* #58/3/3/u */
    { 0x0f7f, 0x41c2, 0x7132, RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da2,0), RTFLOAT80U_INIT_C(0,0x4cef60eb53f73da1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #58/3/3/c */
    { 0x0000, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/0/0/u */
    { 0x007f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/0/c */
    { 0x0100, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/0/1/u */
    { 0x017f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/1/c */
    { 0x0200, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/0/2/u */
    { 0x027f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/2/c */
    { 0x0300, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/0/3/u */
    { 0x037f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/3/c */
    { 0x0400, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/1/0/u */
    { 0x047f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/0/c */
    { 0x0500, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/1/1/u */
    { 0x057f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/1/c */
    { 0x0600, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/1/2/u */
    { 0x067f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/2/c */
    { 0x0700, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/1/3/u */
    { 0x077f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/3/c */
    { 0x0800, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/2/0/u */
    { 0x087f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/0/c */
    { 0x0900, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/2/1/u */
    { 0x097f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/1/c */
    { 0x0a00, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/2/2/u */
    { 0x0a7f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/2/c */
    { 0x0b00, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/2/3/u */
    { 0x0b7f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/3/c */
    { 0x0c00, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/3/0/u */
    { 0x0c7f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/0/c */
    { 0x0d00, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/3/1/u */
    { 0x0d7f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/1/c */
    { 0x0e00, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/3/2/u */
    { 0x0e7f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/2/c */
    { 0x0f00, 0x4b7e, 0xf981, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533) }, /* #59/3/3/u */
    { 0x0f7f, 0x4b7e, 0x7101, RTFLOAT80U_INIT_C(1,0x1bf1b0087de65183,27533), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/3/c */
    { 0x0000, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/0/0/u */
    { 0x007f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/0/c */
    { 0x0100, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/0/1/u */
    { 0x017f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/1/c */
    { 0x0200, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/0/2/u */
    { 0x027f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/2/c */
    { 0x0300, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/0/3/u */
    { 0x037f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/0/3/c */
    { 0x0400, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/1/0/u */
    { 0x047f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/0/c */
    { 0x0500, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/1/1/u */
    { 0x057f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/1/c */
    { 0x0600, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/1/2/u */
    { 0x067f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/2/c */
    { 0x0700, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/1/3/u */
    { 0x077f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/1/3/c */
    { 0x0800, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/2/0/u */
    { 0x087f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/0/c */
    { 0x0900, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/2/1/u */
    { 0x097f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/1/c */
    { 0x0a00, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/2/2/u */
    { 0x0a7f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/2/c */
    { 0x0b00, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/2/3/u */
    { 0x0b7f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/2/3/c */
    { 0x0c00, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/3/0/u */
    { 0x0c7f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/0/c */
    { 0x0d00, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/3/1/u */
    { 0x0d7f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/1/c */
    { 0x0e00, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/3/2/u */
    { 0x0e7f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/2/c */
    { 0x0f00, 0x92a9, 0xb881, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767) }, /* #60/3/3/u */
    { 0x0f7f, 0x92a9, 0x3001, RTFLOAT80U_INIT_C(1,0x6b06b3d995fc5c29,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #60/3/3/c */
    { 0x0000, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/0/0/u */
    { 0x007f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/0/0/c */
    { 0x0100, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/0/1/u */
    { 0x017f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/0/1/c */
    { 0x0200, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/0/2/u */
    { 0x027f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/0/2/c */
    { 0x0300, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/0/3/u */
    { 0x037f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/0/3/c */
    { 0x0400, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/1/0/u */
    { 0x047f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/1/0/c */
    { 0x0500, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/1/1/u */
    { 0x057f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/1/1/c */
    { 0x0600, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/1/2/u */
    { 0x067f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/1/2/c */
    { 0x0700, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/1/3/u */
    { 0x077f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/1/3/c */
    { 0x0800, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/2/0/u */
    { 0x087f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/2/0/c */
    { 0x0900, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/2/1/u */
    { 0x097f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/2/1/c */
    { 0x0a00, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/2/2/u */
    { 0x0a7f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/2/2/c */
    { 0x0b00, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/2/3/u */
    { 0x0b7f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/2/3/c */
    { 0x0c00, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/3/0/u */
    { 0x0c7f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/3/0/c */
    { 0x0d00, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/3/1/u */
    { 0x0d7f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/3/1/c */
    { 0x0e00, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/3/2/u */
    { 0x0e7f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/3/2/c */
    { 0x0f00, 0xd981, 0xf981, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405) }, /* #61/3/3/u */
    { 0x0f7f, 0xd981, 0x7101, RTFLOAT80U_INIT_C(0,0x4ee510ba4b6cb8fd,19405), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #61/3/3/c */
    { 0x0000, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/0/0/u */
    { 0x007f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/0/0/c */
    { 0x0100, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/0/1/u */
    { 0x017f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/0/1/c */
    { 0x0200, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/0/2/u */
    { 0x027f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/0/2/c */
    { 0x0300, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/0/3/u */
    { 0x037f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/0/3/c */
    { 0x0400, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/1/0/u */
    { 0x047f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/1/0/c */
    { 0x0500, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/1/1/u */
    { 0x057f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/1/1/c */
    { 0x0600, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/1/2/u */
    { 0x067f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/1/2/c */
    { 0x0700, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/1/3/u */
    { 0x077f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/1/3/c */
    { 0x0800, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/2/0/u */
    { 0x087f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/2/0/c */
    { 0x0900, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/2/1/u */
    { 0x097f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/2/1/c */
    { 0x0a00, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/2/2/u */
    { 0x0a7f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/2/2/c */
    { 0x0b00, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/2/3/u */
    { 0x0b7f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/2/3/c */
    { 0x0c00, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/3/0/u */
    { 0x0c7f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/3/0/c */
    { 0x0d00, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/3/1/u */
    { 0x0d7f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/3/1/c */
    { 0x0e00, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/3/2/u */
    { 0x0e7f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/3/2/c */
    { 0x0f00, 0xfda3, 0xf981, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,32767) }, /* #62/3/3/u */
    { 0x0f7f, 0xfda3, 0x7101, RTFLOAT80U_INIT_C(0,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #62/3/3/c */
    { 0x0000, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/0/0/u */
    { 0x007f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/0/0/c */
    { 0x0100, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/0/1/u */
    { 0x017f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/0/1/c */
    { 0x0200, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/0/2/u */
    { 0x027f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/0/2/c */
    { 0x0300, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/0/3/u */
    { 0x037f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/0/3/c */
    { 0x0400, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/1/0/u */
    { 0x047f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/1/0/c */
    { 0x0500, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/1/1/u */
    { 0x057f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/1/1/c */
    { 0x0600, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/1/2/u */
    { 0x067f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/1/2/c */
    { 0x0700, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/1/3/u */
    { 0x077f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/1/3/c */
    { 0x0800, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/2/0/u */
    { 0x087f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/2/0/c */
    { 0x0900, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/2/1/u */
    { 0x097f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/2/1/c */
    { 0x0a00, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/2/2/u */
    { 0x0a7f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/2/2/c */
    { 0x0b00, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/2/3/u */
    { 0x0b7f, 0xfd46, 0x7322, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/2/3/c */
    { 0x0c00, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/3/0/u */
    { 0x0c7f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/3/0/c */
    { 0x0d00, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/3/1/u */
    { 0x0d7f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/3/1/c */
    { 0x0e00, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/3/2/u */
    { 0x0e7f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/3/2/c */
    { 0x0f00, 0xfd46, 0xf982, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0) }, /* #63/3/3/u */
    { 0x0f7f, 0xfd46, 0x7122, RTFLOAT80U_INIT_C(0,0x8000c866abd4116f,0), RTFLOAT80U_INIT_C(0,0x8000c866abd4116e,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #63/3/3/c */
    { 0x0000, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/0/0/u */
    { 0x007f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/0/0/c */
    { 0x0100, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/0/1/u */
    { 0x017f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/0/1/c */
    { 0x0200, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/0/2/u */
    { 0x027f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/0/2/c */
    { 0x0300, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/0/3/u */
    { 0x037f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/0/3/c */
    { 0x0400, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/1/0/u */
    { 0x047f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/1/0/c */
    { 0x0500, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/1/1/u */
    { 0x057f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/1/1/c */
    { 0x0600, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/1/2/u */
    { 0x067f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/1/2/c */
    { 0x0700, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/1/3/u */
    { 0x077f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/1/3/c */
    { 0x0800, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/2/0/u */
    { 0x087f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/2/0/c */
    { 0x0900, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/2/1/u */
    { 0x097f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/2/1/c */
    { 0x0a00, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/2/2/u */
    { 0x0a7f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/2/2/c */
    { 0x0b00, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/2/3/u */
    { 0x0b7f, 0x2572, 0x3332, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/2/3/c */
    { 0x0c00, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/3/0/u */
    { 0x0c7f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/3/0/c */
    { 0x0d00, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/3/1/u */
    { 0x0d7f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/3/1/c */
    { 0x0e00, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/3/2/u */
    { 0x0e7f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/3/2/c */
    { 0x0f00, 0x2572, 0xb982, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0) }, /* #64/3/3/u */
    { 0x0f7f, 0x2572, 0x3132, RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a30,0), RTFLOAT80U_INIT_C(0,0x5e28d16db6d12a2f,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #64/3/3/c */
    { 0x0000, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/0/u */
    { 0x007f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/0/c */
    { 0x0100, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/1/u */
    { 0x017f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/1/c */
    { 0x0200, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/2/u */
    { 0x027f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/2/c */
    { 0x0300, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/3/u */
    { 0x037f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/0/3/c */
    { 0x0400, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/0/u */
    { 0x047f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/0/c */
    { 0x0500, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/1/u */
    { 0x057f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/1/c */
    { 0x0600, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/2/u */
    { 0x067f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/2/c */
    { 0x0700, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/3/u */
    { 0x077f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/1/3/c */
    { 0x0800, 0x4bf3, 0xf3a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/0/u */
    { 0x087f, 0x4bf3, 0x7320, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/0/c */
    { 0x0900, 0x4bf3, 0xf3a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/1/u */
    { 0x097f, 0x4bf3, 0x7320, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/1/c */
    { 0x0a00, 0x4bf3, 0xf3a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/2/u */
    { 0x0a7f, 0x4bf3, 0x7320, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/2/c */
    { 0x0b00, 0x4bf3, 0xf3a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/3/u */
    { 0x0b7f, 0x4bf3, 0x7320, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863b,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/2/3/c */
    { 0x0c00, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/0/u */
    { 0x0c7f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/0/c */
    { 0x0d00, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/1/u */
    { 0x0d7f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/1/c */
    { 0x0e00, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/2/u */
    { 0x0e7f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/2/c */
    { 0x0f00, 0x4bf3, 0xf1a0, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/3/u */
    { 0x0f7f, 0x4bf3, 0x7120, RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0xbb6667d2fa76863a,10869), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #65/3/3/c */
    { 0x0000, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/0/u */
    { 0x007f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/0/c */
    { 0x0100, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/1/u */
    { 0x017f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/1/c */
    { 0x0200, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/2/u */
    { 0x027f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/2/c */
    { 0x0300, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/3/u */
    { 0x037f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/0/3/c */
    { 0x0400, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/0/u */
    { 0x047f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/0/c */
    { 0x0500, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/1/u */
    { 0x057f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/1/c */
    { 0x0600, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/2/u */
    { 0x067f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/2/c */
    { 0x0700, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/3/u */
    { 0x077f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/1/3/c */
    { 0x0800, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/0/u */
    { 0x087f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/0/c */
    { 0x0900, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/1/u */
    { 0x097f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/1/c */
    { 0x0a00, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/2/u */
    { 0x0a7f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/2/c */
    { 0x0b00, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/3/u */
    { 0x0b7f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/2/3/c */
    { 0x0c00, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/0/u */
    { 0x0c7f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/0/c */
    { 0x0d00, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/1/u */
    { 0x0d7f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/1/c */
    { 0x0e00, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/2/u */
    { 0x0e7f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/2/c */
    { 0x0f00, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/3/u */
    { 0x0f7f, 0x04d8, 0x3c00, RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe1e37657250f5028,31734) }, /* #66/3/3/c */
    { 0x0000, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/0/0/u */
    { 0x007f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/0/0/c */
    { 0x0100, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/0/1/u */
    { 0x017f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/0/1/c */
    { 0x0200, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/0/2/u */
    { 0x027f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/0/2/c */
    { 0x0300, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/0/3/u */
    { 0x037f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/0/3/c */
    { 0x0400, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/1/0/u */
    { 0x047f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/1/0/c */
    { 0x0500, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/1/1/u */
    { 0x057f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/1/1/c */
    { 0x0600, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/1/2/u */
    { 0x067f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/1/2/c */
    { 0x0700, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/1/3/u */
    { 0x077f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/1/3/c */
    { 0x0800, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/2/0/u */
    { 0x087f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/2/0/c */
    { 0x0900, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/2/1/u */
    { 0x097f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/2/1/c */
    { 0x0a00, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/2/2/u */
    { 0x0a7f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/2/2/c */
    { 0x0b00, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/2/3/u */
    { 0x0b7f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/2/3/c */
    { 0x0c00, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/3/0/u */
    { 0x0c7f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/3/0/c */
    { 0x0d00, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/3/1/u */
    { 0x0d7f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/3/1/c */
    { 0x0e00, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/3/2/u */
    { 0x0e7f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/3/2/c */
    { 0x0f00, 0xdaea, 0xf881, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767) }, /* #67/3/3/u */
    { 0x0f7f, 0xdaea, 0x7001, RTFLOAT80U_INIT_C(0,0x8bf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767), RTFLOAT80U_INIT_C(0,0xcbf389d5c5e82576,32767) }, /* #67/3/3/c */
    { 0x0000, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/0/u */
    { 0x007f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/0/c */
    { 0x0100, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/1/u */
    { 0x017f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/1/c */
    { 0x0200, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/2/u */
    { 0x027f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/2/c */
    { 0x0300, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/3/u */
    { 0x037f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/0/3/c */
    { 0x0400, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/0/u */
    { 0x047f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/0/c */
    { 0x0500, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/1/u */
    { 0x057f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/1/c */
    { 0x0600, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/2/u */
    { 0x067f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/2/c */
    { 0x0700, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/3/u */
    { 0x077f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/1/3/c */
    { 0x0800, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/0/u */
    { 0x087f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/0/c */
    { 0x0900, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/1/u */
    { 0x097f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/1/c */
    { 0x0a00, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/2/u */
    { 0x0a7f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/2/c */
    { 0x0b00, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/3/u */
    { 0x0b7f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/2/3/c */
    { 0x0c00, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/0/u */
    { 0x0c7f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/0/c */
    { 0x0d00, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/1/u */
    { 0x0d7f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/1/c */
    { 0x0e00, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/2/u */
    { 0x0e7f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/2/c */
    { 0x0f00, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/3/u */
    { 0x0f7f, 0x83a4, 0x3d00, RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x833efa66a55646c0,24839) }, /* #68/3/3/c */
    { 0x0000, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/0/0/u */
    { 0x007f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/0/c */
    { 0x0100, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/0/1/u */
    { 0x017f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/1/c */
    { 0x0200, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/0/2/u */
    { 0x027f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/2/c */
    { 0x0300, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/0/3/u */
    { 0x037f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/3/c */
    { 0x0400, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/1/0/u */
    { 0x047f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/0/c */
    { 0x0500, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/1/1/u */
    { 0x057f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/1/c */
    { 0x0600, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/1/2/u */
    { 0x067f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/2/c */
    { 0x0700, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/1/3/u */
    { 0x077f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/3/c */
    { 0x0800, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/2/0/u */
    { 0x087f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/0/c */
    { 0x0900, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/2/1/u */
    { 0x097f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/1/c */
    { 0x0a00, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/2/2/u */
    { 0x0a7f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/2/c */
    { 0x0b00, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/2/3/u */
    { 0x0b7f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/3/c */
    { 0x0c00, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/3/0/u */
    { 0x0c7f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/0/c */
    { 0x0d00, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/3/1/u */
    { 0x0d7f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/1/c */
    { 0x0e00, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/3/2/u */
    { 0x0e7f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/2/c */
    { 0x0f00, 0xa06c, 0xb881, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669) }, /* #69/3/3/u */
    { 0x0f7f, 0xa06c, 0x3001, RTFLOAT80U_INIT_C(1,0x3f8bdc5a1453a556,14669), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/3/c */
    { 0x0000, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/0/0/u */
    { 0x007f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/0/c */
    { 0x0100, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/0/1/u */
    { 0x017f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/1/c */
    { 0x0200, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/0/2/u */
    { 0x027f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/2/c */
    { 0x0300, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/0/3/u */
    { 0x037f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/3/c */
    { 0x0400, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/1/0/u */
    { 0x047f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/0/c */
    { 0x0500, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/1/1/u */
    { 0x057f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/1/c */
    { 0x0600, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/1/2/u */
    { 0x067f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/2/c */
    { 0x0700, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/1/3/u */
    { 0x077f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/1/3/c */
    { 0x0800, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/2/0/u */
    { 0x087f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/0/c */
    { 0x0900, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/2/1/u */
    { 0x097f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/1/c */
    { 0x0a00, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/2/2/u */
    { 0x0a7f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/2/c */
    { 0x0b00, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/2/3/u */
    { 0x0b7f, 0x2343, 0x3322, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/3/c */
    { 0x0c00, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/3/0/u */
    { 0x0c7f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/0/c */
    { 0x0d00, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/3/1/u */
    { 0x0d7f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/1/c */
    { 0x0e00, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/3/2/u */
    { 0x0e7f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/2/c */
    { 0x0f00, 0x2343, 0xb982, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0) }, /* #70/3/3/u */
    { 0x0f7f, 0x2343, 0x3122, RTFLOAT80U_INIT_C(0,0xceeec9aff69f3768,0), RTFLOAT80U_INIT_C(0,0xceeec9aff69f3767,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/3/3/c */
    { 0x0000, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/0/0/u */
    { 0x007f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/0/c */
    { 0x0100, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/0/1/u */
    { 0x017f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/1/c */
    { 0x0200, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/0/2/u */
    { 0x027f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/2/c */
    { 0x0300, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/0/3/u */
    { 0x037f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/3/c */
    { 0x0400, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/1/0/u */
    { 0x047f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/0/c */
    { 0x0500, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/1/1/u */
    { 0x057f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/1/c */
    { 0x0600, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/1/2/u */
    { 0x067f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/2/c */
    { 0x0700, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/1/3/u */
    { 0x077f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/3/c */
    { 0x0800, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/2/0/u */
    { 0x087f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/0/c */
    { 0x0900, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/2/1/u */
    { 0x097f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/1/c */
    { 0x0a00, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/2/2/u */
    { 0x0a7f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/2/c */
    { 0x0b00, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/2/3/u */
    { 0x0b7f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/3/c */
    { 0x0c00, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/3/0/u */
    { 0x0c7f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/0/c */
    { 0x0d00, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/3/1/u */
    { 0x0d7f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/1/c */
    { 0x0e00, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/3/2/u */
    { 0x0e7f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/2/c */
    { 0x0f00, 0x89bd, 0xb981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #71/3/3/u */
    { 0x0f7f, 0x89bd, 0x3101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/3/c */
    { 0x0000, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/0/u */
    { 0x007f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/0/c */
    { 0x0100, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/1/u */
    { 0x017f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/1/c */
    { 0x0200, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/2/u */
    { 0x027f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/2/c */
    { 0x0300, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/3/u */
    { 0x037f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/0/3/c */
    { 0x0400, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/0/u */
    { 0x047f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/0/c */
    { 0x0500, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/1/u */
    { 0x057f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/1/c */
    { 0x0600, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/2/u */
    { 0x067f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/2/c */
    { 0x0700, 0xfd00, 0xf3a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/3/u */
    { 0x077f, 0xfd00, 0x7320, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/1/3/c */
    { 0x0800, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/0/u */
    { 0x087f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/0/c */
    { 0x0900, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/1/u */
    { 0x097f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/1/c */
    { 0x0a00, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/2/u */
    { 0x0a7f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/2/c */
    { 0x0b00, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/3/u */
    { 0x0b7f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/2/3/c */
    { 0x0c00, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/0/u */
    { 0x0c7f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/0/c */
    { 0x0d00, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/1/u */
    { 0x0d7f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/1/c */
    { 0x0e00, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/2/u */
    { 0x0e7f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/2/c */
    { 0x0f00, 0xfd00, 0xf1a0, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/3/u */
    { 0x0f7f, 0xfd00, 0x7120, RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c4,10197), RTFLOAT80U_INIT_C(1,0xd4994f339de8a4c3,10197), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #72/3/3/c */
    { 0x0000, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/0/u */
    { 0x007f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/0/c */
    { 0x0100, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/1/u */
    { 0x017f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/1/c */
    { 0x0200, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/2/u */
    { 0x027f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/2/c */
    { 0x0300, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/3/u */
    { 0x037f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/3/c */
    { 0x0400, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/0/u */
    { 0x047f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/0/c */
    { 0x0500, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/1/u */
    { 0x057f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/1/c */
    { 0x0600, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/2/u */
    { 0x067f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/2/c */
    { 0x0700, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/3/u */
    { 0x077f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/1/3/c */
    { 0x0800, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/0/u */
    { 0x087f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/0/c */
    { 0x0900, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/1/u */
    { 0x097f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/1/c */
    { 0x0a00, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/2/u */
    { 0x0a7f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/2/c */
    { 0x0b00, 0x8b17, 0xb3a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/3/u */
    { 0x0b7f, 0x8b17, 0x3320, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/3/c */
    { 0x0c00, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/0/u */
    { 0x0c7f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/0/c */
    { 0x0d00, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/1/u */
    { 0x0d7f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/1/c */
    { 0x0e00, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/2/u */
    { 0x0e7f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/2/c */
    { 0x0f00, 0x8b17, 0xb1a0, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/3/u */
    { 0x0f7f, 0x8b17, 0x3120, RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f31,12728), RTFLOAT80U_INIT_C(0,0xd8ebf1908d341f30,12728), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/3/3/c */
    { 0x0000, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/0/u */
    { 0x007f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/0/c */
    { 0x0100, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/1/u */
    { 0x017f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/1/c */
    { 0x0200, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/2/u */
    { 0x027f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/2/c */
    { 0x0300, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/3/u */
    { 0x037f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/0/3/c */
    { 0x0400, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/0/u */
    { 0x047f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/0/c */
    { 0x0500, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/1/u */
    { 0x057f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/1/c */
    { 0x0600, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/2/u */
    { 0x067f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/2/c */
    { 0x0700, 0x0290, 0xb2a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/3/u */
    { 0x077f, 0x0290, 0x3220, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/1/3/c */
    { 0x0800, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/0/u */
    { 0x087f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/0/c */
    { 0x0900, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/1/u */
    { 0x097f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/1/c */
    { 0x0a00, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/2/u */
    { 0x0a7f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/2/c */
    { 0x0b00, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/3/u */
    { 0x0b7f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/2/3/c */
    { 0x0c00, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/0/u */
    { 0x0c7f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/0/c */
    { 0x0d00, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/1/u */
    { 0x0d7f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/1/c */
    { 0x0e00, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/2/u */
    { 0x0e7f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/2/c */
    { 0x0f00, 0x0290, 0xb0a0, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/3/u */
    { 0x0f7f, 0x0290, 0x3020, RTFLOAT80U_INIT_C(1,0xf649320713b7881d,9788), RTFLOAT80U_INIT_C(1,0xf649320713b7881c,9788), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #74/3/3/c */
    { 0x0000, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/0/u */
    { 0x007f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/0/c */
    { 0x0100, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/1/u */
    { 0x017f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/1/c */
    { 0x0200, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/2/u */
    { 0x027f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/2/c */
    { 0x0300, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/3/u */
    { 0x037f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/3/c */
    { 0x0400, 0xc2e7, 0xf2a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/0/u */
    { 0x047f, 0xc2e7, 0x7220, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/0/c */
    { 0x0500, 0xc2e7, 0xf2a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/1/u */
    { 0x057f, 0xc2e7, 0x7220, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/1/c */
    { 0x0600, 0xc2e7, 0xf2a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/2/u */
    { 0x067f, 0xc2e7, 0x7220, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/2/c */
    { 0x0700, 0xc2e7, 0xf2a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/3/u */
    { 0x077f, 0xc2e7, 0x7220, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbd,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/1/3/c */
    { 0x0800, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/0/u */
    { 0x087f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/0/c */
    { 0x0900, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/1/u */
    { 0x097f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/1/c */
    { 0x0a00, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/2/u */
    { 0x0a7f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/2/c */
    { 0x0b00, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/3/u */
    { 0x0b7f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/3/c */
    { 0x0c00, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/0/u */
    { 0x0c7f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/0/c */
    { 0x0d00, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/1/u */
    { 0x0d7f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/1/c */
    { 0x0e00, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/2/u */
    { 0x0e7f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/2/c */
    { 0x0f00, 0xc2e7, 0xf0a0, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/3/u */
    { 0x0f7f, 0xc2e7, 0x7020, RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(1,0x9135a91dd24a3cbc,14270), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/3/3/c */
    { 0x0000, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/0/u */
    { 0x007f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/0/c */
    { 0x0100, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/1/u */
    { 0x017f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/1/c */
    { 0x0200, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/2/u */
    { 0x027f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/2/c */
    { 0x0300, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/3/u */
    { 0x037f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/0/3/c */
    { 0x0400, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/0/u */
    { 0x047f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/0/c */
    { 0x0500, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/1/u */
    { 0x057f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/1/c */
    { 0x0600, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/2/u */
    { 0x067f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/2/c */
    { 0x0700, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/3/u */
    { 0x077f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/1/3/c */
    { 0x0800, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/0/u */
    { 0x087f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/0/c */
    { 0x0900, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/1/u */
    { 0x097f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/1/c */
    { 0x0a00, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/2/u */
    { 0x0a7f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/2/c */
    { 0x0b00, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/3/u */
    { 0x0b7f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/2/3/c */
    { 0x0c00, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/0/u */
    { 0x0c7f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/0/c */
    { 0x0d00, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/1/u */
    { 0x0d7f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/1/c */
    { 0x0e00, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/2/u */
    { 0x0e7f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/2/c */
    { 0x0f00, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/3/u */
    { 0x0f7f, 0x8251, 0x3c00, RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe5df6ab92f127963,19439) }, /* #76/3/3/c */
    { 0x0000, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/0/0/u */
    { 0x007f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/0/0/c */
    { 0x0100, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/0/1/u */
    { 0x017f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/0/1/c */
    { 0x0200, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/0/2/u */
    { 0x027f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/0/2/c */
    { 0x0300, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/0/3/u */
    { 0x037f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/0/3/c */
    { 0x0400, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/1/0/u */
    { 0x047f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/1/0/c */
    { 0x0500, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/1/1/u */
    { 0x057f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/1/1/c */
    { 0x0600, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/1/2/u */
    { 0x067f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/1/2/c */
    { 0x0700, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/1/3/u */
    { 0x077f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/1/3/c */
    { 0x0800, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/2/0/u */
    { 0x087f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/2/0/c */
    { 0x0900, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/2/1/u */
    { 0x097f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/2/1/c */
    { 0x0a00, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/2/2/u */
    { 0x0a7f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/2/2/c */
    { 0x0b00, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/2/3/u */
    { 0x0b7f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/2/3/c */
    { 0x0c00, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/3/0/u */
    { 0x0c7f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/3/0/c */
    { 0x0d00, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/3/1/u */
    { 0x0d7f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/3/1/c */
    { 0x0e00, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/3/2/u */
    { 0x0e7f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/3/2/c */
    { 0x0f00, 0x3c8a, 0xb881, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767) }, /* #77/3/3/u */
    { 0x0f7f, 0x3c8a, 0x3001, RTFLOAT80U_INIT_C(1,0x8a844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767), RTFLOAT80U_INIT_C(1,0xca844f9e6e1b6cce,32767) }, /* #77/3/3/c */
    { 0x0000, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/0/0/u */
    { 0x007f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/0/0/c */
    { 0x0100, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/0/1/u */
    { 0x017f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/0/1/c */
    { 0x0200, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/0/2/u */
    { 0x027f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/0/2/c */
    { 0x0300, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/0/3/u */
    { 0x037f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/0/3/c */
    { 0x0400, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/1/0/u */
    { 0x047f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/1/0/c */
    { 0x0500, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/1/1/u */
    { 0x057f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/1/1/c */
    { 0x0600, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/1/2/u */
    { 0x067f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/1/2/c */
    { 0x0700, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/1/3/u */
    { 0x077f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/1/3/c */
    { 0x0800, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/2/0/u */
    { 0x087f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/2/0/c */
    { 0x0900, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/2/1/u */
    { 0x097f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/2/1/c */
    { 0x0a00, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/2/2/u */
    { 0x0a7f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/2/2/c */
    { 0x0b00, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/2/3/u */
    { 0x0b7f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/2/3/c */
    { 0x0c00, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/3/0/u */
    { 0x0c7f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/3/0/c */
    { 0x0d00, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/3/1/u */
    { 0x0d7f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/3/1/c */
    { 0x0e00, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/3/2/u */
    { 0x0e7f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/3/2/c */
    { 0x0f00, 0x9dfb, 0xb981, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4000000000000022,32767) }, /* #78/3/3/u */
    { 0x0f7f, 0x9dfb, 0x3101, RTFLOAT80U_INIT_C(0,0x4000000000000022,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #78/3/3/c */
    { 0x0000, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/0/u */
    { 0x007f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/0/c */
    { 0x0100, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/1/u */
    { 0x017f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/1/c */
    { 0x0200, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/2/u */
    { 0x027f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/2/c */
    { 0x0300, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/3/u */
    { 0x037f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/0/3/c */
    { 0x0400, 0xcb0b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/0/u */
    { 0x047f, 0xcb0b, 0x7320, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/0/c */
    { 0x0500, 0xcb0b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/1/u */
    { 0x057f, 0xcb0b, 0x7320, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/1/c */
    { 0x0600, 0xcb0b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/2/u */
    { 0x067f, 0xcb0b, 0x7320, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/2/c */
    { 0x0700, 0xcb0b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/3/u */
    { 0x077f, 0xcb0b, 0x7320, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6e0,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/1/3/c */
    { 0x0800, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/0/u */
    { 0x087f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/0/c */
    { 0x0900, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/1/u */
    { 0x097f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/1/c */
    { 0x0a00, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/2/u */
    { 0x0a7f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/2/c */
    { 0x0b00, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/3/u */
    { 0x0b7f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/2/3/c */
    { 0x0c00, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/0/u */
    { 0x0c7f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/0/c */
    { 0x0d00, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/1/u */
    { 0x0d7f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/1/c */
    { 0x0e00, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/2/u */
    { 0x0e7f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/2/c */
    { 0x0f00, 0xcb0b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/3/u */
    { 0x0f7f, 0xcb0b, 0x7120, RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(1,0xccd3d2eccedcf6df,2696), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #79/3/3/c */
    { 0x0000, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/0/u */
    { 0x007f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/0/c */
    { 0x0100, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/1/u */
    { 0x017f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/1/c */
    { 0x0200, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/2/u */
    { 0x027f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/2/c */
    { 0x0300, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/3/u */
    { 0x037f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/0/3/c */
    { 0x0400, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/0/u */
    { 0x047f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/0/c */
    { 0x0500, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/1/u */
    { 0x057f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/1/c */
    { 0x0600, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/2/u */
    { 0x067f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/2/c */
    { 0x0700, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/3/u */
    { 0x077f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/1/3/c */
    { 0x0800, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/0/u */
    { 0x087f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/0/c */
    { 0x0900, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/1/u */
    { 0x097f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/1/c */
    { 0x0a00, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/2/u */
    { 0x0a7f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/2/c */
    { 0x0b00, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/3/u */
    { 0x0b7f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/2/3/c */
    { 0x0c00, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/0/u */
    { 0x0c7f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/0/c */
    { 0x0d00, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/1/u */
    { 0x0d7f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/1/c */
    { 0x0e00, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/2/u */
    { 0x0e7f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/2/c */
    { 0x0f00, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/3/u */
    { 0x0f7f, 0xb691, 0x3c00, RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xeb70c65e05595360,22486) }, /* #80/3/3/c */
    { 0x0000, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/0/0/u */
    { 0x007f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/0/0/c */
    { 0x0100, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/0/1/u */
    { 0x017f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/0/1/c */
    { 0x0200, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/0/2/u */
    { 0x027f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/0/2/c */
    { 0x0300, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/0/3/u */
    { 0x037f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/0/3/c */
    { 0x0400, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/1/0/u */
    { 0x047f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/1/0/c */
    { 0x0500, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/1/1/u */
    { 0x057f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/1/1/c */
    { 0x0600, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/1/2/u */
    { 0x067f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/1/2/c */
    { 0x0700, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/1/3/u */
    { 0x077f, 0x6eeb, 0x7232, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/1/3/c */
    { 0x0800, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/2/0/u */
    { 0x087f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/2/0/c */
    { 0x0900, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/2/1/u */
    { 0x097f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/2/1/c */
    { 0x0a00, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/2/2/u */
    { 0x0a7f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/2/2/c */
    { 0x0b00, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/2/3/u */
    { 0x0b7f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/2/3/c */
    { 0x0c00, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/3/0/u */
    { 0x0c7f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/3/0/c */
    { 0x0d00, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/3/1/u */
    { 0x0d7f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/3/1/c */
    { 0x0e00, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/3/2/u */
    { 0x0e7f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/3/2/c */
    { 0x0f00, 0x6eeb, 0xf882, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0) }, /* #81/3/3/u */
    { 0x0f7f, 0x6eeb, 0x7032, RTFLOAT80U_INIT_C(1,0x4b10af7e30be045d,0), RTFLOAT80U_INIT_C(1,0x4b10af7e30be045c,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #81/3/3/c */
    { 0x0000, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/0/u */
    { 0x007f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/0/c */
    { 0x0100, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/1/u */
    { 0x017f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/1/c */
    { 0x0200, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/2/u */
    { 0x027f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/2/c */
    { 0x0300, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/3/u */
    { 0x037f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/0/3/c */
    { 0x0400, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/0/u */
    { 0x047f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/0/c */
    { 0x0500, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/1/u */
    { 0x057f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/1/c */
    { 0x0600, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/2/u */
    { 0x067f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/2/c */
    { 0x0700, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/3/u */
    { 0x077f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/1/3/c */
    { 0x0800, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/0/u */
    { 0x087f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/0/c */
    { 0x0900, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/1/u */
    { 0x097f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/1/c */
    { 0x0a00, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/2/u */
    { 0x0a7f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/2/c */
    { 0x0b00, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/3/u */
    { 0x0b7f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/2/3/c */
    { 0x0c00, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/0/u */
    { 0x0c7f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/0/c */
    { 0x0d00, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/1/u */
    { 0x0d7f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/1/c */
    { 0x0e00, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/2/u */
    { 0x0e7f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/2/c */
    { 0x0f00, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/3/u */
    { 0x0f7f, 0x73f4, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #82/3/3/c */
    { 0x0000, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/0/u */
    { 0x007f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/0/c */
    { 0x0100, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/1/u */
    { 0x017f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/1/c */
    { 0x0200, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/2/u */
    { 0x027f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/2/c */
    { 0x0300, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/3/u */
    { 0x037f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/3/c */
    { 0x0400, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/0/u */
    { 0x047f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/0/c */
    { 0x0500, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/1/u */
    { 0x057f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/1/c */
    { 0x0600, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/2/u */
    { 0x067f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/2/c */
    { 0x0700, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/3/u */
    { 0x077f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/1/3/c */
    { 0x0800, 0xd2f2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/0/u */
    { 0x087f, 0xd2f2, 0x7220, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/0/c */
    { 0x0900, 0xd2f2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/1/u */
    { 0x097f, 0xd2f2, 0x7220, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/1/c */
    { 0x0a00, 0xd2f2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/2/u */
    { 0x0a7f, 0xd2f2, 0x7220, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/2/c */
    { 0x0b00, 0xd2f2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/3/u */
    { 0x0b7f, 0xd2f2, 0x7220, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a65a,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/3/c */
    { 0x0c00, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/0/u */
    { 0x0c7f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/0/c */
    { 0x0d00, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/1/u */
    { 0x0d7f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/1/c */
    { 0x0e00, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/2/u */
    { 0x0e7f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/2/c */
    { 0x0f00, 0xd2f2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/3/u */
    { 0x0f7f, 0xd2f2, 0x7020, RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0xf9b142de49b8a659,15164), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/3/3/c */
    { 0x0000, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/0/u */
    { 0x007f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/0/c */
    { 0x0100, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/1/u */
    { 0x017f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/1/c */
    { 0x0200, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/2/u */
    { 0x027f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/2/c */
    { 0x0300, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/3/u */
    { 0x037f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/0/3/c */
    { 0x0400, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/0/u */
    { 0x047f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/0/c */
    { 0x0500, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/1/u */
    { 0x057f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/1/c */
    { 0x0600, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/2/u */
    { 0x067f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/2/c */
    { 0x0700, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/3/u */
    { 0x077f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/1/3/c */
    { 0x0800, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/0/u */
    { 0x087f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/0/c */
    { 0x0900, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/1/u */
    { 0x097f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/1/c */
    { 0x0a00, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/2/u */
    { 0x0a7f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/2/c */
    { 0x0b00, 0x5025, 0xf2a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/3/u */
    { 0x0b7f, 0x5025, 0x7220, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/2/3/c */
    { 0x0c00, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/0/u */
    { 0x0c7f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/0/c */
    { 0x0d00, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/1/u */
    { 0x0d7f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/1/c */
    { 0x0e00, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/2/u */
    { 0x0e7f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/2/c */
    { 0x0f00, 0x5025, 0xf0a0, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/3/u */
    { 0x0f7f, 0x5025, 0x7020, RTFLOAT80U_INIT_C(0,0xb946945f88241695,10029), RTFLOAT80U_INIT_C(0,0xb946945f88241694,10029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #84/3/3/c */
    { 0x0000, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/0/u */
    { 0x007f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/0/c */
    { 0x0100, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/1/u */
    { 0x017f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/1/c */
    { 0x0200, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/2/u */
    { 0x027f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/2/c */
    { 0x0300, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/3/u */
    { 0x037f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/0/3/c */
    { 0x0400, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/0/u */
    { 0x047f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/0/c */
    { 0x0500, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/1/u */
    { 0x057f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/1/c */
    { 0x0600, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/2/u */
    { 0x067f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/2/c */
    { 0x0700, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/3/u */
    { 0x077f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/1/3/c */
    { 0x0800, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/0/u */
    { 0x087f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/0/c */
    { 0x0900, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/1/u */
    { 0x097f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/1/c */
    { 0x0a00, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/2/u */
    { 0x0a7f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/2/c */
    { 0x0b00, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/3/u */
    { 0x0b7f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/2/3/c */
    { 0x0c00, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/0/u */
    { 0x0c7f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/0/c */
    { 0x0d00, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/1/u */
    { 0x0d7f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/1/c */
    { 0x0e00, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/2/u */
    { 0x0e7f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/2/c */
    { 0x0f00, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/3/u */
    { 0x0f7f, 0x2105, 0x3d00, RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd244bf45ecb2daf3,30005) }, /* #85/3/3/c */
    { 0x0000, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/0/u */
    { 0x007f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/0/c */
    { 0x0100, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/1/u */
    { 0x017f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/1/c */
    { 0x0200, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/2/u */
    { 0x027f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/2/c */
    { 0x0300, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/3/u */
    { 0x037f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/0/3/c */
    { 0x0400, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/0/u */
    { 0x047f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/0/c */
    { 0x0500, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/1/u */
    { 0x057f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/1/c */
    { 0x0600, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/2/u */
    { 0x067f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/2/c */
    { 0x0700, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/3/u */
    { 0x077f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/1/3/c */
    { 0x0800, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/0/u */
    { 0x087f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/0/c */
    { 0x0900, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/1/u */
    { 0x097f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/1/c */
    { 0x0a00, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/2/u */
    { 0x0a7f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/2/c */
    { 0x0b00, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/3/u */
    { 0x0b7f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/2/3/c */
    { 0x0c00, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/0/u */
    { 0x0c7f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/0/c */
    { 0x0d00, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/1/u */
    { 0x0d7f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/1/c */
    { 0x0e00, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/2/u */
    { 0x0e7f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/2/c */
    { 0x0f00, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/3/u */
    { 0x0f7f, 0xf06c, 0x7000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #86/3/3/c */
    { 0x0000, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/0/u */
    { 0x007f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/0/c */
    { 0x0100, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/1/u */
    { 0x017f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/1/c */
    { 0x0200, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/2/u */
    { 0x027f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/2/c */
    { 0x0300, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/3/u */
    { 0x037f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/3/c */
    { 0x0400, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/0/u */
    { 0x047f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/0/c */
    { 0x0500, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/1/u */
    { 0x057f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/1/c */
    { 0x0600, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/2/u */
    { 0x067f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/2/c */
    { 0x0700, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/3/u */
    { 0x077f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/1/3/c */
    { 0x0800, 0xc0e2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/0/u */
    { 0x087f, 0xc0e2, 0x7220, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/0/c */
    { 0x0900, 0xc0e2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/1/u */
    { 0x097f, 0xc0e2, 0x7220, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/1/c */
    { 0x0a00, 0xc0e2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/2/u */
    { 0x0a7f, 0xc0e2, 0x7220, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/2/c */
    { 0x0b00, 0xc0e2, 0xf2a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/3/u */
    { 0x0b7f, 0xc0e2, 0x7220, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6015,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/3/c */
    { 0x0c00, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/0/u */
    { 0x0c7f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/0/c */
    { 0x0d00, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/1/u */
    { 0x0d7f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/1/c */
    { 0x0e00, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/2/u */
    { 0x0e7f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/2/c */
    { 0x0f00, 0xc0e2, 0xf0a0, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/3/u */
    { 0x0f7f, 0xc0e2, 0x7020, RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0xc7cef9e92edd6014,13312), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/3/3/c */
    { 0x0000, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/0/u */
    { 0x007f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/0/c */
    { 0x0100, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/1/u */
    { 0x017f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/1/c */
    { 0x0200, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/2/u */
    { 0x027f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/2/c */
    { 0x0300, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/3/u */
    { 0x037f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/3/c */
    { 0x0400, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/0/u */
    { 0x047f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/0/c */
    { 0x0500, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/1/u */
    { 0x057f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/1/c */
    { 0x0600, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/2/u */
    { 0x067f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/2/c */
    { 0x0700, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/3/u */
    { 0x077f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/1/3/c */
    { 0x0800, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/0/u */
    { 0x087f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/0/c */
    { 0x0900, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/1/u */
    { 0x097f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/1/c */
    { 0x0a00, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/2/u */
    { 0x0a7f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/2/c */
    { 0x0b00, 0x56e5, 0xf2a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/3/u */
    { 0x0b7f, 0x56e5, 0x7220, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/3/c */
    { 0x0c00, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/0/u */
    { 0x0c7f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/0/c */
    { 0x0d00, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/1/u */
    { 0x0d7f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/1/c */
    { 0x0e00, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/2/u */
    { 0x0e7f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/2/c */
    { 0x0f00, 0x56e5, 0xf0a0, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/3/u */
    { 0x0f7f, 0x56e5, 0x7020, RTFLOAT80U_INIT_C(0,0xfd2d251ba9827483,12029), RTFLOAT80U_INIT_C(0,0xfd2d251ba9827482,12029), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/3/3/c */
    { 0x0000, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/0/u */
    { 0x007f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/0/c */
    { 0x0100, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/1/u */
    { 0x017f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/1/c */
    { 0x0200, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/2/u */
    { 0x027f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/2/c */
    { 0x0300, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/3/u */
    { 0x037f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/0/3/c */
    { 0x0400, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/0/u */
    { 0x047f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/0/c */
    { 0x0500, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/1/u */
    { 0x057f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/1/c */
    { 0x0600, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/2/u */
    { 0x067f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/2/c */
    { 0x0700, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/3/u */
    { 0x077f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/1/3/c */
    { 0x0800, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/0/u */
    { 0x087f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/0/c */
    { 0x0900, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/1/u */
    { 0x097f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/1/c */
    { 0x0a00, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/2/u */
    { 0x0a7f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/2/c */
    { 0x0b00, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/3/u */
    { 0x0b7f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/2/3/c */
    { 0x0c00, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/0/u */
    { 0x0c7f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/0/c */
    { 0x0d00, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/1/u */
    { 0x0d7f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/1/c */
    { 0x0e00, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/2/u */
    { 0x0e7f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/2/c */
    { 0x0f00, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/3/u */
    { 0x0f7f, 0xf184, 0x7100, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #89/3/3/c */
    { 0x0000, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/0/0/u */
    { 0x007f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/0/c */
    { 0x0100, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/0/1/u */
    { 0x017f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/1/c */
    { 0x0200, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/0/2/u */
    { 0x027f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/2/c */
    { 0x0300, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/0/3/u */
    { 0x037f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/0/3/c */
    { 0x0400, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/1/0/u */
    { 0x047f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/0/c */
    { 0x0500, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/1/1/u */
    { 0x057f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/1/c */
    { 0x0600, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/1/2/u */
    { 0x067f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/2/c */
    { 0x0700, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/1/3/u */
    { 0x077f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/1/3/c */
    { 0x0800, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/2/0/u */
    { 0x087f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/0/c */
    { 0x0900, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/2/1/u */
    { 0x097f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/1/c */
    { 0x0a00, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/2/2/u */
    { 0x0a7f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/2/c */
    { 0x0b00, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/2/3/u */
    { 0x0b7f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/2/3/c */
    { 0x0c00, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/3/0/u */
    { 0x0c7f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/0/c */
    { 0x0d00, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/3/1/u */
    { 0x0d7f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/1/c */
    { 0x0e00, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/3/2/u */
    { 0x0e7f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/2/c */
    { 0x0f00, 0x502d, 0xf881, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xce2936ab4,3880) }, /* #90/3/3/u */
    { 0x0f7f, 0x502d, 0x7001, RTFLOAT80U_INIT_C(0,0xce2936ab4,3880), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #90/3/3/c */
    { 0x0000, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/0/0/u */
    { 0x007f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/0/0/c */
    { 0x0100, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/0/1/u */
    { 0x017f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/0/1/c */
    { 0x0200, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/0/2/u */
    { 0x027f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/0/2/c */
    { 0x0300, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/0/3/u */
    { 0x037f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/0/3/c */
    { 0x0400, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/1/0/u */
    { 0x047f, 0x642e, 0x7232, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x399,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/1/0/c */
    { 0x0500, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/1/1/u */
    { 0x057f, 0x642e, 0x7232, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x399,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/1/1/c */
    { 0x0600, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/1/2/u */
    { 0x067f, 0x642e, 0x7232, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x399,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/1/2/c */
    { 0x0700, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/1/3/u */
    { 0x077f, 0x642e, 0x7232, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x399,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/1/3/c */
    { 0x0800, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/2/0/u */
    { 0x087f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/2/0/c */
    { 0x0900, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/2/1/u */
    { 0x097f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/2/1/c */
    { 0x0a00, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/2/2/u */
    { 0x0a7f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/2/2/c */
    { 0x0b00, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/2/3/u */
    { 0x0b7f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/2/3/c */
    { 0x0c00, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/3/0/u */
    { 0x0c7f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/3/0/c */
    { 0x0d00, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/3/1/u */
    { 0x0d7f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/3/1/c */
    { 0x0e00, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/3/2/u */
    { 0x0e7f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/3/2/c */
    { 0x0f00, 0x642e, 0xf882, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x398,0) }, /* #91/3/3/u */
    { 0x0f7f, 0x642e, 0x7032, RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(1,0x398,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #91/3/3/c */
    { 0x0000, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/0/u */
    { 0x007f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/0/c */
    { 0x0100, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/1/u */
    { 0x017f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/1/c */
    { 0x0200, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/2/u */
    { 0x027f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/2/c */
    { 0x0300, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/3/u */
    { 0x037f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/0/3/c */
    { 0x0400, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/0/u */
    { 0x047f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/0/c */
    { 0x0500, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/1/u */
    { 0x057f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/1/c */
    { 0x0600, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/2/u */
    { 0x067f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/2/c */
    { 0x0700, 0x4a0e, 0xf2a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/3/u */
    { 0x077f, 0x4a0e, 0x7220, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/1/3/c */
    { 0x0800, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/0/u */
    { 0x087f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/0/c */
    { 0x0900, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/1/u */
    { 0x097f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/1/c */
    { 0x0a00, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/2/u */
    { 0x0a7f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/2/c */
    { 0x0b00, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/3/u */
    { 0x0b7f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/2/3/c */
    { 0x0c00, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/0/u */
    { 0x0c7f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/0/c */
    { 0x0d00, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/1/u */
    { 0x0d7f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/1/c */
    { 0x0e00, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/2/u */
    { 0x0e7f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/2/c */
    { 0x0f00, 0x4a0e, 0xf0a0, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/3/u */
    { 0x0f7f, 0x4a0e, 0x7020, RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ee,5037), RTFLOAT80U_INIT_C(1,0xe3dcf883b57b15ed,5037), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #92/3/3/c */
    { 0x0000, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/0/u */
    { 0x007f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/0/c */
    { 0x0100, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/1/u */
    { 0x017f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/1/c */
    { 0x0200, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/2/u */
    { 0x027f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/2/c */
    { 0x0300, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/3/u */
    { 0x037f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/0/3/c */
    { 0x0400, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/0/u */
    { 0x047f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/0/c */
    { 0x0500, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/1/u */
    { 0x057f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/1/c */
    { 0x0600, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/2/u */
    { 0x067f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/2/c */
    { 0x0700, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/3/u */
    { 0x077f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/1/3/c */
    { 0x0800, 0x30ea, 0xb2a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/0/u */
    { 0x087f, 0x30ea, 0x3220, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/0/c */
    { 0x0900, 0x30ea, 0xb2a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/1/u */
    { 0x097f, 0x30ea, 0x3220, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/1/c */
    { 0x0a00, 0x30ea, 0xb2a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/2/u */
    { 0x0a7f, 0x30ea, 0x3220, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/2/c */
    { 0x0b00, 0x30ea, 0xb2a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/3/u */
    { 0x0b7f, 0x30ea, 0x3220, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054f,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/2/3/c */
    { 0x0c00, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/0/u */
    { 0x0c7f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/0/c */
    { 0x0d00, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/1/u */
    { 0x0d7f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/1/c */
    { 0x0e00, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/2/u */
    { 0x0e7f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/2/c */
    { 0x0f00, 0x30ea, 0xb0a0, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/3/u */
    { 0x0f7f, 0x30ea, 0x3020, RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0xed3163c07e23054e,2625), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #93/3/3/c */
    { 0x0000, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/0/0/u */
    { 0x007f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/0/c */
    { 0x0100, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/0/1/u */
    { 0x017f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/1/c */
    { 0x0200, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/0/2/u */
    { 0x027f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/2/c */
    { 0x0300, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/0/3/u */
    { 0x037f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/3/c */
    { 0x0400, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/1/0/u */
    { 0x047f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/0/c */
    { 0x0500, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/1/1/u */
    { 0x057f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/1/c */
    { 0x0600, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/1/2/u */
    { 0x067f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/2/c */
    { 0x0700, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/1/3/u */
    { 0x077f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/3/c */
    { 0x0800, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/2/0/u */
    { 0x087f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/0/c */
    { 0x0900, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/2/1/u */
    { 0x097f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/1/c */
    { 0x0a00, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/2/2/u */
    { 0x0a7f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/2/c */
    { 0x0b00, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/2/3/u */
    { 0x0b7f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/3/c */
    { 0x0c00, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/3/0/u */
    { 0x0c7f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/0/c */
    { 0x0d00, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/3/1/u */
    { 0x0d7f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/1/c */
    { 0x0e00, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/3/2/u */
    { 0x0e7f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/2/c */
    { 0x0f00, 0xd670, 0xf881, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767) }, /* #94/3/3/u */
    { 0x0f7f, 0xd670, 0x7001, RTFLOAT80U_INIT_C(1,0xbf014c5d34f8df2,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/3/c */
    { 0x0000, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/0/u */
    { 0x007f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/0/c */
    { 0x0100, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/1/u */
    { 0x017f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/1/c */
    { 0x0200, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/2/u */
    { 0x027f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/2/c */
    { 0x0300, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/3/u */
    { 0x037f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/3/c */
    { 0x0400, 0x9cb6, 0xb2a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/0/u */
    { 0x047f, 0x9cb6, 0x3220, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/0/c */
    { 0x0500, 0x9cb6, 0xb2a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/1/u */
    { 0x057f, 0x9cb6, 0x3220, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/1/c */
    { 0x0600, 0x9cb6, 0xb2a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/2/u */
    { 0x067f, 0x9cb6, 0x3220, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/2/c */
    { 0x0700, 0x9cb6, 0xb2a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/3/u */
    { 0x077f, 0x9cb6, 0x3220, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68da,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/1/3/c */
    { 0x0800, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/0/u */
    { 0x087f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/0/c */
    { 0x0900, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/1/u */
    { 0x097f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/1/c */
    { 0x0a00, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/2/u */
    { 0x0a7f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/2/c */
    { 0x0b00, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/3/u */
    { 0x0b7f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/3/c */
    { 0x0c00, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/0/u */
    { 0x0c7f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/0/c */
    { 0x0d00, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/1/u */
    { 0x0d7f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/1/c */
    { 0x0e00, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/2/u */
    { 0x0e7f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/2/c */
    { 0x0f00, 0x9cb6, 0xb0a0, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/3/u */
    { 0x0f7f, 0x9cb6, 0x3020, RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(1,0xde7e917fa4ed68d9,14301), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/3/3/c */
    { 0x0000, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/0/u */
    { 0x007f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/0/c */
    { 0x0100, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/1/u */
    { 0x017f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/1/c */
    { 0x0200, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/2/u */
    { 0x027f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/2/c */
    { 0x0300, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/3/u */
    { 0x037f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/0/3/c */
    { 0x0400, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/0/u */
    { 0x047f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/0/c */
    { 0x0500, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/1/u */
    { 0x057f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/1/c */
    { 0x0600, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/2/u */
    { 0x067f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/2/c */
    { 0x0700, 0x3e5f, 0xb2a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/3/u */
    { 0x077f, 0x3e5f, 0x3220, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae15,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/1/3/c */
    { 0x0800, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/0/u */
    { 0x087f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/0/c */
    { 0x0900, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/1/u */
    { 0x097f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/1/c */
    { 0x0a00, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/2/u */
    { 0x0a7f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/2/c */
    { 0x0b00, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/3/u */
    { 0x0b7f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/2/3/c */
    { 0x0c00, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/0/u */
    { 0x0c7f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/0/c */
    { 0x0d00, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/1/u */
    { 0x0d7f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/1/c */
    { 0x0e00, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/2/u */
    { 0x0e7f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/2/c */
    { 0x0f00, 0x3e5f, 0xb0a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/3/u */
    { 0x0f7f, 0x3e5f, 0x3020, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(1,0x8bd7e2b6e840ae14,16384), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #96/3/3/c */
};
uint32_t const g_cTests_fptan_r80_r80_amd = RT_ELEMENTS(g_aTests_fptan_r80_r80_amd);

FPU_UNARY_TWO_R80_TEST_T const g_aTests_fsincos_r80_r80_amd[] =
{
    { 0x0000, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/0/u */
    { 0x007f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/0/c */
    { 0x0100, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/1/u */
    { 0x017f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/1/c */
    { 0x0200, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/2/u */
    { 0x027f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/2/c */
    { 0x0300, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/3/u */
    { 0x037f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/0/3/c */
    { 0x0400, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/0/u */
    { 0x047f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/0/c */
    { 0x0500, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/1/u */
    { 0x057f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/1/c */
    { 0x0600, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/2/u */
    { 0x067f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/2/c */
    { 0x0700, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/3/u */
    { 0x077f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/1/3/c */
    { 0x0800, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/0/u */
    { 0x087f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/0/c */
    { 0x0900, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/1/u */
    { 0x097f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/1/c */
    { 0x0a00, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/2/u */
    { 0x0a7f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/2/c */
    { 0x0b00, 0x1658, 0xb2a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/3/u */
    { 0x0b7f, 0x1658, 0x3220, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #0/2/3/c */
    { 0x0c00, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/0/u */
    { 0x0c7f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/0/c */
    { 0x0d00, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/1/u */
    { 0x0d7f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/1/c */
    { 0x0e00, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/2/u */
    { 0x0e7f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/2/c */
    { 0x0f00, 0x1658, 0xb0a0, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/3/u */
    { 0x0f7f, 0x1658, 0x3020, RTFLOAT80U_INIT_C(0,0xd9eac65556fd747d,9361), RTFLOAT80U_INIT_C(0,0xd9eac65556fd747c,9361), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #0/3/3/c */
    { 0x0000, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/0/0/u */
    { 0x007f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/0/c */
    { 0x0100, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/0/1/u */
    { 0x017f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/1/c */
    { 0x0200, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/0/2/u */
    { 0x027f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/2/c */
    { 0x0300, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/0/3/u */
    { 0x037f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/0/3/c */
    { 0x0400, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/1/0/u */
    { 0x047f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/0/c */
    { 0x0500, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/1/1/u */
    { 0x057f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/1/c */
    { 0x0600, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/1/2/u */
    { 0x067f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/2/c */
    { 0x0700, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/1/3/u */
    { 0x077f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/1/3/c */
    { 0x0800, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/2/0/u */
    { 0x087f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/0/c */
    { 0x0900, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/2/1/u */
    { 0x097f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/1/c */
    { 0x0a00, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/2/2/u */
    { 0x0a7f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/2/c */
    { 0x0b00, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/2/3/u */
    { 0x0b7f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/2/3/c */
    { 0x0c00, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/3/0/u */
    { 0x0c7f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/0/c */
    { 0x0d00, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/3/1/u */
    { 0x0d7f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/1/c */
    { 0x0e00, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/3/2/u */
    { 0x0e7f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/2/c */
    { 0x0f00, 0xf9f0, 0xf981, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767) }, /* #1/3/3/u */
    { 0x0f7f, 0xf9f0, 0x7101, RTFLOAT80U_INIT_C(0,0x79fe6687372c2050,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #1/3/3/c */
    { 0x0000, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/0/u */
    { 0x007f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/0/c */
    { 0x0100, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/1/u */
    { 0x017f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/1/c */
    { 0x0200, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/2/u */
    { 0x027f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/2/c */
    { 0x0300, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/3/u */
    { 0x037f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/0/3/c */
    { 0x0400, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/0/u */
    { 0x047f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/0/c */
    { 0x0500, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/1/u */
    { 0x057f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/1/c */
    { 0x0600, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/2/u */
    { 0x067f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/2/c */
    { 0x0700, 0xc7fa, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/3/u */
    { 0x077f, 0xc7fa, 0x7320, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/1/3/c */
    { 0x0800, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/0/u */
    { 0x087f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/0/c */
    { 0x0900, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/1/u */
    { 0x097f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/1/c */
    { 0x0a00, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/2/u */
    { 0x0a7f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/2/c */
    { 0x0b00, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/3/u */
    { 0x0b7f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #2/2/3/c */
    { 0x0c00, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/0/u */
    { 0x0c7f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/0/c */
    { 0x0d00, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/1/u */
    { 0x0d7f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/1/c */
    { 0x0e00, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/2/u */
    { 0x0e7f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/2/c */
    { 0x0f00, 0xc7fa, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/3/u */
    { 0x0f7f, 0xc7fa, 0x7120, RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4f,7370), RTFLOAT80U_INIT_C(1,0xf7ef3e56cb501a4e,7370), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #2/3/3/c */
    { 0x0000, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/0/0/u */
    { 0x007f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/0/c */
    { 0x0100, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/0/1/u */
    { 0x017f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/1/c */
    { 0x0200, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/0/2/u */
    { 0x027f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/2/c */
    { 0x0300, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/0/3/u */
    { 0x037f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/0/3/c */
    { 0x0400, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/1/0/u */
    { 0x047f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/0/c */
    { 0x0500, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/1/1/u */
    { 0x057f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/1/c */
    { 0x0600, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/1/2/u */
    { 0x067f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/2/c */
    { 0x0700, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/1/3/u */
    { 0x077f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/1/3/c */
    { 0x0800, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/2/0/u */
    { 0x087f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/0/c */
    { 0x0900, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/2/1/u */
    { 0x097f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/1/c */
    { 0x0a00, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/2/2/u */
    { 0x0a7f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/2/c */
    { 0x0b00, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/2/3/u */
    { 0x0b7f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/2/3/c */
    { 0x0c00, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/3/0/u */
    { 0x0c7f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/0/c */
    { 0x0d00, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/3/1/u */
    { 0x0d7f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/1/c */
    { 0x0e00, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/3/2/u */
    { 0x0e7f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/2/c */
    { 0x0f00, 0x303b, 0xb881, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992) }, /* #3/3/3/u */
    { 0x0f7f, 0x303b, 0x3001, RTFLOAT80U_INIT_C(1,0x184143a4114ff490,28992), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #3/3/3/c */
    { 0x0000, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/0/u */
    { 0x007f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/0/c */
    { 0x0100, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/1/u */
    { 0x017f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/1/c */
    { 0x0200, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/2/u */
    { 0x027f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/2/c */
    { 0x0300, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/3/u */
    { 0x037f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/0/3/c */
    { 0x0400, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/0/u */
    { 0x047f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/0/c */
    { 0x0500, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/1/u */
    { 0x057f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/1/c */
    { 0x0600, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/2/u */
    { 0x067f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/2/c */
    { 0x0700, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/3/u */
    { 0x077f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/1/3/c */
    { 0x0800, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/0/u */
    { 0x087f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/0/c */
    { 0x0900, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/1/u */
    { 0x097f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/1/c */
    { 0x0a00, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/2/u */
    { 0x0a7f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/2/c */
    { 0x0b00, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/3/u */
    { 0x0b7f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/2/3/c */
    { 0x0c00, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/0/u */
    { 0x0c7f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/0/c */
    { 0x0d00, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/1/u */
    { 0x0d7f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/1/c */
    { 0x0e00, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/2/u */
    { 0x0e7f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/2/c */
    { 0x0f00, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/3/u */
    { 0x0f7f, 0xabcc, 0x3d00, RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9fc180d429e788ba,28309) }, /* #4/3/3/c */
    { 0x0000, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/0/u */
    { 0x007f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/0/c */
    { 0x0100, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/1/u */
    { 0x017f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/1/c */
    { 0x0200, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/2/u */
    { 0x027f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/2/c */
    { 0x0300, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/3/u */
    { 0x037f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/0/3/c */
    { 0x0400, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/0/u */
    { 0x047f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/0/c */
    { 0x0500, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/1/u */
    { 0x057f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/1/c */
    { 0x0600, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/2/u */
    { 0x067f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/2/c */
    { 0x0700, 0xa687, 0xb2a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/3/u */
    { 0x077f, 0xa687, 0x3220, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/1/3/c */
    { 0x0800, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/0/u */
    { 0x087f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/0/c */
    { 0x0900, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/1/u */
    { 0x097f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/1/c */
    { 0x0a00, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/2/u */
    { 0x0a7f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/2/c */
    { 0x0b00, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/3/u */
    { 0x0b7f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #5/2/3/c */
    { 0x0c00, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/0/u */
    { 0x0c7f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/0/c */
    { 0x0d00, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/1/u */
    { 0x0d7f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/1/c */
    { 0x0e00, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/2/u */
    { 0x0e7f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/2/c */
    { 0x0f00, 0xa687, 0xb0a0, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/3/u */
    { 0x0f7f, 0xa687, 0x3020, RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b2,15849), RTFLOAT80U_INIT_C(1,0x92cd3527fcda19b1,15849), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #5/3/3/c */
    { 0x0000, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/0/u */
    { 0x007f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/0/c */
    { 0x0100, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/1/u */
    { 0x017f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/1/c */
    { 0x0200, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/2/u */
    { 0x027f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/2/c */
    { 0x0300, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/3/u */
    { 0x037f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/0/3/c */
    { 0x0400, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/0/u */
    { 0x047f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/0/c */
    { 0x0500, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/1/u */
    { 0x057f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/1/c */
    { 0x0600, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/2/u */
    { 0x067f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/2/c */
    { 0x0700, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/3/u */
    { 0x077f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/1/3/c */
    { 0x0800, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/0/u */
    { 0x087f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/0/c */
    { 0x0900, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/1/u */
    { 0x097f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/1/c */
    { 0x0a00, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/2/u */
    { 0x0a7f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/2/c */
    { 0x0b00, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/3/u */
    { 0x0b7f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/2/3/c */
    { 0x0c00, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/0/u */
    { 0x0c7f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/0/c */
    { 0x0d00, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/1/u */
    { 0x0d7f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/1/c */
    { 0x0e00, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/2/u */
    { 0x0e7f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/2/c */
    { 0x0f00, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/3/u */
    { 0x0f7f, 0x79da, 0x7100, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #6/3/3/c */
    { 0x0000, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/0/0/u */
    { 0x007f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/0/0/c */
    { 0x0100, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/0/1/u */
    { 0x017f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/0/1/c */
    { 0x0200, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/0/2/u */
    { 0x027f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/0/2/c */
    { 0x0300, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/0/3/u */
    { 0x037f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/0/3/c */
    { 0x0400, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/1/0/u */
    { 0x047f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/1/0/c */
    { 0x0500, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/1/1/u */
    { 0x057f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/1/1/c */
    { 0x0600, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/1/2/u */
    { 0x067f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/1/2/c */
    { 0x0700, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/1/3/u */
    { 0x077f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/1/3/c */
    { 0x0800, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/2/0/u */
    { 0x087f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/2/0/c */
    { 0x0900, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/2/1/u */
    { 0x097f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/2/1/c */
    { 0x0a00, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/2/2/u */
    { 0x0a7f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/2/2/c */
    { 0x0b00, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/2/3/u */
    { 0x0b7f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/2/3/c */
    { 0x0c00, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/3/0/u */
    { 0x0c7f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/3/0/c */
    { 0x0d00, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/3/1/u */
    { 0x0d7f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/3/1/c */
    { 0x0e00, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/3/2/u */
    { 0x0e7f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/3/2/c */
    { 0x0f00, 0x490c, 0xf981, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808) }, /* #7/3/3/u */
    { 0x0f7f, 0x490c, 0x7101, RTFLOAT80U_INIT_C(1,0xe7df72ee981e37c,29808), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #7/3/3/c */
    { 0x0000, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/0/0/u */
    { 0x007f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/0/c */
    { 0x0100, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/0/1/u */
    { 0x017f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/1/c */
    { 0x0200, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/0/2/u */
    { 0x027f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/2/c */
    { 0x0300, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/0/3/u */
    { 0x037f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/0/3/c */
    { 0x0400, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/1/0/u */
    { 0x047f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/0/c */
    { 0x0500, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/1/1/u */
    { 0x057f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/1/c */
    { 0x0600, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/1/2/u */
    { 0x067f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/2/c */
    { 0x0700, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/1/3/u */
    { 0x077f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/1/3/c */
    { 0x0800, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/2/0/u */
    { 0x087f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/0/c */
    { 0x0900, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/2/1/u */
    { 0x097f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/1/c */
    { 0x0a00, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/2/2/u */
    { 0x0a7f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/2/c */
    { 0x0b00, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/2/3/u */
    { 0x0b7f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/2/3/c */
    { 0x0c00, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/3/0/u */
    { 0x0c7f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/0/c */
    { 0x0d00, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/3/1/u */
    { 0x0d7f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/1/c */
    { 0x0e00, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/3/2/u */
    { 0x0e7f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/2/c */
    { 0x0f00, 0xdadc, 0xf881, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212) }, /* #8/3/3/u */
    { 0x0f7f, 0xdadc, 0x7001, RTFLOAT80U_INIT_C(0,0x2d269caeb72ff3ab,28212), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #8/3/3/c */
    { 0x0000, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/0/u */
    { 0x007f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/0/c */
    { 0x0100, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/1/u */
    { 0x017f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/1/c */
    { 0x0200, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/2/u */
    { 0x027f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/2/c */
    { 0x0300, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/3/u */
    { 0x037f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/0/3/c */
    { 0x0400, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/0/u */
    { 0x047f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/0/c */
    { 0x0500, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/1/u */
    { 0x057f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/1/c */
    { 0x0600, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/2/u */
    { 0x067f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/2/c */
    { 0x0700, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/3/u */
    { 0x077f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/1/3/c */
    { 0x0800, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/0/u */
    { 0x087f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/0/c */
    { 0x0900, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/1/u */
    { 0x097f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/1/c */
    { 0x0a00, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/2/u */
    { 0x0a7f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/2/c */
    { 0x0b00, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/3/u */
    { 0x0b7f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/2/3/c */
    { 0x0c00, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/0/u */
    { 0x0c7f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/0/c */
    { 0x0d00, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/1/u */
    { 0x0d7f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/1/c */
    { 0x0e00, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/2/u */
    { 0x0e7f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/2/c */
    { 0x0f00, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/3/u */
    { 0x0f7f, 0x640d, 0x7000, RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767), RTFLOAT80U_INIT_C(1,0xec054379f390de95,32767) }, /* #9/3/3/c */
    { 0x0000, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/0/u */
    { 0x007f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/0/c */
    { 0x0100, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/1/u */
    { 0x017f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/1/c */
    { 0x0200, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/2/u */
    { 0x027f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/2/c */
    { 0x0300, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/3/u */
    { 0x037f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/0/3/c */
    { 0x0400, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/0/u */
    { 0x047f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/0/c */
    { 0x0500, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/1/u */
    { 0x057f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/1/c */
    { 0x0600, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/2/u */
    { 0x067f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/2/c */
    { 0x0700, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/3/u */
    { 0x077f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/1/3/c */
    { 0x0800, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/0/u */
    { 0x087f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/0/c */
    { 0x0900, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/1/u */
    { 0x097f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/1/c */
    { 0x0a00, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/2/u */
    { 0x0a7f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/2/c */
    { 0x0b00, 0x7c58, 0xf2a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/3/u */
    { 0x0b7f, 0x7c58, 0x7220, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #10/2/3/c */
    { 0x0c00, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/0/u */
    { 0x0c7f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/0/c */
    { 0x0d00, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/1/u */
    { 0x0d7f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/1/c */
    { 0x0e00, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/2/u */
    { 0x0e7f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/2/c */
    { 0x0f00, 0x7c58, 0xf0a0, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/3/u */
    { 0x0f7f, 0x7c58, 0x7020, RTFLOAT80U_INIT_C(0,0xba0b42c7c384a76a,13462), RTFLOAT80U_INIT_C(0,0xba0b42c7c384a769,13462), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #10/3/3/c */
    { 0x0000, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/0/u */
    { 0x007f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/0/c */
    { 0x0100, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/1/u */
    { 0x017f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/1/c */
    { 0x0200, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/2/u */
    { 0x027f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/2/c */
    { 0x0300, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/3/u */
    { 0x037f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/0/3/c */
    { 0x0400, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/0/u */
    { 0x047f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/0/c */
    { 0x0500, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/1/u */
    { 0x057f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/1/c */
    { 0x0600, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/2/u */
    { 0x067f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/2/c */
    { 0x0700, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/3/u */
    { 0x077f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/1/3/c */
    { 0x0800, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/0/u */
    { 0x087f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/0/c */
    { 0x0900, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/1/u */
    { 0x097f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/1/c */
    { 0x0a00, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/2/u */
    { 0x0a7f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/2/c */
    { 0x0b00, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/3/u */
    { 0x0b7f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/2/3/c */
    { 0x0c00, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/0/u */
    { 0x0c7f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/0/c */
    { 0x0d00, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/1/u */
    { 0x0d7f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/1/c */
    { 0x0e00, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/2/u */
    { 0x0e7f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/2/c */
    { 0x0f00, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/3/u */
    { 0x0f7f, 0x0a51, 0x3c00, RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xd10933d04977b10e,17984) }, /* #11/3/3/c */
    { 0x0000, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/0/0/u */
    { 0x007f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/0/c */
    { 0x0100, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/0/1/u */
    { 0x017f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/1/c */
    { 0x0200, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/0/2/u */
    { 0x027f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/2/c */
    { 0x0300, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/0/3/u */
    { 0x037f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/0/3/c */
    { 0x0400, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/1/0/u */
    { 0x047f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/0/c */
    { 0x0500, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/1/1/u */
    { 0x057f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/1/c */
    { 0x0600, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/1/2/u */
    { 0x067f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/2/c */
    { 0x0700, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/1/3/u */
    { 0x077f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/1/3/c */
    { 0x0800, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/2/0/u */
    { 0x087f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/0/c */
    { 0x0900, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/2/1/u */
    { 0x097f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/1/c */
    { 0x0a00, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/2/2/u */
    { 0x0a7f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/2/c */
    { 0x0b00, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/2/3/u */
    { 0x0b7f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/2/3/c */
    { 0x0c00, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/3/0/u */
    { 0x0c7f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/0/c */
    { 0x0d00, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/3/1/u */
    { 0x0d7f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/1/c */
    { 0x0e00, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/3/2/u */
    { 0x0e7f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/2/c */
    { 0x0f00, 0x3a3f, 0xb881, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744) }, /* #12/3/3/u */
    { 0x0f7f, 0x3a3f, 0x3001, RTFLOAT80U_INIT_C(0,0x6dedf4c610b25cda,2744), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #12/3/3/c */
    { 0x0000, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/0/u */
    { 0x007f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/0/c */
    { 0x0100, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/1/u */
    { 0x017f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/1/c */
    { 0x0200, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/2/u */
    { 0x027f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/2/c */
    { 0x0300, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/3/u */
    { 0x037f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/0/3/c */
    { 0x0400, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/0/u */
    { 0x047f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/0/c */
    { 0x0500, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/1/u */
    { 0x057f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/1/c */
    { 0x0600, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/2/u */
    { 0x067f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/2/c */
    { 0x0700, 0xcb8b, 0xf3a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/3/u */
    { 0x077f, 0xcb8b, 0x7320, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/1/3/c */
    { 0x0800, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/0/u */
    { 0x087f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/0/c */
    { 0x0900, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/1/u */
    { 0x097f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/1/c */
    { 0x0a00, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/2/u */
    { 0x0a7f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/2/c */
    { 0x0b00, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/3/u */
    { 0x0b7f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #13/2/3/c */
    { 0x0c00, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/0/u */
    { 0x0c7f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/0/c */
    { 0x0d00, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/1/u */
    { 0x0d7f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/1/c */
    { 0x0e00, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/2/u */
    { 0x0e7f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/2/c */
    { 0x0f00, 0xcb8b, 0xf1a0, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/3/u */
    { 0x0f7f, 0xcb8b, 0x7120, RTFLOAT80U_INIT_C(1,0xf30a59e3372e1785,278), RTFLOAT80U_INIT_C(1,0xf30a59e3372e1784,278), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #13/3/3/c */
    { 0x0000, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/0/u */
    { 0x007f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/0/c */
    { 0x0100, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/1/u */
    { 0x017f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/1/c */
    { 0x0200, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/2/u */
    { 0x027f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/2/c */
    { 0x0300, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/3/u */
    { 0x037f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/0/3/c */
    { 0x0400, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/0/u */
    { 0x047f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/0/c */
    { 0x0500, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/1/u */
    { 0x057f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/1/c */
    { 0x0600, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/2/u */
    { 0x067f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/2/c */
    { 0x0700, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/3/u */
    { 0x077f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/1/3/c */
    { 0x0800, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/0/u */
    { 0x087f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/0/c */
    { 0x0900, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/1/u */
    { 0x097f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/1/c */
    { 0x0a00, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/2/u */
    { 0x0a7f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/2/c */
    { 0x0b00, 0x9df9, 0xb3a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/3/u */
    { 0x0b7f, 0x9df9, 0x3320, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #14/2/3/c */
    { 0x0c00, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/0/u */
    { 0x0c7f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/0/c */
    { 0x0d00, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/1/u */
    { 0x0d7f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/1/c */
    { 0x0e00, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/2/u */
    { 0x0e7f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/2/c */
    { 0x0f00, 0x9df9, 0xb1a0, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/3/u */
    { 0x0f7f, 0x9df9, 0x3120, RTFLOAT80U_INIT_C(0,0xf923f41fcf4018eb,15495), RTFLOAT80U_INIT_C(0,0xf923f41fcf4018ea,15495), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #14/3/3/c */
    { 0x0000, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/0/u */
    { 0x007f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/0/c */
    { 0x0100, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/1/u */
    { 0x017f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/1/c */
    { 0x0200, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/2/u */
    { 0x027f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/2/c */
    { 0x0300, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/3/u */
    { 0x037f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/0/3/c */
    { 0x0400, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/0/u */
    { 0x047f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/0/c */
    { 0x0500, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/1/u */
    { 0x057f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/1/c */
    { 0x0600, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/2/u */
    { 0x067f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/2/c */
    { 0x0700, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/3/u */
    { 0x077f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/1/3/c */
    { 0x0800, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/0/u */
    { 0x087f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/0/c */
    { 0x0900, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/1/u */
    { 0x097f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/1/c */
    { 0x0a00, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/2/u */
    { 0x0a7f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/2/c */
    { 0x0b00, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/3/u */
    { 0x0b7f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/2/3/c */
    { 0x0c00, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/0/u */
    { 0x0c7f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/0/c */
    { 0x0d00, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/1/u */
    { 0x0d7f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/1/c */
    { 0x0e00, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/2/u */
    { 0x0e7f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/2/c */
    { 0x0f00, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/3/u */
    { 0x0f7f, 0x8e44, 0x3c00, RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xab360af80c246c1d,22213) }, /* #15/3/3/c */
    { 0x0000, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/0/u */
    { 0x007f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/0/c */
    { 0x0100, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/1/u */
    { 0x017f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/1/c */
    { 0x0200, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/2/u */
    { 0x027f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/2/c */
    { 0x0300, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/3/u */
    { 0x037f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/0/3/c */
    { 0x0400, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/0/u */
    { 0x047f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/0/c */
    { 0x0500, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/1/u */
    { 0x057f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/1/c */
    { 0x0600, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/2/u */
    { 0x067f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/2/c */
    { 0x0700, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/3/u */
    { 0x077f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/1/3/c */
    { 0x0800, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/0/u */
    { 0x087f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/0/c */
    { 0x0900, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/1/u */
    { 0x097f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/1/c */
    { 0x0a00, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/2/u */
    { 0x0a7f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/2/c */
    { 0x0b00, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/3/u */
    { 0x0b7f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/2/3/c */
    { 0x0c00, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/0/u */
    { 0x0c7f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/0/c */
    { 0x0d00, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/1/u */
    { 0x0d7f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/1/c */
    { 0x0e00, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/2/u */
    { 0x0e7f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/2/c */
    { 0x0f00, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/3/u */
    { 0x0f7f, 0x608c, 0x7c00, RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xfb92018445df3428,16509) }, /* #16/3/3/c */
    { 0x0000, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/0/u */
    { 0x007f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/0/c */
    { 0x0100, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/1/u */
    { 0x017f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/1/c */
    { 0x0200, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/2/u */
    { 0x027f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/2/c */
    { 0x0300, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/3/u */
    { 0x037f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/0/3/c */
    { 0x0400, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/0/u */
    { 0x047f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/0/c */
    { 0x0500, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/1/u */
    { 0x057f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/1/c */
    { 0x0600, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/2/u */
    { 0x067f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/2/c */
    { 0x0700, 0x9956, 0xb3a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/3/u */
    { 0x077f, 0x9956, 0x3320, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/1/3/c */
    { 0x0800, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/0/u */
    { 0x087f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/0/c */
    { 0x0900, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/1/u */
    { 0x097f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/1/c */
    { 0x0a00, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/2/u */
    { 0x0a7f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/2/c */
    { 0x0b00, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/3/u */
    { 0x0b7f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #17/2/3/c */
    { 0x0c00, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/0/u */
    { 0x0c7f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/0/c */
    { 0x0d00, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/1/u */
    { 0x0d7f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/1/c */
    { 0x0e00, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/2/u */
    { 0x0e7f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/2/c */
    { 0x0f00, 0x9956, 0xb1a0, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/3/u */
    { 0x0f7f, 0x9956, 0x3120, RTFLOAT80U_INIT_C(1,0xf38225827b53b0e3,13580), RTFLOAT80U_INIT_C(1,0xf38225827b53b0e2,13580), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #17/3/3/c */
    { 0x0000, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/0/0/u */
    { 0x007f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/0/0/c */
    { 0x0100, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/0/1/u */
    { 0x017f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/0/1/c */
    { 0x0200, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/0/2/u */
    { 0x027f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/0/2/c */
    { 0x0300, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/0/3/u */
    { 0x037f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/0/3/c */
    { 0x0400, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/1/0/u */
    { 0x047f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/1/0/c */
    { 0x0500, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/1/1/u */
    { 0x057f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/1/1/c */
    { 0x0600, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/1/2/u */
    { 0x067f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/1/2/c */
    { 0x0700, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/1/3/u */
    { 0x077f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/1/3/c */
    { 0x0800, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/2/0/u */
    { 0x087f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/2/0/c */
    { 0x0900, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/2/1/u */
    { 0x097f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/2/1/c */
    { 0x0a00, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/2/2/u */
    { 0x0a7f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/2/2/c */
    { 0x0b00, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/2/3/u */
    { 0x0b7f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/2/3/c */
    { 0x0c00, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/3/0/u */
    { 0x0c7f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/3/0/c */
    { 0x0d00, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/3/1/u */
    { 0x0d7f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/3/1/c */
    { 0x0e00, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/3/2/u */
    { 0x0e7f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/3/2/c */
    { 0x0f00, 0x519b, 0xf981, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767) }, /* #18/3/3/u */
    { 0x0f7f, 0x519b, 0x7101, RTFLOAT80U_INIT_C(1,0x80fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767), RTFLOAT80U_INIT_C(1,0xc0fd2a533914bed7,32767) }, /* #18/3/3/c */
    { 0x0000, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/0/0/u */
    { 0x007f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/0/c */
    { 0x0100, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/0/1/u */
    { 0x017f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/1/c */
    { 0x0200, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/0/2/u */
    { 0x027f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/2/c */
    { 0x0300, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/0/3/u */
    { 0x037f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/0/3/c */
    { 0x0400, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/1/0/u */
    { 0x047f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/0/c */
    { 0x0500, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/1/1/u */
    { 0x057f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/1/c */
    { 0x0600, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/1/2/u */
    { 0x067f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/2/c */
    { 0x0700, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/1/3/u */
    { 0x077f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/1/3/c */
    { 0x0800, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/2/0/u */
    { 0x087f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/0/c */
    { 0x0900, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/2/1/u */
    { 0x097f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/1/c */
    { 0x0a00, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/2/2/u */
    { 0x0a7f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/2/c */
    { 0x0b00, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/2/3/u */
    { 0x0b7f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/2/3/c */
    { 0x0c00, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/3/0/u */
    { 0x0c7f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/0/c */
    { 0x0d00, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/3/1/u */
    { 0x0d7f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/1/c */
    { 0x0e00, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/3/2/u */
    { 0x0e7f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/2/c */
    { 0x0f00, 0xa502, 0xb981, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508) }, /* #19/3/3/u */
    { 0x0f7f, 0xa502, 0x3101, RTFLOAT80U_INIT_C(0,0x5f82407a303ab9e,27508), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #19/3/3/c */
    { 0x0000, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/0/0/u */
    { 0x007f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/0/c */
    { 0x0100, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/0/1/u */
    { 0x017f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/1/c */
    { 0x0200, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/0/2/u */
    { 0x027f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/2/c */
    { 0x0300, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/0/3/u */
    { 0x037f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/0/3/c */
    { 0x0400, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/1/0/u */
    { 0x047f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/0/c */
    { 0x0500, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/1/1/u */
    { 0x057f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/1/c */
    { 0x0600, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/1/2/u */
    { 0x067f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/2/c */
    { 0x0700, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/1/3/u */
    { 0x077f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/1/3/c */
    { 0x0800, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/2/0/u */
    { 0x087f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/0/c */
    { 0x0900, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/2/1/u */
    { 0x097f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/1/c */
    { 0x0a00, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/2/2/u */
    { 0x0a7f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/2/c */
    { 0x0b00, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/2/3/u */
    { 0x0b7f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/2/3/c */
    { 0x0c00, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/3/0/u */
    { 0x0c7f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/0/c */
    { 0x0d00, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/3/1/u */
    { 0x0d7f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/1/c */
    { 0x0e00, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/3/2/u */
    { 0x0e7f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/2/c */
    { 0x0f00, 0xe402, 0xf881, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9,29535) }, /* #20/3/3/u */
    { 0x0f7f, 0xe402, 0x7001, RTFLOAT80U_INIT_C(1,0x9,29535), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #20/3/3/c */
    { 0x0000, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/0/0/u */
    { 0x007f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/0/c */
    { 0x0100, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/0/1/u */
    { 0x017f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/1/c */
    { 0x0200, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/0/2/u */
    { 0x027f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/2/c */
    { 0x0300, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/0/3/u */
    { 0x037f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/0/3/c */
    { 0x0400, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/1/0/u */
    { 0x047f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/1/0/c */
    { 0x0500, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/1/1/u */
    { 0x057f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/1/1/c */
    { 0x0600, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/1/2/u */
    { 0x067f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/1/2/c */
    { 0x0700, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/1/3/u */
    { 0x077f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/1/3/c */
    { 0x0800, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/2/0/u */
    { 0x087f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/0/c */
    { 0x0900, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/2/1/u */
    { 0x097f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/1/c */
    { 0x0a00, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/2/2/u */
    { 0x0a7f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/2/c */
    { 0x0b00, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/2/3/u */
    { 0x0b7f, 0x8484, 0x3222, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #21/2/3/c */
    { 0x0c00, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/3/0/u */
    { 0x0c7f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/3/0/c */
    { 0x0d00, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/3/1/u */
    { 0x0d7f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/3/1/c */
    { 0x0e00, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/3/2/u */
    { 0x0e7f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/3/2/c */
    { 0x0f00, 0x8484, 0xb882, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0) }, /* #21/3/3/u */
    { 0x0f7f, 0x8484, 0x3022, RTFLOAT80U_INIT_C(0,0xaceb9017c9917644,0), RTFLOAT80U_INIT_C(0,0xaceb9017c9917643,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #21/3/3/c */
    { 0x0000, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/0/u */
    { 0x007f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/0/c */
    { 0x0100, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/1/u */
    { 0x017f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/1/c */
    { 0x0200, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/2/u */
    { 0x027f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/2/c */
    { 0x0300, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/3/u */
    { 0x037f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/0/3/c */
    { 0x0400, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/0/u */
    { 0x047f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/0/c */
    { 0x0500, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/1/u */
    { 0x057f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/1/c */
    { 0x0600, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/2/u */
    { 0x067f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/2/c */
    { 0x0700, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/3/u */
    { 0x077f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/1/3/c */
    { 0x0800, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/0/u */
    { 0x087f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/0/c */
    { 0x0900, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/1/u */
    { 0x097f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/1/c */
    { 0x0a00, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/2/u */
    { 0x0a7f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/2/c */
    { 0x0b00, 0x445a, 0xf2a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/3/u */
    { 0x0b7f, 0x445a, 0x7220, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #22/2/3/c */
    { 0x0c00, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/0/u */
    { 0x0c7f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/0/c */
    { 0x0d00, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/1/u */
    { 0x0d7f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/1/c */
    { 0x0e00, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/2/u */
    { 0x0e7f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/2/c */
    { 0x0f00, 0x445a, 0xf0a0, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/3/u */
    { 0x0f7f, 0x445a, 0x7020, RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8f,6889), RTFLOAT80U_INIT_C(0,0xad1f84b35e0e0f8e,6889), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #22/3/3/c */
    { 0x0000, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/0/u */
    { 0x007f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/0/c */
    { 0x0100, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/1/u */
    { 0x017f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/1/c */
    { 0x0200, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/2/u */
    { 0x027f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/2/c */
    { 0x0300, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/3/u */
    { 0x037f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/0/3/c */
    { 0x0400, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/0/u */
    { 0x047f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/0/c */
    { 0x0500, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/1/u */
    { 0x057f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/1/c */
    { 0x0600, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/2/u */
    { 0x067f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/2/c */
    { 0x0700, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/3/u */
    { 0x077f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/1/3/c */
    { 0x0800, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/0/u */
    { 0x087f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/0/c */
    { 0x0900, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/1/u */
    { 0x097f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/1/c */
    { 0x0a00, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/2/u */
    { 0x0a7f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/2/c */
    { 0x0b00, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/3/u */
    { 0x0b7f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/2/3/c */
    { 0x0c00, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/0/u */
    { 0x0c7f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/0/c */
    { 0x0d00, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/1/u */
    { 0x0d7f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/1/c */
    { 0x0e00, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/2/u */
    { 0x0e7f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/2/c */
    { 0x0f00, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/3/u */
    { 0x0f7f, 0x1a4a, 0x3000, RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(1,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #23/3/3/c */
    { 0x0000, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/0/0/u */
    { 0x007f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/0/c */
    { 0x0100, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/0/1/u */
    { 0x017f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/1/c */
    { 0x0200, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/0/2/u */
    { 0x027f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/2/c */
    { 0x0300, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/0/3/u */
    { 0x037f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/0/3/c */
    { 0x0400, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/1/0/u */
    { 0x047f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/0/c */
    { 0x0500, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/1/1/u */
    { 0x057f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/1/c */
    { 0x0600, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/1/2/u */
    { 0x067f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/2/c */
    { 0x0700, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/1/3/u */
    { 0x077f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/1/3/c */
    { 0x0800, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/2/0/u */
    { 0x087f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/0/c */
    { 0x0900, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/2/1/u */
    { 0x097f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/1/c */
    { 0x0a00, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/2/2/u */
    { 0x0a7f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/2/c */
    { 0x0b00, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/2/3/u */
    { 0x0b7f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/2/3/c */
    { 0x0c00, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/3/0/u */
    { 0x0c7f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/0/c */
    { 0x0d00, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/3/1/u */
    { 0x0d7f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/1/c */
    { 0x0e00, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/3/2/u */
    { 0x0e7f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/2/c */
    { 0x0f00, 0x2fe0, 0xb981, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031) }, /* #24/3/3/u */
    { 0x0f7f, 0x2fe0, 0x3101, RTFLOAT80U_INIT_C(1,0xe8b889c715a,9031), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #24/3/3/c */
    { 0x0000, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/0/0/u */
    { 0x007f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/0/c */
    { 0x0100, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/0/1/u */
    { 0x017f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/1/c */
    { 0x0200, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/0/2/u */
    { 0x027f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/2/c */
    { 0x0300, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/0/3/u */
    { 0x037f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/0/3/c */
    { 0x0400, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/1/0/u */
    { 0x047f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/0/c */
    { 0x0500, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/1/1/u */
    { 0x057f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/1/c */
    { 0x0600, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/1/2/u */
    { 0x067f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/2/c */
    { 0x0700, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/1/3/u */
    { 0x077f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/1/3/c */
    { 0x0800, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/2/0/u */
    { 0x087f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/0/c */
    { 0x0900, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/2/1/u */
    { 0x097f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/1/c */
    { 0x0a00, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/2/2/u */
    { 0x0a7f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/2/c */
    { 0x0b00, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/2/3/u */
    { 0x0b7f, 0xbcc8, 0x3232, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #25/2/3/c */
    { 0x0c00, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/3/0/u */
    { 0x0c7f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/0/c */
    { 0x0d00, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/3/1/u */
    { 0x0d7f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/1/c */
    { 0x0e00, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/3/2/u */
    { 0x0e7f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/2/c */
    { 0x0f00, 0xbcc8, 0xb882, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0) }, /* #25/3/3/u */
    { 0x0f7f, 0xbcc8, 0x3032, RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb5,0), RTFLOAT80U_INIT_C(0,0x417cb6d8ba612bb4,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #25/3/3/c */
    { 0x0000, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/0/0/u */
    { 0x007f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/0/c */
    { 0x0100, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/0/1/u */
    { 0x017f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/1/c */
    { 0x0200, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/0/2/u */
    { 0x027f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/2/c */
    { 0x0300, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/0/3/u */
    { 0x037f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/0/3/c */
    { 0x0400, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/1/0/u */
    { 0x047f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/1/0/c */
    { 0x0500, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/1/1/u */
    { 0x057f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/1/1/c */
    { 0x0600, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/1/2/u */
    { 0x067f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/1/2/c */
    { 0x0700, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/1/3/u */
    { 0x077f, 0x38cb, 0x3232, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/1/3/c */
    { 0x0800, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/2/0/u */
    { 0x087f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/0/c */
    { 0x0900, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/2/1/u */
    { 0x097f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/1/c */
    { 0x0a00, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/2/2/u */
    { 0x0a7f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/2/c */
    { 0x0b00, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/2/3/u */
    { 0x0b7f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #26/2/3/c */
    { 0x0c00, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/3/0/u */
    { 0x0c7f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/3/0/c */
    { 0x0d00, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/3/1/u */
    { 0x0d7f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/3/1/c */
    { 0x0e00, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/3/2/u */
    { 0x0e7f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/3/2/c */
    { 0x0f00, 0x38cb, 0xb882, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x68,0) }, /* #26/3/3/u */
    { 0x0f7f, 0x38cb, 0x3032, RTFLOAT80U_INIT_C(1,0x68,0), RTFLOAT80U_INIT_C(1,0x67,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #26/3/3/c */
    { 0x0000, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/0/u */
    { 0x007f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/0/c */
    { 0x0100, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/1/u */
    { 0x017f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/1/c */
    { 0x0200, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/2/u */
    { 0x027f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/2/c */
    { 0x0300, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/3/u */
    { 0x037f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/0/3/c */
    { 0x0400, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/0/u */
    { 0x047f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/0/c */
    { 0x0500, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/1/u */
    { 0x057f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/1/c */
    { 0x0600, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/2/u */
    { 0x067f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/2/c */
    { 0x0700, 0xc7fe, 0xf3a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/3/u */
    { 0x077f, 0xc7fe, 0x7320, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/1/3/c */
    { 0x0800, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/0/u */
    { 0x087f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/0/c */
    { 0x0900, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/1/u */
    { 0x097f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/1/c */
    { 0x0a00, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/2/u */
    { 0x0a7f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/2/c */
    { 0x0b00, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/3/u */
    { 0x0b7f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #27/2/3/c */
    { 0x0c00, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/0/u */
    { 0x0c7f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/0/c */
    { 0x0d00, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/1/u */
    { 0x0d7f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/1/c */
    { 0x0e00, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/2/u */
    { 0x0e7f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/2/c */
    { 0x0f00, 0xc7fe, 0xf1a0, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/3/u */
    { 0x0f7f, 0xc7fe, 0x7120, RTFLOAT80U_INIT_C(1,0xfaa915837dbed173,2654), RTFLOAT80U_INIT_C(1,0xfaa915837dbed172,2654), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #27/3/3/c */
    { 0x0000, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/0/0/u */
    { 0x007f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/0/c */
    { 0x0100, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/0/1/u */
    { 0x017f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/1/c */
    { 0x0200, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/0/2/u */
    { 0x027f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/2/c */
    { 0x0300, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/0/3/u */
    { 0x037f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/0/3/c */
    { 0x0400, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/1/0/u */
    { 0x047f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/0/c */
    { 0x0500, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/1/1/u */
    { 0x057f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/1/c */
    { 0x0600, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/1/2/u */
    { 0x067f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/2/c */
    { 0x0700, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/1/3/u */
    { 0x077f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/1/3/c */
    { 0x0800, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/2/0/u */
    { 0x087f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/0/c */
    { 0x0900, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/2/1/u */
    { 0x097f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/1/c */
    { 0x0a00, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/2/2/u */
    { 0x0a7f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/2/c */
    { 0x0b00, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/2/3/u */
    { 0x0b7f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/2/3/c */
    { 0x0c00, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/3/0/u */
    { 0x0c7f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/0/c */
    { 0x0d00, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/3/1/u */
    { 0x0d7f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/1/c */
    { 0x0e00, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/3/2/u */
    { 0x0e7f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/2/c */
    { 0x0f00, 0xe32a, 0xf981, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #28/3/3/u */
    { 0x0f7f, 0xe32a, 0x7101, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #28/3/3/c */
    { 0x0000, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/0/u */
    { 0x007f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/0/c */
    { 0x0100, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/1/u */
    { 0x017f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/1/c */
    { 0x0200, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/2/u */
    { 0x027f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/2/c */
    { 0x0300, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/3/u */
    { 0x037f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/0/3/c */
    { 0x0400, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/0/u */
    { 0x047f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/0/c */
    { 0x0500, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/1/u */
    { 0x057f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/1/c */
    { 0x0600, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/2/u */
    { 0x067f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/2/c */
    { 0x0700, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/3/u */
    { 0x077f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/1/3/c */
    { 0x0800, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/0/u */
    { 0x087f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/0/c */
    { 0x0900, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/1/u */
    { 0x097f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/1/c */
    { 0x0a00, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/2/u */
    { 0x0a7f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/2/c */
    { 0x0b00, 0x455d, 0xf3a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/3/u */
    { 0x0b7f, 0x455d, 0x7320, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #29/2/3/c */
    { 0x0c00, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/0/u */
    { 0x0c7f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/0/c */
    { 0x0d00, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/1/u */
    { 0x0d7f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/1/c */
    { 0x0e00, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/2/u */
    { 0x0e7f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/2/c */
    { 0x0f00, 0x455d, 0xf1a0, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/3/u */
    { 0x0f7f, 0x455d, 0x7120, RTFLOAT80U_INIT_C(0,0xcc5915349476ef4e,12308), RTFLOAT80U_INIT_C(0,0xcc5915349476ef4d,12308), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #29/3/3/c */
    { 0x0000, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/0/0/u */
    { 0x007f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/0/c */
    { 0x0100, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/0/1/u */
    { 0x017f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/1/c */
    { 0x0200, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/0/2/u */
    { 0x027f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/2/c */
    { 0x0300, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/0/3/u */
    { 0x037f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/0/3/c */
    { 0x0400, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/1/0/u */
    { 0x047f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/0/c */
    { 0x0500, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/1/1/u */
    { 0x057f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/1/c */
    { 0x0600, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/1/2/u */
    { 0x067f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/2/c */
    { 0x0700, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/1/3/u */
    { 0x077f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/1/3/c */
    { 0x0800, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/2/0/u */
    { 0x087f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/0/c */
    { 0x0900, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/2/1/u */
    { 0x097f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/1/c */
    { 0x0a00, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/2/2/u */
    { 0x0a7f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/2/c */
    { 0x0b00, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/2/3/u */
    { 0x0b7f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/2/3/c */
    { 0x0c00, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/3/0/u */
    { 0x0c7f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/0/c */
    { 0x0d00, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/3/1/u */
    { 0x0d7f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/1/c */
    { 0x0e00, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/3/2/u */
    { 0x0e7f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/2/c */
    { 0x0f00, 0x0b52, 0xb981, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x10659a,14732) }, /* #30/3/3/u */
    { 0x0f7f, 0x0b52, 0x3101, RTFLOAT80U_INIT_C(0,0x10659a,14732), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #30/3/3/c */
    { 0x0000, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/0/0/u */
    { 0x007f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/0/0/c */
    { 0x0100, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/0/1/u */
    { 0x017f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/0/1/c */
    { 0x0200, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/0/2/u */
    { 0x027f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/0/2/c */
    { 0x0300, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/0/3/u */
    { 0x037f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/0/3/c */
    { 0x0400, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/1/0/u */
    { 0x047f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/1/0/c */
    { 0x0500, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/1/1/u */
    { 0x057f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/1/1/c */
    { 0x0600, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/1/2/u */
    { 0x067f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/1/2/c */
    { 0x0700, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/1/3/u */
    { 0x077f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/1/3/c */
    { 0x0800, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/2/0/u */
    { 0x087f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/2/0/c */
    { 0x0900, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/2/1/u */
    { 0x097f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/2/1/c */
    { 0x0a00, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/2/2/u */
    { 0x0a7f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/2/2/c */
    { 0x0b00, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/2/3/u */
    { 0x0b7f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/2/3/c */
    { 0x0c00, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/3/0/u */
    { 0x0c7f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/3/0/c */
    { 0x0d00, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/3/1/u */
    { 0x0d7f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/3/1/c */
    { 0x0e00, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/3/2/u */
    { 0x0e7f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/3/2/c */
    { 0x0f00, 0x12a5, 0xb881, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767) }, /* #31/3/3/u */
    { 0x0f7f, 0x12a5, 0x3001, RTFLOAT80U_INIT_C(1,0xa05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767), RTFLOAT80U_INIT_C(1,0xe05beae24f64437c,32767) }, /* #31/3/3/c */
    { 0x0000, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/0/0/u */
    { 0x007f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/0/0/c */
    { 0x0100, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/0/1/u */
    { 0x017f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/0/1/c */
    { 0x0200, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/0/2/u */
    { 0x027f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/0/2/c */
    { 0x0300, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/0/3/u */
    { 0x037f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/0/3/c */
    { 0x0400, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/1/0/u */
    { 0x047f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/1/0/c */
    { 0x0500, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/1/1/u */
    { 0x057f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/1/1/c */
    { 0x0600, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/1/2/u */
    { 0x067f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/1/2/c */
    { 0x0700, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/1/3/u */
    { 0x077f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/1/3/c */
    { 0x0800, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/2/0/u */
    { 0x087f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/2/0/c */
    { 0x0900, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/2/1/u */
    { 0x097f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/2/1/c */
    { 0x0a00, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/2/2/u */
    { 0x0a7f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/2/2/c */
    { 0x0b00, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/2/3/u */
    { 0x0b7f, 0x1b5a, 0x3332, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #32/2/3/c */
    { 0x0c00, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/3/0/u */
    { 0x0c7f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/3/0/c */
    { 0x0d00, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/3/1/u */
    { 0x0d7f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/3/1/c */
    { 0x0e00, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/3/2/u */
    { 0x0e7f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/3/2/c */
    { 0x0f00, 0x1b5a, 0xb982, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0) }, /* #32/3/3/u */
    { 0x0f7f, 0x1b5a, 0x3132, RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e1,0), RTFLOAT80U_INIT_C(0,0x1c3938f3542d16e0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #32/3/3/c */
    { 0x0000, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/0/u */
    { 0x007f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/0/c */
    { 0x0100, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/1/u */
    { 0x017f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/1/c */
    { 0x0200, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/2/u */
    { 0x027f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/2/c */
    { 0x0300, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/3/u */
    { 0x037f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/0/3/c */
    { 0x0400, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/0/u */
    { 0x047f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/0/c */
    { 0x0500, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/1/u */
    { 0x057f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/1/c */
    { 0x0600, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/2/u */
    { 0x067f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/2/c */
    { 0x0700, 0x4c73, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/3/u */
    { 0x077f, 0x4c73, 0x7220, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/1/3/c */
    { 0x0800, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/0/u */
    { 0x087f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/0/c */
    { 0x0900, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/1/u */
    { 0x097f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/1/c */
    { 0x0a00, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/2/u */
    { 0x0a7f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/2/c */
    { 0x0b00, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/3/u */
    { 0x0b7f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #33/2/3/c */
    { 0x0c00, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/0/u */
    { 0x0c7f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/0/c */
    { 0x0d00, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/1/u */
    { 0x0d7f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/1/c */
    { 0x0e00, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/2/u */
    { 0x0e7f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/2/c */
    { 0x0f00, 0x4c73, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/3/u */
    { 0x0f7f, 0x4c73, 0x7020, RTFLOAT80U_INIT_C(1,0x8516e09de069d8c6,1754), RTFLOAT80U_INIT_C(1,0x8516e09de069d8c5,1754), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #33/3/3/c */
    { 0x0000, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/0/0/u */
    { 0x007f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/0/c */
    { 0x0100, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/0/1/u */
    { 0x017f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/1/c */
    { 0x0200, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/0/2/u */
    { 0x027f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/2/c */
    { 0x0300, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/0/3/u */
    { 0x037f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/0/3/c */
    { 0x0400, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/1/0/u */
    { 0x047f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/0/c */
    { 0x0500, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/1/1/u */
    { 0x057f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/1/c */
    { 0x0600, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/1/2/u */
    { 0x067f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/2/c */
    { 0x0700, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/1/3/u */
    { 0x077f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/1/3/c */
    { 0x0800, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/2/0/u */
    { 0x087f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/0/c */
    { 0x0900, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/2/1/u */
    { 0x097f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/1/c */
    { 0x0a00, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/2/2/u */
    { 0x0a7f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/2/c */
    { 0x0b00, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/2/3/u */
    { 0x0b7f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/2/3/c */
    { 0x0c00, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/3/0/u */
    { 0x0c7f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/0/c */
    { 0x0d00, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/3/1/u */
    { 0x0d7f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/1/c */
    { 0x0e00, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/3/2/u */
    { 0x0e7f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/2/c */
    { 0x0f00, 0xcfad, 0xf981, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #34/3/3/u */
    { 0x0f7f, 0xcfad, 0x7101, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #34/3/3/c */
    { 0x0000, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/0/0/u */
    { 0x007f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/0/0/c */
    { 0x0100, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/0/1/u */
    { 0x017f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/0/1/c */
    { 0x0200, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/0/2/u */
    { 0x027f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/0/2/c */
    { 0x0300, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/0/3/u */
    { 0x037f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/0/3/c */
    { 0x0400, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/1/0/u */
    { 0x047f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/1/0/c */
    { 0x0500, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/1/1/u */
    { 0x057f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/1/1/c */
    { 0x0600, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/1/2/u */
    { 0x067f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/1/2/c */
    { 0x0700, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/1/3/u */
    { 0x077f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/1/3/c */
    { 0x0800, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/2/0/u */
    { 0x087f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/2/0/c */
    { 0x0900, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/2/1/u */
    { 0x097f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/2/1/c */
    { 0x0a00, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/2/2/u */
    { 0x0a7f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/2/2/c */
    { 0x0b00, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/2/3/u */
    { 0x0b7f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/2/3/c */
    { 0x0c00, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/3/0/u */
    { 0x0c7f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/3/0/c */
    { 0x0d00, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/3/1/u */
    { 0x0d7f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/3/1/c */
    { 0x0e00, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/3/2/u */
    { 0x0e7f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/3/2/c */
    { 0x0f00, 0xc497, 0xf881, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712) }, /* #35/3/3/u */
    { 0x0f7f, 0xc497, 0x7001, RTFLOAT80U_INIT_C(0,0x772c3aac4fef8980,3712), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #35/3/3/c */
    { 0x0000, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/0/u */
    { 0x007f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/0/c */
    { 0x0100, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/1/u */
    { 0x017f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/1/c */
    { 0x0200, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/2/u */
    { 0x027f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/2/c */
    { 0x0300, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/3/u */
    { 0x037f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/0/3/c */
    { 0x0400, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/0/u */
    { 0x047f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/0/c */
    { 0x0500, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/1/u */
    { 0x057f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/1/c */
    { 0x0600, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/2/u */
    { 0x067f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/2/c */
    { 0x0700, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/3/u */
    { 0x077f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/1/3/c */
    { 0x0800, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/0/u */
    { 0x087f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/0/c */
    { 0x0900, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/1/u */
    { 0x097f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/1/c */
    { 0x0a00, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/2/u */
    { 0x0a7f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/2/c */
    { 0x0b00, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/3/u */
    { 0x0b7f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/2/3/c */
    { 0x0c00, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/0/u */
    { 0x0c7f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/0/c */
    { 0x0d00, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/1/u */
    { 0x0d7f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/1/c */
    { 0x0e00, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/2/u */
    { 0x0e7f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/2/c */
    { 0x0f00, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/3/u */
    { 0x0f7f, 0x26ce, 0x3000, RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xc000000000000000,32767) }, /* #36/3/3/c */
    { 0x0000, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/0/0/u */
    { 0x007f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/0/c */
    { 0x0100, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/0/1/u */
    { 0x017f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/1/c */
    { 0x0200, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/0/2/u */
    { 0x027f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/2/c */
    { 0x0300, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/0/3/u */
    { 0x037f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/0/3/c */
    { 0x0400, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/1/0/u */
    { 0x047f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/0/c */
    { 0x0500, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/1/1/u */
    { 0x057f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/1/c */
    { 0x0600, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/1/2/u */
    { 0x067f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/2/c */
    { 0x0700, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/1/3/u */
    { 0x077f, 0xd513, 0x7332, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/1/3/c */
    { 0x0800, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/2/0/u */
    { 0x087f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/0/c */
    { 0x0900, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/2/1/u */
    { 0x097f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/1/c */
    { 0x0a00, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/2/2/u */
    { 0x0a7f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/2/c */
    { 0x0b00, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/2/3/u */
    { 0x0b7f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #37/2/3/c */
    { 0x0c00, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/3/0/u */
    { 0x0c7f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/0/c */
    { 0x0d00, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/3/1/u */
    { 0x0d7f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/1/c */
    { 0x0e00, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/3/2/u */
    { 0x0e7f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/2/c */
    { 0x0f00, 0xd513, 0xf982, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0) }, /* #37/3/3/u */
    { 0x0f7f, 0xd513, 0x7132, RTFLOAT80U_INIT_C(1,0x27b4131be884d0,0), RTFLOAT80U_INIT_C(1,0x27b4131be884cf,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #37/3/3/c */
    { 0x0000, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/0/u */
    { 0x007f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/0/c */
    { 0x0100, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/1/u */
    { 0x017f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/1/c */
    { 0x0200, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/2/u */
    { 0x027f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/2/c */
    { 0x0300, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/3/u */
    { 0x037f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/0/3/c */
    { 0x0400, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/0/u */
    { 0x047f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/0/c */
    { 0x0500, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/1/u */
    { 0x057f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/1/c */
    { 0x0600, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/2/u */
    { 0x067f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/2/c */
    { 0x0700, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/3/u */
    { 0x077f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/1/3/c */
    { 0x0800, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/0/u */
    { 0x087f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/0/c */
    { 0x0900, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/1/u */
    { 0x097f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/1/c */
    { 0x0a00, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/2/u */
    { 0x0a7f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/2/c */
    { 0x0b00, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/3/u */
    { 0x0b7f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/2/3/c */
    { 0x0c00, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/0/u */
    { 0x0c7f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/0/c */
    { 0x0d00, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/1/u */
    { 0x0d7f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/1/c */
    { 0x0e00, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/2/u */
    { 0x0e7f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/2/c */
    { 0x0f00, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/3/u */
    { 0x0f7f, 0xef8d, 0x7d00, RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xe6924c8bfaf10930,25799) }, /* #38/3/3/c */
    { 0x0000, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/0/0/u */
    { 0x007f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/0/c */
    { 0x0100, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/0/1/u */
    { 0x017f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/1/c */
    { 0x0200, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/0/2/u */
    { 0x027f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/2/c */
    { 0x0300, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/0/3/u */
    { 0x037f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/0/3/c */
    { 0x0400, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/1/0/u */
    { 0x047f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/0/c */
    { 0x0500, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/1/1/u */
    { 0x057f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/1/c */
    { 0x0600, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/1/2/u */
    { 0x067f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/2/c */
    { 0x0700, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/1/3/u */
    { 0x077f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/1/3/c */
    { 0x0800, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/2/0/u */
    { 0x087f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/0/c */
    { 0x0900, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/2/1/u */
    { 0x097f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/1/c */
    { 0x0a00, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/2/2/u */
    { 0x0a7f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/2/c */
    { 0x0b00, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/2/3/u */
    { 0x0b7f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/2/3/c */
    { 0x0c00, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/3/0/u */
    { 0x0c7f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/0/c */
    { 0x0d00, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/3/1/u */
    { 0x0d7f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/1/c */
    { 0x0e00, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/3/2/u */
    { 0x0e7f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/2/c */
    { 0x0f00, 0xcaf6, 0xf881, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767) }, /* #39/3/3/u */
    { 0x0f7f, 0xcaf6, 0x7001, RTFLOAT80U_INIT_C(0,0x401a369bd05f971e,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #39/3/3/c */
    { 0x0000, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/0/u */
    { 0x007f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/0/c */
    { 0x0100, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/1/u */
    { 0x017f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/1/c */
    { 0x0200, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/2/u */
    { 0x027f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/2/c */
    { 0x0300, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/3/u */
    { 0x037f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/0/3/c */
    { 0x0400, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/0/u */
    { 0x047f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/0/c */
    { 0x0500, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/1/u */
    { 0x057f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/1/c */
    { 0x0600, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/2/u */
    { 0x067f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/2/c */
    { 0x0700, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/3/u */
    { 0x077f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/1/3/c */
    { 0x0800, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/0/u */
    { 0x087f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/0/c */
    { 0x0900, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/1/u */
    { 0x097f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/1/c */
    { 0x0a00, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/2/u */
    { 0x0a7f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/2/c */
    { 0x0b00, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/3/u */
    { 0x0b7f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/2/3/c */
    { 0x0c00, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/0/u */
    { 0x0c7f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/0/c */
    { 0x0d00, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/1/u */
    { 0x0d7f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/1/c */
    { 0x0e00, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/2/u */
    { 0x0e7f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/2/c */
    { 0x0f00, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/3/u */
    { 0x0f7f, 0xf4b0, 0x7c00, RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9defd549d5e0dd87,23501) }, /* #40/3/3/c */
    { 0x0000, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/0/0/u */
    { 0x007f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/0/c */
    { 0x0100, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/0/1/u */
    { 0x017f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/1/c */
    { 0x0200, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/0/2/u */
    { 0x027f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/2/c */
    { 0x0300, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/0/3/u */
    { 0x037f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/0/3/c */
    { 0x0400, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/1/0/u */
    { 0x047f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/0/c */
    { 0x0500, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/1/1/u */
    { 0x057f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/1/c */
    { 0x0600, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/1/2/u */
    { 0x067f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/2/c */
    { 0x0700, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/1/3/u */
    { 0x077f, 0xa1b0, 0x3332, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/1/3/c */
    { 0x0800, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/2/0/u */
    { 0x087f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/0/c */
    { 0x0900, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/2/1/u */
    { 0x097f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/1/c */
    { 0x0a00, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/2/2/u */
    { 0x0a7f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/2/c */
    { 0x0b00, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/2/3/u */
    { 0x0b7f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #41/2/3/c */
    { 0x0c00, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/3/0/u */
    { 0x0c7f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/0/c */
    { 0x0d00, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/3/1/u */
    { 0x0d7f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/1/c */
    { 0x0e00, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/3/2/u */
    { 0x0e7f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/2/c */
    { 0x0f00, 0xa1b0, 0xb982, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0) }, /* #41/3/3/u */
    { 0x0f7f, 0xa1b0, 0x3132, RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dd,0), RTFLOAT80U_INIT_C(1,0x6f46497d8e4663dc,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #41/3/3/c */
    { 0x0000, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/0/u */
    { 0x007f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/0/c */
    { 0x0100, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/1/u */
    { 0x017f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/1/c */
    { 0x0200, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/2/u */
    { 0x027f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/2/c */
    { 0x0300, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/3/u */
    { 0x037f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/0/3/c */
    { 0x0400, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/0/u */
    { 0x047f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/0/c */
    { 0x0500, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/1/u */
    { 0x057f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/1/c */
    { 0x0600, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/2/u */
    { 0x067f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/2/c */
    { 0x0700, 0xfa90, 0xf2a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/3/u */
    { 0x077f, 0xfa90, 0x7220, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/1/3/c */
    { 0x0800, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/0/u */
    { 0x087f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/0/c */
    { 0x0900, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/1/u */
    { 0x097f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/1/c */
    { 0x0a00, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/2/u */
    { 0x0a7f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/2/c */
    { 0x0b00, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/3/u */
    { 0x0b7f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #42/2/3/c */
    { 0x0c00, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/0/u */
    { 0x0c7f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/0/c */
    { 0x0d00, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/1/u */
    { 0x0d7f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/1/c */
    { 0x0e00, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/2/u */
    { 0x0e7f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/2/c */
    { 0x0f00, 0xfa90, 0xf0a0, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/3/u */
    { 0x0f7f, 0xfa90, 0x7020, RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566033,12394), RTFLOAT80U_INIT_C(1,0xb8c5c3d49e566032,12394), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #42/3/3/c */
    { 0x0000, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/0/0/u */
    { 0x007f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/0/0/c */
    { 0x0100, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/0/1/u */
    { 0x017f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/0/1/c */
    { 0x0200, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/0/2/u */
    { 0x027f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/0/2/c */
    { 0x0300, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/0/3/u */
    { 0x037f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/0/3/c */
    { 0x0400, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/1/0/u */
    { 0x047f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/1/0/c */
    { 0x0500, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/1/1/u */
    { 0x057f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/1/1/c */
    { 0x0600, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/1/2/u */
    { 0x067f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/1/2/c */
    { 0x0700, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/1/3/u */
    { 0x077f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/1/3/c */
    { 0x0800, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/2/0/u */
    { 0x087f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/2/0/c */
    { 0x0900, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/2/1/u */
    { 0x097f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/2/1/c */
    { 0x0a00, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/2/2/u */
    { 0x0a7f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/2/2/c */
    { 0x0b00, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/2/3/u */
    { 0x0b7f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/2/3/c */
    { 0x0c00, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/3/0/u */
    { 0x0c7f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/3/0/c */
    { 0x0d00, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/3/1/u */
    { 0x0d7f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/3/1/c */
    { 0x0e00, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/3/2/u */
    { 0x0e7f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/3/2/c */
    { 0x0f00, 0xd21e, 0xf881, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767) }, /* #43/3/3/u */
    { 0x0f7f, 0xd21e, 0x7001, RTFLOAT80U_INIT_C(1,0x400000015aa74b17,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #43/3/3/c */
    { 0x0000, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/0/0/u */
    { 0x007f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/0/0/c */
    { 0x0100, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/0/1/u */
    { 0x017f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/0/1/c */
    { 0x0200, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/0/2/u */
    { 0x027f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/0/2/c */
    { 0x0300, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/0/3/u */
    { 0x037f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/0/3/c */
    { 0x0400, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/1/0/u */
    { 0x047f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/1/0/c */
    { 0x0500, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/1/1/u */
    { 0x057f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/1/1/c */
    { 0x0600, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/1/2/u */
    { 0x067f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/1/2/c */
    { 0x0700, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/1/3/u */
    { 0x077f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/1/3/c */
    { 0x0800, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/2/0/u */
    { 0x087f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/2/0/c */
    { 0x0900, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/2/1/u */
    { 0x097f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/2/1/c */
    { 0x0a00, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/2/2/u */
    { 0x0a7f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/2/2/c */
    { 0x0b00, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/2/3/u */
    { 0x0b7f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/2/3/c */
    { 0x0c00, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/3/0/u */
    { 0x0c7f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/3/0/c */
    { 0x0d00, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/3/1/u */
    { 0x0d7f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/3/1/c */
    { 0x0e00, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/3/2/u */
    { 0x0e7f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/3/2/c */
    { 0x0f00, 0x658d, 0xf981, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767) }, /* #44/3/3/u */
    { 0x0f7f, 0x658d, 0x7101, RTFLOAT80U_INIT_C(0,0x93bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767), RTFLOAT80U_INIT_C(0,0xd3bcc8b59fafe083,32767) }, /* #44/3/3/c */
    { 0x0000, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/0/0/u */
    { 0x007f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/0/0/c */
    { 0x0100, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/0/1/u */
    { 0x017f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/0/1/c */
    { 0x0200, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/0/2/u */
    { 0x027f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/0/2/c */
    { 0x0300, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/0/3/u */
    { 0x037f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/0/3/c */
    { 0x0400, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/1/0/u */
    { 0x047f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/1/0/c */
    { 0x0500, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/1/1/u */
    { 0x057f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/1/1/c */
    { 0x0600, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/1/2/u */
    { 0x067f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/1/2/c */
    { 0x0700, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/1/3/u */
    { 0x077f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/1/3/c */
    { 0x0800, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/2/0/u */
    { 0x087f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/2/0/c */
    { 0x0900, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/2/1/u */
    { 0x097f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/2/1/c */
    { 0x0a00, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/2/2/u */
    { 0x0a7f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/2/2/c */
    { 0x0b00, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/2/3/u */
    { 0x0b7f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/2/3/c */
    { 0x0c00, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/3/0/u */
    { 0x0c7f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/3/0/c */
    { 0x0d00, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/3/1/u */
    { 0x0d7f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/3/1/c */
    { 0x0e00, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/3/2/u */
    { 0x0e7f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/3/2/c */
    { 0x0f00, 0x01bb, 0xb981, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091) }, /* #45/3/3/u */
    { 0x0f7f, 0x01bb, 0x3101, RTFLOAT80U_INIT_C(0,0x40fab749e4991fdc,15091), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #45/3/3/c */
    { 0x0000, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/0/u */
    { 0x007f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/0/c */
    { 0x0100, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/1/u */
    { 0x017f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/1/c */
    { 0x0200, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/2/u */
    { 0x027f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/2/c */
    { 0x0300, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/3/u */
    { 0x037f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/0/3/c */
    { 0x0400, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/0/u */
    { 0x047f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/0/c */
    { 0x0500, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/1/u */
    { 0x057f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/1/c */
    { 0x0600, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/2/u */
    { 0x067f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/2/c */
    { 0x0700, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/3/u */
    { 0x077f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/1/3/c */
    { 0x0800, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/0/u */
    { 0x087f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/0/c */
    { 0x0900, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/1/u */
    { 0x097f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/1/c */
    { 0x0a00, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/2/u */
    { 0x0a7f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/2/c */
    { 0x0b00, 0x9e10, 0xb2a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/3/u */
    { 0x0b7f, 0x9e10, 0x3220, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #46/2/3/c */
    { 0x0c00, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/0/u */
    { 0x0c7f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/0/c */
    { 0x0d00, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/1/u */
    { 0x0d7f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/1/c */
    { 0x0e00, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/2/u */
    { 0x0e7f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/2/c */
    { 0x0f00, 0x9e10, 0xb0a0, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/3/u */
    { 0x0f7f, 0x9e10, 0x3020, RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb093,9265), RTFLOAT80U_INIT_C(0,0xb2b0b67e93edb092,9265), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #46/3/3/c */
    { 0x0000, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/0/u */
    { 0x007f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/0/c */
    { 0x0100, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/1/u */
    { 0x017f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/1/c */
    { 0x0200, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/2/u */
    { 0x027f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/2/c */
    { 0x0300, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/3/u */
    { 0x037f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/0/3/c */
    { 0x0400, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/0/u */
    { 0x047f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/0/c */
    { 0x0500, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/1/u */
    { 0x057f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/1/c */
    { 0x0600, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/2/u */
    { 0x067f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/2/c */
    { 0x0700, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/3/u */
    { 0x077f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/1/3/c */
    { 0x0800, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/0/u */
    { 0x087f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/0/c */
    { 0x0900, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/1/u */
    { 0x097f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/1/c */
    { 0x0a00, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/2/u */
    { 0x0a7f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/2/c */
    { 0x0b00, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/3/u */
    { 0x0b7f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/2/3/c */
    { 0x0c00, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/0/u */
    { 0x0c7f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/0/c */
    { 0x0d00, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/1/u */
    { 0x0d7f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/1/c */
    { 0x0e00, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/2/u */
    { 0x0e7f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/2/c */
    { 0x0f00, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/3/u */
    { 0x0f7f, 0x19ad, 0x3d00, RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xef833d4891504f41,23126) }, /* #47/3/3/c */
    { 0x0000, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/0/u */
    { 0x007f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/0/c */
    { 0x0100, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/1/u */
    { 0x017f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/1/c */
    { 0x0200, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/2/u */
    { 0x027f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/2/c */
    { 0x0300, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/3/u */
    { 0x037f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/0/3/c */
    { 0x0400, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/0/u */
    { 0x047f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/0/c */
    { 0x0500, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/1/u */
    { 0x057f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/1/c */
    { 0x0600, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/2/u */
    { 0x067f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/2/c */
    { 0x0700, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/3/u */
    { 0x077f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/1/3/c */
    { 0x0800, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/0/u */
    { 0x087f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/0/c */
    { 0x0900, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/1/u */
    { 0x097f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/1/c */
    { 0x0a00, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/2/u */
    { 0x0a7f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/2/c */
    { 0x0b00, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/3/u */
    { 0x0b7f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/2/3/c */
    { 0x0c00, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/0/u */
    { 0x0c7f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/0/c */
    { 0x0d00, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/1/u */
    { 0x0d7f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/1/c */
    { 0x0e00, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/2/u */
    { 0x0e7f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/2/c */
    { 0x0f00, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/3/u */
    { 0x0f7f, 0x7360, 0x7d00, RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xbace7104e58bc379,23493) }, /* #48/3/3/c */
    { 0x0000, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/0/u */
    { 0x007f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/0/c */
    { 0x0100, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/1/u */
    { 0x017f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/1/c */
    { 0x0200, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/2/u */
    { 0x027f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/2/c */
    { 0x0300, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/3/u */
    { 0x037f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/0/3/c */
    { 0x0400, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/0/u */
    { 0x047f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/0/c */
    { 0x0500, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/1/u */
    { 0x057f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/1/c */
    { 0x0600, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/2/u */
    { 0x067f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/2/c */
    { 0x0700, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/3/u */
    { 0x077f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/1/3/c */
    { 0x0800, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/0/u */
    { 0x087f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/0/c */
    { 0x0900, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/1/u */
    { 0x097f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/1/c */
    { 0x0a00, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/2/u */
    { 0x0a7f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/2/c */
    { 0x0b00, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/3/u */
    { 0x0b7f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/2/3/c */
    { 0x0c00, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/0/u */
    { 0x0c7f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/0/c */
    { 0x0d00, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/1/u */
    { 0x0d7f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/1/c */
    { 0x0e00, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/2/u */
    { 0x0e7f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/2/c */
    { 0x0f00, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/3/u */
    { 0x0f7f, 0x55c0, 0x7d00, RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xe07e020940b7c368,20060) }, /* #49/3/3/c */
    { 0x0000, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/0/0/u */
    { 0x007f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/0/0/c */
    { 0x0100, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/0/1/u */
    { 0x017f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/0/1/c */
    { 0x0200, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/0/2/u */
    { 0x027f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/0/2/c */
    { 0x0300, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/0/3/u */
    { 0x037f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/0/3/c */
    { 0x0400, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/1/0/u */
    { 0x047f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/1/0/c */
    { 0x0500, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/1/1/u */
    { 0x057f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/1/1/c */
    { 0x0600, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/1/2/u */
    { 0x067f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/1/2/c */
    { 0x0700, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/1/3/u */
    { 0x077f, 0x8b4a, 0x3332, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/1/3/c */
    { 0x0800, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/2/0/u */
    { 0x087f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/2/0/c */
    { 0x0900, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/2/1/u */
    { 0x097f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/2/1/c */
    { 0x0a00, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/2/2/u */
    { 0x0a7f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/2/2/c */
    { 0x0b00, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/2/3/u */
    { 0x0b7f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #50/2/3/c */
    { 0x0c00, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/3/0/u */
    { 0x0c7f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/3/0/c */
    { 0x0d00, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/3/1/u */
    { 0x0d7f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/3/1/c */
    { 0x0e00, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/3/2/u */
    { 0x0e7f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/3/2/c */
    { 0x0f00, 0x8b4a, 0xb982, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0) }, /* #50/3/3/u */
    { 0x0f7f, 0x8b4a, 0x3132, RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e33a,0), RTFLOAT80U_INIT_C(1,0x4d83fc4fce92e339,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #50/3/3/c */
    { 0x0000, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/0/u */
    { 0x007f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/0/c */
    { 0x0100, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/1/u */
    { 0x017f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/1/c */
    { 0x0200, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/2/u */
    { 0x027f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/2/c */
    { 0x0300, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/3/u */
    { 0x037f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/0/3/c */
    { 0x0400, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/0/u */
    { 0x047f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/0/c */
    { 0x0500, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/1/u */
    { 0x057f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/1/c */
    { 0x0600, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/2/u */
    { 0x067f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/2/c */
    { 0x0700, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/3/u */
    { 0x077f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/1/3/c */
    { 0x0800, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/0/u */
    { 0x087f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/0/c */
    { 0x0900, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/1/u */
    { 0x097f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/1/c */
    { 0x0a00, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/2/u */
    { 0x0a7f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/2/c */
    { 0x0b00, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/3/u */
    { 0x0b7f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/2/3/c */
    { 0x0c00, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/0/u */
    { 0x0c7f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/0/c */
    { 0x0d00, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/1/u */
    { 0x0d7f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/1/c */
    { 0x0e00, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/2/u */
    { 0x0e7f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/2/c */
    { 0x0f00, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/3/u */
    { 0x0f7f, 0x280b, 0x3c00, RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xd2cb699726cdd2d0,16932) }, /* #51/3/3/c */
    { 0x0000, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/0/0/u */
    { 0x007f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/0/c */
    { 0x0100, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/0/1/u */
    { 0x017f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/1/c */
    { 0x0200, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/0/2/u */
    { 0x027f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/2/c */
    { 0x0300, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/0/3/u */
    { 0x037f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/0/3/c */
    { 0x0400, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/1/0/u */
    { 0x047f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/0/c */
    { 0x0500, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/1/1/u */
    { 0x057f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/1/c */
    { 0x0600, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/1/2/u */
    { 0x067f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/2/c */
    { 0x0700, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/1/3/u */
    { 0x077f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/1/3/c */
    { 0x0800, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/2/0/u */
    { 0x087f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/0/c */
    { 0x0900, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/2/1/u */
    { 0x097f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/1/c */
    { 0x0a00, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/2/2/u */
    { 0x0a7f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/2/c */
    { 0x0b00, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/2/3/u */
    { 0x0b7f, 0x4fd6, 0x7322, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #52/2/3/c */
    { 0x0c00, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/3/0/u */
    { 0x0c7f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/0/c */
    { 0x0d00, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/3/1/u */
    { 0x0d7f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/1/c */
    { 0x0e00, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/3/2/u */
    { 0x0e7f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/2/c */
    { 0x0f00, 0x4fd6, 0xf982, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0) }, /* #52/3/3/u */
    { 0x0f7f, 0x4fd6, 0x7122, RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec96,0), RTFLOAT80U_INIT_C(0,0xa87c94b9cfb0ec95,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #52/3/3/c */
    { 0x0000, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/0/u */
    { 0x007f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/0/c */
    { 0x0100, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/1/u */
    { 0x017f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/1/c */
    { 0x0200, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/2/u */
    { 0x027f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/2/c */
    { 0x0300, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/3/u */
    { 0x037f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/0/3/c */
    { 0x0400, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/0/u */
    { 0x047f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/0/c */
    { 0x0500, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/1/u */
    { 0x057f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/1/c */
    { 0x0600, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/2/u */
    { 0x067f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/2/c */
    { 0x0700, 0x640c, 0xf2a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/3/u */
    { 0x077f, 0x640c, 0x7220, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/1/3/c */
    { 0x0800, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/0/u */
    { 0x087f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/0/c */
    { 0x0900, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/1/u */
    { 0x097f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/1/c */
    { 0x0a00, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/2/u */
    { 0x0a7f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/2/c */
    { 0x0b00, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/3/u */
    { 0x0b7f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #53/2/3/c */
    { 0x0c00, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/0/u */
    { 0x0c7f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/0/c */
    { 0x0d00, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/1/u */
    { 0x0d7f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/1/c */
    { 0x0e00, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/2/u */
    { 0x0e7f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/2/c */
    { 0x0f00, 0x640c, 0xf0a0, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/3/u */
    { 0x0f7f, 0x640c, 0x7020, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,15237), RTFLOAT80U_INIT_C(1,0xfffffffffffffffe,15237), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #53/3/3/c */
    { 0x0000, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/0/0/u */
    { 0x007f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/0/c */
    { 0x0100, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/0/1/u */
    { 0x017f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/1/c */
    { 0x0200, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/0/2/u */
    { 0x027f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/2/c */
    { 0x0300, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/0/3/u */
    { 0x037f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/0/3/c */
    { 0x0400, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/1/0/u */
    { 0x047f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/0/c */
    { 0x0500, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/1/1/u */
    { 0x057f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/1/c */
    { 0x0600, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/1/2/u */
    { 0x067f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/2/c */
    { 0x0700, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/1/3/u */
    { 0x077f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/1/3/c */
    { 0x0800, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/2/0/u */
    { 0x087f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/0/c */
    { 0x0900, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/2/1/u */
    { 0x097f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/1/c */
    { 0x0a00, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/2/2/u */
    { 0x0a7f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/2/c */
    { 0x0b00, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/2/3/u */
    { 0x0b7f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/2/3/c */
    { 0x0c00, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/3/0/u */
    { 0x0c7f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/0/c */
    { 0x0d00, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/3/1/u */
    { 0x0d7f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/1/c */
    { 0x0e00, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/3/2/u */
    { 0x0e7f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/2/c */
    { 0x0f00, 0x0bef, 0xb981, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133) }, /* #54/3/3/u */
    { 0x0f7f, 0x0bef, 0x3101, RTFLOAT80U_INIT_C(0,0x76de4f921e9e,14133), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #54/3/3/c */
    { 0x0000, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/0/0/u */
    { 0x007f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/0/c */
    { 0x0100, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/0/1/u */
    { 0x017f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/1/c */
    { 0x0200, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/0/2/u */
    { 0x027f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/2/c */
    { 0x0300, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/0/3/u */
    { 0x037f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/0/3/c */
    { 0x0400, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/1/0/u */
    { 0x047f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/0/c */
    { 0x0500, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/1/1/u */
    { 0x057f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/1/c */
    { 0x0600, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/1/2/u */
    { 0x067f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/2/c */
    { 0x0700, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/1/3/u */
    { 0x077f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/1/3/c */
    { 0x0800, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/2/0/u */
    { 0x087f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/0/c */
    { 0x0900, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/2/1/u */
    { 0x097f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/1/c */
    { 0x0a00, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/2/2/u */
    { 0x0a7f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/2/c */
    { 0x0b00, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/2/3/u */
    { 0x0b7f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/2/3/c */
    { 0x0c00, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/3/0/u */
    { 0x0c7f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/0/c */
    { 0x0d00, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/3/1/u */
    { 0x0d7f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/1/c */
    { 0x0e00, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/3/2/u */
    { 0x0e7f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/2/c */
    { 0x0f00, 0x0511, 0xb981, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556) }, /* #55/3/3/u */
    { 0x0f7f, 0x0511, 0x3101, RTFLOAT80U_INIT_C(0,0x5b27b4411ce37d10,9556), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #55/3/3/c */
    { 0x0000, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/0/u */
    { 0x007f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/0/c */
    { 0x0100, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/1/u */
    { 0x017f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/1/c */
    { 0x0200, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/2/u */
    { 0x027f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/2/c */
    { 0x0300, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/3/u */
    { 0x037f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/0/3/c */
    { 0x0400, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/0/u */
    { 0x047f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/0/c */
    { 0x0500, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/1/u */
    { 0x057f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/1/c */
    { 0x0600, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/2/u */
    { 0x067f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/2/c */
    { 0x0700, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/3/u */
    { 0x077f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/1/3/c */
    { 0x0800, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/0/u */
    { 0x087f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/0/c */
    { 0x0900, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/1/u */
    { 0x097f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/1/c */
    { 0x0a00, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/2/u */
    { 0x0a7f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/2/c */
    { 0x0b00, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/3/u */
    { 0x0b7f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/2/3/c */
    { 0x0c00, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/0/u */
    { 0x0c7f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/0/c */
    { 0x0d00, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/1/u */
    { 0x0d7f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/1/c */
    { 0x0e00, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/2/u */
    { 0x0e7f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/2/c */
    { 0x0f00, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/3/u */
    { 0x0f7f, 0xf0ea, 0x7000, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #56/3/3/c */
    { 0x0000, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/0/u */
    { 0x007f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/0/c */
    { 0x0100, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/1/u */
    { 0x017f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/1/c */
    { 0x0200, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/2/u */
    { 0x027f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/2/c */
    { 0x0300, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/3/u */
    { 0x037f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/0/3/c */
    { 0x0400, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/0/u */
    { 0x047f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/0/c */
    { 0x0500, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/1/u */
    { 0x057f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/1/c */
    { 0x0600, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/2/u */
    { 0x067f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/2/c */
    { 0x0700, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/3/u */
    { 0x077f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/1/3/c */
    { 0x0800, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/0/u */
    { 0x087f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/0/c */
    { 0x0900, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/1/u */
    { 0x097f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/1/c */
    { 0x0a00, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/2/u */
    { 0x0a7f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/2/c */
    { 0x0b00, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/3/u */
    { 0x0b7f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/2/3/c */
    { 0x0c00, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/0/u */
    { 0x0c7f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/0/c */
    { 0x0d00, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/1/u */
    { 0x0d7f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/1/c */
    { 0x0e00, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/2/u */
    { 0x0e7f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/2/c */
    { 0x0f00, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/3/u */
    { 0x0f7f, 0x46b1, 0x7000, RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767), RTFLOAT80U_INIT_C(1,0xf204e9c9eb999ccb,32767) }, /* #57/3/3/c */
    { 0x0000, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/0/u */
    { 0x007f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/0/c */
    { 0x0100, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/1/u */
    { 0x017f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/1/c */
    { 0x0200, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/2/u */
    { 0x027f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/2/c */
    { 0x0300, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/3/u */
    { 0x037f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/0/3/c */
    { 0x0400, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/0/u */
    { 0x047f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/0/c */
    { 0x0500, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/1/u */
    { 0x057f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/1/c */
    { 0x0600, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/2/u */
    { 0x067f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/2/c */
    { 0x0700, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/3/u */
    { 0x077f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/1/3/c */
    { 0x0800, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/0/u */
    { 0x087f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/0/c */
    { 0x0900, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/1/u */
    { 0x097f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/1/c */
    { 0x0a00, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/2/u */
    { 0x0a7f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/2/c */
    { 0x0b00, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/3/u */
    { 0x0b7f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/2/3/c */
    { 0x0c00, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/0/u */
    { 0x0c7f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/0/c */
    { 0x0d00, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/1/u */
    { 0x0d7f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/1/c */
    { 0x0e00, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/2/u */
    { 0x0e7f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/2/c */
    { 0x0f00, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/3/u */
    { 0x0f7f, 0x20ee, 0x3c00, RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0x9298fd4949d54c9d,28156) }, /* #58/3/3/c */
    { 0x0000, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/0/u */
    { 0x007f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/0/c */
    { 0x0100, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/1/u */
    { 0x017f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/1/c */
    { 0x0200, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/2/u */
    { 0x027f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/2/c */
    { 0x0300, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/3/u */
    { 0x037f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/0/3/c */
    { 0x0400, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/0/u */
    { 0x047f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/0/c */
    { 0x0500, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/1/u */
    { 0x057f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/1/c */
    { 0x0600, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/2/u */
    { 0x067f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/2/c */
    { 0x0700, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/3/u */
    { 0x077f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/1/3/c */
    { 0x0800, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/0/u */
    { 0x087f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/0/c */
    { 0x0900, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/1/u */
    { 0x097f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/1/c */
    { 0x0a00, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/2/u */
    { 0x0a7f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/2/c */
    { 0x0b00, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/3/u */
    { 0x0b7f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/2/3/c */
    { 0x0c00, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/0/u */
    { 0x0c7f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/0/c */
    { 0x0d00, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/1/u */
    { 0x0d7f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/1/c */
    { 0x0e00, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/2/u */
    { 0x0e7f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/2/c */
    { 0x0f00, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/3/u */
    { 0x0f7f, 0x653a, 0x7100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #59/3/3/c */
    { 0x0000, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/0/u */
    { 0x007f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/0/c */
    { 0x0100, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/1/u */
    { 0x017f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/1/c */
    { 0x0200, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/2/u */
    { 0x027f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/2/c */
    { 0x0300, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/3/u */
    { 0x037f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/0/3/c */
    { 0x0400, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/0/u */
    { 0x047f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/0/c */
    { 0x0500, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/1/u */
    { 0x057f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/1/c */
    { 0x0600, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/2/u */
    { 0x067f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/2/c */
    { 0x0700, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/3/u */
    { 0x077f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/1/3/c */
    { 0x0800, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/0/u */
    { 0x087f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/0/c */
    { 0x0900, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/1/u */
    { 0x097f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/1/c */
    { 0x0a00, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/2/u */
    { 0x0a7f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/2/c */
    { 0x0b00, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/3/u */
    { 0x0b7f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/2/3/c */
    { 0x0c00, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/0/u */
    { 0x0c7f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/0/c */
    { 0x0d00, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/1/u */
    { 0x0d7f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/1/c */
    { 0x0e00, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/2/u */
    { 0x0e7f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/2/c */
    { 0x0f00, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/3/u */
    { 0x0f7f, 0x6f84, 0x7d00, RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb46c42fafe2ce111,26316) }, /* #60/3/3/c */
    { 0x0000, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/0/u */
    { 0x007f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/0/c */
    { 0x0100, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/1/u */
    { 0x017f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/1/c */
    { 0x0200, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/2/u */
    { 0x027f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/2/c */
    { 0x0300, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/3/u */
    { 0x037f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/0/3/c */
    { 0x0400, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/0/u */
    { 0x047f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/0/c */
    { 0x0500, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/1/u */
    { 0x057f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/1/c */
    { 0x0600, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/2/u */
    { 0x067f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/2/c */
    { 0x0700, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/3/u */
    { 0x077f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/1/3/c */
    { 0x0800, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/0/u */
    { 0x087f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/0/c */
    { 0x0900, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/1/u */
    { 0x097f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/1/c */
    { 0x0a00, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/2/u */
    { 0x0a7f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/2/c */
    { 0x0b00, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/3/u */
    { 0x0b7f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/2/3/c */
    { 0x0c00, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/0/u */
    { 0x0c7f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/0/c */
    { 0x0d00, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/1/u */
    { 0x0d7f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/1/c */
    { 0x0e00, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/2/u */
    { 0x0e7f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/2/c */
    { 0x0f00, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/3/u */
    { 0x0f7f, 0x337a, 0x3d00, RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb8db503a3abb74e3,19923) }, /* #61/3/3/c */
    { 0x0000, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/0/u */
    { 0x007f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/0/c */
    { 0x0100, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/1/u */
    { 0x017f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/1/c */
    { 0x0200, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/2/u */
    { 0x027f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/2/c */
    { 0x0300, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/3/u */
    { 0x037f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/0/3/c */
    { 0x0400, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/0/u */
    { 0x047f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/0/c */
    { 0x0500, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/1/u */
    { 0x057f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/1/c */
    { 0x0600, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/2/u */
    { 0x067f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/2/c */
    { 0x0700, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/3/u */
    { 0x077f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/1/3/c */
    { 0x0800, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/0/u */
    { 0x087f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/0/c */
    { 0x0900, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/1/u */
    { 0x097f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/1/c */
    { 0x0a00, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/2/u */
    { 0x0a7f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/2/c */
    { 0x0b00, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/3/u */
    { 0x0b7f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/2/3/c */
    { 0x0c00, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/0/u */
    { 0x0c7f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/0/c */
    { 0x0d00, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/1/u */
    { 0x0d7f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/1/c */
    { 0x0e00, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/2/u */
    { 0x0e7f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/2/c */
    { 0x0f00, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/3/u */
    { 0x0f7f, 0xcb17, 0x7100, RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #62/3/3/c */
    { 0x0000, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/0/0/u */
    { 0x007f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/0/c */
    { 0x0100, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/0/1/u */
    { 0x017f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/1/c */
    { 0x0200, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/0/2/u */
    { 0x027f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/2/c */
    { 0x0300, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/0/3/u */
    { 0x037f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/0/3/c */
    { 0x0400, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/1/0/u */
    { 0x047f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/0/c */
    { 0x0500, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/1/1/u */
    { 0x057f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/1/c */
    { 0x0600, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/1/2/u */
    { 0x067f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/2/c */
    { 0x0700, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/1/3/u */
    { 0x077f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/1/3/c */
    { 0x0800, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/2/0/u */
    { 0x087f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/0/c */
    { 0x0900, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/2/1/u */
    { 0x097f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/1/c */
    { 0x0a00, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/2/2/u */
    { 0x0a7f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/2/c */
    { 0x0b00, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/2/3/u */
    { 0x0b7f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/2/3/c */
    { 0x0c00, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/3/0/u */
    { 0x0c7f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/0/c */
    { 0x0d00, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/3/1/u */
    { 0x0d7f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/1/c */
    { 0x0e00, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/3/2/u */
    { 0x0e7f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/2/c */
    { 0x0f00, 0x4584, 0xf981, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444) }, /* #63/3/3/u */
    { 0x0f7f, 0x4584, 0x7101, RTFLOAT80U_INIT_C(0,0x567d9e0d272f5cec,29444), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #63/3/3/c */
    { 0x0000, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/0/u */
    { 0x007f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/0/c */
    { 0x0100, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/1/u */
    { 0x017f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/1/c */
    { 0x0200, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/2/u */
    { 0x027f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/2/c */
    { 0x0300, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/3/u */
    { 0x037f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/0/3/c */
    { 0x0400, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/0/u */
    { 0x047f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/0/c */
    { 0x0500, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/1/u */
    { 0x057f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/1/c */
    { 0x0600, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/2/u */
    { 0x067f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/2/c */
    { 0x0700, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/3/u */
    { 0x077f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/1/3/c */
    { 0x0800, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/0/u */
    { 0x087f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/0/c */
    { 0x0900, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/1/u */
    { 0x097f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/1/c */
    { 0x0a00, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/2/u */
    { 0x0a7f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/2/c */
    { 0x0b00, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/3/u */
    { 0x0b7f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/2/3/c */
    { 0x0c00, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/0/u */
    { 0x0c7f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/0/c */
    { 0x0d00, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/1/u */
    { 0x0d7f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/1/c */
    { 0x0e00, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/2/u */
    { 0x0e7f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/2/c */
    { 0x0f00, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/3/u */
    { 0x0f7f, 0x588d, 0x7c00, RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xeff53b0f383e05e5,28258) }, /* #64/3/3/c */
    { 0x0000, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/0/u */
    { 0x007f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/0/c */
    { 0x0100, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/1/u */
    { 0x017f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/1/c */
    { 0x0200, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/2/u */
    { 0x027f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/2/c */
    { 0x0300, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/3/u */
    { 0x037f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/0/3/c */
    { 0x0400, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/0/u */
    { 0x047f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/0/c */
    { 0x0500, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/1/u */
    { 0x057f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/1/c */
    { 0x0600, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/2/u */
    { 0x067f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/2/c */
    { 0x0700, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/3/u */
    { 0x077f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/1/3/c */
    { 0x0800, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/0/u */
    { 0x087f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/0/c */
    { 0x0900, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/1/u */
    { 0x097f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/1/c */
    { 0x0a00, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/2/u */
    { 0x0a7f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/2/c */
    { 0x0b00, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/3/u */
    { 0x0b7f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/2/3/c */
    { 0x0c00, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/0/u */
    { 0x0c7f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/0/c */
    { 0x0d00, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/1/u */
    { 0x0d7f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/1/c */
    { 0x0e00, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/2/u */
    { 0x0e7f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/2/c */
    { 0x0f00, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/3/u */
    { 0x0f7f, 0x703b, 0x7000, RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767), RTFLOAT80U_INIT_C(1,0xdcbb201a8b2b9ea0,32767) }, /* #65/3/3/c */
    { 0x0000, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/0/0/u */
    { 0x007f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/0/c */
    { 0x0100, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/0/1/u */
    { 0x017f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/1/c */
    { 0x0200, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/0/2/u */
    { 0x027f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/2/c */
    { 0x0300, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/0/3/u */
    { 0x037f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/0/3/c */
    { 0x0400, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/1/0/u */
    { 0x047f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/0/c */
    { 0x0500, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/1/1/u */
    { 0x057f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/1/c */
    { 0x0600, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/1/2/u */
    { 0x067f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/2/c */
    { 0x0700, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/1/3/u */
    { 0x077f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/1/3/c */
    { 0x0800, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/2/0/u */
    { 0x087f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/0/c */
    { 0x0900, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/2/1/u */
    { 0x097f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/1/c */
    { 0x0a00, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/2/2/u */
    { 0x0a7f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/2/c */
    { 0x0b00, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/2/3/u */
    { 0x0b7f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/2/3/c */
    { 0x0c00, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/3/0/u */
    { 0x0c7f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/0/c */
    { 0x0d00, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/3/1/u */
    { 0x0d7f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/1/c */
    { 0x0e00, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/3/2/u */
    { 0x0e7f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/2/c */
    { 0x0f00, 0xda89, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #66/3/3/u */
    { 0x0f7f, 0xda89, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #66/3/3/c */
    { 0x0000, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/0/u */
    { 0x007f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/0/c */
    { 0x0100, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/1/u */
    { 0x017f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/1/c */
    { 0x0200, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/2/u */
    { 0x027f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/2/c */
    { 0x0300, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/3/u */
    { 0x037f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/0/3/c */
    { 0x0400, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/0/u */
    { 0x047f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/0/c */
    { 0x0500, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/1/u */
    { 0x057f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/1/c */
    { 0x0600, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/2/u */
    { 0x067f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/2/c */
    { 0x0700, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/3/u */
    { 0x077f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/1/3/c */
    { 0x0800, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/0/u */
    { 0x087f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/0/c */
    { 0x0900, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/1/u */
    { 0x097f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/1/c */
    { 0x0a00, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/2/u */
    { 0x0a7f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/2/c */
    { 0x0b00, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/3/u */
    { 0x0b7f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/2/3/c */
    { 0x0c00, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/0/u */
    { 0x0c7f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/0/c */
    { 0x0d00, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/1/u */
    { 0x0d7f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/1/c */
    { 0x0e00, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/2/u */
    { 0x0e7f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/2/c */
    { 0x0f00, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/3/u */
    { 0x0f7f, 0x1bc1, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #67/3/3/c */
    { 0x0000, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/0/u */
    { 0x007f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/0/c */
    { 0x0100, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/1/u */
    { 0x017f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/1/c */
    { 0x0200, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/2/u */
    { 0x027f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/2/c */
    { 0x0300, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/0/3/u */
    { 0x037f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/0/3/c */
    { 0x0400, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/0/u */
    { 0x047f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/0/c */
    { 0x0500, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/1/u */
    { 0x057f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/1/c */
    { 0x0600, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/2/u */
    { 0x067f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/2/c */
    { 0x0700, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/1/3/u */
    { 0x077f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/1/3/c */
    { 0x0800, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/0/u */
    { 0x087f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/0/c */
    { 0x0900, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/1/u */
    { 0x097f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/1/c */
    { 0x0a00, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/2/u */
    { 0x0a7f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/2/c */
    { 0x0b00, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/2/3/u */
    { 0x0b7f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/2/3/c */
    { 0x0c00, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/0/u */
    { 0x0c7f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/0/c */
    { 0x0d00, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/1/u */
    { 0x0d7f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/1/c */
    { 0x0e00, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/2/u */
    { 0x0e7f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/2/c */
    { 0x0f00, 0xaae8, 0xb881, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8000000000000000,32767) }, /* #68/3/3/u */
    { 0x0f7f, 0xaae8, 0x3001, RTFLOAT80U_INIT_C(1,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #68/3/3/c */
    { 0x0000, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/0/0/u */
    { 0x007f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/0/c */
    { 0x0100, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/0/1/u */
    { 0x017f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/1/c */
    { 0x0200, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/0/2/u */
    { 0x027f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/2/c */
    { 0x0300, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/0/3/u */
    { 0x037f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/0/3/c */
    { 0x0400, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/1/0/u */
    { 0x047f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/0/c */
    { 0x0500, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/1/1/u */
    { 0x057f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/1/c */
    { 0x0600, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/1/2/u */
    { 0x067f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/2/c */
    { 0x0700, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/1/3/u */
    { 0x077f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/1/3/c */
    { 0x0800, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/2/0/u */
    { 0x087f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/0/c */
    { 0x0900, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/2/1/u */
    { 0x097f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/1/c */
    { 0x0a00, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/2/2/u */
    { 0x0a7f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/2/c */
    { 0x0b00, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/2/3/u */
    { 0x0b7f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/2/3/c */
    { 0x0c00, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/3/0/u */
    { 0x0c7f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/0/c */
    { 0x0d00, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/3/1/u */
    { 0x0d7f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/1/c */
    { 0x0e00, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/3/2/u */
    { 0x0e7f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/2/c */
    { 0x0f00, 0x99cd, 0xb981, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #69/3/3/u */
    { 0x0f7f, 0x99cd, 0x3101, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #69/3/3/c */
    { 0x0000, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/0/u */
    { 0x007f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/0/c */
    { 0x0100, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/1/u */
    { 0x017f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/1/c */
    { 0x0200, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/2/u */
    { 0x027f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/2/c */
    { 0x0300, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/3/u */
    { 0x037f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/0/3/c */
    { 0x0400, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/0/u */
    { 0x047f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/0/c */
    { 0x0500, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/1/u */
    { 0x057f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/1/c */
    { 0x0600, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/2/u */
    { 0x067f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/2/c */
    { 0x0700, 0x66a2, 0xf2a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/3/u */
    { 0x077f, 0x66a2, 0x7220, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/1/3/c */
    { 0x0800, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/0/u */
    { 0x087f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/0/c */
    { 0x0900, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/1/u */
    { 0x097f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/1/c */
    { 0x0a00, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/2/u */
    { 0x0a7f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/2/c */
    { 0x0b00, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/3/u */
    { 0x0b7f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #70/2/3/c */
    { 0x0c00, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/0/u */
    { 0x0c7f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/0/c */
    { 0x0d00, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/1/u */
    { 0x0d7f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/1/c */
    { 0x0e00, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/2/u */
    { 0x0e7f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/2/c */
    { 0x0f00, 0x66a2, 0xf0a0, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/3/u */
    { 0x0f7f, 0x66a2, 0x7020, RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797b,263), RTFLOAT80U_INIT_C(1,0x8e4c8ff26a53797a,263), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #70/3/3/c */
    { 0x0000, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/0/0/u */
    { 0x007f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/0/c */
    { 0x0100, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/0/1/u */
    { 0x017f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/1/c */
    { 0x0200, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/0/2/u */
    { 0x027f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/2/c */
    { 0x0300, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/0/3/u */
    { 0x037f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/0/3/c */
    { 0x0400, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/1/0/u */
    { 0x047f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/0/c */
    { 0x0500, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/1/1/u */
    { 0x057f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/1/c */
    { 0x0600, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/1/2/u */
    { 0x067f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/2/c */
    { 0x0700, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/1/3/u */
    { 0x077f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/1/3/c */
    { 0x0800, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/2/0/u */
    { 0x087f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/0/c */
    { 0x0900, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/2/1/u */
    { 0x097f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/1/c */
    { 0x0a00, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/2/2/u */
    { 0x0a7f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/2/c */
    { 0x0b00, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/2/3/u */
    { 0x0b7f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/2/3/c */
    { 0x0c00, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/3/0/u */
    { 0x0c7f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/0/c */
    { 0x0d00, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/3/1/u */
    { 0x0d7f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/1/c */
    { 0x0e00, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/3/2/u */
    { 0x0e7f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/2/c */
    { 0x0f00, 0x9657, 0xb881, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767) }, /* #71/3/3/u */
    { 0x0f7f, 0x9657, 0x3001, RTFLOAT80U_INIT_C(1,0x4073579f83cd02ce,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #71/3/3/c */
    { 0x0000, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/0/0/u */
    { 0x007f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/0/c */
    { 0x0100, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/0/1/u */
    { 0x017f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/1/c */
    { 0x0200, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/0/2/u */
    { 0x027f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/2/c */
    { 0x0300, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/0/3/u */
    { 0x037f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/0/3/c */
    { 0x0400, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/1/0/u */
    { 0x047f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/0/c */
    { 0x0500, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/1/1/u */
    { 0x057f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/1/c */
    { 0x0600, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/1/2/u */
    { 0x067f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/2/c */
    { 0x0700, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/1/3/u */
    { 0x077f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/1/3/c */
    { 0x0800, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/2/0/u */
    { 0x087f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/0/c */
    { 0x0900, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/2/1/u */
    { 0x097f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/1/c */
    { 0x0a00, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/2/2/u */
    { 0x0a7f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/2/c */
    { 0x0b00, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/2/3/u */
    { 0x0b7f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/2/3/c */
    { 0x0c00, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/3/0/u */
    { 0x0c7f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/0/c */
    { 0x0d00, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/3/1/u */
    { 0x0d7f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/1/c */
    { 0x0e00, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/3/2/u */
    { 0x0e7f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/2/c */
    { 0x0f00, 0x85e5, 0xb981, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741) }, /* #72/3/3/u */
    { 0x0f7f, 0x85e5, 0x3101, RTFLOAT80U_INIT_C(0,0x770bfca681c0494b,4741), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #72/3/3/c */
    { 0x0000, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/0/u */
    { 0x007f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/0/c */
    { 0x0100, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/1/u */
    { 0x017f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/1/c */
    { 0x0200, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/2/u */
    { 0x027f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/2/c */
    { 0x0300, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/3/u */
    { 0x037f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/0/3/c */
    { 0x0400, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/0/u */
    { 0x047f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/0/c */
    { 0x0500, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/1/u */
    { 0x057f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/1/c */
    { 0x0600, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/2/u */
    { 0x067f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/2/c */
    { 0x0700, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/3/u */
    { 0x077f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/1/3/c */
    { 0x0800, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/0/u */
    { 0x087f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/0/c */
    { 0x0900, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/1/u */
    { 0x097f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/1/c */
    { 0x0a00, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/2/u */
    { 0x0a7f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/2/c */
    { 0x0b00, 0x4405, 0xf2a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/3/u */
    { 0x0b7f, 0x4405, 0x7220, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #73/2/3/c */
    { 0x0c00, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/0/u */
    { 0x0c7f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/0/c */
    { 0x0d00, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/1/u */
    { 0x0d7f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/1/c */
    { 0x0e00, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/2/u */
    { 0x0e7f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/2/c */
    { 0x0f00, 0x4405, 0xf0a0, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/3/u */
    { 0x0f7f, 0x4405, 0x7020, RTFLOAT80U_INIT_C(0,0xd6744f9a56cab606,13261), RTFLOAT80U_INIT_C(0,0xd6744f9a56cab605,13261), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #73/3/3/c */
    { 0x0000, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/0/0/u */
    { 0x007f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/0/c */
    { 0x0100, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/0/1/u */
    { 0x017f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/1/c */
    { 0x0200, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/0/2/u */
    { 0x027f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/2/c */
    { 0x0300, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/0/3/u */
    { 0x037f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/0/3/c */
    { 0x0400, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/1/0/u */
    { 0x047f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/0/c */
    { 0x0500, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/1/1/u */
    { 0x057f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/1/c */
    { 0x0600, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/1/2/u */
    { 0x067f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/2/c */
    { 0x0700, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/1/3/u */
    { 0x077f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/1/3/c */
    { 0x0800, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/2/0/u */
    { 0x087f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/0/c */
    { 0x0900, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/2/1/u */
    { 0x097f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/1/c */
    { 0x0a00, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/2/2/u */
    { 0x0a7f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/2/c */
    { 0x0b00, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/2/3/u */
    { 0x0b7f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/2/3/c */
    { 0x0c00, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/3/0/u */
    { 0x0c7f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/0/c */
    { 0x0d00, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/3/1/u */
    { 0x0d7f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/1/c */
    { 0x0e00, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/3/2/u */
    { 0x0e7f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/2/c */
    { 0x0f00, 0x4341, 0xf981, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121) }, /* #74/3/3/u */
    { 0x0f7f, 0x4341, 0x7101, RTFLOAT80U_INIT_C(1,0x1f3166f21e80e0f6,19121), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #74/3/3/c */
    { 0x0000, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/0/u */
    { 0x007f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/0/c */
    { 0x0100, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/1/u */
    { 0x017f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/1/c */
    { 0x0200, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/2/u */
    { 0x027f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/2/c */
    { 0x0300, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/3/u */
    { 0x037f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/0/3/c */
    { 0x0400, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/0/u */
    { 0x047f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/0/c */
    { 0x0500, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/1/u */
    { 0x057f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/1/c */
    { 0x0600, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/2/u */
    { 0x067f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/2/c */
    { 0x0700, 0xa6fe, 0xb2a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/3/u */
    { 0x077f, 0xa6fe, 0x3220, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/1/3/c */
    { 0x0800, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/0/u */
    { 0x087f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/0/c */
    { 0x0900, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/1/u */
    { 0x097f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/1/c */
    { 0x0a00, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/2/u */
    { 0x0a7f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/2/c */
    { 0x0b00, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/3/u */
    { 0x0b7f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #75/2/3/c */
    { 0x0c00, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/0/u */
    { 0x0c7f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/0/c */
    { 0x0d00, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/1/u */
    { 0x0d7f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/1/c */
    { 0x0e00, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/2/u */
    { 0x0e7f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/2/c */
    { 0x0f00, 0xa6fe, 0xb0a0, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/3/u */
    { 0x0f7f, 0xa6fe, 0x3020, RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf7,2860), RTFLOAT80U_INIT_C(1,0xe6c6689a16b67cf6,2860), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #75/3/3/c */
    { 0x0000, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/0/u */
    { 0x007f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/0/c */
    { 0x0100, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/1/u */
    { 0x017f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/1/c */
    { 0x0200, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/2/u */
    { 0x027f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/2/c */
    { 0x0300, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/3/u */
    { 0x037f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/0/3/c */
    { 0x0400, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/0/u */
    { 0x047f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/0/c */
    { 0x0500, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/1/u */
    { 0x057f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/1/c */
    { 0x0600, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/2/u */
    { 0x067f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/2/c */
    { 0x0700, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/3/u */
    { 0x077f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/1/3/c */
    { 0x0800, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/0/u */
    { 0x087f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/0/c */
    { 0x0900, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/1/u */
    { 0x097f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/1/c */
    { 0x0a00, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/2/u */
    { 0x0a7f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/2/c */
    { 0x0b00, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/3/u */
    { 0x0b7f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/2/3/c */
    { 0x0c00, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/0/u */
    { 0x0c7f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/0/c */
    { 0x0d00, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/1/u */
    { 0x0d7f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/1/c */
    { 0x0e00, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/2/u */
    { 0x0e7f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/2/c */
    { 0x0f00, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/3/u */
    { 0x0f7f, 0xa41a, 0x3c00, RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0xb1457148a9c28712,26641) }, /* #76/3/3/c */
    { 0x0000, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/0/0/u */
    { 0x007f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/0/c */
    { 0x0100, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/0/1/u */
    { 0x017f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/1/c */
    { 0x0200, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/0/2/u */
    { 0x027f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/2/c */
    { 0x0300, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/0/3/u */
    { 0x037f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/0/3/c */
    { 0x0400, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/1/0/u */
    { 0x047f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/0/c */
    { 0x0500, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/1/1/u */
    { 0x057f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/1/c */
    { 0x0600, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/1/2/u */
    { 0x067f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/2/c */
    { 0x0700, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/1/3/u */
    { 0x077f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/1/3/c */
    { 0x0800, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/2/0/u */
    { 0x087f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/0/c */
    { 0x0900, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/2/1/u */
    { 0x097f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/1/c */
    { 0x0a00, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/2/2/u */
    { 0x0a7f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/2/c */
    { 0x0b00, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/2/3/u */
    { 0x0b7f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/2/3/c */
    { 0x0c00, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/3/0/u */
    { 0x0c7f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/0/c */
    { 0x0d00, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/3/1/u */
    { 0x0d7f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/1/c */
    { 0x0e00, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/3/2/u */
    { 0x0e7f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/2/c */
    { 0x0f00, 0xe6c1, 0xf881, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x0,32767) }, /* #77/3/3/u */
    { 0x0f7f, 0xe6c1, 0x7001, RTFLOAT80U_INIT_C(1,0x0,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #77/3/3/c */
    { 0x0000, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/0/0/u */
    { 0x007f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/0/c */
    { 0x0100, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/0/1/u */
    { 0x017f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/1/c */
    { 0x0200, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/0/2/u */
    { 0x027f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/2/c */
    { 0x0300, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/0/3/u */
    { 0x037f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/0/3/c */
    { 0x0400, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/1/0/u */
    { 0x047f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/0/c */
    { 0x0500, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/1/1/u */
    { 0x057f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/1/c */
    { 0x0600, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/1/2/u */
    { 0x067f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/2/c */
    { 0x0700, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/1/3/u */
    { 0x077f, 0xd666, 0x7222, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/1/3/c */
    { 0x0800, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/2/0/u */
    { 0x087f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/0/c */
    { 0x0900, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/2/1/u */
    { 0x097f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/1/c */
    { 0x0a00, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/2/2/u */
    { 0x0a7f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/2/c */
    { 0x0b00, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/2/3/u */
    { 0x0b7f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #78/2/3/c */
    { 0x0c00, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/3/0/u */
    { 0x0c7f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/0/c */
    { 0x0d00, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/3/1/u */
    { 0x0d7f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/1/c */
    { 0x0e00, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/3/2/u */
    { 0x0e7f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/2/c */
    { 0x0f00, 0xd666, 0xf882, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0) }, /* #78/3/3/u */
    { 0x0f7f, 0xd666, 0x7022, RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9716,0), RTFLOAT80U_INIT_C(1,0x8c513bfb2c1e9715,1), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #78/3/3/c */
    { 0x0000, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/0/0/u */
    { 0x007f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/0/0/c */
    { 0x0100, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/0/1/u */
    { 0x017f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/0/1/c */
    { 0x0200, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/0/2/u */
    { 0x027f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/0/2/c */
    { 0x0300, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/0/3/u */
    { 0x037f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/0/3/c */
    { 0x0400, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/1/0/u */
    { 0x047f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/1/0/c */
    { 0x0500, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/1/1/u */
    { 0x057f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/1/1/c */
    { 0x0600, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/1/2/u */
    { 0x067f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/1/2/c */
    { 0x0700, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/1/3/u */
    { 0x077f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/1/3/c */
    { 0x0800, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/2/0/u */
    { 0x087f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/2/0/c */
    { 0x0900, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/2/1/u */
    { 0x097f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/2/1/c */
    { 0x0a00, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/2/2/u */
    { 0x0a7f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/2/2/c */
    { 0x0b00, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/2/3/u */
    { 0x0b7f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/2/3/c */
    { 0x0c00, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/3/0/u */
    { 0x0c7f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/3/0/c */
    { 0x0d00, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/3/1/u */
    { 0x0d7f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/3/1/c */
    { 0x0e00, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/3/2/u */
    { 0x0e7f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/3/2/c */
    { 0x0f00, 0x44c1, 0xf881, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,32767) }, /* #79/3/3/u */
    { 0x0f7f, 0x44c1, 0x7001, RTFLOAT80U_INIT_C(0,0x8000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #79/3/3/c */
    { 0x0000, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/0/0/u */
    { 0x007f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/0/c */
    { 0x0100, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/0/1/u */
    { 0x017f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/1/c */
    { 0x0200, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/0/2/u */
    { 0x027f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/2/c */
    { 0x0300, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/0/3/u */
    { 0x037f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/0/3/c */
    { 0x0400, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/1/0/u */
    { 0x047f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/0/c */
    { 0x0500, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/1/1/u */
    { 0x057f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/1/c */
    { 0x0600, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/1/2/u */
    { 0x067f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/2/c */
    { 0x0700, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/1/3/u */
    { 0x077f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/1/3/c */
    { 0x0800, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/2/0/u */
    { 0x087f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/0/c */
    { 0x0900, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/2/1/u */
    { 0x097f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/1/c */
    { 0x0a00, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/2/2/u */
    { 0x0a7f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/2/c */
    { 0x0b00, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/2/3/u */
    { 0x0b7f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/2/3/c */
    { 0x0c00, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/3/0/u */
    { 0x0c7f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/0/c */
    { 0x0d00, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/3/1/u */
    { 0x0d7f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/1/c */
    { 0x0e00, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/3/2/u */
    { 0x0e7f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/2/c */
    { 0x0f00, 0xd46e, 0xf881, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xac,32767) }, /* #80/3/3/u */
    { 0x0f7f, 0xd46e, 0x7001, RTFLOAT80U_INIT_C(1,0xac,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #80/3/3/c */
    { 0x0000, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/0/0/u */
    { 0x007f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/0/c */
    { 0x0100, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/0/1/u */
    { 0x017f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/1/c */
    { 0x0200, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/0/2/u */
    { 0x027f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/2/c */
    { 0x0300, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/0/3/u */
    { 0x037f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/0/3/c */
    { 0x0400, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/1/0/u */
    { 0x047f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/0/c */
    { 0x0500, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/1/1/u */
    { 0x057f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/1/c */
    { 0x0600, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/1/2/u */
    { 0x067f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/2/c */
    { 0x0700, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/1/3/u */
    { 0x077f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/1/3/c */
    { 0x0800, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/2/0/u */
    { 0x087f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/0/c */
    { 0x0900, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/2/1/u */
    { 0x097f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/1/c */
    { 0x0a00, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/2/2/u */
    { 0x0a7f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/2/c */
    { 0x0b00, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/2/3/u */
    { 0x0b7f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/2/3/c */
    { 0x0c00, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/3/0/u */
    { 0x0c7f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/0/c */
    { 0x0d00, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/3/1/u */
    { 0x0d7f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/1/c */
    { 0x0e00, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/3/2/u */
    { 0x0e7f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/2/c */
    { 0x0f00, 0xb2d1, 0xb881, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767) }, /* #81/3/3/u */
    { 0x0f7f, 0xb2d1, 0x3001, RTFLOAT80U_INIT_C(1,0x3ccbfcdbac63911c,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #81/3/3/c */
    { 0x0000, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/0/0/u */
    { 0x007f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/0/c */
    { 0x0100, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/0/1/u */
    { 0x017f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/1/c */
    { 0x0200, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/0/2/u */
    { 0x027f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/2/c */
    { 0x0300, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/0/3/u */
    { 0x037f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/0/3/c */
    { 0x0400, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/1/0/u */
    { 0x047f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/0/c */
    { 0x0500, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/1/1/u */
    { 0x057f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/1/c */
    { 0x0600, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/1/2/u */
    { 0x067f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/2/c */
    { 0x0700, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/1/3/u */
    { 0x077f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/1/3/c */
    { 0x0800, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/2/0/u */
    { 0x087f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/0/c */
    { 0x0900, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/2/1/u */
    { 0x097f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/1/c */
    { 0x0a00, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/2/2/u */
    { 0x0a7f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/2/c */
    { 0x0b00, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/2/3/u */
    { 0x0b7f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/2/3/c */
    { 0x0c00, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/3/0/u */
    { 0x0c7f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/0/c */
    { 0x0d00, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/3/1/u */
    { 0x0d7f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/1/c */
    { 0x0e00, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/3/2/u */
    { 0x0e7f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/2/c */
    { 0x0f00, 0x0880, 0xb881, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935) }, /* #82/3/3/u */
    { 0x0f7f, 0x0880, 0x3001, RTFLOAT80U_INIT_C(1,0x7125574605becb8c,19935), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #82/3/3/c */
    { 0x0000, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/0/u */
    { 0x007f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/0/c */
    { 0x0100, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/1/u */
    { 0x017f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/1/c */
    { 0x0200, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/2/u */
    { 0x027f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/2/c */
    { 0x0300, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/3/u */
    { 0x037f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/0/3/c */
    { 0x0400, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/0/u */
    { 0x047f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/0/c */
    { 0x0500, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/1/u */
    { 0x057f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/1/c */
    { 0x0600, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/2/u */
    { 0x067f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/2/c */
    { 0x0700, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/3/u */
    { 0x077f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/1/3/c */
    { 0x0800, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/0/u */
    { 0x087f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/0/c */
    { 0x0900, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/1/u */
    { 0x097f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/1/c */
    { 0x0a00, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/2/u */
    { 0x0a7f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/2/c */
    { 0x0b00, 0x59fa, 0xf3a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/3/u */
    { 0x0b7f, 0x59fa, 0x7320, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #83/2/3/c */
    { 0x0c00, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/0/u */
    { 0x0c7f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/0/c */
    { 0x0d00, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/1/u */
    { 0x0d7f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/1/c */
    { 0x0e00, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/2/u */
    { 0x0e7f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/2/c */
    { 0x0f00, 0x59fa, 0xf1a0, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/3/u */
    { 0x0f7f, 0x59fa, 0x7120, RTFLOAT80U_INIT_C(0,0xafe497870cee48aa,5307), RTFLOAT80U_INIT_C(0,0xafe497870cee48a9,5307), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #83/3/3/c */
    { 0x0000, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/0/0/u */
    { 0x007f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/0/c */
    { 0x0100, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/0/1/u */
    { 0x017f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/1/c */
    { 0x0200, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/0/2/u */
    { 0x027f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/2/c */
    { 0x0300, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/0/3/u */
    { 0x037f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/0/3/c */
    { 0x0400, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/1/0/u */
    { 0x047f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/0/c */
    { 0x0500, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/1/1/u */
    { 0x057f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/1/c */
    { 0x0600, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/1/2/u */
    { 0x067f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/2/c */
    { 0x0700, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/1/3/u */
    { 0x077f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/1/3/c */
    { 0x0800, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/2/0/u */
    { 0x087f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/0/c */
    { 0x0900, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/2/1/u */
    { 0x097f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/1/c */
    { 0x0a00, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/2/2/u */
    { 0x0a7f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/2/c */
    { 0x0b00, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/2/3/u */
    { 0x0b7f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/2/3/c */
    { 0x0c00, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/3/0/u */
    { 0x0c7f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/0/c */
    { 0x0d00, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/3/1/u */
    { 0x0d7f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/1/c */
    { 0x0e00, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/3/2/u */
    { 0x0e7f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/2/c */
    { 0x0f00, 0x62d8, 0xf881, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716) }, /* #84/3/3/u */
    { 0x0f7f, 0x62d8, 0x7001, RTFLOAT80U_INIT_C(1,0x19d34ecebd495694,25716), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #84/3/3/c */
    { 0x0000, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/0/0/u */
    { 0x007f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/0/0/c */
    { 0x0100, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/0/1/u */
    { 0x017f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/0/1/c */
    { 0x0200, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/0/2/u */
    { 0x027f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/0/2/c */
    { 0x0300, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/0/3/u */
    { 0x037f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/0/3/c */
    { 0x0400, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/1/0/u */
    { 0x047f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/1/0/c */
    { 0x0500, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/1/1/u */
    { 0x057f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/1/1/c */
    { 0x0600, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/1/2/u */
    { 0x067f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/1/2/c */
    { 0x0700, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/1/3/u */
    { 0x077f, 0x78fb, 0x7232, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/1/3/c */
    { 0x0800, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/2/0/u */
    { 0x087f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/2/0/c */
    { 0x0900, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/2/1/u */
    { 0x097f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/2/1/c */
    { 0x0a00, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/2/2/u */
    { 0x0a7f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/2/2/c */
    { 0x0b00, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/2/3/u */
    { 0x0b7f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #85/2/3/c */
    { 0x0c00, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/3/0/u */
    { 0x0c7f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/3/0/c */
    { 0x0d00, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/3/1/u */
    { 0x0d7f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/3/1/c */
    { 0x0e00, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/3/2/u */
    { 0x0e7f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/3/2/c */
    { 0x0f00, 0x78fb, 0xf882, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0) }, /* #85/3/3/u */
    { 0x0f7f, 0x78fb, 0x7032, RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c25,0), RTFLOAT80U_INIT_C(1,0x12b0059de7ec6c24,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #85/3/3/c */
    { 0x0000, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/0/u */
    { 0x007f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/0/c */
    { 0x0100, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/1/u */
    { 0x017f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/1/c */
    { 0x0200, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/2/u */
    { 0x027f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/2/c */
    { 0x0300, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/3/u */
    { 0x037f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/0/3/c */
    { 0x0400, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/0/u */
    { 0x047f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/0/c */
    { 0x0500, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/1/u */
    { 0x057f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/1/c */
    { 0x0600, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/2/u */
    { 0x067f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/2/c */
    { 0x0700, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/3/u */
    { 0x077f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/1/3/c */
    { 0x0800, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/0/u */
    { 0x087f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/0/c */
    { 0x0900, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/1/u */
    { 0x097f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/1/c */
    { 0x0a00, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/2/u */
    { 0x0a7f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/2/c */
    { 0x0b00, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/3/u */
    { 0x0b7f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/2/3/c */
    { 0x0c00, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/0/u */
    { 0x0c7f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/0/c */
    { 0x0d00, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/1/u */
    { 0x0d7f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/1/c */
    { 0x0e00, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/2/u */
    { 0x0e7f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/2/c */
    { 0x0f00, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/3/u */
    { 0x0f7f, 0xbb99, 0x3100, RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767), RTFLOAT80U_INIT_C(1,0xc000000014046584,32767) }, /* #86/3/3/c */
    { 0x0000, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/0/0/u */
    { 0x007f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/0/c */
    { 0x0100, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/0/1/u */
    { 0x017f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/1/c */
    { 0x0200, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/0/2/u */
    { 0x027f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/2/c */
    { 0x0300, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/0/3/u */
    { 0x037f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/0/3/c */
    { 0x0400, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/1/0/u */
    { 0x047f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/1/0/c */
    { 0x0500, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/1/1/u */
    { 0x057f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/1/1/c */
    { 0x0600, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/1/2/u */
    { 0x067f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/1/2/c */
    { 0x0700, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/1/3/u */
    { 0x077f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/1/3/c */
    { 0x0800, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/2/0/u */
    { 0x087f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/0/c */
    { 0x0900, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/2/1/u */
    { 0x097f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/1/c */
    { 0x0a00, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/2/2/u */
    { 0x0a7f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/2/c */
    { 0x0b00, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/2/3/u */
    { 0x0b7f, 0x6276, 0x7232, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #87/2/3/c */
    { 0x0c00, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/3/0/u */
    { 0x0c7f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/3/0/c */
    { 0x0d00, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/3/1/u */
    { 0x0d7f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/3/1/c */
    { 0x0e00, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/3/2/u */
    { 0x0e7f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/3/2/c */
    { 0x0f00, 0x6276, 0xf882, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x18c1,0) }, /* #87/3/3/u */
    { 0x0f7f, 0x6276, 0x7032, RTFLOAT80U_INIT_C(0,0x18c1,0), RTFLOAT80U_INIT_C(0,0x18c0,0), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #87/3/3/c */
    { 0x0000, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/0/u */
    { 0x007f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/0/c */
    { 0x0100, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/1/u */
    { 0x017f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/1/c */
    { 0x0200, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/2/u */
    { 0x027f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/2/c */
    { 0x0300, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/3/u */
    { 0x037f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/0/3/c */
    { 0x0400, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/0/u */
    { 0x047f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/0/c */
    { 0x0500, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/1/u */
    { 0x057f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/1/c */
    { 0x0600, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/2/u */
    { 0x067f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/2/c */
    { 0x0700, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/3/u */
    { 0x077f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/1/3/c */
    { 0x0800, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/0/u */
    { 0x087f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/0/c */
    { 0x0900, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/1/u */
    { 0x097f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/1/c */
    { 0x0a00, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/2/u */
    { 0x0a7f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/2/c */
    { 0x0b00, 0x4791, 0xf3a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/3/u */
    { 0x0b7f, 0x4791, 0x7320, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #88/2/3/c */
    { 0x0c00, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/0/u */
    { 0x0c7f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/0/c */
    { 0x0d00, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/1/u */
    { 0x0d7f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/1/c */
    { 0x0e00, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/2/u */
    { 0x0e7f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/2/c */
    { 0x0f00, 0x4791, 0xf1a0, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/3/u */
    { 0x0f7f, 0x4791, 0x7120, RTFLOAT80U_INIT_C(0,0xf5ce107722e34135,12557), RTFLOAT80U_INIT_C(0,0xf5ce107722e34134,12557), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #88/3/3/c */
    { 0x0000, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/0/0/u */
    { 0x007f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/0/c */
    { 0x0100, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/0/1/u */
    { 0x017f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/1/c */
    { 0x0200, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/0/2/u */
    { 0x027f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/2/c */
    { 0x0300, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/0/3/u */
    { 0x037f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/0/3/c */
    { 0x0400, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/1/0/u */
    { 0x047f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/0/c */
    { 0x0500, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/1/1/u */
    { 0x057f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/1/c */
    { 0x0600, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/1/2/u */
    { 0x067f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/2/c */
    { 0x0700, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/1/3/u */
    { 0x077f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/1/3/c */
    { 0x0800, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/2/0/u */
    { 0x087f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/0/c */
    { 0x0900, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/2/1/u */
    { 0x097f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/1/c */
    { 0x0a00, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/2/2/u */
    { 0x0a7f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/2/c */
    { 0x0b00, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/2/3/u */
    { 0x0b7f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/2/3/c */
    { 0x0c00, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/3/0/u */
    { 0x0c7f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/0/c */
    { 0x0d00, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/3/1/u */
    { 0x0d7f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/1/c */
    { 0x0e00, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/3/2/u */
    { 0x0e7f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/2/c */
    { 0x0f00, 0x5714, 0xf981, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441) }, /* #89/3/3/u */
    { 0x0f7f, 0x5714, 0x7101, RTFLOAT80U_INIT_C(1,0x4397959621f3a7f4,11441), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #89/3/3/c */
    { 0x0000, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/0/u */
    { 0x007f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/0/c */
    { 0x0100, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/1/u */
    { 0x017f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/1/c */
    { 0x0200, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/2/u */
    { 0x027f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/2/c */
    { 0x0300, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/3/u */
    { 0x037f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/0/3/c */
    { 0x0400, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/0/u */
    { 0x047f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/0/c */
    { 0x0500, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/1/u */
    { 0x057f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/1/c */
    { 0x0600, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/2/u */
    { 0x067f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/2/c */
    { 0x0700, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/3/u */
    { 0x077f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/1/3/c */
    { 0x0800, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/0/u */
    { 0x087f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/0/c */
    { 0x0900, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/1/u */
    { 0x097f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/1/c */
    { 0x0a00, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/2/u */
    { 0x0a7f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/2/c */
    { 0x0b00, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/3/u */
    { 0x0b7f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/2/3/c */
    { 0x0c00, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/0/u */
    { 0x0c7f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/0/c */
    { 0x0d00, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/1/u */
    { 0x0d7f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/1/c */
    { 0x0e00, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/2/u */
    { 0x0e7f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/2/c */
    { 0x0f00, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/3/u */
    { 0x0f7f, 0x8aa9, 0x3c00, RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xffffffffffffffff,32766) }, /* #90/3/3/c */
    { 0x0000, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/0/0/u */
    { 0x007f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/0/c */
    { 0x0100, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/0/1/u */
    { 0x017f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/1/c */
    { 0x0200, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/0/2/u */
    { 0x027f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/2/c */
    { 0x0300, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/0/3/u */
    { 0x037f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/0/3/c */
    { 0x0400, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/1/0/u */
    { 0x047f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/0/c */
    { 0x0500, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/1/1/u */
    { 0x057f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/1/c */
    { 0x0600, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/1/2/u */
    { 0x067f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/2/c */
    { 0x0700, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/1/3/u */
    { 0x077f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/1/3/c */
    { 0x0800, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/2/0/u */
    { 0x087f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/0/c */
    { 0x0900, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/2/1/u */
    { 0x097f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/1/c */
    { 0x0a00, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/2/2/u */
    { 0x0a7f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/2/c */
    { 0x0b00, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/2/3/u */
    { 0x0b7f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/2/3/c */
    { 0x0c00, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/3/0/u */
    { 0x0c7f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/0/c */
    { 0x0d00, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/3/1/u */
    { 0x0d7f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/1/c */
    { 0x0e00, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/3/2/u */
    { 0x0e7f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/2/c */
    { 0x0f00, 0x1937, 0xb981, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098) }, /* #91/3/3/u */
    { 0x0f7f, 0x1937, 0x3101, RTFLOAT80U_INIT_C(1,0xc312b2a1ae97879,31098), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #91/3/3/c */
    { 0x0000, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/0/u */
    { 0x007f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/0/c */
    { 0x0100, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/1/u */
    { 0x017f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/1/c */
    { 0x0200, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/2/u */
    { 0x027f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/2/c */
    { 0x0300, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/3/u */
    { 0x037f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/0/3/c */
    { 0x0400, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/0/u */
    { 0x047f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/0/c */
    { 0x0500, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/1/u */
    { 0x057f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/1/c */
    { 0x0600, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/2/u */
    { 0x067f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/2/c */
    { 0x0700, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/3/u */
    { 0x077f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/1/3/c */
    { 0x0800, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/0/u */
    { 0x087f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/0/c */
    { 0x0900, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/1/u */
    { 0x097f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/1/c */
    { 0x0a00, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/2/u */
    { 0x0a7f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/2/c */
    { 0x0b00, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/3/u */
    { 0x0b7f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/2/3/c */
    { 0x0c00, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/0/u */
    { 0x0c7f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/0/c */
    { 0x0d00, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/1/u */
    { 0x0d7f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/1/c */
    { 0x0e00, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/2/u */
    { 0x0e7f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/2/c */
    { 0x0f00, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/3/u */
    { 0x0f7f, 0xfb52, 0x7d00, RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(0,0x90d652caaa74a850,21608) }, /* #92/3/3/c */
    { 0x0000, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/0/0/u */
    { 0x007f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/0/c */
    { 0x0100, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/0/1/u */
    { 0x017f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/1/c */
    { 0x0200, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/0/2/u */
    { 0x027f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/2/c */
    { 0x0300, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/0/3/u */
    { 0x037f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/0/3/c */
    { 0x0400, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/1/0/u */
    { 0x047f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/0/c */
    { 0x0500, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/1/1/u */
    { 0x057f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/1/c */
    { 0x0600, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/1/2/u */
    { 0x067f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/2/c */
    { 0x0700, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/1/3/u */
    { 0x077f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/1/3/c */
    { 0x0800, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/2/0/u */
    { 0x087f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/0/c */
    { 0x0900, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/2/1/u */
    { 0x097f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/1/c */
    { 0x0a00, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/2/2/u */
    { 0x0a7f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/2/c */
    { 0x0b00, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/2/3/u */
    { 0x0b7f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/2/3/c */
    { 0x0c00, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/3/0/u */
    { 0x0c7f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/0/c */
    { 0x0d00, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/3/1/u */
    { 0x0d7f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/1/c */
    { 0x0e00, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/3/2/u */
    { 0x0e7f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/2/c */
    { 0x0f00, 0xe2e4, 0xf881, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642) }, /* #93/3/3/u */
    { 0x0f7f, 0xe2e4, 0x7001, RTFLOAT80U_INIT_C(1,0x765c7abf4ba6d6be,11642), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #93/3/3/c */
    { 0x0000, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/0/0/u */
    { 0x007f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/0/c */
    { 0x0100, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/0/1/u */
    { 0x017f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/1/c */
    { 0x0200, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/0/2/u */
    { 0x027f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/2/c */
    { 0x0300, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/0/3/u */
    { 0x037f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/0/3/c */
    { 0x0400, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/1/0/u */
    { 0x047f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/0/c */
    { 0x0500, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/1/1/u */
    { 0x057f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/1/c */
    { 0x0600, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/1/2/u */
    { 0x067f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/2/c */
    { 0x0700, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/1/3/u */
    { 0x077f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/1/3/c */
    { 0x0800, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/2/0/u */
    { 0x087f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/0/c */
    { 0x0900, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/2/1/u */
    { 0x097f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/1/c */
    { 0x0a00, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/2/2/u */
    { 0x0a7f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/2/c */
    { 0x0b00, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/2/3/u */
    { 0x0b7f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/2/3/c */
    { 0x0c00, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/3/0/u */
    { 0x0c7f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/0/c */
    { 0x0d00, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/3/1/u */
    { 0x0d7f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/1/c */
    { 0x0e00, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/3/2/u */
    { 0x0e7f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/2/c */
    { 0x0f00, 0x89e1, 0xb981, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(0,0x0,0), RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616) }, /* #94/3/3/u */
    { 0x0f7f, 0x89e1, 0x3101, RTFLOAT80U_INIT_C(0,0x4927af52ce3a1c8a,13616), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767), RTFLOAT80U_INIT_C(1,0xc000000000000000,32767) }, /* #94/3/3/c */
    { 0x0000, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/0/u */
    { 0x007f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/0/c */
    { 0x0100, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/1/u */
    { 0x017f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/1/c */
    { 0x0200, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/2/u */
    { 0x027f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/2/c */
    { 0x0300, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/3/u */
    { 0x037f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/0/3/c */
    { 0x0400, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/0/u */
    { 0x047f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/0/c */
    { 0x0500, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/1/u */
    { 0x057f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/1/c */
    { 0x0600, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/2/u */
    { 0x067f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/2/c */
    { 0x0700, 0xa3cf, 0xb3a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/3/u */
    { 0x077f, 0xa3cf, 0x3320, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/1/3/c */
    { 0x0800, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/0/u */
    { 0x087f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/0/c */
    { 0x0900, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/1/u */
    { 0x097f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/1/c */
    { 0x0a00, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/2/u */
    { 0x0a7f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/2/c */
    { 0x0b00, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/3/u */
    { 0x0b7f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0x8000000000000000,16383) }, /* #95/2/3/c */
    { 0x0c00, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/0/u */
    { 0x0c7f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/0/c */
    { 0x0d00, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/1/u */
    { 0x0d7f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/1/c */
    { 0x0e00, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/2/u */
    { 0x0e7f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/2/c */
    { 0x0f00, 0xa3cf, 0xb1a0, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/3/u */
    { 0x0f7f, 0xa3cf, 0x3120, RTFLOAT80U_INIT_C(1,0x8839f7ec200d4918,11052), RTFLOAT80U_INIT_C(1,0x8839f7ec200d4917,11052), RTFLOAT80U_INIT_C(0,0xffffffffffffffff,16382) }, /* #95/3/3/c */
    { 0x0000, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/0/u */
    { 0x007f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/0/c */
    { 0x0100, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/1/u */
    { 0x017f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/1/c */
    { 0x0200, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/2/u */
    { 0x027f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/2/c */
    { 0x0300, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/3/u */
    { 0x037f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/0/3/c */
    { 0x0400, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/0/u */
    { 0x047f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/0/c */
    { 0x0500, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/1/u */
    { 0x057f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/1/c */
    { 0x0600, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/2/u */
    { 0x067f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/2/c */
    { 0x0700, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/3/u */
    { 0x077f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8e,16381) }, /* #96/1/3/c */
    { 0x0800, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/0/u */
    { 0x087f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/0/c */
    { 0x0900, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/1/u */
    { 0x097f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/1/c */
    { 0x0a00, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/2/u */
    { 0x0a7f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/2/c */
    { 0x0b00, 0xc762, 0xf3a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/3/u */
    { 0x0b7f, 0xc762, 0x7320, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e9,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/2/3/c */
    { 0x0c00, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/0/u */
    { 0x0c7f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/0/c */
    { 0x0d00, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/1/u */
    { 0x0d7f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/1/c */
    { 0x0e00, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/2/u */
    { 0x0e7f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/2/c */
    { 0x0f00, 0xc762, 0xf1a0, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/3/u */
    { 0x0f7f, 0xc762, 0x7120, RTFLOAT80U_INIT_C(0,0xffffeeeeddddcccc,16383), RTFLOAT80U_INIT_C(0,0xe8c7c58af27bf8e8,16382), RTFLOAT80U_INIT_C(1,0xd510f4a73bc51a8d,16381) }, /* #96/3/3/c */
};
uint32_t const g_cTests_fsincos_r80_r80_amd = RT_ELEMENTS(g_aTests_fsincos_r80_r80_amd);


/* end of file */
